Welcome

Welcome to Help

Use the Info Select 8 help to:

  • Find answers to your questions
  • Learn how to use Info Select features
  • Find new ways to use Info Select
  • Lookup specific commands

(c) 1986-2004
Micro Logic Corp
www.miclog.com
All rights reserved


Copyright, Trademarks, and License

Copyright

This documentation and the software described in it are copyrighted with all rights reserved. Under the copyright laws, neither the documentation nor the software may be copied, photocopied, reproduced, translated, or reduced to any electronic medium or machine readable form, in whole or in part, without the prior written consent of Micro Logic Corp., except in the manner described in the set-up section of this manual.

Copyright 1986-2004
Micro Logic Corp.
666 Godwin Ave.
Midland Park, NJ 07432
www.miclog.com
February 2004 edition

Trademarks

Info Select and Tornado are trademarks of Micro Logic Corp. *** Windows is a trademark of Microsoft Corporation. *** Other product names are trademarks of their respective manufacturers and publishers.

License

This is a legal agreement between you (either an individual or an entity) the end user, and Micro Logic Corp. If you do not agree to the terms of this Agreement, promptly return the software package and accompanying items (including written materials and binders or other containers) to the place of purchase for a full refund.

MICRO LOGIC SOFTWARE LICENSE

  1. GRANT OF LICENSE. This Micro Logic License Agreement ("License") permits you to use one copy of the purchased version of Micro Logic software ("SOFTWARE") on any single computer, provided the SOFTWARE is in use on only one computer at any time. If you have multiple Licenses for the SOFTWARE, then at any time you may have as many copies of the SOFTWARE in use as you have Licenses. The SOFTWARE is "in use" on a computer when it is loaded into the temporary memory (i.e., RAM) or installed into the permanent memory (e.g., hard disk, CD-ROM, or other storage device) of that computer, except that a copy installed on a network server for the sole purpose of distribution to other computers is not "in use". If the anticipated number of users of the SOFTWARE will exceed the number of applicable Licenses, then you must have a reasonable mechanism or process in place to assure that the number of persons using the SOFTWARE concurrently does not exceed the number of Licenses. If the SOFTWARE is permanently installed on the hard disk or other storage device of a computer (other than a network server) and one person uses that computer more than 80% of the time it is in use, then that person may also use the SOFTWARE on a portable or home computer.
  2. COPYRIGHT. The SOFTWARE is owned by Micro Logic Corp. or its suppliers and is protected by U.S. and International copyright protection. Therefore, you must treat the SOFTWARE like any other copyrighted material (e.g., a book or musical recording) except that you may (a) make one copy of the SOFTWARE solely for backup or archival purposes, or (b) transfer the SOFTWARE to a single hard disk provided you keep the original solely for backup or archival purposes. You may not copy the written materials accompanying the SOFTWARE.
  3. OTHER RESTRICTIONS. This Micro Logic License Agreement is your proof of license to exercise the rights granted herein and must be retained by you. You may not rent or lease the SOFTWARE, but you may transfer your rights under this Micro Logic License Agreement on a permanent basis provided you transfer this License Agreement, the SOFTWARE, and all accompanying written materials and retain no copies, and the recipient agrees to the terms of this Agreement. You may not reverse engineer, decompile, or disassemble the SOFTWARE. Any transfer of the SOFTWARE must include the most recent update and all prior versions in your possession.
  4. DUAL MEDIA SOFTWARE. If the SOFTWARE package contains two disk sizes, then you may use only the disks appropriate for your single designated computer or network server. You may not use the other disks on another computer or computer network, or loan, rent, lease, or transfer them to another user except as part of a transfer or other use as expressly permitted by this Micro Logic License Agreement.

LIMITED WARRANTY

LIMITED WARRANTY. Micro Logic Corp. warrants that (a) the SOFTWARE will perform substantially in accordance with the accompanying written materials for a period of ninety (90) days from the date of receipt; and (b) any hardware accompanying the SOFTWARE will be free from defects in materials and workmanship under normal use and service for a period of one (1) year from the date of receipt. Any implied warranties on the SOFTWARE and hardware are limited to ninety (90) days and one (1) year respectively. Some states do not allow limitations on duration of an implied warranty, so the above limitation may not apply.

CUSTOMER REMEDIES. Micro Logic's entire liability and your exclusive remedy shall be, at Micro Logic's option, either (a) return of the price paid or (b) repair or replacement of the SOFTWARE or hardware that does not meet Micro Logic's Limited Warranty and is returned to Micro Logic with a copy of your receipt. This Limited Warranty is void if failure of the SOFTWARE or hardware has resulted from accident, abuse, or misapplication. Any replacement SOFTWARE will be warranted for the remainder of the original warranty period or thirty (30) days, whichever is longer. Neither these remedies nor any product support services offered by Micro Logic are available for this U.S.A. version product outside the United States of America.

NO OTHER WARRANTIES. Micro Logic disclaims all other warranties, either express or implied, including but not limited to implied warranties of merchantability and fitness for a particular purpose, with respect to the SOFTWARE, the accompanying written materials, and any accompanying hardware. This limited warranty gives you specific legal rights. Other rights may be determined by state law.

NO LIABILITY FOR CONSEQUENTIAL DAMAGES. In no event shall Micro Logic or its suppliers be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or other pecuniary loss) arising out of the use of or inability to use this Micro Logic product, even if Micro Logic has been advised of the possibility of such damages. Consult your State laws regarding questions of exclusion or limitation of liability in your area.

For more information about Micro Logic's licensing policies, please write:

Micro Logic Corp.
666 Godwin Ave.
Midland Park, NJ 07432


Welcome

Info Select is the adaptable Personal Information Manager (PIM) that minimizes time spent storing, organizing, and finding the countless bits of information you need every day. Use Info Select for:

Notes * Lists * Ideas * Plans * Forms * Prices * Orders * Memos * Numbers * Thoughts * Formulas * Charts * Directions * Calendars * Schedules * Reminders * Tracking Time * Procedures * Things to do * Project plans * Appointments * E-mail * News * Web Browsing * Correspondence * Knowledge based data * Conversation Notes * Prospective customers * and more.

Info Select allows you to choose the best combination of free-form and structured data. In a seamless, unified system, Info Select provides a variety of ways to organize information, import and export data, manipulate text, scan and edit images, deal with large amounts of data, and share data and e-mail across both local networks and the Internet. You can search and sort quickly, print data, build databases, and manage e-mail and news articles. You can schedule single and recurring events, reminders, and ticklers. You can organize data into outlines, perform mail-merges, auto dial, and much more. Smart backup algorithms and power failure protection protect your data.

The more you use Info Select, the easier it will be to store, organize, and access your daily information. You will soon develop a more efficient way of working and thinking. Welcome to Info Select.

note.png (184 bytes) Note: You can print this documentation. To print, select the top item in the Contents window and click the Print button. Then choose all topics and click OK.


Requirements

The minimum requirements to install and run Info Select are:

  • Microsoft Windows 95, 98, 2000, ME, XP or NT
  • 64 Megabytes of RAM
  • 15 Megabytes of free hard disk space
  • A CD-ROM drive.
  • A mouse (recommended)


Installation for new users

New user installation

This section explains how to install Info Select as a new user.

For network installation see the Network section.

[:] To install Info Select as a new user:

  1. If you are using Windows NT, 2000 or XP login with Administrator rights.
  2. Insert the Info Select disk into the CD-ROM drive.
  3. Wait for a dialog to appear or, from the Start menu, select Run and type D:\SETUP (where "D" is the CD-ROM drive letter) and press the ENTER key.
  4. Follow the onscreen instructions.
  5. To run Info Select, choose Start | Programs | Info Select or double-click the Info Select icon on the desktop.

Detailed documentation is available from the menu by choosing Help | Contents in Info Select.

You can select a font size for the Help text by choosing Options | Font from the Help screen menu.

You can set the feature level of Info Select. New users may want to start at the Easy Level and move up to more advanced functions later. To set the desired level choose Tools | Options | Info Select Skill Level and select the desired setting. If you encounter instructions referring to a seemingly-missing menu command, change to a more advanced level.

2_help.png (1232 bytes)

tip.png (168 bytes) Tip: For a Tutorial see help section "02 Starting".


Installation for upgraders

Upgrade Installation

This section shows how to install Info Select if you are upgrading from an earlier version.

For network installation see the Network section.

[:] To install Info Select as an upgrade from an earlier version:

  1. Backup your existing data. New upgrades convert old data to a new format and old versions cannot read the new files.
  2. If you are using Windows NT, 2000 or XP login under the Administrator rights.
  3. Insert the Info Select disk into the CD-ROM drive.
  4. Wait for a dialog to appear or, from the Start menu, select Run and type D:SETUP (where "D" is the CD-ROM drive letter) and press the ENTER key.
  5. Follow the onscreen instructions. This version installs to C:\Program Files\Info Select by default. Do not install to the directory of version 1, 2, or 3.
  6. If you are replacing version 3: you don't have to move your old data to the new directory since the new version can access your data from your old directory. However, if you are comfortable doing so, use Windows Explorer to move all .wd2 files, including Overview.wd2, to "C:\Program Files\Info Select".
  7. To run Info Select, choose Start | Programs | Info Select or double-click the Info Select icon on the desktop. If you have old data in a different directory and are running the new version for the first time, Info Select may ask for the location of your old data (such as C:\ISW3).

If you are upgrading from version 4, 5, 6 or 7: The new Version will overwrite the old installation so there is no need to uninstall the old version. Your data files will be automatically changed to the new format to support the new features.

If you are upgrading from version 3: To retrieve your old data, (you only need to do this once) choose File | Open; navigate to the old data directory (usually C:\ISW3); and select the WD2 file(s) that you were using. Refer to the dates and sizes of each file to help determine which files were actively used.

If you are upgrading from version 1 or 2: To retrieve your old data and to learn about the differences between the old and new versions click here.

If your old data is in a separate directory that you previously created see Installation Options.


Removing Version 3

After the new version is installed and you have used it for a few weeks, you may want to remove Version 3. To do so, remove the program files from the version 3 directory but leave the data files (.wd2 extension) or move them to the new directory.

[:] To move files to the directory of the new version:

  1. Start Windows Explorer.
  2. Highlight the directory where Version 3 is installed (the default directory is C:\ISW3) on the left hand side of Windows Explorer.
  3. Highlight any files that end in .wd2. You can select multiple files by holding down the CTRL key while you select items.
  4. Choose Edit | Copy.
  5. Highlight the directory where the new version is installed (the default directory is C:\Program Files\Info Select) on the left hand side of Windows Explorer.
  6. Choose Edit | Paste. Choose Yes to overwrite the existing files (make sure nothing was entered in the new version.)
  7. You must change the properties for the icon you use to load the new version so the Start In directory is the same as the location where you moved your files.


Installation Options

This section shows techniques that can make your installation more convenient or solve special situations.

Load on Startup

You can have Info Select load automatically when you start your computer. This saves you time each morning.

[:] To set Info Select to load automatically on startup:

  1. Right-click on your Windows Start button and choose Open.
  2. Double-click Programs. You will see a list of all your programs.
  3. If a shortcut icon for Info Select exists, delete it.
  4. Find the icon for the Info Select program, hold down the CTRL key and drag the icon to the Start-Up icon.
  5. The Info Select icon should appear in your Start-Up group. Exit Windows Explorer.

Data in separate directory

You can have your data files in a separate data directory. For example, you might want to keep your data in C:\My Documents\Info Select or C:\Data\Info Select. Or, if you are upgrading from version 3 or earlier you might want to continue using your old directory.

[:] To keep data files in a separate directory:

  1. If you are now creating the separate directory, copy all .wd2 and .bak files from the Info Select directory (usually "C:\Program Files\Info Select") into the new data directory.
  2. If you start Info Select via an Info Select icon on the desktop, skip to step 5.
  3. Right-click on the Start button and select Open.
  4. Double-click on Programs.
  5. Right-click on the Info Select icon.
  6. Select Properties | Shortcut.
  7. In Start In enter the new data directory.
  8. Click OK.
  9. Close the Programs window.

Run Info Select by choosing Start | Programs | Info Select or clicking on the Info Select icon on the desktop.

Open with hotkey

You can open Info Select using a hotkey.

[:] To open Info Select using a hotkey:

  1. Right-click on the Info Select icon.
  2. Select Properties | Shortcut.
  3. Click in the Shortcut key section, and enter the desired key combination, e.g., CTRL+ALT+IS. Do not use key combinations that invoke commands in Info Select (e.g. Ctrl+Alt+N or Ctrl+Alt+T) or commands of other programs.

Activation Status

To view your program activation status or enter your permanent activation password, choose Help | Activatio n....


Installation Troubleshooting

This section resolves problems that may appear during installation.

Error: "This application uses Ctl3d32.dll, which is not the correct version"

Another application installed an incorrect version of ctl3d32.dll. The indicated file is used only by the setup program. Please ignore the error. Info Select will be installed correctly.

To resolve any problems with ctl3d32.dll:

  1. Close open programs.
  2. Download this file for Win 95 or this file for Win 98 to C:\Temp.
  3. Double click on the downloaded exe file - the new file will be unzipped to the proper place.

Error: "Corrupt installation detected"

This message indicates that the Info Select installation file was not downloaded correctly. Try to download Info Select again. The file name and size should be the same as stated on the download page. If you are running Windows NT, 2000 or XP try logging in under the Administrator account and run the installation again.

Micro Logic Info Select 8 is missing in the "Add/Remove Programs" dialog

This problem may occur on Windows 2000 or XP computers if Info Select was installed while not logged in as Administrator. In this case use the "Uninstall" shortcut in the Info Select program group.


Concepts

Essential Concepts

This documentation assumes knowledge of standard Windows terms such as dialog box, scrollbar, window frame, checkbox, etc. If you are unfamiliar with these terms, refer to your Windows User Guide.

To use Info Select it is important to understand some key concepts.

The Info Select screen is divided into two main areas. The large area on the left side is called the Selector. The Selector is where all your data is organized in list or outline form. The large area on the right side is called the Workspace. This is where you view and enter much of your information. The Selector and Workspace are separated by a vertical line. You can change the size of the Selector and Workspace by dragging this dividing line to the left or right with your mouse.

02_screen_label.png (11226 bytes)

You can use Info Select to enter, organize, and manage assorted daily information. Info Select provides several methods for storing your valuable information. The two most common methods are Notes [image] and Topics [image]. Notes are generally used when you need space for free-form text - such as a memo or business letter. Notes are viewed in the Workspace. Topics are used to classify information or for information that would appear in a list. Topics are viewed in the Selector.

Every Note, Topic, or other item you create can have a caption - a single line of text describing the item. For example, for a Note containing a memo to a client you might use the client's name as the caption – John Smith. Captions appear in the Selector. To the left of each caption is an icon indicating the item type. For example, an icon of a sheet of paper [image] indicates a Note and a triangle [image] indicates a Topic. Click here for more information about the Info Select icons

You can use the Calendar item to schedule and store various appointments or events. Use Database items for storing structured information like Contacts, Stock information, invoices, etc.

The Selector has several uses. You use the Selector to enter, view, and edit captions. The Selector shows a list of all captions and provides an overview of your information. The listing of your data in the Selector can be a simple listing (like a shopping list) or an outline, with multiple levels of indentation. Use the Selector to access and organize your data. You can organize your data by moving items up or down in the Selector by dragging them with your mouse. When you click on any item other than a Topic, you will see the contents displayed in the Workspace, where you can view or edit the item.

Commands impact items that are highlighted in the Selector. For example, if you want to delete an item, first highlight the item in the Selector by clicking on it, and then press the DELETE key.

Over time, you may accumulate hundreds or thousands of items in Info Select. Info Select allows you to find information quickly using its advanced search capability. You can search for information based on a person's name, a word, a number, or any other text. When a search is complete, a Search Filter is created and only those items that meet the criteria of the Search Filter are shown in the Selector. The Filter button in the toolbar changes color when the Filter is active. . You must click this button or choose View | View All (F4) to remove the Filter and view all your information again.


Types of Data

Info Select gives you flexibility in storing and dealing with your daily information. You can select the best method to use for each item of information by choosing from the Insert menu. Following is a summary of the types of data:

Icon | Name | Function | Examples
 | Note | Free-form text | Documents, correspondence, reports, basic word processing, etc.
 | Topic | Categories; short notes; containers for data. | Category - "Notes on Smith"; short one line note - "Finish memo today"; name of a list - "Things to purchase"; elements of a list - "#6 bolts".
 | Empty Topic | Categories; short notes; containers for data. | Category - "Notes on Smith"; short one line note - "Finish memo today"; name of a list - "Things to purchase"; elements of a list - "#6 bolts".
 | File | A disk file holding Info Select data | My financial notes - C:\Program Files\Info Select\financial.wd2
remote_file.png (248 bytes) | Remote File | A file located on a remote internet server | Web Data - ftp://ftp.company.com/Info Select/web_data.wd2
local_mail.png (200 bytes) | Local Mail File | A file for sending and receiving Local Mail | A Local Mail file for John Smith - E:\SharedData\Info Select\eJohnSmith.wd2
 | Shared File | An Info Select data file shared with co-workers over a network | Company policies - E:\SharedData\Info Select\policies.wd2
 | Shared File on Web | An Info Select data file shared with co-workers via Internet | A client address book ftp://ftp.company.com/InfoSelect/client-addresses.wd2
 | External File | An external data file which is edited in Info Select | An TXT or RTF document stored in C:\My Documents folder, or a digital photo stored in My Pictures folder.
2_Type12.gif (366 bytes) | Attachment | Info Select data attached to an e-mail message | A database to be included with an e-mail message.
2_Type13.png (168 bytes) | Selector Attachment | External file stored in the Info Select | A Word document.
 | File Manager | A method of viewing and managing files from Info Select | A view of a file directory containing all files associated with a specific project.
 | Form | Loosely structured data in fields | A place to enter names and addresses, invoices, etc. Records can be moved away from each other.
 | Database | Tightly structured data in fields | A place to enter names and addresses, invoices, etc. Records must remain with each other.
 | Record | One entry in a database | John Smith's address in an address database.
 | Grid | Structured data in rows and columns | An inventory listing showing location, quantity, and value.
 | Data Source | A view of an external database | A view of a table from an external order-entry database.
 | Report | A layout for a database report | A layout for a printout showing the item descriptions in an inventory database.
2_Type19.png (200 bytes) | Text Field | A text entry field on a form or database | Last Name in an address data base.
2_Type17.png (216 bytes) | Numeric Field | A numeric entry field on a form or database | Quantity In Stock in an inventory database.
2_Type16.png (200 bytes) | Date Field | A date entry field on a form or database | When Purchased in a purchasing database.
2_Type15.png (232 bytes) | Currency Field | A currency entry field on a form or database | Value Each in an inventory database.
2_Type14.png (168 bytes) | Combo Field | A field containing pre-defined values | A list of units in an inventory database (Pieces, Packs, Gallons, etc.)
 | Check Field | A checkmark field that can be checked or unchecked | An field in an inventory database indicating that the item was purchased.
 | Universal field | A field which can contain values of any type | This field type appears only in Workspace Grids when you are changing the Cell format. Created automatically by Info Select.
 | Main Calendar | Personal event scheduler | Your main Calendar where you store personal events, birthdays, etc.
 | Calendar | Event scheduler | Calendar for the R&D department.
 | Calendar Task | A view of the Calendar appointment in the Selector | An appointment to visit the dentist on 12/15/2003 from 2.00 PM to 3.00 PM.
 | E-mail Message | Internet message | A message to John Smith.
18_sent_eml.png (169 bytes) | Sent E-mail Message | An Internet message that was sent | A sent message to John Smith.
 | HTML E-mail Message | Internet email message in HTML format | A message to John Smith in HTML format - HTML messages can appear like web pages.
 | Sent HTML E-mail Message | An Internet message in HTML format that was sent | A sent HTML message to John Smith.
 | E-mail Delivery | A place where e-mail is delivered and stored | johnsmith@company.com. Messages from Mr. Smith will automatically be placed into his Delivery.
 | Group Delivery | An item storing a list of recipients for a large e-mailing | An e-mail distribution list for announcing a new product or service to your customers.
 | E-mail Filter | A place where e-mail is automatically sorted | A place to collect all messages where the Subject contains "brochure request".
2_Type18.png (232 bytes) | Newsgroup | A place where newsgroup articles are stored | News about Hi-Tech toys - alt.toys.hi-tech
 | OLE | A link to data created in another application | A CAD drawing stored in Info Select along with related notes.
 | Recycle Bin | A place to store data that you are not ready to fully delete. | Finished tasks for the Alpha project.
 | Web Page | A bookmark and viewer for a specific web address | A view of www.miclog.com inside Info Select.
 | Image | A bit map image | A picture of a new device scanned from a magazine.

Additional icons that modify the meaning of the basic types of data are:

Icon | Description
 | Read-Only - cannot be edited currently
read_only_file.png (285 bytes) | Non-accessible File - Info Select can't find the file or the attributes for the file are set to Read-Only by the operating system.
 | A Shared File is available for editing
 | Item is pinned-up in a fixed window
 | Item appears on the Template menu
 | Default Template - a model for new items
 | Search Barrier - will be ignored in a search
 | Todo item or unread e-mail or unread news article
 | Checkmark item
 | Linked item - an item which is linked to another item or Calendar task
2_Type25.png (312 bytes) | Selector Tickler - a tickler listed in the Selector
 | Selector Alarm - an item in the Calendar which recently became active
2_Type23.png (232 bytes) | Auto Sorted topic
 | Show Field (Record) view - click this icon to switch between the Field and Record views of the Database or Grid (appears when Database or Grid is expanded).
 | A Grid that stores entries from your E-mail Address Book.
 | Calendar synchronized with Palm - a Calendar that is synchronized with the Date Book on Palm Organizer (appears when Info Select for Palm 2 is installed).
 | Palm Address Book - a Grid item which is synchronized with the Address Book on Palm Organizer (appears when Info Select for Palm 2 is installed).
 | Delivery confirmation - Indicates that an incoming message requested confirmation of delivery. A confirmation message will automatically be mailed to the sender.
2_Type11.gif (130 bytes) | Encrypted message - Indicates that the e-mail message is encrypted.
 | Encrypted message that was not automatically decrypted by Info Select - Indicates that the e-mail message was not decrypted automatically. Choose File | Decrypt to decrypt the message.
2_Type29.png (184 bytes) | Form reply - Indicates that the note is used as a Form Reply for e-mail.
2_Type21.png (168 bytes) | Shortcut - a shortcut to another item or a file on disk.
2_Type24.png (408 bytes) | Selector Ticklers topic - contains Selector Ticklers. Created automatically by Info Select.
2_Type27.png (280 bytes) | Inbox - a topic which accumulates all new e-mail messages if there is no Delivery for the e-mail sender. Created automatically by Info Select.
2_Type28.png (264 bytes) | Sent Items - a topic which accumulates sent e-mail messages if using the E-mail | Send command. Created automatically by Info Select.
2_Type31.png (232 bytes) | Syncbase - a topic used for synchronizing data with a handheld device or another PC
2_Type30.png (440 bytes) | Workgroup syncbase - a topic used for Synchronization for data sharing across a local area network.

Don't be concerned about remembering all the icons - you can determine the meaning of any icon simply by pointing to the icon with the mouse cursor. After a brief delay, a tool tip will explain the meaning.

tip.png (168 bytes) Tip: Click on any icon above to learn more about the icon's meaning.


Tutorial

General Tutorial

The following tutorial will help you get started using Info Select. This tutorial is for both new users and those upgrading from an earlier version of Info Select. Before trying each step, bring focus to Info Select.

Toolbar and Selector

[:] Determine the function of the toolbar buttons:

  1. Point the mouse cursor to a toolbar button.
  2. A short description of the button will appear under the pointer. These tips are often called Tooltips or Hovertips.

The Selector is the area on the left side of the application window. The Selector provides a summary listing of your information. You will often want to change the width of the Selector for optimum viewing.

[:] Change the width of the Selector:

  1. Using your mouse, move the pointer so it is directly over the line that separates the Selector from the Workspace. You should see the mouse pointer change into a double-arrow.
  2. Click and hold down the left mouse button and drag the mouse either left or right.
  3. Release the mouse button at the desired position.

Also you can use Alt+1, Alt+2 or Alt+3 to minimize, normalize or maximize the Selector width.

Notes and Topics

A Note is an item used for entering free-form text and doing basic word processing. Notes appear in the Selector with a white page icon [image].

[:] Create a Note:

  1. In the Selector, highlight the Overview by clicking it once. New items you create are placed below the item highlighted in Selector.
  2. Choose Insert | Note. In the Selector the cursor will blink next to the Note icon [image].
  3. Create a caption for the new Note by typing the name "John Smith". Then press ENTER. You will notice the cursor blinking in the Workspace. The Workspace is where you enter information for the body of the Note.
  4. Type "Sent package Fed-X on Tuesday".
  5. Press ESC to finish editing.

Line Notes can be used to create brief one line notes.

[:] Create a one-line Note about a memo you need to write:

  1. Choose Insert | Line Note. The cursor will be blinking next to the triangle icon [image] in the Selector.
  2. Type "Write memo to John Smith" and press ESC.

Topics are used to organize your data.

[:] Create a Topic for your notes on Harry:

  1. Choose Insert | Topic. The cursor will be blinking next to the triangle icon [image] in the Selector.
  2. Type "Harry" and press ESC.

The lines of text in the Selector are called captions. Captions are titles for your information. You can change captions at any time.

[:] Change the caption of the Note about John Smith:

  1. Select the Note by clicking the caption of the "John Smith" Note you just created.
  2. Press F2. Notice the cursor is blinking in front of the J.
  3. Edit the caption by typing "Client: ". Your caption should now read "Client: John Smith".
  4. Press ESC to finish editing.

You can make a duplicate copy of any item in Info Select.

[:] Duplicate the one-line Note in the Selector:

  1. In the Selector, click the Topic "Write memo to John Smith".
  2. Choose Edit | Copy to copy the Topic to the clipboard.
  3. Choose Edit | Paste to copy the clipboard to the Selector.

You can delete an item you no longer need.

[:] Delete the duplicate you just made:

  1. Highlight the duplicate Topic in the Selector by clicking it once.
  2. Press the DELETE key. A confirmation dialog will appear. Press ENTER or click YES to confirm the deletion.

You can expand or collapse a Topic to view or hide its contents. When you expand a Topic the triangle will point down [image] and below the Topic you will see the contents of that Topic. When you collapse a Topic, the triangle will point to the right [image] and the contents will be hidden. Although the contents are hidden, they are still retained in memory and in the Topic. If you delete a collapsed Topic, you automatically delete the items it contains.

[:] Expand or collapse the Quick Start Topic:

  1. In the Selector, click the Quick Start Topic triangle icon.

Word Processing

You can use Info Select as your main word processor. In contrast to specialized word processors, you don't have to create a separate file for each document. Instead, all the documents can be managed within the same file. Use the high-speed Search feature to search all the related documents. Info Select provides the same editing features found in standard Windows applications. Click here to learn more about word processing.

Searching

You can quickly search for any text in your data.

[:] Search for "John S":

  1. Choose Tools | Search or press F5. The Search dialog box appears. In the dialog box you will see several squares. Each square represents one item of information in the Selector.
  2. In the key box type "John S". As you type your search criteria, notice how some squares disappear or change color. As you type, Info Select is searching through your information. When you are finished typing, press ENTER or click OK.
  3. The "Filter" is now active - filtering and displaying only items that contain “John S”. All your information is still in memory, but everything else is hidden. Only the items containing "John S" will be listed in the Selector. Notice that the Filter toolbar button has turned red [image] as a reminder that you are viewing only filtered items. Also in the status bar at the bottom of the screen next to the date, FILT is displayed (when the filter is not active ALL is shown).
  4. Press the DOWN ARROW key to browse through the filtered items.

After viewing the search results, you will want to deactivate the filter and display all your information again.

[:] Deactivate the search filter and view all data:

  1. Choose View | View All Items (F4).

Use Topics to organize your information (e.g., "Things to purchase", "Hot Items", etc.).

[:] Create a "Hot Items" Topic to classify your data:

  1. In the Selector, click once on Overview to highlight it.
  2. Choose Insert | Topic. You will see a flashing caret in the Selector.
  3. Type "Hot Items".
  4. Press ESC to finish editing.

You can move and organize items in the Selector by dragging items with your mouse.

[:] Move the two items created previously into the new "Hot Items" Topic:

  1. Using your mouse, click on "Write memo to John Smith" and hold down the mouse button.
  2. Move the mouse pointer so the two triangle markers are directly at the "Hot Items" Topic. The markers determine where the item will be placed when you release the mouse button. If the markers are directly at a Topic, the item will be moved into that Topic.
  3. Release the mouse button. This will place the item into the “Hot Items” Topic. The item disappears from the Selector.
  4. Repeat for "Client: John Smith".

You can verify that the moved items are still available for viewing.

[:] View your "Hot items": View your "Hot items":

  1. In the Selector, double-click on “Hot Items” to view the items you just moved into the Topic.

Calendar

You can use the Calendar feature to schedule and view your appointments. The Calendar has two sections - the Daily view and the Monthly or Weekly view. The Monthly or Weekly view appears in the top portion of the Calendar and the Daily view at the bottom. The views are separated by a movable line, which enables you to increase or decrease the size of the views. When the Calendar is invoked from the toolbar button, you can resize the entire calendar by dragging the corners. You can move the Calendar by dragging its title bar.

[:] Schedule a staff meeting:

  1. Click on the Calendar [image] toolbar button. The Calendar will now be displayed.
  2. Select the last day of the month by clicking that day in the Month view.
  3. Double-click in the 10:00 am time slot in the Day view.
  4. Type "Staff meeting" and press the ENTER or ESC key.
  5. For more options, move your pointer over the boxes to the left of the appointment and read the descriptions.
  6. Press DELETE to remove the entry.
  7. Click the Close [image] button in the upper right corner of the Calendar to close the Calendar.

Database

Databases are used for storing information like names and addresses in a consistent format. Each entry in a Database is a Record and each part of a record is a field. A sample Name & Address Database is supplied with Info Select.

[:] Enter data into the Name & Address Database:

  1. In Supplied Topics, expand the Name & Address Database by clicking on the triangle icon. The triangle should point down. You will see the Database form in the Workspace.
  2. You should see an indented tri-colored bar [image] below the Database representing the first Record of the Database. If you see a list of the field names instead, double-click on the first field. You are now in the Record view, which shows all the Records in your Database.
  3. Click once on a Record to select it.
  4. If the form in the Workspace doesn't fit your screen, drag the bar separating the Selector and the Workspace to the left with your mouse. If the form still doesn't fit, select a smaller font size -- Tools | Options | Font | Fields, Shortcuts.
  5. Click in the first field (Sal) in the Workspace and fill in your own name and address, using the TAB key to move between fields. (The "Sal" field stands for salutation and is used for Mr., Mrs, etc.) Each field is a separate box in the Workspace. When you are finished, press the ESC key to finish editing.

To add additional name and address Records, select the Name & Address Database by highlighting it, then select Insert | Database | Record or press the R key. Databases have two views -- Field view and Record view. Record view lists all your records in the Selector underneath the Database. Field view allows you to rename, delete and add fields to your Database, in addition to changing the order in which information is added to fields. When you select a field in the Selector, it is also selected in the Workspace.

[:] Change the Name & Address Database between Record and Field views:

  1. In the Selector double-click one of the records or fields of the Database.

When a field is selected, its right-hand edge will be highlighted in the Workspace. You can move and resize fields according to your preferences.

[:] Move the Title field underneath the City field (then put it back):

  1. In the Workspace, click the Title field, hold down your mouse and drag the colored right edge of the Title field and position it under the City field.
  2. Widen the Title field by positioning the mouse pointer at the far left or far right edge and dragging.
  3. Resize the Title field to its original width in the same manner.
  4. Drag the Title field back to its original position.

Save your data

Data is saved automatically with the Auto-Save feature, which is enabled by default. Data is also saved automatically when you close Info Select. You can also manually ensure that changes to your data are saved to disk at any time.

[:] Save your changes manually:

  1. Choose File | Save.

In the Selector there are several items listed under Overview. These items are designed to help you learn Info Select and organize your data. You can browse through these items to see what Info Select can do for you. Although it is recommended that you leave most of these sample items in place, you can use, delete, change, or add to them if you wish.

You can now begin entering your own data, such as Notes taken during phone calls, ideas as they come to you, Notes from your desk, reminders, and all your other daily information. Also, begin using Info Select in place of your word processor for simple documents - the powerful search and organizing features make this easy and worthwhile.


Common tasks

This section offers a quick reference to common daily uses of Info Select, enabling you to begin using Info Select immediately. Remember, the left portion of the screen is called the Selector and the right portion is called the Workspace. If the main screen area is not divided into a left and right pane, press ALT+2. First press the ESC key to clear any command you may have tried previously.

[:] You are on an important phone call and want to jot down notes:

  1. Create a new Note by choosing Insert | Note ( F7). A Note icon [image] appears in the Selector.
  2. Specify a title for the Note by typing the name of the person.
  3. Prepare to type the body of your Note by pressing ENTER. The flashing caret appears in the right part of the screen.
  4. Record your conversation by typing Notes while you talk.
  5. When finished editing press ESC.

[:] You think of a great idea and want to record it:

  1. Create a line in the Selector by choosing Insert | Topic ( F11). A tri ( F11). A triangle icon [image] appears in the Selector.
  2. Record your idea by typing it in.
  3. When finished editing press ESC.

[:] You need to make a “To-Do” list:

  1. Create a Topic by choosing Insert | Topic. A triangle icon [image] appears in the Selector.
  2. Name the Topic by typing "To-Do" (without the quotes) and press ESC.
  3. Prepare to enter data in the “To-Do” Topic by pressing the SPACEBAR. The triangle now points down [image].
  4. Create a “To-Do” item by choosing Insert | Topic.
  5. Type a description of your first “To-Do” item and press ESC.
  6. Right-click on the "To-Do" item and choose Todo item from the pop-up menu.
  7. Repeat steps 4 - 6 for each “To-Do” item.
  8. Hide the details of the “To-Do” list by double-clicking the main "To-Do" topic to collapse it.

[:] Someone just called and you want to find all your Notes on that person:

  1. Bring up the Search dialog box by pressing F5.
  2. In the key box, type the person's name and press ENTER. Only items referencing that person appear in the Selector - the search filter is now active.
  3. Browse through the found items using the UP and DOWN Arrow keys.
  4. Leave the search filter by choosing View | View all Items.

[:] You need to call someone tomorrow at 3pm:

  1. Click on the Calendar [image] toolbar button.
  2. Select the date by clicking on the desired day in the Month or Week view (upper portion of the calendar).
  3. Select the time by double-clicking on the 3pm time slot in the Day view (lower portion of the calendar).
  4. Specify who you need to call and press ENTER.
  5. Close the Calendar by clicking the [image] in the upper right corner.

[:] You want to group all your data on Project X together:

  1. Create a new Topic by choosing Insert | Topic.
  2. Type "Project X" and press ENTER.
  3. Place all your Project X data in the Project X Topic by dragging those items in the Selector into the Project X Topic.
  4. Show the items in Project X by double-clicking on Project X to expand the Topic.

[:] You need to write a business letter:

  1. Choose Template | Letter. A letter template appears. (You can customize this template later.)
  2. Edit and add any information you need to create the letter.
  3. Print the letter by choosing File | Print....

Following are some common tasks in a more generalized format:

[:] Show or hide the items in a category:

  1. Double-click on the item.

[:] Change the order of listed items :

  1. Drag the items into the desired order or use the ALT+UP/DOWN Arrows.

[:] View a listed Note:

  1. Click on the desired caption next to the Note icon [image] in the listing.

[:] Change a caption in the Selector list:

  1. Click on the caption.
  2. Press F2.
  3. Edit the caption and press ENTER

[:] Delete a listed item:

  1. Click on the item in the listing.
  2. Press the DELETE key.

[:] Save your data:

  1. Choose File | Save.

The above are just a few examples of what you can do with Info Select.


Protect Your Data

important.png (152 bytes) IMPORTANT: Since you will store valuable information in Info Select, you must protect your work by making frequent backups to removable media (e.g. floppy disks, zip disks, CDs, tape, etc). No computer system is 100% perfect - eventually something will fail and you won't want to lose the data you worked hard to gather, enter, and organize. Countless inexperienced computer users neglect the extra step of making backups because they have never had a major problem before. Don't wait till your first major loss to learn the lesson experienced users know - that frequent backups are essential.

How often to backup

There is no hard rule about how often to backup except the following. If you are willing to lose up to a day of data you should backup daily. If you are willing to lose up to a week of data you should backup weekly. And so forth.

How to backup data

The best way to backup your data is using a specialized backup utility product or the backup utility that comes with your operating system. Alternatively you can use Explorer to copy the changed .wd2 Files in the \Program Files\Info Select subdirectory (and any other directories where you place data) to removable media. Also copy files listed under Files affected during operation. See your Windows Users Guide for further details on making backups. Be sure you are backing up the proper files and have not missed any.

There are also powerful backup features built into Info Select but they are not optimized for removable media.

Test your backups

You may think you backed up your data - but did you really? Test to make sure your backup is working by restoring to another computer.

Restoring data from a backup

For information on restoring data from a backup see copying data files from a diskette .

Auto Save

For additional data security keep the Auto-Save feature enabled and use the File | Save (CTRL+S) command frequently.

Automatic Power Failure and System Crash protection

To have Info Select automatically save newly entered data in most situations enable Tools | Options | Saving | Allow automatic data recovery after power failure & system crash. In case of system crash or power failure your recently entered data will be recovered.


Initial Data You Can Enter

If you want to experience what Info Select can do for you, it's important to enter 25-50 items of your own. Collect your information and enter each item as a separate Note or Topic. Enter notes from your desk, data from business cards, addresses from a Rolodex, “To-Do” lists, notes in file folders, or anything else you can think of. Later, you will learn how to import data from other programs into Info Select. If you do not have the time to practice, begin by entering any new information you come across. Make Notes during phone calls, jot down ideas as they occur, enter reminders, or any other thoughts you might have. The more you enter, the more you will see the value of Info Select.

You can now keep all your daily information in one place - Info Select.


Help menu

The Help Menu

There are several features located on the Help menu that provide:

  • Detailed instructions on how to use Info Select
  • Daily tips on using Info Select
  • A link to the Micro Logic web site where you can find the latest news, product information, updates and more.
  • A Startup Guide for new users.

[:] To use the Startup Guide:

  1. Choose Help | Startup Guide....
  2. Select a task from the list by clicking it. The procedure for accomplishing the task is displayed in the bottom portion of the dialog box.

If you do not want to use the Startup Guide check the box Don’t show again.

The Help documentation for Info Select offers a comprehensive guide to successful operation of the many features.

[:] To use the help documentation:

  1. Choose Help | Contents....
  2. Click the Contents tab.
  3. Expand a section by double-clicking on a book icon. It may be necessary to expand additional levels to find the information you want.
  4. Double-click the item when you find the topic icon relating to a desired function. Click underlined words to jump to the related help section.

The Help Files will be displayed on your screen. You can navigate through the Help using the main menu commands across the top, the Contents, Index and Find buttons, and the Back button, which will take you back to the previous screen. You can print the Help File you are viewing by clicking the Print button. The arrow buttons allow you to move forward and back through the Help. The Options button allows you to print a Help item, change the font, set the system colors and more. Click Micro Logic button to be taken directly to Micro Logic website. Click Troubleshooting button to open the Troubleshooting section.

Additional Help features

To print the Help, in the left pane of the help screen select the topic you want to print or the root topic at the top. Click the Print button.

Info Select can provide you with a helpful tip each time you start the application. To active the tip-of-the-day feature choose Help | Tip of the Day and check Show on startup.

You can view a summary of the features that have been added or enhanced in the new version of Info Select. Simply choose Help | What's New.

Micro Logic offers a version of Info Select for Palm hand-held devices. Palm data can be synchronized with your desktop or other Palm units. If you purchased Info Select for Palm you can access its Help by choosing Help | Palm Organizer.

Info Select is activated by a password provided through the miclog.com web site or on a label affixed to a CD. To view the status of your password or enter or change your password choose Help | Activation....

You can display information about the version of Info Select and additional information. Choose Help | About Info Select.... Click More Product s... to view other products on the Micro Logic web site. The Technical... button displays information about Info Select, your operating system, screen resolution, color scheme, free memory, amount of RAM installed on your system, and how much free space is available on your hard drive.

You can set Info Select to automatically check the Micro Logic web site for the updated help file. Check Tools | Options | Update | Check Micro Logic site for updated file to have Info Select automatically check for the updated help file each time you start the application. If the help file is updated, then Info Select will prompt you to download the file.


What's New

Many new capabilities have been added in this version of Info Select. (For general Micro Logic news click here.)

Highlights
One-click tickler toolbar

This feature changes the way tasks are connected to time. The Tickler Bar allows to create Ticklers for any item in a single click. After selecting an item a single click moves the item out of view until the specified date. On the specified date the item reappears. The Tickler Bar makes it far more convenient to manage actions by time as it eliminates the several steps involved in showing and using the full Calendar feature.

For example, use the Tickler bar to quickly set a Tickler for a:

  • Person you need to call on a specific date
  • Email message you need to send on a specific date
  • Gift you need to get for a client on a certain holiday.

Better support for HTML e-mail

The new Info Select 8 includes full support for HTML e-mail including CSS Style sheets, images, complex formatting and so on. You can compose an HTML e-mail message in Info Select or use an external HTML file. You can create a template for the HTML e-mail message in any HTML editor and then use it for creating new HTML messages in Info Select.

Use HTML e-mail message when you need to:

  • Retain the colors and font style of the e-mail text
  • Send attractive email messages for presentation or promotion
  • Include such features as tables in an email message.
Line drawings

The new version 8 allows to create graphical drawings directly - diagrams, sketches, graphical ideas, local street maps, etc. You can mark arrows on images or circle messages in captured computer screen images. Once a graphic is created it can be organized in outline form with related information, printed, or emailed.

Improved word processing

Info Select allows many word processing functions to benefit from the product's outlining and searching capability. Version 8 adds bullets, subscripts, superscripts, and yellow highlighting (or any color).

Improved image editing features

You can edit images stored in Info Select by adding free form lines or text, resizing and compressing them, or even drawing your own images. These features can be used to:

  • Add descriptive text to images
  • Modify or retouch images
  • Make an image fit a document layout
  • Make several images the same size
  • Enlarge a small image.
  • Reduce the storage size of an image
  • Create quick loading web pages
  • Allow new applications of Info Select such as real-estate and people tracking

Divider lines

Divider lines provide a simple way to insert a horizontal line to mentally separate two or more sections of data without creating another outline level. Divider lines can be used to separate personal data from business, low price from high price, one project from another, etc.

Subscripts & superscripts

Subscripts and Superscripts are now supported in Info Select Notes.

Use this feature to:

  • Enter chemical formulas
  • Enter math formulas
  • Create footnotes.

Highlighting of text

You can highlight text in Info Select 8 Notes with different background colors. For example:

  • Highlight important sentences
  • Markup a document
  • Highlight spelling errors.

Automatic data recovery

Info Select 8 protects your data better during power failures and system crashes, will automatically remind you to backup your data, and in case of accidental data loss will try to help you restore your data.

Editing files on disk

You can use Info Select 8 to edit data files stored on your hard disk. Simply open the file in Info Select, make the necessary changes and save the file.

For example, use this feature to:

  • Edit a batch file directly without importing and exporting
  • Edit RTF documents storing on disk without importing them into Info Select
  • Enter data into a DBF database file
  • Add descriptive text to digital photos stored on disk.

The following file types are supported: Plain Text (TXT), Rich Text Format (RTF), DBASE III (DBF), Comma-separated and Tab-separated files (CSV), Image files (JPG, PNG, BMP, GIF, WMF).

Improved storing of data

With version 8 you can store File Attachments separately from your WD2 data files. This decreases the size of your WD2 data files and speeds up Info Select.

For example, use this feature when you:

  • Receive a large amount of e-mail attachments

  • Store many images in Info Select

  • Use File Attachments for storing external data in Info Select.

SPAM filter

The email Filter now allows to filter SPAM messages based on word repetitions in the e-mail text. For example, you can set the E-mail Filter to delete all messages where the word "Free" repeats more than 3 times.

Viewing E-mails in columns

You can view e-mail messages in column form. You will see the e-mail sender, recipient, subject and delivery date and time. You can sort the messages by any Grid column.

Use this feature:

  • If you are accustomed to viewing your e-mail messages in column format.
  • If you don't use Deliveries to sort incoming messages.

Improved e-mail filters

Improved email Filters now allow Boolean filtering and are able to process HTML e-mail messages. Use the improved Filters to:

  • Accumulate all message that are sent by John Smith, Andrew Smith and Mary Smith into one project folder
  • Collect returned messages from a mailing list
  • Delete specific SPAM messages.

Import Calendar and Notes from MS Outlook

Info Select 8 allows to import the Calendar and Notes from MS Outlook in a few mouse clicks. For example, you can use this feature if you want to switch from using MS Outlook to Info Select without loosing data stored in Outlook.

Import from Eudora

You can now import e-mail messages from Eudora allowing you to centralize all your information in one place and move your old messages over to Info Select. E-mail is ideal in Info Select as you can organize your e-mail along with other data that relates and search thru your email instantly.

Automatic PGP encryption

Info Select 8 allows to automatically encrypt and decrypt e-mail messages using PGP. For example:

  • Encrypt correspondence about an important project.
  • Sign your messages with a digital signature.
  • Gain the added security of public key encryption.

E-mail activity report

You can now view a graphical summary of email activity for a particular person. The summary shows the number of messages received and sent by day. For example:

  • See whether a person is in frequent or rare communication with you.
  • See which clients or vendors are most active
  • Determine whether a person replies to most of your messages.

Relational database capability

A limited relational database capability provides a Combo Box field as a Lookup Field for another Database. For example:

  • Automatically insert the Last Names of your Contacts (listed in your Contacts Database) into the Last Names Combo field of a shipment tracking Database
  • Automatically insert Part Numbers listed in your Stock database into an Order form.

Bar charts

Now you can create a Bar Chart based on numbers stored in a Workspace Grid.

A Bar Chart can help you to:

  • visually compare sales by month
  • visually compare scientific values
  • create presentations.

Improved Search Feature

The Search feature now highlights all matching words in a document regardless of search type. For example, the search will now highlight all matching words in a Boolean query, a Neural search, or Font type search. (Previous versions highlighted only the first word.) You can search for information in Web Page items, HTML e-mail messages, File Managers and File Attachments. You can control which types of data should be searched. For example, you can search only Notes, E-mail messages and Databases / Grids. You can also specify whether Info Select should search in Subtopics, Deliveries, Syncbases, etc.

With the improved Search feature you can search for:

  • All Notes and E-mail messages that contain information about John Smith

  • All File Attachments that are larger than 100 KB

  • All E-mail messages from John Smith that are located in E-mail Filters

  • All Web Page items that contain information about new antivirus applications

  • All File Manager items having a file of a specific name.

Alarming to-do items

In the Calendar you can specify to add an item to the Selector instead of sounding an alarm.

For example, use this feature to:

  • Automatically add an item to your todo list at a certain time and date

  • Be informed of events without the interruption of an alarm

  • Add recurring todo items to a todo list.

Multi-day calendar events

An improved Calendar allows you to create events which last several days. Such events can be used to:

  • Schedule a vacation (especially when sharing the Calendar with co-workers)
  • Plan a project which lasts several days
  • Schedule a conference which lasts a week

Improved event management in the Calendar

A convenient Task Properties dialog allows to easily adjust the properties of any Calendar event. In a few clicks you can:

  • Modify the starting and ending time of an event
  • Extend an event to several days
  • Change the alarm properties of an event.

Improved Help

The Help documentation has been improved. Many tips and troubleshooters were added.

Hundreds of improvements

Hundreds of smaller features have been enhanced. Info Select version 8:

  • automatically re-tries sending and receiving e-mail when a connection is broken
  • prints, exports or sends the e-mail Address Book
  • allows separate greeting and ending text for each person you email
  • automatically updates your help file
  • automatically backs up the program settings each time you make changes and restores them in one click
  • offers easy wizards to setup network data sharing or make a database
  • retains formatting of items synchronized with Info Select for Palm
  • can search within the current Search Filter
  • prevents Topics and Deliveries from overflowing
  • offers a Divider element to visually group items in the Selector
  • allows for recurring events on "last day of month" (e.g last thursday)
  • allows drop-down selection of your "From" address (when you have multiple e-mail accounts)
  • allows adjustment of cell formatting in Grids
  • allows to add words to the spell-check dictionary by right-clicking
  • allows to set captions for Web Page items
  • improves the Selector Grid
  • improves the main menu structure
  • adds helpful tips to the Tools | Options dialog
  • allows a Checkbox field in Forms and Databases


What's New

Many new capabilities have been added in this version of Info Select. (For general Micro Logic news click here.)

Highlights
Automatic data recovery

Info Select 8 protects your data better during power failures and system crashes, will automatically remind you to backup your data, and in case of accidental data loss will help you to resolve the problem and restore your data.

Editing files on disk

You can use Info Select 8 to edit data files stored on your hard disk. Simply open the file in Info Select, make the necessary changes and save the file.

For example, use this feature to:

  • Edit a batch file directly without importing and exporting
  • Edit the RTF documents storing on disk without importing them into Info Select
  • Use Info Select for entering data into the DBF database stored on hard disk.
  • Add descriptive text to your digital photos.

The following file types are supported: Plain Text (TXT), Rich Text Format (RTF), DBASE III (DBF), Comma-separated and Tab-separated files (CSV), Image files (JPG, PNG, BMP, GIF, WMF).

Improved storing of data

With version 8 you can store File Attachments separately from your WD2 data files. This decreases the size of your data files and speeds up Info Select.

For example, use this feature when you:

  • Receive a large amount of e-mail attachments

  • Store many images in your Info Select database

  • Use File Attachments for storing external data in Info Select.

SPAM filter

The email Filter now allows to filter SPAM messages based on word repetitions in the e-mail text. For example, you can set the E-mail Filter to delete all messages where the word "Free" repeats more than 3 times.

Viewing E-mails as Selector Grid

You can view the e-mail messages in a Delivery, E-mail Filter or Inbox as a Selector Grid. The columns of such grid display the e-mail sender, recipient, subject, delivery date and time. You can easily sort the messages by any Grid column.

Use this feature:

  • If you are used to view your e-mail messages as a Grid.
  • If you don't use Deliveries to sort incoming messages.

Better support for HTML e-mail

The new Info Select 8 includes full support for HTML e-mail including CSS Style sheets, images, complex formatting and so on. You can compose HTML e-mail message in Info Select or use an external HTML file. You can create a template for the HTML e-mail message in any HTML editor and then use it for creating new HTML messages in Info Select.

Use HTML e-mail message when you need to:

  • Retain the colors and font style of the e-mail text
  • Send attractive email messages for presentation or promotion
  • Include such features as tables in an email message.

Improved image editing features

You can edit the images stored in Info Select by adding the free form lines or text, resizing and compressing them, or even drawing your own images. These features can be used to:

  • Add descriptive text to images
  • Emphasize the important image details by circling them
  • Modify or retouch images
  • Create a simple drawing to insert into a Note
  • Draw driving directions to e-mail to an associate
  • Draw a product idea for discussion by email
  • Markup an existing image such as circling a key section
  • Make an image fit a document layout
  • Make several images the same size
  • To enlarge a small image.
  • Reduce the storage size of an image
  • Save disk space occupied by images
  • Create quick loading web pages
  • Allow for broader use of images, such as for real-estate and people tracking, but substantially reducing the storage size

Subscripts & superscripts

The Subscripts and Superscripts are now supported in Info Select Notes.

Use this feature:

  • To enter a chemical formula
  • To enter a math formula
  • To create a footnote.

Highlighting of text

You can highlight text in Info Select 8 Notes with different colors. For example, you can use this feature to:

  • Highlight the important sentences with bright colors
  • Markup the document
  • Highlight spelling errors.

Improved e-mail filters

The improved email Filters now allow boolean filtering and are able to process HTML e-mail messages. Use the improved Filters to:

  • Accumulate all message that are sent by John Smith, Andrew Smith and Mary Smith into one project folder
  • Collect returned messages from a mailing list
  • Delete specific SPAM messages.

Import Calendar and Notes from MS Outlook

Info Select 8 allows to import the Calendar and Notes from MS Outlook in a few mouse clicks. For example, you can use this feature if you want to switch from using MS Outlook to Info Select without loosing data stored in Outlook.

Import from Eudora

You can now import e-mail messages from Eudora allowing you to centralize all your information in one place and move your old messages over to Info Select. E-mail is ideal in Info Select as you can organize your e-mail along with other data that relates and search thru your email and data lightning fast.

Automatic PGP encryption

Now Info Select allows to automatically encrypt and decrypt e-mail messages using PGP. For example, use this feature:

  • Encrypt correspondence about an important project.
  • Sign your messages with a digital signature.
  • Gain the added security of public key encryption.

E-mail activity report

The improved email Delivery can now display a graphical summary of activity showing the number of messages received and sent by day. For example, use this feature to:

  • See whether a person is in frequent or rare communication with you.
  • See which clients or vendors are most active
  • Determine whether a person replies to most of your messages.

Improved word processing

Word processing capabilities were significantly improved. Now you can insert Bullets and Numbering into Info Select Notes, use Subscripts and Superscripts, highlight portions of text with different background colors (like a yellow highlighter pen), use hanging indents and full justification of text. A new context toolbar contains word processing buttons

Relational database capability

A limited relational database capability was added in version 8. Now you can use any Combo Box field as a Lookup Field for another Database. For example, use this feature to:

  • Automatically insert the Last Names of your Contacts (listed in your Contacts Database) into the Last Names Combo field of a shipment tracking Database
  • To automatically insert Part Numbers listed in your Stock database into a Order form.

Bar charts

Now you can create a Bar Chart based on numbers stored in the Workspace Grid.

A Bar Chart can help you to:

  • visually compare sales by month
  • visually compare scientific values
  • create presentations.

Tickler Toolbar

A special Tickler Bar allows to create Ticklers for Selector items in a single click. Simply highlight an item in the Selector and click on the appropriate column in the Tickler bar. The item will move out of sight into a special Tickler Topic and reappear at the selected date. This new feature makes it far more convenient to manage actions by time as it bypasses several steps of showing and using the full Calendar feature.

For example, use a Tickler bar to quickly set Tickler for a:

  • Person you need to call on a specific date
  • Email message you need to send on a specific date
  • Gift you need to get for a client on a holiday.

Improved Search Feature

The Search feature now highlights all matching words in a document regardless of search type. For example, the search will now highlight all matching words in a Boolean query, a Neural search, or Font type search. (Previous versions highlighted only the first word for such search types.) You can search for information in Web Page items, HTML e-mail messages, File Managers and File Attachments. You can control which types of data should be searched. For example, you can search only Notes, E-mail messages and Databases / Grids. You can also specify whether Info Select should search in Subtopics, Deliveries, Syncbases, etc.

With the improved Search feature you can search for:

  • All Notes and E-mail messages that contain information about John Smith

  • All File Attachments that are larger than 100 KB

  • All E-mail messages from John Smith that are located in E-mail Filters

  • All Web Page items that contain information about new antivirus applications

  • All File Manager items having a file of a specific name.

Alarming to-do items

In the Calendar you can specify to add an item to the Selector instead of sounding an alarm.

For example, use this feature:

  • To automatically add an item to your todo list at a certain time and date

  • To be informed of events without the interruption of an alarm

  • To add recurring todo items to a todo list.

Multi-day calendar events

With the improved Calendar you can create events which last several days. Such events can be used to:

  • Schedule a vacation (especially when sharing the Calendar with co-workers)
  • Plan a project which lasts several days
  • Schedule a conference which lasts a week

Improved event management in the Calendar

The convenient Task Properties dialog allows to easily adjust the properties of any Calendar event. In a few clicks you can:

  • Modify the starting and ending time of event
  • Extend the event to several days
  • Change the alarm properties of the event.

Improved Help

The Help documentation has been improved. Many tips and troubleshooters were added.

Hundreds of improvements

Hundreds of smaller features have been enhanced.

Info Select version 8:

  • automatically re-tries sending and receiving e-mail when a connection is broken
  • prints, exports or sends the e-mail Address Book
  • allows separate greeting and ending text for each person you email
  • automatically updates your help file
  • automatically backs up the program settings each time you make changes and restores them in one click
  • offers easy wizards to setup network data sharing or make a database
  • retains formatting of items synchronized with Info Select for Palm
  • can search within the current Search Filter
  • prevents Topics and Deliveries from overflowing
  • offers a Divider element to visually group items in the Selector
  • allows for recurring events on "last day of month" (e.g last thursday)
  • allows drop-down selection of your "From" address (when you have multiple e-mail accounts)
  • allows adjustment of cell formatting in Grids
  • allows to add words to the spell-check dictionary by right-clicking
  • allows to set captions for Web Page items
  • improves the Selector Grid
  • improves the main menu structure
  • adds helpful tips to the Tools | Options dialog
  • allows a Checkbox field in Forms and Databases


Introduction to The Screen

The Info Select screen includes the following important areas: the Selector, the Workspace, the Toolbar, and the Status Bar. This section describes the location and function of these areas.

02_screen_full.png (16076 bytes)


Selector

The Selector

The Selector is the main area located on the left side of the Info Select screen. The Selector shows a summary of your information in list or outline form. Some information is supplied to you in the Selector when you install Info Select. You use the Selector to:

  • Organize your information
  • Select items for viewing
  • See a quick overview of your data
  • Create an outline

Each line in the Selector shows an icon, indicating the type of information. The basic types of data are listed here.

In the Selector, to the right of each icon is a text heading or caption for the item. A quotation mark (") at the beginning of a caption indicates the caption was created from the first line of body text of the item. This is called a literal caption.

02_screen_selector.png (21665 bytes)

It is important to set the Selector width according to your preference.

[:] To set the width of the Selector:

  1. Drag the right edge of the Selector to the right or left to increase or decrease its size.

or...

  1. Press ALT + 1 to maximize the Workspace, ALT + 2 to show the Selector and Workspace, or ALT + 3 to maximize the Selector.

The Selector automatically resizes depending on the current type of data (provided Tools | Options | View | Change Selector width automatically for optimum viewing is checked).

The Overview line

The first line of the Selector shows a special file called Overview.wd2. This file is the starting point for all your data. This file cannot be hidden because it must be selected to perform "group" operations that affect all your data. You can change the caption name. All information in the Selector is indented below Overview. The Overview is analogous to the root directory of your hard disk, which also cannot be removed.


Workspace

The Workspace

The Workspace is the main area located on the right side of the Info Select screen. The Workspace displays the contents of the item highlighted in the Selector. Data is entered and edited in the Workspace. For example you might locate a memo listed in the Selector, click on it to select it, and then view or edit the Memo body in the Workspace.

In Info Select 8 the Workspace also includes a special Context Toolbar which contains buttons that are applicable to the selected item. For example, when editing a Note you will see a Toolbar with the Word Processing buttons; for an e-mail message the Context Toolbar will contain Send, Reply, Forward and other buttons. Click here for more information about the Context Toolbar.

note.png (184 bytes) Note: Context Toolbars can not be modified.

02_screen_wspace.png (19599 bytes)


Toolbar

The Toolbar

The Toolbar is located at the top of the Info Select application, below the menu. The Toolbar provides a quick way to activate basic features using your mouse. To determine what a toolbar button does, point to it with your mouse. A short description is provided below the button. These descriptions are called tool tips or hover tips because the tip is displayed as your mouse hovers over the button.

 02_screen_tbar.png (2681 bytes)

In addition to the toolbar buttons you will usually see a Tickler Bar, a Color Palette and the Folder Tabs. Click on each link to learn more about each toolbar.

The size and order of the toolbar sections can be customized by dragging the small vertical divider lines found between each section. You can move sections left, right, up, or down. To maximize the work area below the toolbar, keep the toolbar sections all on one line. You can also further customize the toolbar.

If you cannot see the toolbar, check Tools | Options | Bars | Toolbar. If the checkbox is checked and you still can't see the toolbar make sure the toolbar is not minimized - look for a small vertical bar that you can drag to reveal the toolbar. If the toolbar is still missing, you may need to run 40comupd.exe file from the CD or download at http://www.miclog.com/downcom.htm.

If you prefer to issue commands using the menu bar or the keyboard, you can hide the toolbar by unchecking Tools | Options | Bars | Toolbar.

One toolbar button deserves special mention. The View Filter button indicates when the Search Filter is active. When you see the button in the "pushed" state and the color has changed to red [image], you know you are viewing only items in the Search Filter and not all your data is displayed. To view all of your data click the View Filter button to turn the filter off.


Status Bar

The Status Bar

The Status bar is located at the bottom of the screen and provides a variety of information (listed from left to right):

When not editing:

  • The caption of the selected item or a message about the progress of a command.
  • The numeric position of the selected item in the current Topic and the total number of items in the Topic.
  • Size of the selected item in characters.
  • Viewing mode: ALL specifies a view of the full Selector contents. FILT specifies a view of only items matching a Search command.

Status Bar (not editing)

When editing:

  • The caption of the selected item or a message about the progress of a command.
  • The row, column, and page where the cursor is currently positioned.
  • The size of the highlighted item in characters.
  • INS = Insert mode; OVR = Overwrite mode.

Status Bar (Editing mode)

The Status bar also contains the "New Mail" 3_Type1.gif (94 bytes) and "Alarm" 3_Type2.gif (95 bytes) icons, and may show current date and time (provided Tools | Options | View | Display Date and Tools | Options | View | Display Time options are enabled).

Info Select 8 may display special error messages on Status Bar (shown on yellow background). Such messages appear when an error occurs in the background (for example, when Info Select is set for automatic e-mail delivery and an error occurs). Click on such messages to see a detailed explanation.

The Status bar may also display progress bars when sending or receiving e-mail, news articles, or working with remote files.


Introduction to Outlining

The Selector is your control center for viewing and organizing data in outline form.

You can view the contents of any item listed in the Selector. For example you might wish to view a Note you wrote about how to use a modem.

[:] To view a specific item:

  1. In the Selector, click the item. You can then view the contents of the item in the Workspace.

You can browse through your information.

[:] To browse through data:

  1. Press the UP-ARROW or DOWN-ARROW key or press the HOME or END keys to move to the top or bottom of the Selector. As you browse you will see the selected item displayed in the Workspace.


Outlining to organize

About Outlining

You can organize your data in many ways. For example, you might wish to organize your data into customers, vendors, advertisers, sales leads, correspondence, and personal data. To organize this way you would create a separate Topic for each category. A CEO might organize the Selector by department; a Chef by the food type; a Salesperson by region and so on. Find what works best for you as you enter your daily information. Structuring your data is an ongoing process. Don't worry if the structure you choose is not perfect at first. Your structure can always be changed and improved as you learn and enter more information.

You organize data by creating Topics. For example you might create a Topic called "Letters to Harry".

[:] To create a new Topic:

  1. Choose Insert | Topic (or press F11).
  2. Type a description (caption) and press ENTER.

You can create as many Topics as you like. After you create a Topic you can drag data to the Topic just as you would place a piece of paper in a labeled folder. Topics can contain Notes or any other data items - including other Topics. For example, you might create a Topic "Correspondence with Smith", then inside that Topic create a sub-item, "Urgent matters". Topics can also be used to create outlines, such as a business plan or presentation.


Expanding and Collapsing

Items showing a triangle icon contain information just like paper folders. You can expand or collapse an item showing a triangle icon to show or hide the item's contents or sub items just as you would open or close a paper folder.

When you click a triangle icon, the item expands to show the sub items and the triangle icon will point down [image]. Click the triangle again to collapse the item and hide the sub items - the triangle icon will point to the right. . Collapsed items, though hiding their sub items, still contain those sub items. For example, if you move a collapsed item, its sub items will move along with the parent item.

When an item with a triangle icon is expanded you can see the information contained within that item in the Selector as lines indented to the right of the parent item. Collapse items that you are not working on to see a better overview of your data.

[:] To expand or collapse an item:

  1. In the Selector, click the triangle icon; or select the item and press the SPACEBAR; or double-click the text caption; or use the LEFT or RIGHT ARROW keys on the keyboard.


Caption editing

Editing Captions

The text that appears to the right of each icon in the Selector is called a caption. You can edit these captions.

[:] To edit a caption in the Selector:

  1. In the Selector, click the caption.
  2. Press the F2 or ENTER key. A blinking cursor appears at the beginning of the caption text.
  3. Type in your changes and press ESC to finish editing.

tip.png (168 bytes) Tip: You can set captions to Bold, Italic or Underlined by clicking on the corresponding toolbar buttons.

Check Tools | Options | Misc | Allow me to edit captions using a single click if you want to enter caption editing mode by clicking on the caption and holding mouse button for a second.

While editing a caption you can press CTRL + D to date stamp or CTRL + M to time stamp.

tip.png (168 bytes) Tip: You can setup Stamping options by choosing Tools | Options | Stamping.

You do not have to assign a caption to a Note. The first line of text in a Note will automatically be displayed in the Selector preceded by a quotation mark, distinguishing it from a deliberate caption. Such captions are called Literal Captions. (Literal captions are treated like deliberate captions for sorting and other commands.) You can disable Literal Captions by unchecking Tools | Options | View | When I don't enter a caption, show note body text instead.

You can align caption text in columns by using the TAB key while editing the caption.

Note: When editing a caption, pressing DELETE at the end of the line or BACKSPACE at the beginning will join the items.


Moving Items

You can rearrange items in the Selector. For example, you can move a Note item from a Topic titled "Hot Leads" into a Topic titled "Customers". The are a few ways to move items.

[:] To move an item by dragging:

  1. In the Selector, click and hold the left mouse button on the item and move the mouse up or down. You will see a marker move as you move the mouse.
  2. Drag the item until the marker is at the location where you want to place the item. Note that the marker can be in three positions - centered on the item, between two items, or just to the right and below an item. If you place the marker on the center of a collapsed Topic and release the mouse button, the item will be placed inside the Topic. Otherwise the item will appear at corresponding location in the Selector.

note.png (184 bytes) Note: Items cannot be placed above the fixed Overview Topic.

You can copy items from one place to another by holding down the CTRL key while dragging the item in the Selector. You will see an icon with a plus sign on the mouse cursor, indicating that the item will be copied.

If you find that your mouse pointer does not smoothly drag items in the Selector, you may need to clean your mouse ball and pad. Washing both in soap and water will remove oil and particles that reduce traction. Consult your mouse's instruction manual in case the manufacturer recommends an alternate method.

You can use the keyboard to move items. You might find this method faster.

[:] To move items using the keyboard:

  1. Highlight the item in the Selector.
  2. While holding down the ALT key, press the UP, DOWN, LEFT, or RIGHT ARROW keys to move the item up or down one space at a time or left or right. To move an item to the top or bottom of a Topic, press ALT + HOME or ALT + END.

You can move an item into the next or previous Topic by keyboard.

4_moving.png (1056 bytes)

[:] To move an item into the next or previous Topic:

  1. Press ALT + PGDN or ALT + PGUP. The item will disappear but will become available upon expanding the next or previous Topic.

You can move items using the Cut, Copy, and Paste commands. This method is often convenient when the destination is not visible on the screen.

[:] To move an item using Cut and Paste:

  1. In the Selector, choose the item.
  2. Choose Edit | Cut (CTRL + X).
  3. Select the item above the desired destination location.
  4. Choose Edit | Paste (CTRL + V).

note.png (184 bytes) Advanced Note: If you copy (not Cut) a Topic to the clipboard while in the Search Filter, only the sub items in the Search Filter will be copied, and the topic's caption will contain the text "[Filtered]".


Indentation

Setting an Item's Indentation

You can promote (shift to the left) or demote (shift to the right) items in the Selector. Use these commands to change the indentation of items and to organize your data into outlines.

[:] To Promote or Demote an item in the Selector:

  1. In the Selector, choose the item. If you are selecting a Topic which is expanded, collapse it.
  2. Choose Selector | Move | Left (ALT + LEFT ARROW) or Right (ALT + RIGHT ARROW). The item's icon will shift one place left or right.

You can promote all items in a Topic to move them out of the Topic. This is handy if you wish to remove a Topic but not its contents.

[:] To Promote all items within a Topic:

  1. In the Selector, choose the Topic and expand it.
  2. Choose Selector | Move | Left. You will see a dialog box asking if you want to align the items with the parent.
  3. Click OK. All the items that were inside the Topic will be at the same level as the Topic.


Dividing and Merging Topics

You can automatically move data from one Topic into a new Topic based on a keyword. For example, suppose you have a Topic containing many random Notes and want to bring all items containing the name "Einstein" into a separate Topic. You could do this by creating a new Topic and dragging items containing "Einstein" into it, but this could be time consuming. Instead, use the Split command.

[:] To split a Topic based on a keyword:

  1. From the Selector, choose the Topic to be split.
  2. Choose Tools | Search. The search dialog appears.
  3. Press the More button if the dialog is not already expanded.
  4. Uncheck All Topics.
  5. Enter the keyword or words and click OK or press ENTER. The Search Filter will show the results of the search.
  6. Select the Topic to split.
  7. Choose Selector | Split and confirm OK. A new Topic will be created containing the items from the Search Filter.

You can merge information from two Topics.

[:] To merge two topics:

  1. From the Selector, drag one Topic just below the other at the same indentation level as the first Topic.
  2. Select the first Topic.
  3. Choose Selector | Join and confirm.

You can find duplicated items in a Topic provided the duplicates are at the same indentation level. For example, you might want to remove duplicates after merging two topics.

[:] To de-duplicate a topic:

  1. Highlight the topic in the Selector and press CTRL + F5. Info Select will display only duplicate items in the Search Filter.
  2. Delete any duplicates found in the Selector.
  3. Choose View | View All to deactivate the Search Filter.


Caption appearance

Setting caption appearance

You can set the color of captions in the Selector. For example, you might want to set an urgent item to red or use bold for all telephone calls.

[:] To set the color of a caption in the Selector:

  1. Right-click the caption.
  2. Select Caption Color and choose a color.

[:] To bold, underline, italicize, or strikeout a caption:

  1. Select the item in the Selector.
  2. Press CTRL + B (bold), CTRL + U (underline), CTRL + I (italics), or CTRL+ Shift + K (strikeout).

To reverse a style change use the same command again. For example, to un-bold press CTRL + B again, or use the Remove Formatting feature.


HotSpots for organizing

HotSpots

HotSpots™ provide an important way to make organizing information quick and easy. HotSpots make it effortless to drop new items into the correct location in your outline without having to first expand certain Topics. HotSpots provide a visible doorway to subTopics hidden inside other Topics. HotSpots are shown horizontally across the Selector as ovals containing text. Because HotSpots are shown across the screen instead of down the screen they allow you to have far more categories visible at one time.

HotSpots allow you to:

  • See more Topics at once by using screen space efficiently
  • Access Topics that would normally be hidden inside collapsed Topics
  • Avoid the need to use the Selector scroll bar
  • Place new items in their proper Topic quickly

HotSpots are created by selecting a Topic and setting the Topic as a HotSpot. When a Topic is a HotSpot the Topic will appear even if the Topic's parent is collapsed. To see the benefit of HotSpots choose several Topics that you use frequently and set them as HotSpots.

[:] To set an item as a HotSpot:

  1. Right-click the item and choose HotSpot. The HotSpot oval shape will appear in the Selector next to the parent Topic. For optimum screen use use short caption text.

[:] To place an item in a HotSpot Topic:

  1. Drag the item to the HotSpot.

 [:] To view the data in a HotSpot:

  1. Click the Hotspot.

[:] To set the color of a HotSpot:

  1. Select the Topic, not the actual HotSpot. The Topic is marked with a blue star icon. Right-click on the Topic, choose Caption Color, and select a color.

tip.png (168 bytes) Tip: When HotSpots are on the line of a File, you may want to delete the caption to allow more space for the HotSpots.


Overview file

About the Overview

The Overview shown at the top of the Selector is a special item. The Overview is the File that stores all information you enter that is not assigned to a specific file. Items cannot be placed above Overview or at the same indentation level as Overview. You cannot remove or hide the Overview. You need access to the Overview to perform group operations on all your data. The Overview is analogous to the root directory of your hard drive, which you also cannot remove. The Overview file also can not be shared via Local Area Network.


Bullets & Numbering in Selector

Bullets and Numbering in the Selector

You can add Bullets or Numbering to items in a Topic. For example, you may want to number the chapters in an article or Print bulleted or numbered lists.

[:] To enable Bullets or Numbering for a Topic:

  1. In the Selector, choose a Topic.
  2. Choose Format | Bullets and Numbering.... A dialog box appears.

    4_bullets1.png (5456 bytes)

  3. Select the desired Bullets or Numbering style. Check Apply to all subtopics as well if you want to apply the Bullets or Numbering to all subtopics within the selected Topic. Check Outline Numbering... if you want to allow hierarchical numbering (like shown on the image below).

    4_bullets2.png (1824 bytes)

  4. Click OK. All items within the selected Topic will have Bullets or Numbers to the left of their captions.

[:] To disable Bullets or Numbering for a Topic:

  1. In the Selector choose a Topic.
  2. Choose Format | Bullets and Numbering.... A dialog box appears.
  3. Click None.
  4. Click OK.


Dividers

You can separate items by a horizontal Divider line. This provides an additional way to group information instead of using a collapsible Topic. For example, you can insert a Divider to separate your Home notes from your Work notes or Action items from Reference items.

[:] To insert a Divider

  1. In the Selector, choose an item
  2. Choose Insert | Divider. A Divider will be inserted below the selected item.


Outlining Tips

tip.png (168 bytes) Outlining Tips

Creating good outline structures takes some practice. There are not many hard rules about how to structure outlines but the following ideas may be helpful. Some of the ideas below are intentionally vague.

  • Don't make your outline too shallow. For example, if you outline has only two levels you are probably not taking good advantage of more levels of indentation.
  • Don't make your outline too deep. If you have to go many many levels of indentation to get to the information you need you might be using too much nesting.
  • Use categories that are invariant. For example, a Topic captioned "Clients" is likely to have a long life because you will continue to have clients for years.
  • Pick a strategy. For example, you might want to classify by department: sales, accounting, marketing, etc. Or you might want to classify by customer or something else.
  • Put things needing attention near the top of the Selector or the top of a Topic.
  • Use Dividers to visually group different categories.
  • Put reference items that do not need attention nearer the bottom of the Selector.
  • Use HotSpots liberally so you can see more of your outline structure on one screen without scrolling.
  • Use HotSpots to make it easier to drop items into the right Topic and avoid accumulating a long list of unsorted items.
  • Use colors or bolding to help you quickly find often-used Topics.
  • Learn the keyboard shortcuts so you can move and organize quickly via the keyboard.


Introduction to miscellaneous

Introduction to Miscellaneous Features

This section explains various Info Select features.


Creating and Deleting Items

You can store your Info Select data in a variety of item types such as Notes, Topics, and Databases. Choose the type best suited to your data. For example, if you plan to create a memo you might choose to use the Note type. To enter a quick idea, you might choose a Topic.

[:] To create an item:

  1. In the Selector, choose the item immediately above the desired location for the new item. To place the new item inside a collapsed Topic, first click the Topic's triangle icon to make the triangle point down.
  2. From the Insert menu, select the desired data type (or use the accelerator key listed on the menu). The new item will appear in the Selector with a flashing cursor indicating you can enter a caption.
  3. Enter a caption for the item.
  4. For Topics, press ENTER to finish editing or CTRL + ENTER to create another Topic. For Notes, press ENTER to move the caret to the Workspace where you can create the body text and then press ESC to finish editing.

You can delete items from the Selector when you no longer need them. For example, you might wish to delete a note regarding a finished task.

[:] To delete an item in the Selector:

  1. From the Selector, choose the item to be deleted.
  2. Press the DELETE key on the keyboard. A confirmation dialog box appears.

    5_delete_dialog.png (2912 bytes)

    Instead of deleting an item, you can send it to a Recycle Bin. Check the Send To Recycle Bin option and select the appropriate Recycle Bin in the list. If there are no Recycle Bin items in the Selector, Info Select will automatically create one at the bottom of the Selector.
  3. Click Yes.

If an item is deleted by mistake, choose Edit | Undo to restore it.

note.png (184 bytes) Note: Deleting a collapsed Topic removes the Topic and its contents. Deleting an expanded Topic removes only its contents and not the Topic itself.


Joining and splitting

Joining and Splitting Items

You can join two items into one. For example, you might want to join several Notes to create a first draft of a report.

[:] To join two items together:

  1. From the Selector, drag one of the items so it appears just below the other at the same level of indentation.
  2. Select the first of the two items.
  3. Choose Selector | Join. (When notes are joined, a Split Marker is placed in the new Note to indicate the point at which the notes were joined. The split marker is specified under Tools | Options | Editor | Note Delimiter.)

note.png (184 bytes) Note: Items to be joined must be the same type, such as two Notes or two Topics.

You can split one Note into several Notes. For example, you might want to split a Note containing phone conversations between each conversation. This would provide one Note per conversation.

[:] To split one Note into multiple Notes:

  1. Insert Split Markers (specified under Tools | Options | Editor | Note Delimiter) at each point where the Note is to be split. The default Split Marker is two dashes alone on a line. (This appears as "\r--" under Tools | Options | Editor | Note Delimiter where "\r" represents a new line.)
  2. To the right of each Split Marker you can specify a caption that will appear on the resulting Notes.
  3. Choose Selector | Split.

note.png (184 bytes) Note: If a Split is performed on a Note that has no split markers, the Note will be divided at every line (all text up to a hard return).


Duplicating

Duplicating an Item

You can make duplicate copies of Notes, Topics, Calendars, or any item in the Selector. For example, if you are writing an important memo you might want to create a duplicate to try another variation.

[:] To duplicate an item:

  1. From the Selector, choose an item.
  2. Choose Edit | Copy and then Edit | Paste.

An item can also be duplicated by holding down the CTRL key and dragging the item to a new position in the Selector.

note.png (184 bytes) Note: Open Files, when duplicated, will be converted into Topics. When duplicating a Topic in the Search Filter, the duplicate will contain only those sub items that are in the filter and their captions will contain the word [Filtered].


Group Commands

You can apply commands to all items within a Topic at once. For example, you might want to issue the Send command to all e-mails in a specific Topic.

[:] To apply a command to all items within a Topic:

  1. In the Selector, choose the Topic and expand it.
  2. Perform the desired command.
  3. Acknowledge the confirmation dialog.

note.png (184 bytes) Note: The confirmation dialog may have 3 options:

Main Item - the command is applied to a selected Topic only
Children - the command is applied to sub-items only
All descendants - the command is applied to all sub-items, and to items in sub-topics of the selected topic, etc.

It is possible to check either one, or all three options.

Multiple selection

In the Selector, you can choose several items at once and apply a command to all of them. For example, you could select five items and then choose the delete command. The items must be located in the same Topic.

2_wh2.png (792 bytes)

[:] To select multiple items:

  1. Select the items with the mouse (by clicking on the caption text) while holding down the CTRL key on the keyboard. To multi-select several items in sequence, select the first item, hold down the SHIFT key, and select the last item. To select all items above the current item, press SHIFT+HOME. To select all items below - press SHIFT+END.
  2. Apply the desired command. The following commands are compatible with multiple selection:
    Delete
    Copy
    Cut
    Add to Filter
    Add to Folder
    Print
    File | Reopen
    Join
    Selector | Properties | Auto Arranged
    Selector | Properties | Search Barrier
    Selector | Properties | Retain Edit State
    Selector | Properties | Support Text Forms
    Selector | Properties | Set Background Color
    All Selector | Move commands
    E-mail | Send and E-mail | Send&Stay
    News | Get Headers
    News | Get Bodies
    News | Get Articles
    News | Post
    Format | Background Color
    Format | Remove Formatting
    Edit | Restore
    and more...

To perform group operations on items produced by a search, group them first using the Split command.

tip.png (168 bytes) Tips:

  • To multi-select all items in a topic, highlight any item inside the topic and choose Edit | Select All.


Templates

A Template is a model from which copies can easily be made. You can create your own Templates. For example you might create a Template for invoices, fax cover sheets, letterheads, repeated sections of outlines, shipping labels, etc.

[:] To create a Template:

  1. Choose Insert and select a data type such as Note.
  2. Enter a name for the Template. The caption must appear in the Selector without quotation marks. The caption will appear later in the Template menu. (If you want to be able to choose the Template from the menu using a letter on the keyboard, place an ampersand "&" before the letter in the caption (e.g., P&roposal would be selected via ALT + M, R since the ampersand is placed before the R).
  3. Edit the item to include the desired information. For example, if creating a Template for business correspondence, enter the return address heading, letter opening, and salutation. If you are making a Note Template, place the symbol ^ (caret) at the point where you will want to begin entering data.
  4. Press ESC to finish editing.
  5. With the Template still selected in the Selector choose Template | Add. You will see an icon [image] appear in the Selector. This icon represents a drop-down menu.
  6. From the main menu choose Template to verify that the template was added to the Template menu.

note.png (184 bytes) Note: The Template menu items are sorted alphabetically.

Once your master Template has been created you can generate a copy of the master at any time. For example, if you need to write a business letter you might invoke a Business Letter Template.

[:] To use a Template:

  1. From the Template menu, select the desired Template. A copy of the master Template will appear in the Selector.
  2. Enter your data in the Workspace.
  3. If desired you can edit the caption in the Selector.

You can remove a Template from the Template menu. For example, you might want to remove a Template you no longer use.

[:] To remove a Template:

  1. In the Selector, choose the Template (showing the Template [image] icon).
  2. Choose Template | Remove or to completely delete the Template, press the DELETE key.

You can create Templates that process data from a Database Record. For example, you could create a Template of your letterhead and merge data from a Name & Address Database.

[:] To prepare a Template that retrieves data from a Database Record:

  1. Choose Insert | Note.
  2. Enter an appropriate caption and press ENTER.
  3. In the Workspace include the desired Database field names in braces. (You can suppress a blank field such as an optional second line of an address by placing the field name in double braces as in {{addr2}}.) For example:
My Company Name
123 Main Street
Anytown, NJ 07602

{First} {Last}
{Firm}
{Addr1}
{Addr2}
{City} {St} {Zip}

Dear {First}:

Sincerely,

Mary Smith

President

4. With the Template still highlighted in the Selector choose Template | Add.

[:] To use a Database Template:

  1. In the Selector choose a Record in the Database.
  2. From the Template menu, choose the Template. A Note will be placed below the Database in the Selector. The Note will contain information from the Template merged with data from the Database Record.

You can set the order of Templates listed in the Template menu. For example you might want to put the Templates most often used at the top.

[:] To set the order of items on the Template menu:

  1. Arrange the Templates in the desired order in the Selector.
  2. Close and restart Info Select.


Creating the Default Template

Default Templates

When you create a new Note, for example, it has "default" settings that give it a certain shape, size, frame, color, content, time/date stamp etc. You can control how you want new Notes, or other item types, to appear by creating a Default Template. For example, you may want all new Notes to appear in a small sizable window with a yellow background and today's date.

[:] To set the appearance and options for new Notes:

  1. Choose Insert | Note. If the new Note contains text and you want new Notes to be blank, delete the text.
  2. Choose Tools | Options | Defaults and click the Set Default Template button. You will see a Default Template icon [image] appear in the Selector.
  3. From the Selector | Properties menu select any desired options. For example, for sizeable windows uncheck Maximized and re-size the window to the size you want for new Notes. The default setting is to use the full Workspace area - to make this setting, check Selector | Properties | Maximized.
  4. To select a specific background color, right click on the window or Workspace background, select Background Color, and choose a color. Selecting Default will ensure that the background color changes with any changes to the default colors set from Windows Control Panel.
  5. To automatically time or date stamp new Notes insert @T and/or @D respectively inside the Default Template in the Workspace. Place the symbol ^ after the @D/@T (with a space to the left of the ^ if desired) to specify where you want to start editing new Notes.
  6. You can move the Default Template to any location in the Selector except a File that you might close.

You can create Default Templates for other items on the Insert menu in a similar manner. When creating a Default Template for an item that can be expanded and collapsed, collapse it first.

To deactivate a Default Template and revert to factory settings, delete the Default Template from the Selector or if you can't find the Default Template create a new item and choose Tools | Options | Defaults | Set Default Template twice.


Undoing Changes

You can Undo changes you make in the Selector and changes you make while editing text. You can Undo one step or several.

[:] To Undo a change:

  1. Click in the Selector if you want to undo a Selector change (for example, moving an item). Click in the Note text if you wish to undo editing changes.
  2. Choose Edit | Undo.
  3. Repeat if needed.

note.png (184 bytes) Note: For restored items, the message [Restored] will appear in the caption.

You can Redo an Undo command by choosing Edit | Redo

You can undo everything you did to a specific File back to the last save to disk.

[:] To Undo all changes to a File since the last save:

  1. Select a File.
  2. Choose File | Revert. A dialog box appears.
  3. Select the file to revert to and click OK. Click here for more information about the File | Revert operation.

note.png (184 bytes) Note: The last undone operation will be indicated in the Status Bar.


Data types conversion

Changing Data Types

You can change an item of one type into an item of another type. For example, you can change a Note into a Topic. This can be useful if you have a list of items in a Note that you would prefer to organize in outline form in the Selector.

[:] To change an item from one type to another:

  1. In the Selector, choose the item.
  2. Choose Selector | Change Into and select the desired type.

tip.png (168 bytes) Tip: Before changing an item into another data type you might want to make a copy in case the conversion does not meet your needs.

Below are some comments on certain combinations:

Note to Topic

A Note converted into a Topic will be broken down at each line that ends in a hard return or, if present, at each Split Marker. The Split Marker is set in Tools | Options | Editor | Note Delimiter (the default setting is two dashes alone on a line.) The new Topic will have the same caption as the original Note. Using Split Markers to convert a Note into a Topic is useful when dividing large Notes into manageable sections.

Topic or Form to Database

A Form or a Topic containing Forms can be converted into a Database. The new Database will contain one Record for each Form.

Topic to Webpage

A Topic containing a web address can be changed into a Web Page item.

Note to Database

A Note in comma delimited form can be converted into a Database. The Note's data must have double quotation marks around each field and each field must be separated by a comma or space (e.g., "Smith","John","555-1212"). Each record must be on a separate line. You can choose to use the values from the first record as field names.

Note to Form

A Note can be converted into a form if the Note has fields delineated by a designated Field Delimiter, specified in Tools | Options | Editor | Locate fields in text forms using this char.

Note to Field

A Note can be converted into a Database field.

Note to E-mail message or News Article

A Note can be converted to an E-mail message or News Article. The text of the Note will be used as the text of a Message field of an E-mail or a News Article.

Topic into Delivery

A topic containing an e-mail address as the caption can be changed into a Delivery item. The caption of the Topic will be used as a default e-mail address of the Delivery.

Note to Report

A Note can be converted into a Report. The text of the Note will be used as the text for the Report.

Any item to Note

Most items can be converted into a Note. For example, you can convert a Calendar into a Note (provided Tools | Options | Calendar | General | When converting Calendar to Note use all data... option is enabled).

Topic to File or File to Topic

You can convert Topics to Files and Files to Topics. See Files.

Form to Topic

A Form can be converted into a Topic. The fields of the Form become sub items of the Topic. You will no longer be able to tab between fields.

Database to Topic

A Database can be converted into a Topic. If the Database has multiple fields, the resulting Topic will contain a Form for each record. If the Database has one field, the resulting Topic will contain Topics with captions representing the data in that one field.

Workspace Grid into Selector Grid

A Workspace Grid (Spreadsheet) can be converted into the Selector Grid and back.

Topic to Note

A Topic can be converted into a Note. This conversion can be done in two ways:

Structured by indenting | Structured by font
Animals Birds Mammals | Animals Birds Mammals

The method used is set in Tools | Options | Outline. This setting also controls how Topics are printed.

[:] To have Topics appear as indented outlines:

  1. Choose Tools | Options | Outline. A dialog box appears.
  2. Click Indentation.
  3. Select Using Tabs if you want to use the tab character to create the indentation, or use Indent and enter the size of each indentation level. Check Captions Only if you want to retain only the information in the Selector and not the text in the Workspace.

[:] To have Topics appear structured by font:

  1. Choose Tools | Options | Outline. A dialog box appears.
  2. Select Point Size. For Insert page break for captions at level, enter 1 if you want page breaks at the first indentation level, or enter 0 if you do not want page breaks. Check Captions Only if you want to retain only the information in the Selector and not the body text of sub items such as Notes.
  3. Click Fonts. A dialog box will appear.
  4. Click each button to select the desired font and point size for various caption indentation levels. For example, if your Note Text (set via Tools | Options | Font | Notes, Documents, Grids) is set to 10 pt Arial, set caption Level 1 (the most indented captions) to 12 point Arial; caption Level 2 (the 2nd to most indented captions) to 14 point Arial; and so on.
  5. Click OK to both dialogs


File Attachments

You can store any external files in Info Select. Such files are called Attachments. For example, you can store different files related to a certain project (Word Documents, Acrobat PDF files, JPEG Images, etc.) in a single Info Select data file, and use Info Select to organize and control these files.

Attachments can be inserted either into Selector, or into Notes and E-mail messages.

[:] To insert an attachment into Selector:

  1. Click at the desired location in the Selector Window.
  2. Choose Insert | File | Attachment. A dialog box appears.
  3. Select the file you want to attach. You can select several files at once by holding down the CTRL key while you select files. Click Remote Site if you wish to attach a file from the remote location.
  4. Click Insert. An icon for selected file together with the 2_Type13.png (168 bytes) icon will appear in the Selector.
  5. Type in the caption of the attachment, or press ENTER to use the name of the file as a caption.

or

  1. Open Windows Explorer.
  2. Highlight the necessary file and choose Edit | Copy.
  3. Click anywhere in the Selector and choose Edit | Paste.

Alternatively, you can hold CTRL and drag a file from Windows Explorer into Selector to create an attachment.

If the attachment is an Image file, you can view the image in the workspace:

  1. Right-click on the attachment.
  2. Check the View As Image option.

Currently, the following image formats are supported: GIF, JPEG, PNG, WMF, and BMP.

You can change the Image file attachment into an Image item:

  1. Highlight the Image file attachment in the Selector.
  2. Choose Selector | Change Into | Image.

and change the Image item into an attachment:

  1. Highlight the Image item in the Selector
  2. Choose Selector | Change Into | File / Attachment | Attachment

[:] To insert an attachment into a Note or E-mail message:

  1. Place the cursor at the desired location in the Note or E-mail message field.
  2. Choose Insert | File | Attachment. A dialog box appears.
  3. Select the file you want to attach and click Insert. An icon for the attached file will appear in the Note or E-mail message field. Click Remote Site if you wish to attach a file from the remote location.

or

  1. Open Windows Explorer.
  2. Highlight the necessary file and choose Edit | Copy.
  3. Click anywhere in a Note or E-mail message and choose Edit | Paste.

Alternatively, you can drag a file from Windows Explorer into a Note or an E-mail message field to create an attachment. Click here for more information on E-mail attachments.

You can paste Images into your Notes. For example, you may want to add illustrations to your article.

[:] To paste an image into a Note:

  1. Copy the image to the clipboard.
  2. Place the mouse cursor at the desired location in the Note text.
  3. Choose Edit | Paste.

To avoid growth of WD2 data files, Info Select 8 allows to store File Attachments in the separate directory on your hard disk. This significantly decreases the size of the WD2 data files.

 [:] To enable storing File Attachments in a separate directory:

  1. Check Tools | Options | Attachments | Store attachments on disk.
  2. Click OK.

When the Store attachments on disk option is enabled, all the new File Attachments which you insert into Info Select will be written to hard disk and replaced by File Links. File Attachments are stored on your hard disk in the subdirectories of the directory of the WD2 file containing the reference to the Attachment, with the following names: <WD2 filename>_wd2_files (where WD2 filename is the name of the *.WD2 file where the link to Attachment is stored). For example, if the File Attachment is named INVOICE.TXT and is located in "C:\Program Files\Info Select\BASE.WD2 file", then the INVOICE.TXT file will be stored at "C:\Program Files\Info Select\BASE_wd2_files\INVOICE.TXT".

important.png (152 bytes) IMPORTANT: Do not delete or rename the files stored in the <WD2 filename>_wd2_files directories. Also, don't rename such directories as it may result in loss of data. If you decide to send or e-mail an item which contains an attachment, first enable storing attachment in the *.WD2 file by highlighting an item and choosing Tools | Options | Attachments | Store attachment in *.WD2 files.

You can change the saving mode for each File Attachment already stored in Info Select. To have the File Attachment stored on disk, highlight an Attachment (or an item containing the File Attachments, i.e. a Topic) and click Tools | Options | Attachments | Store attachment on disk. To switch back to storing File Attachments in WD2 files click Tools | Options | Attachments | Store attachment in *.WD2 files.

tip.png (168 bytes) Tip: To view all Selector attachments and items containing attachments choose View | By Type | Files | Attachments.

File Links

You can create File Links instead of File Attachments. File Links contain only the path to a file, so they don't occupy much space. Double-clicking a File Link will launch the specified file. For example, you can create File Links to launch certain applications directly from Selector.

[:] To insert a File Link:

  1. Drag the necessary file from Windows Explorer to a desired position in the Selector. An icon for selected file together with the 2_Type21.png (168 bytes) icon will appear in the Selector.

or...

  1. Choose Insert | File | Manager.... A dialog box appears.
  2. Select the necessary file and click OK.

A File Link can be changed into a Selector Attachment:

  1. Highlight the File Link in the Selector.
  2. Choose Selector | Change Into | File / Attachment | Attachment.

If the File associated with the File Link is renamed or moved to another directory you can use a Change Link Wizard to re-establish the File Link.

[:] To repair the File Link:

  1. In the Selector, choose the File Link or the Topic containing the File Links.
  2. Choose File | Change Link Wizard.... A Wizard will guide you through the process of repairing the File Link.


Scanning text and images

Scanning

You can move a step closer to a paperless office by scanning documents and storing the resulting images in Info Select. For example, you might want to scan an article from a magazine and store it in Info Select to avoid cluttering a file cabinet. Additionally, you will have instant access to the information.

[:] To scan a document into Info Select:

  1. Choose Insert | Image | Select Source....
  2. Choose the device that will do the scanning.
  3. Choose Insert | Image | From Scanner. The scanning software included with your scanner will be activated.
  4. Follow the instructions in your scanning software. The image will appear in Info Select as an Image item.

note.png (184 bytes) Note: Unless your scanning software converts images into text, your document will be stored in image form (jpg). Images consume significantly more space than text, so you might not want to scan indiscriminately. Also, text in images is not included in searches, so you may want to enter a few keywords in the caption of the image.

To setup Scanning options choose Tools | Options | Images.

tip.png (168 bytes) Tip: Use the Image Editing features to modify the scanned image.

[:] To print a scanned image:
  1. Choose the image.
  2. Choose File | Print.

note.png (184 bytes) Note: Info Select works with scanners through the standard Windows TWAIN system, and therefore it will work with most scanners.


Read-Only Mode

You can protect items from being edited or changed. For example, you might want to prevent accidental changes from being made to a document sent for publication.

[:] To enable or disable read-only mode:

  1. In the Selector, choose the item and collapse it.
  2. Choose Selector | Properties | Read-Only. This will toggle the item between read-only and normal modes. A read-only icon [image] will turn on or off.

Troubleshooting

In case of problems disabling the read-only mode, try the following:

  • Insure that the file attributes for your *.WD2 files are not set to "Read-Only" (these files have the read_only_file.png (277 bytes) icon).

    1. In Windows Explorer open the Info Select directory (usually C:\Program Files\Info Select).
    2. Right-click on the file and choose Properties.
    3. Uncheck Read-only and click OK.
  • Check if other users on your LAN have the same file open.
  • Reboot your computer.
  • Check if there are multiple copies of the same file in the Selector:

    1. Choose View | By Type | Files | Files to filter the File items.
    2. For duplicate files, choose File | Close, then press DELETE and confirm deleting the file from SELECTOR ONLY.
  • Choose Tools | Options | Local Mail and uncheck all checkboxes. Also, empty the path to the local mail file.
  • Start Info Select while holding the SHIFT key down, confirm loading the IS.INI file, and choose No To All to skip loading all files when prompted. Then open a copy of each file by double-clicking on the file in the Selector. If during this operation Info Select prompts you to confirm loading additional files choose Skip.


Introduction to Image Item

You can use Info Select to store and edit images. For example, you may want to keep photos related to office space you have examined for a company expansion project, keep images of program screens such as error messages, or pictures of real-estate properties. Images are stored in special Image items 2_Type9.gif (159 bytes) in the standard JPEG or PNG formats. The format is selected automatically to reduce disk space.


Inserting Images

There are several ways you can use to insert an image into Info Select.

[:] To insert an Image:

  1. Choose Insert | Image | From File.... A dialog box appears.
  2. Select the necessary image file. The following image formats are supported: GIF, JPEG, PNG, WMF, and BMP.
  3. Click Insert.
  4. Enter the image caption and press ENTER.

or

  1. Copy the image from another application (e.g. for Internet Explorer images right-click on the image and choose Copy).
  2. Click on the desired location in the Selector and choose Edit | Paste.

or for JPEG, PNG, BMP, WMF and GIF images:

  1. Choose File | Import / Export | Import from File....
  2. Select the appropriate type from the Files of type drop-down list.
  3. Select the file directory and name. You can select several files at once by holding down the CTRL key while you select files.
  4. Click OK.

or insert a blank image:

  1. Choose Insert | Image | New (Empty)

or to store an image of a program screen or dialog or error message:

  1. At the desired application or dialog press Alt + Print Scr
  2. Go to Info Select and choose Edit | Paste.

You can also acquire images from a Scanner.


Editing Images

You can edit images stored in Info Select by modifying their Size, Quality, Orientation, Colors, Brightness/Contrast, adding Text, drawing freeform lines, adding Borders, changing Canvas size, etc.

When an Image item is highlighted in the Selector, the Image toolbar appears at the top of the Info Select window, and the image itself is shown in the Workspace.

Determine the meaning of any button by pointing to the button with the mouse. From left to right, the buttons function as follows:

Scrolling Mode

Enable this mode to scroll images if they don't fit to Workspace.

[:] To scroll an image:

  1. Enable the Scrolling Mode by clicking on the hand icon on the Image toolbar (or choose Tools | Image | Scrolling Mode).
  2. Click and drag on the image in the Workspace to move it.

note.png (184 bytes) Note: Images that fit the Workspace cannot be scrolled.

Selection Mode

Enable Selection mode to select a rectangular portion of an image.

[:] To make a selection in an image:

  1. Click on the arrow icon on the Image toolbar (or choose Tools | Image | Selecting Mode).
  2. Click on the image in the Workspace and drag the mouse to define a rectangular selection area.
  3. Release the mouse button. The selected rectangle will be highlighted with a dashed line.

Painting Mode

Enable this mode to draw freeform lines using a brush of a specified color and size.

[:] To draw a freeform line:

  1. Click on the brush icon on the Image toolbar (or choose Tools | Image | Painting Mode).
  2. Select the desired color in the Palette toolbar.
  3. Select the desired brush size in the Tools | Image | Select Brush... menu. There are six brush sizes available (from 1x1 to 6x6).
  4. Click on the image in the Workspace, and drag the mouse to draw.

Zoom In

Click this button to magnify the image (or choose Tools | Image | Zoom In). The zoom ratio will be displayed in the right part of the Image toolbar.

Zoom to Actual

Click this button to return to actual image size. The zoom ratio will be displayed in the right part of the Image toolbar (100%).

Zoom Out

Click this button to zoom out (or choose Tools | Image | Zoom Out). Choose Tools | Image | Zoom to Actual to return to the actual size of the image. The zoom ratio will be displayed in the right part of the Image toolbar.

Crop

Click this button to crop the image to the selection rectangle (or choose Tools | Image | Crop).

Rotate

Click this button to rotate the image (or choose Tools | Image | Rotate). Each time you click the image it is rotated by 90o. To rotate the image 180o click the Rotate button twice.

Mirror

Click this button to mirror the image horizontally (or choose Tools | Image | Mirror). (To mirror vertically, mirror and then rotate 180 degrees.)

Resize

Click this button to display the resize options dialog (or choose Tools | Image | Resize...).

You can modify an image's size by setting it's Width and Height values either in Pixels or Percents (or by dragging the corresponding sliders). Changes will be displayed immediately allowing to preview the results. Gray numbers show the initial image size in pixels. Check Keep proportion if you want the image to be resized proportionally. Click OK to accept changes. The size of the image will be shown in the right part of the Image toolbar.

Add Text

Click this button to enable text mode.

[:] To add text to an image:

  1. Make a selection using the Select tool.
  2. Click Add Text. The caret will appear in the lower left corner of the selection. The Image toolbar will be replaced with the Word Processing toolbar where you can choose text parameters like Font Size and Type, Justification, etc.

    You can choose text color by clicking on the desired color on the Palette toolbar. To select a background color, right-click in the selection and choose Background Color from the pop-up menu. Choose Image in the Background Color menu to use a transparent background.
  3. After typing text, click anywhere outside the selection to finish.

note.png (184 bytes) Note: You can use the Spell Checker and Thesaurus with the text that you are adding to the image (these features are available only when you are typing text).

Adjust Brightness/Contrast

Click this button to display the Brightness/Contrast options dialog (or choose Tools | Image | Adjust...).

Drag the sliders to modify Brightness or Contrast of the image. Changes will be displayed immediately. Click OK to accept changes.

Black-and-White

Click this button to turn a color image into a grayscale image (or choose Tools | Image | Black and White). Black and White images consume less disk space.

Size and Quality

Click this button (or choose Tools | Image | Adjust Storage Size & Quality...) to display the Quality adjustment dialog. This feature allows you to select the desired balance between disk size and quality.

5_quality_dial.png (2626 bytes)

Drag the slider to modify the quality and size of the image. Changes are displayed immediately. The size of the image is displayed in the dialog window and changes as you drag the slider . Click OK to accept changes.

Canvas Size

You can change the size of the image canvas without changing the actual dimensions of the image. For example, you may want to add white space below the image to add some descriptive text.

[:] To change the Canvas Size:

  1. Choose Tools | Image | Canvas Size.... A dialog box appears:
  2. In the New Width and New Height boxes enter the new width and height parameters of the image. The Current Width and Current Height boxes display the original Canvas dimensions. Changes will be displayed immediately.
  3. Check Center Image Horizontally or Center Image Vertically to have the image centered Horizontally or Vertically on the new Canvas. Check both options to have the image appear in the center of the new Canvas. Uncheck both options to set the image placement manually using the Image Placement boxes. Numbers in the Image Placement boxes indicate distance of the image from the Canvas border. Changes will be displayed immediately.
  4. Click OK to confirm changes.

Adding Borders

You can add borders of any size and color to the existing image. For example, you may want to add a frame to a photo or make a border around an image to paste it into another image.

[:] To add borders to an image:

  1. Choose Tools | Image | Add Borders.... A dialog box appears:
  2. Set the Borders with in the Top, Right, Bottom and Left boxes. Check Symmetric for symmetric borders (i.e. when adjusting one of the borders, other borders will also have the same width).
  3. Choose Grow in Size to have the borders created outside of the image canvas. Choose Reduce in Size to have the borders drawn inside the image canvas. The image size will be decreased to fit within the borders. Choose Crop to have the borders drawn on the image. The images below show the various borders types: original image, outer borders, inner borders, cropped image.

  4. Click OK to confirm changes.

Combining several images

You can combine several images into one by using Copy and Paste. For example, you may want to create a combination of different variants of the same image (like shown above).

[:] To combine a first image into a second image:

  1. In the Selector, choose the first image.
  2. Choose Edit | Copy to copy the whole image or select a part of the image (using the Selection Tool), right-click in the selection and choose Copy from the pop-up menu.
  3. In the Selector, choose the second image. If necessary, resize the image canvas.
  4. Right-click on the second image in the Workspace and choose Paste as New Selection from the pop-up menu.
  5. Move the pasted image to the desired position by dragging it with your mouse.


Saving Images

Saving edited images to disk

After you edit an image in Info Select you may want to save it to disk (for example, to use in an external application).

[:] To save an image to disk:

  1. Choose the image in the Selector
  2. Choose File | Import / Export | Export to File.... A dialog box appears.
  3. Enter the destination directory, file name and select the desired image type from the Files of Type drop-down list.


Linking

You can link items in the Selector. For example, you could link the record of a person's address in a Database to a Topic containing notes about that person. Or you could link a Note about a person to an appointment to call them.

[:] To link items:

  1. Select the first item and choose Selector | Link | Start. A link icon [image] appears.
  2. Select the next item and choose Selector | Link | Create. Repeat this step for all items you wish to link.

In the Selector, you can quickly jump from one linked item to the next. Simply click the link icon beside each item.

You can unlink an item.

[:] To remove a link:

  1. Highlight the linked item, press DELETE and click the Link Only button or choose Selector | Link | Remove. Although a link is deleted, you can follow the link to remove additional links in a chain by choosing Selector | Link | Goto.

note.png (184 bytes) Note: Linking items is just one way to organize information in Info Select. You can also place related items in the same Topic or Folder. Linking usually works best for a small number of items.


Shortcuts in the Selector

Selector Shortcuts

Shortcuts are a method for placing items in the Selector that provide pointers to other Topics. For example, if you have a Shortcut to a "To-Do" topic, when you drag an item into the Shortcut the item will be transferred directly to the “To-Do” topic.

[:] To setup a Selector Shortcut:

  1. Highlight the Topic to which you want to create a Shortcut.
  2. While holding the CTRL + SHIFT keys, drag the Topic to the location where you want the Shortcut to be. You will see what appears to be a duplicate of the Topic but it will include the Shortcut icon 2_Type21.png (168 bytes) .

Hyperlinks to external files

You can create hyperlinks to external files or folders on your local drive in Info Select notes. Hyperlinks allow you to launch files directly from Info Select by clicking on the hyperlink.

[:] To create a hyperlink to an external file:

  1. In a Note, type the path to the necessary file. For example, C:\Documents and Settings\John\invoice.xls
  2. Select the path with the mouse.
  3. Right-click on the selection and choose Convert to Hyperlink.... A dialog box appears.
  4. In the Address box add file:// before the path (so it looks like file://C:\Documents and Settings\John\invoice.xls).
  5. Click OK. The selection will be converted into a hyperlink.

You can also type hyperlinks like web URLs. Each link must begin with file://

Examples: file://C:\autoexec.bat
file://D:\Data\myfile.pdf

To edit hyperlinks right click and choose "Edit Hyperlink...".


Password Protection and Encryption

You can protect your valuable information from access by others. Your data will be protected by the powerful DES encryption method or, if you have PGP Encryption installed (www.pgpi.com), you can opt for PGP Encryption.

WARNING

If you cannot supply the correct password when you wish to decrypt encrypted data you will have NO WAY TO ACCESS YOUR DATA. There is no "backdoor" method to get to your data if you forget or lose your password. Consider writing your password down and storing it in a secure location. Be sure to give your password to your employer when protecting business information. Passwords are case insensitive. Passwords based on common things like people's names and birth dates are less secure than truly random passwords. Files nested inside encrypted Files are NOT encrypted. Data placed in an encrypted File via dragging or E-mail | Send to File... is NOT encrypted until the full file is opened and saved. Encryption does not protect you from unauthorized access while your file is open. Encryption does not affect freed disk clusters that may have parts of data from pre-encryption file-saves - so you may want to run a disk cleaning utility after encrypting a file for the first time.

[:] To password protect and encrypt an item using Info Select encryption:

  1. In the Selector, choose the item. It must be a File, a Note, or an E-mail Message.
  2. Choose File | Encrypt.... A dialog box appears.
  3. Choose the Use Info Select radio button. Enter a password (up to 21 characters) twice, and click OK. The checkbox options to save the password can be used according to your preferences. If neither checkbox is enabled Info Select will prompt you for the password each time you decrypt the item. Uncheck these options for maximum security.

[:] To password protect and encrypt an item using PGP:

  1. In the Selector, choose the item. It must be a File, a Note, or an e-mail message.
  2. Choose File | Encrypt.... A dialog box appears.
  3. Choose the Use PGP radio button. Select the desired options (see the PGP documentation) and click OK. The PGP dialog box will appear (see PGP documentation).

If you check the Save password for today option, Info Select will not ask you for the encryption password on the current day. However, it will prompt you for the password on the next day. When you check the Save password permanently option, Info Select will remember the password for the current item permanently, and you will be able to decrypt the item simply by choosing File | Decrypt. If neither option is checked, Info Select will prompt you for the encryption password each time you choose File | Decrypt to decrypt the item. Uncheck these options for the maximum security.

[:] To decrypt an encrypted item:

  1. Choose File | Decrypt....
  2. Enter your password.
  3. Click OK.

[:] To remove password protection and encryption from a File:

  1. In the Selector, double-click on the File to open it.
  2. Enter your password.
  3. Choose File | Decrypt.

note.png (184 bytes) Notes: To protect against someone viewing an encrypted file that you already opened, close the File with the File | Close command before leaving your computer. Encrypted Files that are open remain encrypted on disk at all times.

tip.png (168 bytes) Tip: To prevent the encrypted Notes from being accidentally edited check the Tools | Options | Editor | Lock encrypted text from changes option.

tip.png (168 bytes) Tip: To protect the whole application by password, encrypt the Overview.wd2 file.

For automatic e-mail encryption click here.


Summing a Number Column

You can sum a column of numbers in a Note.

[:] To sum a column of numbers:

  1. Place the cursor below the column of numbers.
  2. Choose Format | Stamp | Sum... (CTRL+SHIFT+M) and confirm. The sum appears below the column of numbers.

For large amounts of data, it is recommended to use the Database feature.


OLE

Object Linking & Embedding allows you to store data from other applications in Info Select. For example, you could embed a graphic image or a part of a spreadsheet inside Info Select. OLE allows you to use Info Select as your control center for various information from other applications and to organize and interrelate all your information using Info Select's organizing features.

Inserting objects

You can place OLE objects in Info Select from other applications. For example you might want to place in Info Select a range of cells from a spreadsheet.

[:] To place an OLE object from another application into Info Select:

  1. In the other application choose the item to be embedded in Info Select.
  2. Choose Edit | Copy.
  3. In Info Select, highlight an item in the Selector or place the cursor in a Note at the location where you want to place the OLE object.
  4. Choose Edit | Paste Special.
  5. Select the desired format and click OK. An icon or image should appear in the Workspace.

You can double-click on an embedded OLE object to edit it.

You can create a new OLE object in Info Select without first creating the item in the other application.

[:] To create a new OLE object:

  1. Choose the location where you wish to place the object (in the text of a Note or in the Selector)
  2. Choose Insert | Object....
  3. Select the desired type and click OK.
  4. Double-click the OLE icon or image to launch its application and create the data.

You can create an OLE object from a pre-existing File.

[:] To create an OLE object from a File:

  1. In Info Select, highlight the item in the Selector above which you wish to place the OLE object, or place the cursor in a Note at the location where you want to place the object.
  2. Choose Insert | Object..., select Create from File, and click the Browse button to find the File you want to insert.
  3. If you want an icon representing the file to show in the Note, check Display as Icon. Otherwise, you will see the contents of the file displayed in Info Select
  4. If you want any changes you make to the item to be reflected in the original file, click the Link option. If Link is not selected, any changes made to the object in Info Select will not change the original File.
  5. Click OK.

You can draw in Info Select through a drawing application.

[:] To draw a picture in Info Select:

  1. Choose Insert | Object....
  2. Select Bitmap Image or a drawing program you have installed and click OK.
  3. Double-click the window in the Workspace to launch the drawing application.
  4. Draw your picture.
  5. Click outside of the window to close the drawing application.

note.png (184 bytes) Note: You can also use the Image feature to draw in Info Select.

You might want to export an OLE object stored in Info Select to another application.

[:] To export an OLE object to another application:

  1. Highlight the OLE object and choose Edit | Copy.
  2. Paste the object into the desired application.

Storage size

It is important to understand where the information for OLE objects is stored. The data is stored in the same place as other Info Select data - in temporary memory (RAM) while running Info Select, and permanently on disk in wd2 Files. OLE objects consume memory and disk space more quickly than plain text. Each instance of an OLE object takes its own memory and disk space. As a result, Topics containing many OLE items will take longer to save and load. Any File attachment placed in Info Select uses the same additional amount of space as the original File.

If you paste graphic images directly from the clipboard, the image will be stored uncompressed. To save space with graphic OLE objects, consider first saving the image in a compressed format such as JPG and then inserting the OLE object as a File.

Non OLE images

You can paste BMP, WMF, JPEG and PNG images into a Note without using OLE. Simple place the image on the clipboard and paste into the Note. Or choose File | Import / Export | Import from File... to import an image from your hard disk and then copy the imported image into the Note.


Web addresses

As you surf the Internet, you may collect web addresses you want to remember. Web addresses, such as http://www.miclog.com, are easy to paste into Info Select for safekeeping and organizing. For example you might want to organize a web address for a vendor along with notes about that vendor.

[:] To place a web address in the Selector:

  1. In your browser, highlight the web address.
  2. Press CTRL + C to place the web address on the clipboard.
  3. Go into Info Select and choose Edit | Paste. A new Topic will be created with the web address as the caption.
  4. Drag the web address into another Topic if desired.

[:] To direct your web browser to a web site stored in a Topic caption:

  1. Select the Topic.
  2. Choose View | Go To Web Address (or press CTRL+F12).

You can change the web address into a Web Page item to view the web page directly in Info Select.

[:] To change the web address into a Web Page item:

  1. Highlight a topic containing the web address as the caption.
  2. Choose Selector | Change Into | Web Page.

You can manually enter web addresses into Info Select. For example, you may get an address during a phone call and want to store it.

[:] To manually enter a web address into Info Select:

  1. Select the item where you want to enter the web address into Info Select. This might be a Note containing other web addresses or the Topic you have established for that person or company.
  2. Type the full web address in the format www.host.domain, or an e-mail address in the format user@host.domain. Web addresses can begin with http://, ftp://, file://, etc. To view the hyperlink details, move your mouse over it and a floating tip will show the address:

You can edit an underlined web or e-mail address in a Note. For example, you may discover the address is wrong and needs to be changed.

[:] To edit an existing web or e-mail address inside a Note or Form:

  1. Right-click on the address you want to edit.
  2. Choose Edit Hyperlink... (or Edit Recipient... for e-mail addresses)
  3. In the Label and Address fields, change the text that will appear in Info Select and the URL address of the recipient.
  4. Click OK when finished.

[:] To direct your browser to a web site stored in the text of a Note:

  1. Move the mouse pointer over the web address. The cursor will change to a hand.
  2. Click the left mouse button.

This feature is supported only by browsers supporting standard conventions, such as Netscape and Microsoft's Internet Explorer. Info Select simply hands URLs over to the operating system to decide which browser to use (normally the last installed browser). When you start your browser the first time, it should ask whether you want to make it the default browser. If this feature is not working, consider reinstalling your browser to ensure it is set to the default browser.

You can disable underlining hyperlinks in Info Select notes.

[:] To disable underlining hyperlinks:

  1. Uncheck Tools | Options | Editor | Allow me to click on hyperlinks to launch my browser.

You can import your existing bookmarks into Info Select. (To import Netscape bookmarks the bookmarks must be in the default directory.)

[:] To import your web bookmarks into Info Select:

  1. Choose File | Import / Export | Import Favorites. Your bookmarks will appear in the Selector in a Topic in outline form.

tip.png (168 bytes) Tip: Use the Web Viewer to browse web pages directly from Info Select.


Folders

Introduction to Folders

In addition to outlining, Info Select adds another dimension to your ability to categorize information called Folders.

When you are first learning Info Select, use Topics to create categories for your information. You generally use Folders only after you have made substantial use of Topics for classifying your data. Use a Folder whenever you want easy access to a group of items residing in several different Topics.

For example, suppose you have Topics for each department in your company. Each of these Topics contains assorted Notes. Some of the Notes in each department Topic are about things to do. Your To-Do items are not all in one place. To bring your To-Do items together you could create a To-Do Topic, but you would have to spend time moving all your To-Do items into this new Topic. Furthermore, you would lose your original association between the To-Do items and the department Topics.

The Folder feature solves this problem. Use a To-Do Folder to tag your To-Do items. Then, when you want to see the things you have to do, simply view your To-Do Folder. All the to-do items you tagged will be available in the Search Filter regardless of which department Topic the to-do items came from.

Info Select comes with some sample ready-to-use Folders called "Bkmrk" and "Call". You can add to, delete, or modify these Folders. You can also ignore them and use Topics instead if you would rather focus on just one uniform method of classifying information.

Folders appear on the Toolbar so it is advisable to use short Folder names to conserve space on the Folder bar.

5_folders.png (472 bytes)

The Folder section of the Toolbar can be widened by moving it to it's own line below the Toolbar. To do this, drag the small vertical bar to the left of the Folder to a spot below the toolbar.

Creating and Deleting Folders

You can create a new Folder whenever you have items residing in different Topics that you would like to group for quick access. To enable Folders use Tools | Options | Bars | Folders.

[:] To Create a new folder:

  1. Right-click in the Folder bar and choose New.
  2. Type the Folder name and press ENTER. The new Folder will appear on the Folder bar as a new tab.

You can Delete a Folder when it is no longer needed. Deleting a Folder will not erase the items within, only the Folder itself.

[:] To Delete a folder:

  1. If you have any closed Files that include items in the Folder being deleted, open them first using File | Open.
  2. Right-click the Folder tab to be deleted and choose Delete. A dialog box will ask for confirmation the Folder is to be deleted.

Folder order

You can change the order in which Folders appear on the Folder bar by dragging them with your mouse. A small vertical black bar will indicate the position where the Folder tab will be placed.

Assigning Items to Folders

You can place an item into or remove it from any combination of Folders. For example, you might want to put a Note about a client into a Folder called Clients and in a folder called Todo.

[:] To place an item in or remove an item from a Folder:

  1. In the Selector, choose the item.
  2. Right-click the Folder tab and select Toggle (or Remove From Tab). The Folder tab color will change.

Repeat as needed to place or remove the item from any combination of folders.

You can remove all items from the Folder without deleting the Folder itself.

[:] To remove all items from a Folder:

  1. Right-click on the Folder tab which you wish to clear
  2. Choose Clear from the pop-up menu and confirm.

You can determine which Folder(s) any item is assigned to.

[:] To determine which Folders an item is assigned to:

  1. Highlight the item in the Selector. Look at the Folder tabs. Any highlighted Folder tab contains the items.

Viewing Folders

You can view a Folder's contents. For example, if you have assigned all your to-do items to a To-Do Folder, you can view all your to-do items.

[:] To view a Folder's contents:

  1. Left-click the Folder's tab. If nothing is in the Folder, nothing will happen. If the Folder contains something, the Search Filter will become active, showing only the items in the Folder.

When finished viewing the Folder's contents, exit the Search Filter by choosing View | View All Items or, to keep the current item highlighted and leave the Search Filter, choose View | View All at Current.

You can view items in a Folder without activating the Search Filter.

[:] To view the next item in a Folder without going into the search filter:

  1. In the Folder bar, right-click the Folder and select Go Next. The next item in that Folder will be highlighted in the Selector. Alternatively, you can click the Folder repeatedly to cycle through the items assigned to that Folder.

Updating Folders

You may have items in hidden Folders that are not present in your Folder list. This can happen in one of two ways:

  • Through a network, you may receive items which were assigned to Folders not in your Folder list.
  • When you Delete a Folder, the deletion will not affect data in closed files.

[:] To update your Folder list to include hidden Folders:

  1. Open any closed Files that may contain items in Folders.
  2. From the Selector choose Overview. (You can base your Folder update on a specific Topic by selecting that Topic instead of the Overview.)
  3. Right-click the Folder bar and choose Update. A dialog box appears.

    5_fol_dial.png (2560 bytes)
  4. From the list box, highlight the Folders you want to keep or click Select All to keep them all.
  5. Click Move Right if you want to move the highlighted Folder right on the Folder Bar. Click Move Left to move the Folder left. Click Remove to remove the highlighted Folders.
  6. Click OK.

Rename a Folder

You can Rename a Folder. For example, you might want to change a Folder called BookMark to BM.

[:] To Rename a folder:

  1. If you have any closed files that include items in the Folder being renamed, open those Files first with File | Open.
  2. Right-click the Folder tab to be renamed.
  3. Select Rename and fill in the dialog.

Any items in the Folder being renamed will appear in the newly named Folder.


Sorting Bin

The HotSpots feature replaces the need for the Sorting Bin feature. It is recommended to use HotSpots instead of the Sorting Bin. The Sorting Bin feature is no longer documented.


Publishing files to the web

Publishing Info Select data files to the web

You can make Info Select data files available on a web site to visitors who have Info Select.

[:] To publish an Info Select data file to the web:

  1. Upload the desired wd2 data file to your web site.
  2. Create a hyperlink to the file on a web page. When visitors click on the link, Info Select will be launched to display the Info Select data.

note.png (184 bytes) Note: Ask your server administrator to add the WD2 extension to the list of MIME extensions supported by your web server. Use the following format:

Content type/Subtype: application/infobase
Extension: .wd2

tip.png (168 bytes) Tip: Use the Remote Files feature to work with files on web.


Keyword coloring

Coloring keywords

You can automatically color all words that match a list of keywords you provide. For example, if you are doing research on former presidents you could copy text you find on the web into Notes and then color all words matching president names.

5_colorize.png (2800 bytes)

[:] To color keywords:

  1. In the Selector, choose a Note, E-mail, or Topic containing Notes and E-mails.
  2. Choose Tools | Colorize Keywords.... A dialog appears.
  3. Enter a list of keywords and click OK. Check Record number of unique keywords found to have the number of found keywords appended to item's caption. The next time you issue the command, you can select the prior keywords from the drop list.


ToDo Icon

You can mark a Selector item as a ToDo item to remind yourself that a task needs to be done. An icon will appear in the Selector.

[:] To mark an item as a ToDo task:

  1. In the Selector, right click on the item.
  2. Choose Todo Item.

or...

  1. In the Selector, choose an item and press CTRL+H.

note.png (184 bytes) Note: The Todo icon will display on the item's parent if the parent is collapsed. This insures that Todo items are always visible.

To view all ToDo items, choose View | By Type | Todo items.

tip.png (168 bytes) Tip: You can combine Todo icons with Checkmarks.


Checkmark Icon

You can add Checkmarks to Selector items. For example, you may want to create a checklist for a trip.

[:] To add a Checkmark to an item:

  1. Highlight the item in the Selector.
  2. Choose Selector | Properties | Checkmark. A Checkmark box will appear near the selected item.

[:] To check or uncheck a Checkmark:

  1. Click on the Checkmark box.


Selector Size Bars

You can graphically view the size of your data items using the Selector Size Bar feature. This helps find the space consuming items in topics (for example: Images, Notes with attachments, OLE objects, etc.).

[:] To enable showing Selector Size Bars:

  1. Choose Tools | Options | View.
  2. Check Show item-size bar-graph in Selector.

To view the size of the items in a topic using the Selector Size Bar feature the topic should be expanded. For the parent topic, a "full" Bar will be shown at the right edge of the Selector. For each sub-item, a Size Bar will indicate the size as a portion of the parent Topic growing from right to left. Collapse the sub-topics to view their size (if a sub-topic is expanded, a "full" Bar will be shown).

To calculate the size of the sub files in the selected topic choose Tools | Options | View | When showing size of a File add size of any child Files.

tip.png (168 bytes) Tip: To change the color of the Selector Size Bar choose Tools | Options | Color.


Recycle Bin

Much of the information you enter in Info Select is information you will want to keep for reference. You may want to delete certain transient information, such as completed tasks. There is a gray area in between - information that is no longer important but that you are not ready to delete. You can place such information in a Recycle Bin. The Recycle Bin flags data that falls into this gray area and removes the data from your attention. Info Select can place deleted data into a Recycle Bin automatically (also see "05 Miscellaneous | Creating and Deleting Items").

[:] To create a Recycle Bin:

  1. Choose Insert | Recycle Bin.
  2. Enter a caption or press ENTER to use the default caption.

note.png (184 bytes) Note: You can create as many Recycle Bins as you need.

Data, placed in a Recycle Bin can be automatically restored:

[:] To restore items from a Recycle Bin:

  1. Expand the Recycle Bin item in the Selector.
  2. Highlight the necessary item (or multiple items) and choose Edit | Restore. The selected items will be moved to their previous location.

note.png (184 bytes) Note: If you place an item in a Recycle Bin manually, it will be restored to the top of the Selector - below the Overview.

To restore all items, collapse the Recycle Bin item and choose Edit | Restore.

If the information in a Recycle Bin is no longer necessary, you can delete it.

[:] To empty a Recycle Bin

  1. In the Selector, Expand the Recycle Bin item.
  2. In the Recycle Bin, select the first item.
  3. Choose Edit | Select All.
  4. Press DELETE.

important.png (152 bytes) IMPORTANT: If you delete data from a Recycle Bin, you will not be able to restore it using Edit | Undo.

tip.png (168 bytes) Tip: You can place Recycle Bins into separate File-topics, and then close and compress these files to reduce memory and disk space consumption.

note.png (184 bytes) Note: A Recycle Bin can not be changed into a File-topic.


Web Viewer

You can view web pages directly in Info Select. For example, you could enter a link to your favorite weather site so that a single click in the Selector will display the weather forecast.

8_What26.png (110096 bytes)

[:] To view a web page in Info Select:

  1. Choose Insert | Web Page.
  2. Type in a web address (e.g. www.miclog.com) and press ENTER. Info Select will attempt to connect to the specified address and retrieve the web page contents.

Use the Navigation Bar to browse through web pages.

To return to the original starting page, click on the Web Viewer icon 2_Type8.gif (169 bytes) in the Selector, or right-click on the Web Viewer icon and choose Go to Initial URL from the popup menu.

Info Select 8 allows to create a captions for the Web Page items in the Selector. For example, you can add a short descriptive caption to the Web Page with a long address.

[:] To add a caption for the Web Page item:

  1. In the Selector, highlight a Web Page item.
  2. Press F2 to edit it's caption.
  3. Enter the desired text and press ENTER. The caption will appear before the web address (i.e. Micro Logic - www.miclog.com).

After you enter the caption for the Web Page item, you can edit it's initial URL:

[:] To edit the initial URL of the Web Page item:

  1. Right-click on the Web Viewer icon in the Selector.
  2. Choose Edit Initial Url... from the pop-up menu. A dialog box appears.
  3. Enter the new URL and click OK.

Notes:

note.png (184 bytes) You can organize a Web Page item in your outline along with other data that relates to the web page.

note.png (184 bytes) When you drag an URL into Selector a new Web Page item pointing to this URL will be automatically created. To disable such behavior uncheck Tools | Options | Editor | Create a Web Page item when dropping URL or HTML document into Selector.

note.png (184 bytes) The contents of the webpage are not stored in Info Select database. Instead, data is retrieved from the web server each time you choose the Web Page item in the Selector.

tip.png (168 bytes) Tip: You can use the Web Viewer items to display HTML documents which are stored on your hard drive. Enter a path to a document in the Web Page item's caption. For example, "C:\Documents\document.html".

tip.png (168 bytes) Tip: Info Select 8 allows to search the contents of the Web Page items using the Search feature.


Safe Mode

Info Select has a "Safe Mode" feature that starts Info Select safely after certain errors occur or if Info Select was not closed properly. Safe Mode can occur if you turn off your computer before closing Info Select, or after a power failure.

In Safe Mode, Info Select prompts you to confirm various actions. Normally you can confirm each action. However if one action leads to a crash you can choose to bypass that action on the next startup.

IS.INI is a special file containing all your custom settings. When Safe Mode asks to confirm loading of IS.INI, normally it is recommended to confirm. Decline loading of IS.INI only if you have ongoing trouble and want to use a "factory" clean startup. Choose Startup Normally to disable the Safe Mode and startup normally.

By confirming each separate action during Safe Mode you may be able to isolate a problem.

When you start the application in the Safe Mode, an e-mail message to Technical Support containing your Assertion Log will be automatically generated.

Safe Mode can be invoked manually by holding the SHIFT key for 2 seconds while starting Info Select.

When you start Info Select in Safe Mode, a window displaying the list of your last actions will be shown. Choose whether to Show last ten actions, or Show all logged actions. This may help you to find out the cause of the problem.


Protecting Topics and Deliveries from Overstuffing

As you add more and more data to your Topics, or receive new e-mail messages into Deliveries the amount of items stored can grow large. You can protect your Topics and Deliveries from overstuffing by enabling the Protect Topic from Overstuffing option. If this option is enabled, when the number of items within a Topic or Delivery exceeds the number specified in Tools | Options | Misc | Archive old items when the number of items in a topic grows larger than... box, a Topic labeled "Archive" will be created in the Topic or Delivery, and the oldest (by modification date) items will be moved into this Topic.

[:] To protect a Topic or Delivery from Overstuffing:

  1. In the Selector, choose a Topic or Delivery.
  2. Choose Selector | Properties | Protect Topic from Overstuffing.

[:] To set the maximum number of items in a Topic or Delivery protected from Overstuffing:

  1. Choose Tools | Options | Misc.
  2. In the Archive old items when the number of items in a topic grows larger than... box enter the desired number.
  3. Click OK.


Introduction to Editing

You can use Info Select as a basic word processor by using the Note data type. In Notes, you can find and replace text; change text color, style or size; set page indentations and justifications; join lines; stamp the date or time; undo deletions; insert special characters or symbols, insert images, create bulleted or numbered lists, and more.

In contrast to word processors, each document is not saved as a separate file. This saves you the time of assigning and managing files. Also, you can bring related documents together quickly through Info Select's high speed Search feature.


Note creation

Creating Notes

Create a Note when you need to write a letter, record an idea, draft a report, or do any other basic word processing task.

[:] To create a Note:

  1. Choose Insert | Note (F7). You will see a flashing cursor in the Selector.
  2. Enter a caption (title) for the Note if you wish and press ENTER.
  3. Type your information into the Workspace. Use the Context Toolbar to format your text.
  4. Press ESC to finish editing.

You may find yourself frequently entering short one-line notes. For a one-line note, you can enter the line as a Selector caption instead of entering text in the Workspace.

[:] To enter a one line-note in the Selector:

  1. Choose Insert | Line Note (F11).
  2. Type the note text and press ENTER or ESC finish editing.


Editing Notes

You can edit Notes to revise information, add new material, delete text, and make other changes. For example, you may need to make changes to a marketing plan you composed in a Note.

[:] To edit a Note:

  1. From the Selector, choose the Note.
  2. In the Workspace, click inside the Note text or press F2 twice.
  3. Make the necessary changes.
  4. Press ESC to finish editing.

Info Select can remember the cursor location in a Note between Edit sessions so you can automatically return to the last cursor position. This feature works when you press F2 twice to edit.

[:] To retain the edit cursor position:

  1. In the Selector, choose the Note.
  2. Check Selector | Properties | Retain Edit State.

Notes:

Info Select 8 supports the Ink Drawing and Writing feature used on Tablet PC's. This feature allows to enter text into Info Select Notes using a Tablet PC stylus.

Info Select 8 supports Character Sets for various languages. Now you can edit your Notes in Japanese, Chinese, Cyrillic, Hebrew, Arabic, Turkish, Baltic, and other character sets (provided the necessary Character Set support is installed).


Standard editing features

Standard Editing

Info Select provides the same editing features found in standard Windows applications. Refer to your Windows User Guide for a more detailed description of these features.

To move up or down through text in a Note, use the PGUP, PGDN, HOME, END or ARROW keys. Use CTRL + RIGHT ARROW or CTRL + LEFT ARROW to move the cursor to the next or previous word. Use CTRL + HOME or CTRL + END to move to the top or bottom of a Note.

To select (highlight) a section of text, click and hold down the mouse button and drag the mouse over the desired text, or hold down the SHIFT key and use the keyboard arrows to select the text.

To select all the text in a Note when editing choose Edit | Select All..

To delete text, press the DELETE or the BACKSPACE key or highlight the section of text and press the DELETE key. You can also use CTRL+ T to delete a word and CTRL + Y to delete a line.

Press the INSERT key to toggle between the Insert or Overwrite mode. A narrow flashing cursor appears for Insert mode. A wide flashing cursor appears for Overwrite mode. Insert mode inserts your text into the Note where you have positioned the cursor. Overwrite mode types over your existing text.

You can use the Edit menu Cut, Copy, and Paste commands to move sections of text within a Note or transfer text to other Notes. Use Edit | Paste Special to select a specific format for the pasted text. To paste text in the Plain Text format use Edit | Paste as Plain Text. These clipboard functions can also be used to move and copy items in the Selector.

To paste images into Info Select, use Edit | Paste, not Edit | Paste Special which uses the inefficient DIB format.

You can move text in a Note using your mouse.

[:] To move text with your mouse:

  1. Highlight the text you wish to move.
  2. Drag it with your mouse to the new location by clicking and holding down the left mouse button on the text, then dragging it to another location. While you are dragging, you will see the cursor change to an arrow with an empty box and you will see a vertical line indicating where the text will be placed when you release the mouse button.

[:] To change font size of text quickly:

  1. Highlight the text.
  2. Press CTRL + < or CTRL + > to decrease or increase the font size.

tip.png (168 bytes) Tip: Click here to learn more about word processing features.


Font Style, Color, and Size

You can change the appearance of your text in several ways.

[:] To bold, underline, italicize, strikeout, color or re-size text:

  1. If you want to format existing text, highlight the text. Otherwise, set the formatting, then type in your new text.
  2. Click the Context Toolbar buttons to make your text appear:
    Bold | (CTRL + B)
    Underlined | (CTRL + U)
    Italic | (CTRL + I)
    Strikeout | (CTRL + SHIFT + K)
    Superscript
    Subscript

  3. To change the text color, select the desired color from the Color Palette (to enable the Palette use Tools | Options | Bars | Palette).
  4. To change the text size or font, select the desired Font and Size on the Context Toolbar, or choose Format | Font... and make your selections. Click OK when finished.

note.png (184 bytes) Note: When words in multiple fonts have been highlighted, the Font Style and Size boxes will be empty.

[:] To remove a bold, underline, italicized, strikeout, super- or subscript style:

  1. Highlight the text.
  2. Click the Bold, Underline, Italics, Strikeout, Superscript or the Subscript button once or twice as needed.

You can highlight portions of text with different colors by changing the text background color. For example, you may want to mark a sentence with a Yellow background color.

[:] To change text background color:

  1. Highlight the text.
  2. Click the Text Background Color button [image] (or choose Format | Text Background Color) and select the desired color.

Default versus Fixed colors

In the color palette the box labeled D is the "default" box. Use the default box to set the color of text to your default Note text color. (To set your default Note text color, choose Tools | Options | Font | Notes, Documents, Grids.) One color appears twice in the Color Palette. For example, the color black may appear in the default box as well as in another box in the Color Palette. The black in the leftmost box is a "fixed" black while the black in the default box represents your default color. When selecting colors, choose the color from the correct box. For example, if a section of text is red and you want to change it to black, it is usually better to choose the "default" black instead of the "fixed" black. This way, if you ever change your default to a color other than black, the text will change to your new default color. Similarly, if you e-mail a Note to another user who has a different default color, that user will maintain the default color for that portion of text.


Formatting Text

You can indent, justify or center a selection of text.

[:] To indent, center, or left or right justify text:

  1. If you are formatting more than one line, highlight the text. For one line, simply place the cursor anywhere in the line.
  2. Choose Format | Paragraph.... A dialog box appears:

  3. Choose the desired indentation options. The Left and Right boxes allow to set the indentation from left and right, and the First Line box allows to specify the indentation of the first line in a paragraph. The values can be positive or negative (i.e. 1.00 or -1.00).
  4. Select the Alignment options (Left, Center or Right).
  5. Click OK.

tip.png (168 bytes) Tip: You can press CTRL + E to center or CTRL + L to left justify the selected text. The above commands also appear as buttons on the Context Toolbar.

note.png (184 bytes) Note: If text does not appear centered after using the center feature, it is usually due to spaces before or after the text. These spaces should be deleted.

note.png (184 bytes) Note: Many users are familiar with CTRL + R to right justify text. This key is used for another function in Info Select. To right justify text, use the Format | Paragraph... command.

You can change the Tabulation positions for an individual Paragraph or several Paragraphs.

[:] To change the Tabulation positions:

  1. In the Note, highlight the Paragraph (or several Paragraphs) of text.
  2. Choose Format | Tabulation.... A dialog box appears:
  3. Enter the desired tab position value in inches and click Set to add it to the list. You can add several Tab position values. Select a position and click Clear to remove it from the list. Click Clear All to clear the list.
  4. You can fill the Tabulation spaces with any character by entering it into the Fill With box.
  5. Set the default tab width in the Default tab width box.
  6. Click OK to confirm changes.


Case changing

Changing Case

You can change text to all upper or lower case characters.

[:] To change text to upper or lower case:

  1. In the Note, highlight the text and press SHIFT + CTRL + A for upper case or CTRL + W for lower case.


Joining Lines

You can join a line with the next line. This is helpful when you want to merge a list of lines into a single paragraph.

[:] To join lines of text:

  1. In the Note, position the cursor on the first line of the text you wish to join.
  2. Choose Selector | Join to join the text. Repeat as needed.

To join several lines together, highlight all the lines and choose Selector | Join. This action cannot be undone.


Stamping date, time, and numbers

Stamping

You can stamp the current date or time or a sequence number into your text. You can stamp manually or automatically. First you may need to configure the stamping feature.

[:] To configure the Stamping feature:

  1. Choose Tools | Options | Stamping.

  2. Choose the Stamp you want to configure from the radio buttons at the left side of the dialog box: Date, Time, Sequential numbering, Call Duration, Address or Caret.
  3. In the Prefix field, enter the phrase you want to appear in front of the stamp including a space if desired, such as “Today is ”.
  4. In the Suffix field, enter a phrase you want to appear after the stamp including a space if desired, such as “\r\r” for two hard returns.
  5. Click OK.

tip.png (168 bytes) Tips: Check Tools | Options | Stamping | Date | Long date to stamp Date in the long format (i.e. Tuesday, July 02, 2002). Check Tools | Options | Stamping | Time | Show Seconds to include seconds in Time stamping (i.e. 8:07:33 AM).

You can set Info Select to automatically stamp items. For example, you may want your invoices to have the date automatically inserted in the first field.

[:] To automatically stamp items:

  1. In the Selector choose a Template or Default Template.
  2. Position your cursor in the Template text where you want the stamp to appear.
  3. Enter @D for a date stamp and/or @T for a time stamp. Use @K to count items sequentially.
  4. Press ESC to finish editing. When the Template is used the stamp will appear.

You can automatically extract an address from a Note and stamp the address when a Template is used. To use this feature place @A in the master Template. Addresses will be recognized if they contain three to five lines of 7 to 40 characters closing with a zip code of one or more digits or a single quotation mark after a non-numeric zip code. If there is more than one address in the Note the first will be used.

You can change the Stamp Marker to another string. For example, you can change the Date Stamp Marker from @D to #date.

[:] To change a Stamp Marker:

  1. Choose Tools | Options | Stamping.
  2. Choose the Stamp you want to configure.
  3. In the Marker field, enter the string you want to use for that Stamp Marker.
  4. Click OK.

While editing, you can insert the current date or time into the text of an item to provide a record of when you did something.

[:] To stamp the current date or time while editing:

  1. Choose Format | Stamp | Date or Time.

You can stamp items sequentially (e.g., 101, 102, 103, ...) for numbering documents, purchase orders, invoices, etc.

[:] To stamp items sequentially:

  1. In the item, position the text cursor at the location where the sequence number should appear.
  2. Choose Format | Stamp | Count.

To reset the stamp counter, enter 1 in Tools | Options | Stamping | Sequential Numbering | Current Value.


Undoing deletions

Undoing a Delete

While editing, you can recover the last deletion of text.

[:] To recover deleted text:

  1. Choose Edit | Undo. The deleted text will be restored.

Also see the Revert command.


Removing Formatting

You can remove fonts, point size, color, bold, underline, italic, strikeout and indentation. For example, you may want to remove all color from a Note, all uses of "bold", and all varying point sizes.

[:] To remove formatting from a Note:

  1. From the Selector choose the Note.
  2. Choose Format | Remove Formatting... and choose the styles you wish to clear.

  3. Click OK.

[:] To remove formatting from an item's caption only:

  1. Highlight the item in the Selector.
  2. Choose Format | Remove Formatting... and choose the styles you wish to clear.
  3. Uncheck the Text option.
  4. Click OK.

You can also remove formatting from the portion of the Note's text. For example, you can clear the indentation from several paragraphs.

[:] To remove formatting from a portion of text:

  1. From the Selector choose the Note.
  2. Highlight the desired portion of text.
  3. Click the Remove Formatting button [image] on the Context Toolbar (or choose Format | Remove Formatting...).
  4. Choose the styles you wish to clear and click OK.


Browse Backwards and Forwards

Just as you can browse backwards or forwards in a web browser, you can navigate data in Info Select. For example, if you are interrupted while editing a Note because you need to view an item elsewhere in the Selector, you can easily return to the original item you were editing.

[:] To browse through your last several edit locations in Selector:

  1. Press ALT + BACKSPACE to browse backward or SHIFT + ALT + BACKSPACE to browse forward. Or use the Back and Forward buttons on the toolbar.

note.png (184 bytes) Note: The browse feature does not apply to the Web Viewer.


Format code viewing

Format Codes

You can view the internal codes used to mark bold, center, and font info, etc. This feature can be used to troubleshoot complex formatting situations.

[:] To view or hide format codes:

  1. Press CTRL + SHIFT + 8.


Introduction to frames

Introduction to Windows and Frames

When you choose an item in the Selector, the contents of that item appears in the Workspace at the right side of the screen. The item can appear in a window that fills the Workspace or in a sizeable window that takes only a portion of the Workspace. For each item, you can set the type of window frame, its position, background color, and size.


Frame control

Changing Item Frames

You can maximize an item's frame. For example you might want to set the frame of a Note containing a large document to fill the Workspace. When a window is maximized, it gives the desktop an uncluttered appearance and resizes automatically with changes in the width of the Selector.

[:] To switch an item's frame to maximized:

  1. From the Selector, choose the item and check Selector | Properties | Maximized Frame. The frame should now fill the full Workspace. If not: in the Selector select and collapse the parent Topic; check Selector | Properties | Maximized; and repeat for the parent's parent, etc., until you reach the Overview.

You can make an item's frame sizeable. For example you might want a few Notes to appear side by side.

[:] To switch an item's frame type to resizable:

  1. From the Selector, choose the item and uncheck Selector | Properties | Maximized Frame. Then you can resize the window frame using the mouse.

You can set the window size of all the items in a Topic at once.

[:] To change the window size of all items in a Topic:

  1. Create a model item at the top of the Topic. The model item should be the same type as the items you wish to change. For example, if you want to set the size of all Notes in the Topic, use a Note as your model. Set the size of the model item frame to the size desired.
  2. In the Selector, choose the model item.
  3. Press CTRL + SHIFT + D.

note.png (184 bytes) Note: The size of Maximized frame items will be unaffected.

Resizable windows can display a caption in the Workspace in various positions.

[:] To set the position of the caption of a resizable window:

  1. Choose Selector | Properties | Caption Type and select the desired location.


Moving and sizing frames

Moving and Sizing Windows

Each window in the Workspace can be moved or resized unless it is maximized.

[:] To move a window:

  1. Using your mouse, drag the caption to the desired location.

[:] To resize a window:

  1. Using your mouse, drag the edge or corner of the frame.


Pinup windows

Pinups

You can Pinup a Note or any other item in a similar way to tacking a note on a bulletin board. Pinup items stay in view regardless of which other items you choose in the Selector. You can use Pinups for reference or editing. Any type of item can be Pinned-Up, including Calendars, Forms, and Topics.

[:] To pin-up an item:

  1. From the Selector, choose the item.
  2. Click the Pinup [image] toolbar button or right-click the item and choose Pin-Up. To move the Pinup item, drag the title bar of the Pinup window.

[:] To unpin an item:

  1. In the title bar of the Pinup window, click the [image] button.

[:] To minimize the pinned-up window

  1. In the title bar of the Pinup window, click the 07_pinup_minim.png (116 bytes) button

To find the location in the Selector of the Pinups choose View | By Type | Pinups.

note.png (184 bytes) Note: A Pinup can be moved anywhere on the screen, including outside the Info Select application area. Pinups will minimize when the application is minimized.


Tiling Windows

You can automatically arrange Workspace windows side-by-side. This is useful when you need to view many small items at once in the Workspace.

[:] To tile items in the Workspace:

  1. In the Selector, choose a Topic.
  2. Collapse the Topic.
  3. Choose Selector | Properties | Auto-Arrange. Sub items of that Topic will be automatically arranged in the Workspace.


Nesting frames

Windows Inside Windows

You can place one window inside another for advanced applications. Use nested windows to create:

  • Forms with fields
  • Documents with text boxes
  • Items you want to view simultaneously.

[:] To nest windows:

  1. Check Tools | Options | View | Allow me to nest windows in the Workspace.
  2. Highlight a Topic which contains the items you wish to nest, or create a new Topic.
  3. Uncheck Selector | Properties | Auto Arranged.
  4. For the main Topic and each sub item, collapse the Topic or sub item and uncheck Selector | Properties | Maximized.
  5. In the Workspace, resize the window corresponding to the main Topic.
  6. Resize the windows corresponding to the sub items so they are small enough to allow two or more to fit inside the window of the main Topic.
  7. You may need to choose an item in the Selector above the main Topic and then choose the main Topic again to refresh the display.


Background Colors

You can change the Workspace background color of an item. For example, you may want an urgent Note to appear with a yellow background.

[:] To change an item's background color in the Workspace:

  1. From the Selector, choose the item.
  2. In the Workspace right-click in the window and choose Background Color.
  3. Select the desired color.

For more information about Default colors click here.


Introduction to Searching

Info Select provides a powerful search capability that allows you to find information quickly. Several types of searches are supported:

Type of search | Finds items
Exact phrase including spaces | containing a particular word or phrase
One or more words (Neural) | containing any combination of several words
Item size range | containing a certain number of characters or bytes
Date range | containing dates within a specific range
Item modification date range | last edited within a specific range of dates
Boolean expression | containing text which matches a Boolean search condition
Font Style | containing text in a particular Font, Style or Color.

tip.png (168 bytes) Tip: Click on each link above to learn more about different search types.


Search dialog box

The Search Dialog Box

The Search dialog box appears when you issue the Tools | Search (F5) command.

08_search.png (12591 bytes)

The Search dialog box allows you to specify a word or phrase to find.

You can see a graphical representation of a search in the Search Map which displays a series of squares. Each colored square represents an item in the Selector. As you type in your search phrase, the search will narrow and you will see the colored squares gradually disappear. The remaining squares represent the items that match the search phrase. The number of matches is displayed in the Matches area above the Search Map. The size of the squares varies with the amount of information being searched.

You can retrieve previous searches by pressing the DOWN ARROW key. You can also use the drop-list button next to the Search for field and select a previous search from a list.

You can highlight a word in a Note or caption while editing and then invoke the Search command. That word will automatically be copied into the Search key box.

The More button expands the dialog box to display additional search options (click Less button to hide the advanced search options).

The Search Type drop-down box allows to select one of the search types.

08_search_type.png (1596 bytes)

You can specify a case sensitive search by checking the Case Sensitive checkbox. When unchecked, both "Apple" and "apple" will be found, regardless of how the item was originally entered.

If you want to search for whole words, check Whole Words Only.

You can specify that you want to search the information shown in the Selector by checking the Captions checkbox. You can specify that you want to search the Workspace by checking the Text checkbox.

Search Barriers prevent items from being searched. When you place a Search Barrier (marked by [image] icon) on an item, searches will exclude that item. If you want to ignore Search Barriers and search through all items, check the Pass Barriers checkbox. Otherwise, leave the checkbox unchecked to allow Search Barriers to work as intended.

Check All Topics to search all your data. Uncheck All Topics for a localized search of just the selected Topic.

You can search for the information in the Filtered items by checking the Within Current Filter option. For example, you can search for "John Smith" and then search the found items for the word "invoice" to located invoices from John Smith.

The Search for Type and Go Into sections are explained in "08 Searching | Item Type Searching".

The Search Styles section is explained in "08 Searching | Font Style searching".


Exact searching

Exact Phrase Searching

You can search items for a particular word, phrase, or number. For example, if you were a journalist and needed all your notes about Senator Smith, you could perform an Exact phrase search for the words "Senator Smith".

[:] To perform an Exact Phrase search:

  1. Choose Tools | Search (F5). The Search dialog box appears.
  2. Click the More button, if necessary, and choose Exact phrase including spaces in the Search Type drop-down box.
  3. In the Search for box, enter the word, phrase or number you want to find.
  4. Press ENTER. The items found by the search will be shown in the Selector and the Search Filter will be activated. The matching words or numbers will be highlighted inside the found items.
  5. You can choose Edit | Find Next or press F3 to step through matches.
  6. After viewing the search results, choose View | View All Items (F4) to view your unfiltered data.


Neural searching

One or More Words (Neural) Searching

Sometimes you may not be sure of the exact word or words to search for. The Neural search can help. For example, suppose you are looking for your notes on a particular sales person but have forgotten her name. You think she sells widgets, is probably located in Detroit, and may have offered you a 20% discount. To find your notes, perform a Neural search and enter "widgets Detroit 20%" in the Key box.

[:] To perform a Neural search:

  1. Choose Tools | Search (F5). The Search dialog box appears.
  2. Click the More button, if necessary, and choose One or more words in the Search Type drop-down box.
  3. In the Search for box, enter the keywords or numbers to find. Separate each word with a space. The Status area displays the outcome of the Neural Search. For example a status "2 of 3" indicates that no more than 2 of the 3 words/numbers have been found in any one item.
  4. Press ENTER. The items found by the search will be shown in the Selector and the Search Filter will be activated. The matching words or numbers will be highlighted inside the found items.
  5. After viewing the search results, choose View | View All Items (F4) to view your unfiltered data.

note.png (184 bytes) Note: A Neural search takes longer than an Exact search.


Size Searching

You can find items based on the number of characters they contain. For example, you might want to find all items larger than 10,000 characters.

[:] To search by size:

  1. Choose Tools | Search (F5). The Search dialog box appears.
  2. Click the More button, if necessary, and choose Item size range in the Search Type drop-down box.
  3. In the Search for box, enter > for greater than, < for less than, or = for equal to, followed by the number of characters the item should be larger, smaller, or equal to (e.g., >200). You can specify a range by entering two numbers separated by a space (e.g. 200 500 would find all numbers between 200 and 500 inclusive).
  4. Press ENTER. The items found by the search will be shown in the Selector and the Search Filter will be activated.
  5. After viewing the search results, choose View | View All Items (F4) to view your unfiltered data.


Date Range Searching

You can find all Notes dated within a certain period. For example, if you were a lawyer and you needed all case notes dated 1/1/2000 through 3/15/2001 you could find them. Note that the dates must appear inside the Notes in the format specified in Windows Control Panel Regional settings.

[:] To search by date range:

  1. Choose Tools | Search (F5). The Search dialog box appears.
  2. Click the More button, if necessary, and choose Date Range in the Search Type drop-down box.
  3. In the Search for box, set the date range by entering the earlier date, a space, and the later date (e.g., 01/01/2001 03/31/2003). You can also use the greater than or less than notation discussed under Size search (i.e., >, <, =). Info Select will find only dates inside Notes for this search type. If you want to find a specific date only, enter just that date. You must follow the same date format specified in your Windows Control Panel Regional Settings.
  4. Press ENTER. The items found by the search will be shown in the Selector and the Search Filter will be activated. The matching dates will be highlighted inside the found items.
  5. After viewing the search results, choose View | View All Items (F4) to view your unfiltered data.


Date edited searching

Searching by Date Edited (Date Changed)

You can find items by the last date they were edited. This is helpful when you need to locate items that are outdated. Similarly, a salesperson might want to discard all sales leads from five years ago. S/he can perform a Date Changed Search to find them. This differs from the Date Range search, in that it finds items based on the date they were last modified rather than dates written in the text of each item.

[:] To perform a Date Changed Search:

  1. Choose Tools | Search (F5). The Search dialog box appears.
  2. Click the More button, if necessary, and choose Item modification date range in the Search Type drop-down box.
  3. In the Search for box, set the date range by entering the earlier date, a space, and then the later date (e.g., 02/31/98 03/31/99). You can also use the same notation as in the Size Search (i.e. >, <, =). To find items changed on a specific date, enter only that date.
  4. Press ENTER. The items found by the search will be shown in the Selector and the Search Filter will be activated.
  5. After viewing the search results, choose View | View All Items (F4) to view your unfiltered data.


Boolean Searching

An improved Boolean Searching feature allows you to use Regular Expressions to perform searches. A Regular Expression is a way to express how Info Select should look for a specified pattern in text. You can use Regular Expressions to look for complex conditions. For example, you can search for all the notes containing the information about "John Smith and Order or Invoice".

[:] To search using Regular Expressions:

  1. Choose Tools | Search (F5).
  2. Click More if necessary and choose Boolean expression in the Search Type drop-down box.
  3. In the Search for box enter the Expression (see examples below).
  4. Press ENTER. The items found by the search will be shown in the Selector and the Search Filter will be activated. The matching words or numbers will be highlighted inside the found items.
  5. After viewing the search results, choose View | View All Items (F4) to view your unfiltered data

Regular Expressions Examples

In the examples below keywords and special characters used in the Regular Expressions are shown in Bold.

Simple Expressions
Search String | Action
Apples and Oranges | Searches for all items containing the words "Apples" and "Oranges".
Apples or Oranges | Searches for all items containing the word "Apples" or the word "Oranges".
not Oranges | Searches for all items which don't contain the word "Oranges". Note, that the not keyword should be placed before the search string.
Complex Expressions
Search String | Action
"John Smith" and (letter or message) | Searches for all items containing the exact phrase "John Smith" (without the quotes), and the words "letter" or "message". Here, the quote characters "" are used to specify the exact phrase. The parentheses characters ( and ) set the order of the Boolean operations.
not "Green Apples" and Oranges | Searches for all items which don't contain the exact phrase "Green Apples" and contain the word "Oranges".
"\"in God we trust\"" | Searches for the exact phrase "In God we trust" including the quotes. Use the \ character to suppress the meaning of the special characters. For example, to include into the search string a ( or ) character, use \(. Use \t to search for the Tab character.
"Dimensions: \(inch\) \t" | Searches for the exact phrase "Dimensions: (inch)" (without the quotes), and a Tab character after the closing parentheses.

note.png (184 bytes) Note: The Space characters are ignored anywhere except inside of the quoted string.

tip.png (168 bytes) Tip: You can use &, | and ! characters instead of and, or and not keywords respectively.


Font Name, Style and Color searching

You can search for the specific font name, style or color in Info Select items. For example, you may want to find all notes which are in red Times New Roman font, or for all notes which contain italicized text.

[:] To search for Font name or Style:

  1. Choose Tools | Search (F5).
  2. Click the More button if necessary and choose Exact phrase including spaces in the Search Type drop-down box.
  3. Choose the Font name to search for in the Search Styles box, and check the style checkboxes, if necessary. Check Color and select the desired color from the palette if you want to search for the specific text color.

    08_search_style.png (1732 bytes)

  4. In the Search for box enter the text to search for. You can leave the Search for box empty to search for any text with the specified font name, style or color.
  5. Press ENTER. The items found by the search will be shown in the Selector and the Search Filter will be activated. The matching words or numbers will be highlighted inside the found items.

tip.png (168 bytes) Tip: You can combine font and style search options: for example, to search for Bold Italic font style check both Bold and Italic options.


Search Barriers

Normally, when the Search command is issued, Info Select will look through all your Info Select data. However, you may want to exclude certain Topics from being searched. For example you might have stored some old data that you do not want to delete but you do not want such data considered when searching, because it would clutter your search results with irrelevant matches.

[:] To hide a Topic from searches:

  1. In the Selector, choose the Topic an collapse it.
  2. Choose Selector | Properties | Search Barrier. An icon of a magnifying glass [image] will appear in the Selector next to the item.

note.png (184 bytes) Note: A Topic marked with a Search Barrier can still be searched by initiating the search from inside the Topic or by selecting Pass Barriers in the Search dialog box.

To remove a Search Barrier repeat the above steps.


File searching

Searching files

A File in the Selector (e.g. accounting.wd2) can be open or closed. If a file is closed its data is removed from memory and normally not searched. However, for a comprehensive search you may need to search all your data. In your search you can optionally include closed files, shared files, and password protected files.

[:] To include closed, shared or password protected files in a search:

  1. Choose Tools | Search.
  2. In the Search for box, enter the word, phrase or number you want to find.
  3. Click the More button to display the full dialog box.
  4. Under the Go Into tree check the items you want included in the search: Closed Files, Also Shared Files, and/or Also Password Files.

    08_go_into.png (2192 bytes)

  5. Click OK.
  6. After viewing the search results, choose View | View All Items (F4) to view your unfiltered data.


Web cache searching

Searching the web cache

You can search your web cache. For example, you may have visited several web pages containing information pertinent to a project and you want to find those web pages by searching for text you saw on those pages.

[:] To search the web cache:

  1. Choose Tools | Search.
  2. In the Search for box, enter the text you want to search for.
  3. Check the Web cache box.
  4. Click OK. A list of all items containing your text will appear in the Selector, including a list of web addresses.
  5. Click on one of the web addresses to return to a web site you visited previously.
  6. Choose View | View All Items to leave the search filter.

note.png (184 bytes) Note: The number of days items are retained in your web cache is set in your browser. Choose Tools | Options | Internet | Internet Options to access browser settings. You may need to ask your network administrator to change this setting.


Duplicate searching

Searching for duplicates

You can search for duplicate items in a Topic. You can use this feature to find redundant information.

[:] To search for duplicate items in a Topic:

  1. From the Selector, choose the Topic.
  2. Press CTRL + F5.

The duplicate items will be placed in the Search Filter. For example, if three items are identical, two of them will be placed in the Search Filter. Note that only items in the same Topic and at the same indentation level are compared against each other. You can safely delete duplicates if desired.


Search filter

The Search Filter

The Search Filter contains items found in a search. When the Search Filter is active the Toggle Filter toolbar button appears pushed in and is red [image]. Additionally, the status bar displays FILT. You can freely enter and leave the filter.

[:] To view the contents of the search filter:

  1. Choose View | View Filtered Items.

[:] To leave the Filter and restore the Selector to the way it was before the search.

  1. Choose View | View All Items.

[:] To leave the Filter and stay positioned on a highlighted item:

  1. Choose View | View All at Current.

Viewing Topics in the Filter

If a Topic is in the Filter, it does not mean that its sub items will be in the Filter. For example, if you search for a Topic named "Things To Buy", the "Things To Buy" Topic will be placed in the Filter but its sub items will not be placed in the filter unless they also contain the text "Things To Buy". To view sub items, leave the Search Filter by choosing View | View All at Current.

Searching for items in the Filter

You can search for the information stored in the Filtered items only. For example, you can search for "John Smith" and then search the found items for the word "invoice" to located invoices from John Smith.

[:] To search within the Filtered items:

  1. Choose Tools | Search.
  2. In the Search for box, enter the word, phrase or number you want to find.
  3. Click the More button to display the full dialog box.
  4. Check the Within Current Filter option.
  5. Click OK. The Search Filter will contain only the items found by the Search.

Moving Items To and From the Filter

You can move specific items to or from the Filter. For example, suppose you want to change all occurrences of the name "ABC Inc." to "ABC Corp.", except for one specific Note. First, perform a search for "ABC Inc.". Then remove the specific Note from the Filter. Finally, issue the Replace command to change all items in the Filter to the new name.

[:] To place an item into the Filter when the filter is not active:

  1. From the Selector choose the item and press CTRL + RIGHT ARROW.

[:] To remove an item from the Filter when the filter is active:

  1. Choose the item from the Selector and press CTRL + LEFT ARROW.

Group operations for filtered items

You can group all items filtered by a search into one topic. For example, you may want to move all items containing "Network Connection" into a separate topic.

[:] To split filtered items into a separate Topic:

  1. Perform a search using the desired key.
  2. Choose a Topic containing matching items.
  3. Choose Tools | Split and confirm.


Wild card searching

A wild-card character matches any other character. You can search using wild-card characters. For example, a search for Rec??ve will match Receive (the correct spelling) and Recieve (the incorrect spelling).

[:] To search using wild cards:

  1. Choose Tools | Search.
  2. Enter a phrase placing "?" wherever you want to insert the wildcard character.
  3. Click OK.


Calendar searching

Searching the Calendar

You can search for information in the Calendar. For example, you may need to find an event related to a certain person and change it's properties. Info Select 8 offers two methods of searching the Calendar.

The Find method allows to locate the first occurrence of the text being searched in the Calendar window.

[:] To find a Calendar entry:

  1. Select a date from which to begin the search by clicking on a day in the Month or Week section.
  2. Choose Edit | Find.
  3. Enter the string to search for.

The first occurrence of the text will be highlighted. To get to each next occurrence choose Edit | Find Next or press F3.

The Search method allows to filter all events containing the search text. The matching items are displayed in the Selector (provided the Tools | Options | Calendar | General | Show In Selector option is set to display All Tasks).

[:] To search a Calendar:

  1. In the Selector, highlight the Calendar item.
  2. Press F5. In the Search Dialog click More >> to display the advanced search options.
  3. Under the Search for types tree double-click the Calendar option to set Info Select to search in the Calendar items only.
  4. In the Search for box type the string to search for and click OK. The Calendar item will be expanded in the Selector and the found events will be placed into the Search Filter.
  5. You can choose Edit | Find Next or press F3 to step through matches.
  6. After viewing the search results, choose View | View All Items (F4) to view your unfiltered data.


Color searching

Searching for Colors

If you color code your text, you may want to search by color. For example, when editing text you can make insertions red and deletions gray. Info Select allows you to search for these or any other colors.

[:] To search for text by color:

  1. From the Selector choose the location where you want to start the search.
  2. Choose Edit | Find and click Clear to clear all the options
  3. Check the Color option and choose a color to find.


Search tips & hints

Searching by item type

You can specify the type of items Info Select should search. For example, if you know that the information is located somewhere in your Notes or E-mail Messages, you can check the Note and E-mail option to have Info Select search only in those data types. This method speeds up the Search.

To perform a search by type, under the Search for Types option check or uncheck the desired item types. Click + to expand the item type and view the sub-types. Uncheck the Search for Types option to have Info Select search in all item types. Double-click on any item to have all other items unchecked / checked. Look at the message below the Search Map to see which items are not searched.

08_search_by_type.png (2241 bytes)

You can prevent Info Select from searching within certain data types by unchecking the corresponding options under the Go Into part of the Search for Types tree. For example, you can bypass searching in Delivery items by unchecking the corresponding option, or bypass searching subtopics of the currently selected Topic by unchecking the Topic option. Click + to expand the item type and view the sub-types.

08_go_into.png (2192 bytes)

To search closed files, check Closed Files. You can determine whether you have some closed files that were not searched by looking at the message below the Search Map. To include Shared and Password protected files in your search, check the corresponding checkboxes. Uncheck the Go Into option to have Info Select search in the currently selected topic only.

Here are some examples of using the Search for Types feature:

  • To search for all Notes that contain the word "apple", under the Search for Types tree double-click on the Note option to have it checked and type apple in the Search for box.
  • To exclude items located in the Recycle Bin from search uncheck the Recycle Bin under the Go Into tree.
  • To search for all e-mail messages that contain attachments which name contains the word "Invoice", under the Search for Types tree uncheck all options except E-mail and File Attachment | Embedded and type Invoice in the Search for box.

note.png (184 bytes) Note: When searching a Web Page item Info Select will connect to the Internet in order to search the contents of the web page.

Filtering items by Type

You can filter all items of a certain data type. For example you can filter all Files or all Grids.

08_view_by_type.png (4004 bytes)

[:] To filter items by data type:

  1. Choose View | By Type.
  2. Select the desired data type. The items found by the search will be shown in the Selector and the Search Filter will be activated.
  3. After viewing the search results, choose View | View All Items (F4) to view your unfiltered data.


Troubleshooting searching

Search Troubleshooting

If you think that a Search has produced incorrect results:

  • In the Search dialog box click More and choose Exact phrase including spaces in the Search Type drop-down box; check Text, Captions, Pass Barriers, Closed Files and All Topics options. Disable Case Sensitive, Whole Words and Within Current Filter option. Try the search again. After trying this turn off Pass Barriers and Go Into | File | Closed File.
  • Use scrollbars to view hidden text or windows.
  • Read any warnings above the Search for box in the Search dialog. For example it may warn that Info Select does not search though closed files (those grayed out in the Selector). If you think your data might be located in a closed file, open the File and try the search again, or choose to include closed files in the search.
  • In some item types such as the Calendar you will need to use Edit | Find to locate matches within the item.
  • You can use the Find command on the Windows Start menu to search your entire hard disk.

If Info Select tries to connect to the Internet when searching, in the Search dialog box click More and uncheck Web Page option under the Search for Types list.


Introduction to Printing

You can print any item listed in the Selector onto sheets of paper, envelopes, labels, etc. You can specify columns, page breaks, page numbers, and hide text from printouts. You can preview the page before printing. You can use the print feature to send faxes too.

Printing is controlled via the File | Print... command which displays the Print dialog box.

9_print_dialog.png (5853 bytes)


Print environment

Print Environments

Print Environments provide a way to name specific combinations of print settings. For example an Envelope environment might specify a large top and left margin.

Several Print Environments are provided so you can quickly change between the proper settings for stationary, labels, envelopes, etc. You can change the provided print environments according to your needs.

The default print Environments include:

Name | Function
Default | Prints to the default printer using default settings
Stationary | Leaves room at the top of the page for printing on letterhead stationary
Notes | Allows multiple items on one page and turns on caption printing
Labels | For printing onto labels. Adjust the Layout settings for your type of labels.
Pocket Binder | Prints on a portion of a page so you can cut and put your printout into a pocket binder.
Envelope | For printing envelopes.
Line Report | For printing tabular reports.
Letter | For printing a standard letter - standard letter margins and no caption.
Fax | Prints to the fax device for sending letters and other information by fax. (Requires fax software.)
Multi-column | Prints in a multi-column layout. This often allows more information on a page by reducing white space.
A,B,C,D,E,F | Additional Print Environments that you can customize and use for special printing tasks

Once you select a Print Environment from the list box, Info Select will remember that selection when you next print the same item. Although you cannot add new environments, you can change the names and settings of any environment.

[:] To alter a Print Environment:

  1. Choose File | Print....
  2. Select an Environment Name.
  3. Press the Layout button. A dialog box appears.
  4. Change the name in the Environment Name box if desired.
  5. Set the desired settings for the Layout dialog. The page layout image will change as you modify settings.
  6. Click OK.
  7. Click the Printer button.
  8. Make the desired settings and click OK.
  9. Set the desired settings in the Print dialog box and click OK.


Page Layout

You can change the page layout for each print environment. Use the page layout feature to change print margins, determine whether you want more than one item to appear on one page, or to prepare to print to labels.

[:] To set layout options:

  1. Choose File | Print.... The Print dialog box appears.
  2. In the Environment box select the environment you wish to change.
  3. Click the Layout button. The layout dialog box appears.

  4. Choose the desired settings for margins (in inches or centimeters depending on your Windows Control Panel settings). The page layout image will change as you modify the settings.
  5. If you want to change the Environment name, highlight it and type in a new name.

When printing more than one item at one time the following options take effect:

  1. Check Allow Multiple Items Per Page to print as many items as possible together on one page (without a page eject between each item).
  2. Check Resist Splitting Items to avoid splitting an item between two pages.
  3. Spacing Between Items controls how many inches or centimeters of blank space are placed between items.
  4. Expand Small Items To controls the spacing between small items; the space between items will be increased until the distance from the beginning of one item to the beginning of the next item is equal to this setting. For example, if you set this value to one inch, items that contain only a couple of lines will begin at one inch intervals.
  5. Click OK.


Previewing and Printing

You can print any item listed in the Selector.

[:] To print a single item:

  1. From the Selector, choose the item.
  2. If you want to print only a specific line or paragraph in the item, highlight the line or paragraph.
  3. Choose File | Print.... The print dialog box appears.
  4. Choose the desired Environment from the drop down list.
  5. To edit the Layout see Page Layout.
  6. To change the printer, click the Printer button, select the desired printer, and click OK.
  7. If you want the caption of the item to appear on the printout check Print Captions.
  8. To add page numbering check Print Page Numbers. Click the Page Header button to set the page numbering options.
  9. Click Preview and check the result before printing. If the result is satisfactory click Close and OK.

[:] To print multiple items:

  1. From the Selector, choose the first item to be printed. Note that each item must immediately follow the other in the Selector. If you want to print all the items in a Topic, select and expand the Topic.
  2. Choose File | Print.... A dialog box appears.
  3. Under Range, go to the Items box and enter the number of items you want to print (counting only items at the same indentation level in the Selector as the highlighted item.) If you want to print multiple items on one page, check Layout | Allow multiple items per page, and click OK.
  4. Click Preview and check the result before printing. If the result is satisfactory click Close and OK.

Notes:

note.png (184 bytes) You can also print multiple items by printing the Topic that contains those items.

note.png (184 bytes) To print multiple copies of a print job, enter the number of copies in the Copies box of the Print dialog box.

note.png (184 bytes) To cancel a printout while in progress, click Cancel in the Cancel Operation dialog box (the dialog box will appear on the screen during printing) or press ESC.


Envelope printing

Printing Envelopes

You can print onto envelopes. If you are printing several envelopes at once, each Note containing an address must be positioned in the Selector directly beneath the first Note you want to print. For larger mailings, see "16 Reports".

note.png (184 bytes) Note: An Address Extractor template is provided to recognize and extract an address from a single Note. For more information on this feature click here.

[:] To print envelopes:

  1. Choose the first Note in the Selector containing an address.
  2. Choose File | Print.... A dialog box appears.
  3. In the Environment drop down list, select Envelope.
  4. In the Range | Items box, enter the number of Notes containing addresses that you want to print.
  5. Click OK or press ENTER.
  6. Click Preview and check the result before printing. If the result is satisfactory click Close and OK.

To make adjustments for your particular envelope style and printer click the Layout button in the Print dialog and change the settings. You can also change the orientation to portrait or landscape by clicking on the Printer button.


Label printing

Printing Labels

You can print on sheets that have several labels or other forms on the page. For example, for a mailing you can print addresses onto address label sheets.

[:] To prepare to print labels:

  1. Choose File | Print.... A dialog box appears.
  2. Under Environment, select Labels and then click the Printer button. The printer dialog appears.
  3. Under Paper, select the paper size (8-1/2 x 11 for standard laser labels) and source. Click OK.
  4. Uncheck Print Captions and click Layout. A dialog box appears.

    9_labels.png (11403 bytes)

  5. Click the Labels button, choose an Avery label number or enter your specific settings, and click OK. The page layout image will change as you modify the settings.
  6. In the Print dialog box click Close.

[:] To print labels:

  1. Choose the first Note in the Selector containing an address you want to print. (Any other Notes you wish to print from must be directly beneath the first.)
  2. Choose File | Prin t.... A dialog box appears.
  3. In the Environment drop down list, select Labels.
  4. In Range | Items enter the number of Notes to print and click OK.
  5. Click Preview and check the result before printing. If the result is satisfactory click Close and OK.

You can print multiple labels all having the same fixed information. For example you could print your return address for envelopes or a price sticker.

[:] To print multiple labels of the same information:

  1. In the Selector, create or choose a Note containing the fixed information.
  2. Choose File | Print.... A dialog box appears.
  3. In the Environment drop down list, select Labels.
  4. In Copies, enter the desired number of labels and click OK.
  5. Click Preview and check the result before printing. If the result is satisfactory click Close and OK.


Print Control

You can set page breaks to force text to begin on a new page.

[:] To set a page break:

  1. In the text of a Note to be printed, position the cursor at the point where a new page should begin.
  2. Choose Format | Print Control | Page Break.

You can block certain portions of text from being printed.

[:] To block certain text from being printed:

  1. In the text of a Note, position the cursor at the beginning of the text that you want to block.
  2. Choose Format | Print Control | Print Off.
  3. Position the cursor after the last line of the text you want to block.
  4. Choose Format | Print Control | Print On.

Omit steps 3 and 4 to block all text through the end of the Note.


Printer selection

Selecting a Printer

Before printing you can select a printer. For example, you might need to print envelopes to a special printer located in a copier room.

[:] To Select a Printer:

  1. Choose File | Print.... A dialog box appears.
  2. From the Environment drop down list, make a selection.
  3. Click the Printer button. The printer dialog box appears.
  4. Select Specific Printer and choose a printer from the list box. Select a print orientation and paper size if needed (see your Windows Users Guide for more information).
  5. Click OK.


Pocket binder printing

Printing to a Pocket Ring Binder

You can print pages to be inserted in a portable ring binder.

[:] To print to standard 3-3/4" x 6-3/4" pages:

  1. Select the item or Topic to print.
  2. Load your printer with plain 8-1/2 x 11 sheets.
  3. Choose File | Print....
  4. In the Environment drop-down list, select Pocket 3.75 x 6.75 in the list box and click OK.
  5. Click Preview and check the result before printing. If the result is satisfactory click Close and OK.
  6. When the printout is complete, cut the pages on a paper cutter and punch binder holes.

For other portable ring binders try the formula below in the Layout dialog:

Left = 0.4"
Right = 8.5 - width (in inches) + .15
Top = 0.25"
Bottom = 11 - height (in inches) + .15

note.png (184 bytes) Note: Micro Logic publishes Info Select for the Palm Organizer to make taking information on the road convenient. For more information see www.miclog.com.


Faxing

If you have installed fax software, you can fax data from Info Select. For example, you might need to fax a price quotation to a customer.

[:] To fax an item:

  1. Select the item.
  2. Choose File | Print....
  3. From the Environment list box choose Fax.
  4. Choose Printer, select your faxing device, and click OK.
  5. Click OK again.


Column printing

Printing Columns

You can print multiple columns of text. Printing in columns allows up to five times as much data on one page because less blank space is wasted. For example, you might want to print a legal Agreement in two columns to try to fit the agreement on one page.

[:] To print multiple columns:

  1. In the Selector, choose an item to print.
  2. Choose File | Print.... The Print dialog appears.
  3. Choose the Multi-Column environment or any unused Environment name.
  4. Choose Layout | Columns.
  5. Set the desired number of columns in the Numbers Across box and Gutter spacing (distance between columns) and click OK.
  6. Click Preview and check the result before printing. If the result is satisfactory click Close and OK.

note.png (184 bytes) Note: If you want to print in multi-column format but do not want the screen display to be changed to a column, check Selector | Properties | Wrap to Screen.


Printing Topics

You are not limited to printing single items such as Notes - you can print Topics too even though Topics may contain sub items. When you print an expanded Topic, the sub items of the Topic will be printed separately (potentially, one per page). When you print a collapsed Topic, the Topic will print as an outline whose format is controlled via Tools | Options | Outline (see Changing Topics into Notes).

If you want to print Topic captions only to a specific indentation level, use the Summary command. For example, you may want to print only the main items of a Business Plan outline and not the sub items.

[:] To print a Topic to a specific indentation level:

  1. In the Selector, choose the Topic.
  2. Choose Tools | Summary.... A dialog box will appear.
  3. Check Do Captions and uncheck Do Body Text.
  4. In Maximum Indentation Level enter the number of levels of indentation in the Topic you want to print. For example, enter "1" to include only the captions in the first level of indented items or “2” to print captions and items at the first level of indentation.
  5. Click OK. A new Note with the selected captions will be created.
  6. Choose File | Print... and click OK.

note.png (184 bytes) Note: Caption font and style is not printed.


Printing tips

tip.png (168 bytes) Tips

When printing it is helpful to understand the issues listed below.

Use True Type fonts

Use True Type fonts for text - those with the TT icon in the Font dialogs. Non True Type fonts may not print as shown on the screen.

Word-wrap

Avoid using the ENTER key to create line ends when forming paragraphs - let Info Select wrap words for you at the end of lines.

Before printing formatted items such as business letters, make sure Selector | Properties | Wrap to Screen is not checked. Inside Notes, page edge marker lines appear at the top right and bottom left edges indicating the printable area, provided Wrap to Screen is off.

Use tabs or mono-spaced fonts for alignment

If you have text that requires precise alignment in vertical columns, consider using tabs in place of spaces or applying a mono-spaced font (such as Courier New).

Printing Forms and Fields

To print a Form, be sure to click the Form rather than one of its fields in the Selector. To print only one field, choose the specific field in the Selector. Choose File | Print | Layout and check Solid White Background in Forms if you want the backgrounds of the Form fields to be printed in white color.

Sending Notes

Carefully formatted text on one computer may format and print differently on another computer when they have different default fonts. If a Note you e-mail to another computer contains multiple fonts and is to be printed, before sending press CTRL+ALT+F to convert the text to fixed fonts.

Printing in Color

To enable printing in color, choose File | Print | Layout and uncheck the Colors as Solid Black Text option. To enable printing text background check Print Text Background option.

Headers and Footers

You can add Headers and Footers to the Notes you wish to print (e.g. a letter with your company's address). For such purpose, create a Template with the necessary Header and Footer, and use this Template to create new Notes.


Troubleshooting printing

Troubleshooting

If you are having difficulties printing, here are some things to try:

  1. Close Info Select and reopen it.
  2. Restart Windows.
  3. Create a trivial Note and try to print it. If the simple Note prints properly, try to narrow down which part of the problematic item is causing the print problem.
  4. Try a similar print task in another application. This helps indicate whether a problem relates to Info Select or the printer driver or hardware.
  5. Check all the settings in the Print dialog box and the dialogs reached from the buttons in the Print dialog box.
  6. Close Info Select. Go into Explorer. Select the C:\Program Files\Info Select directory. Find the file named IS.INI and double click to edit it. Remove the Printer Environments section. File | Save. File | Exit. Run Info Select again. Warning: this will erase any printer settings.
  7. Similar to the above step, try renaming IS.INI to IS.SAV.
  8. If a certain printer selection crashes Info Select, or items are printed spontaneously, try closing Info Select and editing the IS.INI file as described in step 6. Choose Start | Settings | Printers and delete your default printer. Reinstall printer drivers, and then try restarting Info Select.
  9. See if the manufacturer has an updated printer driver at their web site and download it.
  10. Try printing to another printer.

If you are having difficulty getting a printout to match the formatting on the screen, here are some things to try:

  1. Make sure Selector | Properties | Wrap to Screen is not checked.
  2. Make sure Selector | Properties | Support Text Forms is not checked.
  3. If you are manually formatting paragraphs using spaces or tabs and hard returns try making a slightly wider margin (move some words at the end of each line to the beginning of the next line).
  4. Choose File | Print | Layout and decrease the Left and Right margins.
  5. Make sure you are using a True Type font. Terminal, Courier and Fixed Sys, for example, are not True Type fonts.


Introduction to calendar and scheduling

Introduction to the Calendar and Scheduling

Info Select includes a Calendar which allows you to schedule and plan your daily events such as meetings, appointments, birthdays, tasks, ticklers, and other occasions.

The Calendar contains:

Monthly or Weekly View - the top half of the calendar view. This is the view that lets you select a specific day.

Daily View - the bottom half of the calendar lets you schedule events for a day.

Time Slide - vertical bar to the left of the Daily view that shows events for a day graphically and allows you to set event times using your mouse.

Calendars can show up in general searches just as Notes and other items. You can also search within a Calendar using Edit | Find.

The Calendar shows the week number (1 to 52) at the top of the window.

The Calendar is just like any other item in Info Select - you can have as many as you wish and the data is stored in its parent File.

10_cal_main.png (11802 bytes)


Calendar navigation

Navigating the Calendar

The Info Select Calendar provides several buttons for selecting days and altering the display:

10_navi_1.png (6481 bytes)

Use the Previous Month and Next Month buttons to step to the prior or next month. Click on the Month name to choose the month from a drop-down list.

Click the Show Monthly and Daily views button 10_b1.jpg (822 bytes) to show both Monthly and Daily views.

Click the To Monthly View button 10_b2.jpg (830 bytes) to toggle the Monthly view.

Click the To Weekly View button 10_b3.jpg (821 bytes) to toggle the Weekly view.

Click the To Daily View button 10_b4.jpg (818 bytes) to toggle the Daily view.

Drag the divider line to adjust a Split view.

Click the Go To Today button 10_b5.jpg (820 bytes) to select today’s date.

Click the Show Diary button 10_cal_diary.png (176 bytes) to display the Diary entries for the selected date.

In the Daily view, click the Previous Day and Next Day buttons to step to the prior or next day. Click on the Date to choose the day, month and year from the drop-down calendar. After selecting a date in the drop-down calendar click OK.

10_navi_2.png (9017 bytes)

For convenience in scheduling and checking appointments, the Calendar displays part of the previous and following month in gray. The days of the current month are displayed in white. Holidays are displayed in bold type.


Calendar viewing

Viewing a Calendar

To use a Calendar you must first display one.

[:] To view a Calendar:

  1. Click the Calendar toolbar button [image] and adjust the size and position using the mouse or from the Selector, click the Calendar icon 10_cal_main_ico.png (207 bytes).

note.png (184 bytes) Note: Usually you only need one Calendar. If you have more than one calendar, pressing the Calendar toolbar button will cycle to the next Calendar in the Selector. Other Calendars will have the [image] icon to distinguish them from your Main calendar. You can set any Calendar as your Main by right-clicking on the Calendar in the Selector and choosing Set Main Calendar.

Viewing the Calendar as an Outline

Info Select 8 allows to view the Calendar events in the Selector as an Outline. Simply expand the Calendar item to view the Calendar entries grouped by Year, Month and Day. This allows you to work with your Calendar in the same way as you work with Topics. For example, you can locate tasks scheduled on December, 15, 2003 by expanding the Calendar and going into the corresponding Topic, or move an event to another month or day by dragging it to the appropriate Topic.

10_cal_sel_view.png (4901 bytes)

Each Calendar task in the Selector has a 02_sel_cal_event.png (268 bytes) icon, and it's caption contains the text of event and the alarm date and time:

10_cal_sel_task1.png (1071 bytes)

Click on the 02_sel_cal_event.png (268 bytes) icon to display the Task Properties dialog which allows to modify the Task Settings.

note.png (184 bytes) Notes: The Selector view displays only those dates which contain scheduled events. You can't edit captions of the events or add any items into the Calendar outline. When dragging an event to another month it will be scheduled to the first day of that month.

tip.png (168 bytes) Tip: You can move any Calendar event from one Calendar into another by dragging the event onto the desired Calendar in the Selector.

tip.png (168 bytes) Tip: You can assign any event to a Folder.

You can specify which events should be shown in the Selector - all tasks or the alarmed tasks only.

[:] To specify the event types which should be shown in the Selector:

  1. Choose Tools | Options | Calendar | General
  2. In the Show in Selector drop-down box select the appropriate event type.
  3. Click OK.

[:] To close the Calendar after viewing it:

  1. Click the [image] button at the upper right corner of the Calendar.

Alternatively, you can press F6 to show or hide the Calendar.

tip.png (168 bytes) Tip: You can also minimize the Calendar window by clicking the 07_pinup_minim.png (116 bytes) button.

[:] To adjust the size of the Monthly/Weekly and Daily views:

  1. Use your mouse to drag the divider line that separates the Monthly/Weekly and Daily View.

note.png (184 bytes) Notes: After you open a Calendar, shortcut commands like N for Note will not be in effect. Some holidays like Ash Wednesday are derived from a table and have a year range restricted to 1990 through 2020.


Scheduling and unscheduling events

Scheduling / Un-scheduling an Event

You can schedule events in a Calendar. At the scheduled time, you will automatically be reminded of the event. For example you might want to schedule an alarm to remind you of a board of directors meeting on Tuesday at 6pm.

[:] To schedule an Event:

  1. Press the Calendar toolbar button. The Calendar window appears.
  2. From the Monthly/Weekly view, select the desired date.
  3. From the Daily view, double-click the desired time or click to highlight the time and press ENTER.
  4. Type in the text of event. Press CTRL + ENTER to create additional lines.
  5. Press ENTER to complete the entry. Your entry is now recorded in the Daily view. A bar in the Time Slide will indicate the entry's relative position in the day. Timing conflicts are indicated with a striped bar in the Time slide.
  6. You can set several features that are associated with your event. If you look to the left of the row where the appointment time is listed, you will see several columns:

     10_cal_evnt.png (679 bytes)

Point to each of these icons and its function is displayed on the lower status bar and as hover tips. These features are:

10_b11.jpg (744 bytes) | Toggle the done flag (to mark an event as completed);
10_b10.jpg (758 bytes) | Display task in monthly view (to have the event appear in the Monthly/Weekly view);
10_b9.jpg (758 bytes) | Setup a recurring event (to schedule an item that recurs on a regular basis);
10_b8.jpg (767 bytes) | Toggle alarm at time of event (to enable an alarm at the time of the event);
10_b7.jpg (765 bytes) | Setup an executable event (to enable executing an external application at the time of the event);
10_eml_task.png (197 bytes) | Send task by E-mail at Alarm (to have the event sent to the specified e-mail address at alarm);
10_sel_disp.png (146 bytes) | Display task in Selector at Alarm (to add an item to the Selector instead of a conventional alarm)
10_b6.jpg (845 bytes) | Setup warning (to have a reminder alarm warn you prior to the time the event is scheduled).

You can modify properties of any scheduled event by clicking in the event time slot...

10_cal_props2.png (1105 bytes)

...or

Right-click on the event in the Monthly/Weekly or Daily view and choose Task Properties. A Task Properties dialog will be displayed:

10_cal_tsk_prop.png (5614 bytes)

In this dialog you can set the Task description (in the Task note field), set the starting and ending date and time of the event, choose the event type (Ticker or Alarm), set the event recurrence and set the event as Done.

[:] To move an event to another day:

  1. Drag the event from the Daily view to another day in the Monthly/Weekly view.

or ...

  1. Click the event.
  2. Choose Edit | Cut.
  3. Select the new day and, if desired, a new time.
  4. Choose Edit | Paste.

Alternatively, you can drag an event from the Monthly/Weekly view to another day in the Monthly/Weekly view, or expand the Calendar in the Selector, locate the necessary event and drag it into the appropriate Topic.

[:] To schedule overlapping events:

  1. Enter the second event in any available time slot.
  2. In the Time Slide drag the bar of the second event over the first event or use the Up and Down Arrow buttons at the top of the Daily view.

[:] To remove an event:

  1. Right-click the event and choose Delete.

or ...

  1. Click the event and at the top of the Daily view and click the Delete Task button 10_b1.png (248 bytes).

You can distinguish events by changing their Font and Time Slide color. For example, you could make Urgent events red.

[:] To set the color of a Calendar event:

  1. Right-click on the event in the Monthly/Weekly or Daily view.
  2. Choose Task Color and select the desired color.


Time and duration of events

Setting the Time and Duration

You can set the time or duration of an event. For example, you might want to set the duration of a scheduled meeting to two hours.

[:] To set an event's time and duration using the mouse:

  1. Click the event in the Daily view.
  2. Click the Up or Down Arrow buttons above the Daily view to increase or decrease the time of the event; Click the Left or Right Arrow buttons to increase or decrease the duration of the event.

Alternatively, from the Time Slide (located to the left of the Daily view), select the bar that corresponds to the event.

Position the mouse pointer at the top, middle, or bottom end of the bar. The pointer changes as you change positions on the bar. Click and hold the mouse. You can now lengthen, move, or shorten the bar by dragging the mouse up or down. The time and duration of the event will change accordingly.

Alternatively, you can right-click on the event in the Daily or Monthly/Weekly view and choose Task Properties to invoke the Task Properties dialog

[:] To set an event's time and duration using the keyboard:

  1. Select the event in the Day View.
  2. Hold down the CTRL key and press the UP ARROW key to make the ending time earlier or the DOWN ARROW key to make the ending time later.
  3. Hold down the SHIFT key and press the UP ARROW key to make the beginning time earlier or the DOWN ARROW key to make the beginning time later.
  4. Hold down both the SHIFT and CTRL keys and press the UP ARROW key to shift the event to an earlier time or the DOWN ARROW key to shift it to a later time.


Done events

Marking an Event Done

You may want to indicate that an event has occurred or a task is finished. You can do this by marking it Done.

[:] To mark an event done:

  1. From the Daily view, click the first column of the event, labeled with a checkmark icon 10_b11.jpg (744 bytes) . A checkmark will appear indicating the task is completed.


Multi Day events

Info Select 8 allows to schedule events lasting several days. For example, you may want to schedule a conference which lasts 5 days from Monday to Friday.

[:] To schedule a Multi Day event:

  1. In the Daily view, schedule the first day of the event.
  2. Right-click on the event and choose Task Properties from the pop-up menu.
  3. Set the Ending date and time for the event
  4. Click OK. The Multi Day event will be displayed in the Monthly view as in the following example:


Alarms

You can set an alarm to remind you of an event. The alarm can be set to ring at the actual time of the event or a prior time.

[:] To set or clear an Alarm for an event:

  1. From the Daily view, click the bell icon 10_b8.jpg (767 bytes) column on the row of the event.
  2. For an advance warning alarm, click the Setup warning column 10_b6.jpg (845 bytes) and select the amount of time before the event...

    or choose Custom... and set the custom warning time. For example, you can set the warning to one month before the event.

Responding to alarms

When an alarm occurs, you will receive both a visual indicator and an audible tone. If you don't hear the alarm, check that Tools | Options | Calendar | Alarm | Beeps contains a number or a valid WAV file specification. Also, from your Windows Start menu, choose Settings | Control Panel and double click Sounds. A dialog box appears. Highlight the New Mail Notification item in the list; select a sound; and click the preview button to test your system's ability to produce sounds (see Windows help for more information).

When an alarm occurs, a flashing bell icon will be displayed in the system tray located at the bottom of your screen. Click the icon to display the Calendar and the alarm. Click the icon again to see if there are any additional alarms or to close the Calendar.

To stop the alarm you need to mark the event "Done".

When an alarm is sounded, you can select to be reminded again in several minutes by pressing the Snooze button. This is handy when you are busy doing something which you need to complete before attending to an appointment.

[:] To set the snooze alarm:

  1. Click the flashing bell icon in the task bar.
  2. Click on the appointment where the alarm is set.
  3. Click the Snooze button 10_b2.png (200 bytes) in the upper right corner of the Daily view. A dialog box appears.
  4. Choose the necessary snooze time in the drop-down box. The Alarm Time including the Snooze Time box will display the time when the Alarm will sound again.
  5. Click OK.

Troubleshooting

If you entered a WAV file specification but the alarm sound is not working properly:

  • Make sure no other sounds are playing in windows.
  • Check that the file name does not contain quotes.
  • Make sure that the volume level for playing WAV files is high enough to hear the alarm. Double-click on the sound.png (296 bytes) icon in the system tray and adjust the volume level.
  • Check that the file spec includes the correct path to the file.
  • Copy the name of the WAV file to the clipboard (highlight the file name and press CTRL+C). From the Windows Start menu choose Run; Paste the file name, add quote marks at the beginning and end and press OK. If the sound is still not played, the file spec or something in your system is not configured properly.


Ticklers

Creating Ticklers

Ticklers are reminders to do something on a certain date without regard to a specific time of day. Ticklers remain active from the specified date until you mark them done. For example, you might create a tickler to follow-up on a phone call, sales lead, or order status and mark the tickler done when you perform the follow-up.

Info Select supports three types of ticklers. A Calendar tickler is entered on the Calendar. A Text tickler is entered in the text of a Note. A Selector tickler is assigned directly to an item in the Selector.

[:] To create a Calendar tickler:

  1. From the Monthly/Week ly view, select the date you wish to be reminded of something.
  2. Double-click the Tickler located at the bottom or top of the Daily view. Enter your reminder (e.g. Call George).
  3. Click the bell icon 10_b8.jpg (767 bytes) column on the same row to set or clear the alarm.

You will be reminded of the Tickler event on the corresponding date.

After setting the tickler, another Tickler row will be added to the Daily view (see image above).

note.png (184 bytes) Note: If you browse to a date after the date of a tickler the tickler will not be shown on the Calendar.

Text ticklers are more convenient for some applications.

[:] To create a Text tickler:

  1. In the Selector choose a Note or caption in which to place the tickler.
  2. Anywhere inside the Note or caption enter ** followed by the tickler date (you must use the date format specified by Windows under Start | Settings | Control Panel | Regional Settings | Date). For example: Call Harry on ** 7/4/2003 about the fireworks display.

When you start Info Select on that day or after, you will see that Note placed in the Search Filter reminding you to attend to the matter described. You can also manually request any due Ticklers by choosing Selector | Ticklers | Find due text ticklers.... To remove the resulting tickler filter choose View | View All Items. To deactivate a text tickler remove the **. You can disable filtering text ticklers on start up by unchecking Tools | Options | Calendar | Alarm | Show Text Ticklers on Startup.

 tip.png (168 bytes) Tip: To change the tickler marker (**) choose Tools | Options | Misc. For example, to use ##, enter "#" into the Tickler Marker box.

You can assign a Tickler to any item in the Selector. For example, you can assign a tickler to an e-mail message which should be sent on a certain date.

[:] To create a Selector tickler:

  1. Right-click the item in the Selector and choose Tickler from the pop-up menu or on the main menu choose Selector | Ticklers | Add Selector Tickler.... A dialog appears.

  2. Choose the desired date.
  3. Check the Tickler Time box [image] and set the desired time, if necessary.
  4. Click OK. An 10_b3.png (312 bytes) icon appears near the item's caption.

When the Selector tickler is due, a 2_Type2.gif (141 bytes) icon appears on the due item.

Note: You can also create Selector ticklers using a Tickler Bar.

You can modify and delete Selector ticklers:

[:] To modify a Selector tickler:

  1. Right-click the Tickler item and choose Tickler... from the pop-up menu.
  2. In a dialog box that appears make the necessary changes.
  3. Click OK.

[:] To delete a Selector tickler:

  1. Right-click the Tickler item and choose Tickler... from the pop-up menu.
  2. In a dialog box that appears click Remove tickler.

Selector Tickler options

There are several options you can set for Selector ticklers:

Check Hide item under Ticklers topic until due option to place the item in the "Tickler Items" topic. This topic will be automatically created under the Overview topic to store Selector Ticklers. The "Tickler Items" topic is automatically sorted by Tickler Due date.

Check When due move to top of Selector option if you want the item to be moved to the top of the Selector when due.

Check Include in main Calendar if you want the tickler to be added to your main Calendar. When you view the Calendar, the tickler will be displayed in the Monthly or Weekly View. In the Daily View, the tickler will display a link, showing it is linked to an item in the Selector. In the Selector, the item you created the link from will have a link icon displayed next to it as well. Click on the link in Selector to open the Calendar with the linked date highlighted.

Note: New Ticklers will be added to your Main Calendar (the one with a [image] icon).


Tickler Bar

The Tickler Bar is a special area that is divided into cells which represent days of the year (the first cell represents the current date). You can use the Tickler Bar to create Ticklers for the Selector items in a single click. For example, you may want to set Tickler for the phone number which you have just typed in to call this number on the specific date.

[:] To display the Tickler Bar:

  1. Check Tools | Options | Bars | Show Tickler Bar.

You can adjust the Tickler Bar appearance, if necessary.

[:] To set the Tickler Bar properties:

  1. Choose Tools | Options | Bars.
  2. Set the desired Tickler Bar properties:

    Number of horizontal cells sets the number of horizontal divisions of the Tickler Bar;

    Number of vertical cells     sets the number of vertical divisions of the Tickler Bar;

    Number of days per cell specifies the amount of days per cell. For example, if this value is set to 2 then each next cell starting from left to right will represent the date 2 days ahead (i.e. if the first cell represents 12/7/2003 then the next cell will represent 12/9/2003 and so on).
  3. Click OK. With the above settings the Tickler Bar will look like shown on the image below:

    You can point your mouse to each cell to see the hover Tip displaying the date assigned to the current cell.

[:] To set Tickler using the Tickler Bar

  1. In the Selector, choose an item
  2. Click on the appropriate cell in the Tickler Bar. A Selector Tickler will be created for the selected item. You can modify the properties of the Tickler by clicking on the [image] icon near the item's caption.

Note: Ticklers created using the Tickler Bar will have the same properties as the last Selector Tickler you have created (for example, if the last created Selector Tickler was set to Include in Main Calendar then the Tickler created using a Tickler Bar will be also included into your Main Calendar).


Recurring Events

You can schedule weekly staff meetings, monthly payments, quarterly deadlines or any other event which occurs repeatedly.

[:] To set a Recurring Event:

  1. In the Daily view, schedule the first occurrence of the event.
  2. Click the column with a circular Arrow icon 10_b9.jpg (758 bytes) . A dialog box appears.

  3. Set the parameters. Read the setting for your recurring event as a sentence (e.g., Repeat task every last Tuesday of each Month until December 31, 2004 (like shown on image above)).
  4. Click the Conflicts button. Info Select will check for any conflicting events. Click Update if you make any changes in the dialog after clicking on the Conflicts button. You can also set Exceptions to regularly recurring events, such as holidays. Click the Exceptions button and choose the days you want to exclude from the drop down Calendar.
  5. When finished, click OK. A circular arrow appears in the time slot to indicate a recurring event. A dot inside the circular arrow indicates the first occurrence of the event.

note.png (184 bytes) Note: you can change a task from a recurring to a non-recurring event by unchecking Repeat Every in the Event Recurrence dialog box.

[:] To delete a Recurring Event:

  1. Select the Recurring Event and press Delete. A dialog box appears.
  2. Choose Only this date if you wish to delete the recurring event for the current date. Choose Yes to delete all instances of the recurring event in the Calendar.

[:] To enter an exception to a recurring event:

  1. Click the recurring event in the Day view of the calendar.
  2. Click the column with a circular Arrow icon 10_b9.jpg (758 bytes) . A dialog box appears.
  3. Click Exceptions | Add and select the date to be skipped. Repeat as necessary. Remove exceptions by selecting the exception and clicking Remove. Clear all exceptions by clicking on Reset.


Multiple Calendars

You can create multiple calendars for special applications such as managing the time of several co-workers.

[:] To create additional Calendars:

  1. Choose Insert | Calendar. A Calendar window appears in the Workspace and a Calendar icon [image] appears in the Selector.
  2. Enter an appropriate caption (e.g. Marketing Dept Calendar).

Clicking on the Calendar toolbar button [image] (F6) will cycle through the Calendars you create.

Tip: Choose View | By Type | Calendars to filter out all the Calendar items.


Calendar Size

You can set the size of your Calendar so your scheduled events and appointments can be viewed more easily.

[:] To set the size of a Calendar:

  1. Click on the Calendar toolbar button [image] to display the Calendar.
  2. Position the mouse pointer on one of the edges until the cursor changes into a diagonal arrow.
  3. Drag the edge using your mouse.

tip.png (168 bytes) Tip: You can minimize the Calendar window by clicking the 07_pinup_minim.png (116 bytes) button in the top right corner of the Calendar window.


Linking Calendars With Other Items

Events or tasks recorded in the Calendar can be linked to other items. For example, suppose you write a Note about an event that will occur in a few days. You can link the Note to the day so you will be reminded on that day.

[:] To link an item in Selector to a day in the Calendar:

  1. On the toolbar click the Calendar button.
  2. In the Selector choose the item to be linked. Drag the item to the appropriate day in the the Monthly view. A Calendar tickler is created in the Daily view. You will see a link icon 10_b4.png (168 bytes) , indicating the scheduled event is linked to an item in the Selector. In the Selector, a link icon IS00000037.gif (839 bytes) will appear as well.

Tip: Place your mouse over the link icon IS00000037.gif (839 bytes) to view the date to which the item is linked.

[:] To link an item in Selector to a time in the Calendar:

  1. On the toolbar click the Calendar button.
  2. In the Selector choose the item to be linked. Drag the item to the appropriate time slot in the Daily view.

or...

  1. On the toolbar click the Calendar button.
  2. In the Selector choose an item to be linked.
  3. Choose Selector | Link | Start.
  4. Select a time slot in the Daily view of the Calendar.
  5. In the Calendar, click the Create Link button 10_b5.png (200 bytes) .

[:] To go to a linked item from the Calendar:

  1. In the Day view, select the linked event or task.
  2. Choose Selector | Link | Go To. The linked item will appear. If multiple items are linked, repeat this command to cycle through them.

[:] To unlink an item:

  1. Choose the item and press DELETE. You will be asked if you want to delete the link only. Reply appropriately.


Printing Calendars

You can print the current day, month, year or all years of a Calendar - in text or graphic format. For example, you may wish to print a Calendar prior to business traveling.

[:] To set the current day, week, month, year or all years for a printout:

  1. Choose Tools | Options | Calendar | Print.
  2. Select the desired print options. Check Include Done Items to include items marked Done. Check Include Tickler Summary to print a separate listing of Ticklers. Check Include Diary Items to print a separate listing of Diary items. Check Include Graphic Layout for wall calendar format.
  3. In the Range box, choose Year, Month, Week, or Day to print the corresponding period of time. The particular period will be determined by the day shown in the Daily view. For example, if the day in the Day view is 12/25 and you choose to print a Month, the month of December will print regardless of which month is shown in the Monthly/Weekly view.

[:] To print a Calendar:

  1. Choose the Calendar in the selector.
  2. Select the desired date by highlighting a cell in the Monthly/Week ly view.
  3. Choose File | Print. To preview the data to be printed click the Preview button in the Print dialog.

[:] To print a blank Calendar:

  1. Choose Insert | Calendar.
  2. Choose File | Print | OK.
  3. Press DELETE to delete the blank calendar.


E-mailing Calendar Tasks

When you are traveling you can be notified of alarms by e-mail. The scheduled event can be sent to your laptop, pager or mobile phone. (Info Select needs to be running on your computer and configured for sending e-mail.)

[:] To enable E-mailing of alarms:
  1. Choose Tools | Options | Calendar | E-mail Task

  2. Check When an alarm occurs send Task info to.
  3. Click Reset to enter default settings.
  4. Enter the necessary e-mail address.
  5. Fill the Subject and Message body fields. Use @Task for the text of the task, and @Time for time of the task.
  6. Click OK.

After setting up the E-mail Task properties, you can toggle sending your events on alarm.

[:] To enable sending the specific event on Alarm:

  1. From the Daily view, click the envelope icon 10_eml_task.png (197 bytes) column on the row of the event. When due, the event will be e-mailed to the address specified in the Tools | Options | Calendar | E-mail Task dialog.


Executing Programs on Alarm

You can set Info Select to execute another application when an alarm occurs. For example, you may want your Antivirus program to be launched on a Weekly basis, or automatically launch your music player at a scheduled time.

[:] To enable executing programs upon an alarm:

  1. Choose Tool | Options | Calendar | Alarm | When an alarm occurs run the program selected for the task.

[:] To select a program to execute:
  1. Select the task in either the Monthly/Weekly or Daliy views.
  2. Click the 10_b7.jpg (765 bytes) button (or right-click on the task and choose Execute Task). A dialog box appears.

  3. Enter the path to the program's executable file, or click Browse... to choose the file to launch.
  4. Enter any additional parameters required to launch the program into the Command Line box. Refer to the program's manual for the information on the command line parameters.
  5. Check Start in directory of program if you want the program to be launched in the directory where the program's executable file is located. Otherwise, specify the necessary Start In location. You can check the program settings by clicking the Test running button.
  6. Click OK. The selected program will be launched when the alarm occurs.

To disable running a program, highlight the task, click the 10_b7.jpg (765 bytes) button and uncheck Run this program. Click Remove if you want to clear all settings.

tip.png (168 bytes) Tip: You can also launch files associated with applications (e.g. Word Documents, PDF files, MP3 files, etc.).


Diary

Diary or Journal entries

You can keep a diary or journal entries in Info Select for each day in the Calendar. This allows you to organize information directly on the Calendar without assigning a specific time or tickler.

10_diary1.png (760 bytes)

[:] To make a diary entry:

  1. In the Calendar click on the desired day in the Monthly or Weekly view.
  2. In the lower toolbar click the Diary button.
  3. Enter the desired text and press OK. An 10_b6.png (152 bytes) icon will appear in the Monthly or Weekly view to indicate that diary text has been entered. The Diary button will change to 10_diary2.png (216 bytes).

Notes:

note.png (184 bytes) To see a diary entry double-click on the diary icon in the monthly or weekly view.

note.png (184 bytes) To delete a diary entry double-click on the diary icon in the monthly or weekly view and press DELETE.

note.png (184 bytes) To Search for a particular diary entry use the method described here.

note.png (184 bytes) A diary entry can hold up to 32000 characters.


Calendar options

Options

You can set various options for the Calendar. Choose Tools | Options | Calendar | General.

Show Month view to left of Day view - places the Monthly/Weekly view to the left of the Daily view.

Place Ticklers at top of Day view - places Tickler items at the top of the day view instead of the bottom .

Show appointments graphically in monthly view - shows text of events in Monthly view.

Show events graphically in monthly view - in the Month view shows event bars - small rectangle markers that represent which portion of the day is scheduled. For example, if you have three one hour appointments you will see three small rectangles. If the appointments are adjacent in time, the rectangles will flow together into one long rectangle.

When converting Calendar to Note use all data - allows converting a Calendar into a Note. If this option is enabled, you can convert your calendar into a note containing all scheduled events as shown in the example below:

March
02 Tue Tklr (done) Prepare report
03 Wed 22:30 - 22:45 (done) Call George
...

Monthly Font... - sets the font used in the Monthly/Weekly view of the Calendar.

Jewish Holidays - displays Jewish holidays in the Monthly/Weekly view.

Canadian Holidays - displays Canadian holidays in the Monthly/Weekly view.

US Holidays - displays US holidays in the Monthly/Weekly view.

You can adjust the Daily view time interval. For example, if you work 9am to 6pm, you can set the Daily view to reflect this.

You can choose whether the Week starts from Monday or from Sunday by selecting the appropriate option in the First Day of Week dropdown box.

You can choose the first week of the year by selecting the appropriate option in the First Week of Year dropdown box.

You can choose which tasks should be Shown in Selector - all tasks or just the alarmed tasks.

[:] To set the Daily view hours:

  1. Click the Calendar toolbar button.
  2. Choose Tools | Options | Calendar | General.
  3. Drag the colored bar up or down to change the time range or drag the top or bottom of the bar to lengthen or shorten the time range.
  4. Click the Time Interval box and choose between 15, 30, and 60 minute intervals.
  5. Click OK. The chosen Calendar has been set to the new interval.

Choose Tools | Options | Calendar | Alarm to set the Alarm options.

Beeps (or file to play) - sets the number of beeps given during an alarm or allows selection of a WAV audio file. Click Test to test the alarm sound. Uncheck Repeat Alarm if you don't want an alarm sound to repeat every 5 minutes.

Show Text Ticklers on Startup - places text ticklers in the search filter upon starting Info Select.

When an alarm occurs display the calendar - displays calendar when an alarm occurs.

When an alarm occurs blink the task bar button - when an alarm occurs the Info Select button on the Windows task bar will blink to attract your attention.

When an alarm occurs run the program selected for the task - enables executing programs on alarms.

You can decide how you want new tasks and appointments to initially appear in the Calendar.

[:] To set the default appointment format:

  1. Click the Calendar toolbar button to display the Calendar.
  2. Create a new appointment (enter any text).
  3. Select any desired settings.
  4. Choose Tools | Options | Calendar | Alarm | Default Alarm... and confirm.
  5. Delete the model appointment.

Notes:

note.png (184 bytes) The Font in the Day View is set from Tools | Options | Font | Selector and Folders.

note.png (184 bytes) You can Delete, Cut, Copy, or Paste a range of dates from the Month view using the same method you would use for text.

note.png (184 bytes) When the Split command is applied to a Calendar, the Calendar will be divided in two at the currently selected day. The current day and later dates are placed in the second Calendar.

tip.png (168 bytes) Tip: To archive old dates, select the date you want to archive before and choose Tools | Split. Move the first Calendar to an archive Topic.


Troubleshooting the calendar

Troubleshooting

Make sure your system time and date are set properly.

If your Calendar appears to be blank or you can't find your Calendar in the Selector choose View | By Type | Calendars. You can delete any empty Calendars.

Drag the Divider (a thick horizontal gray line above the daily view) to resize the view between Daily and Monthly views if Monthly view is hidden.

See Troubleshooting in Alarms.

If Text ticklers are not working properly, make sure that your ticklers are in the date format specified by Windows. Text ticklers should match the format of the date shown in your Info Select status bar. You can change the date format under Start | Settings | Control Panel | Regional Settings | Date.

Check Tools | Options | Misc | Tickler Marker and make sure it matches your ticklers. Note, that the marker has to be doubled when you use it in ticklers.

Consider enabling Tools | Options | Calendar | Alarm | Show Text Ticklers on Startup


Introduction to Forms and Databases

Introduction to Forms, Databases, and Grids

You can use Info Select to enter structured data. For example you could use structured data to:

  • Take phone messages
  • Prepare purchase orders
  • Conduct surveys
  • Manage invoices
  • Duplicate paper forms electronically

Info Select offers three structured data types: Forms, Databases, and Grids. All are composed of fields. Info Select supports fields for entering text, numbers, dates, and currency.

When you enter data, you create a record. A record represents one set of data. For example, in the following data Mary Jones and her address represent one record.

John Smith | 123 Main St. | Anytown USA 12345
Mary Jones | 456 South St | Othertown USA 98765
George Brown | 100 North St. | Yourtown USA 55555

Each structured data type has its own advantages:

Type Advantages
Form
  • Add, delete, or move fields from one record without affecting other records
  • Place individual records in any Topic
  • Fields can be of any data type including Notes, Topics, Calendars, Databases, or e-mail.
Database
  • Control the field layout of all the records simultaneously.
  • Create mail merge reports from your data
  • Export data to a DBF file
  • View calculations based on numeric fields
Grid
  • Similar benefits as Database
  • View several records at once in rows and columns
  • Use the simplified spreadsheet features for more flexible calculation capabilities.
Selector Grid
  • Create a structured table in the Selector
  • Each row is a Topic which can contain additional information

tip.png (168 bytes) Tip: Click above links to learn more about each structured data type.


Forms

You can design a Form to hold structured information. For example, you can keep invoices in Forms, where you have specific fields for customer name, invoice number, etc.

11_tmpl.png (936 bytes)

[:] To design a Form:

  1. Choose Insert | Form. You will see a form Icon [image] in the Selector.
  2. Type a Form name and press ENTER. The name will appear in the Template pull-down menu.
  3. In the Workspace, design the Form to your specifications per Modifying Fields.
  4. To set the Form background color, in the Workspace, outside of any field, right-click on the Form and choose Background Color.

The form you just designed is the Master from which copies will be made when the Form is used. Any changes you make to the Master Form will be reflected in all subsequent uses of the Form. The master Form shows an icon [image] of a drop down menu. Don't enter data into the Master Form - if you do you will see the same data in every new Record.

You can enter a record of data using your Form at any time. For example, if you designed an Invoice Form you can invoke the Form to create a new invoice record.

[:] To enter data into a Form:

  1. From the Template menu, select the desired Form. The Form will appear in the Workspace.
  2. Enter data into the first field. Press TAB to move to the next field or SHIFT + TAB to go to the previous field. You can also click in any field in the Workspace to move to that field.
  3. Press ESC when finished editing.
  4. Enter a caption for the completed Form unless you want the same name as the Master.

Time, Date, and Sequence Stamps

Within your Form, you can designate fields to automatically display the current time, date, or sequence number when the Form is selected.

[:] To create time, date and sequence stamps:

  1. In the original Form, enter @T for the time, @D for the date, or @K for a sequence number in the field where you want each displayed.

Automatic Address Recognition

You can setup a Form so it automatically recognizes an address in a Note and transfers the address into a field inside the Form. For example, if you have designed your Form as a form letter, the address from a highlighted Note can be transferred automatically into the address field of the letter.

[:] To setup automatic address recognition:

  1. In the original Form, enter @A where the address should appear.

[:] To use a form with automatic address recognition:

  1. In the Selector, choose the Note with the address.
  2. From the Template menu, select the Form. A copy of the Form will appear in the Workspace, displaying the address at the designated location.

In order to be recognized as an address, an address must have 3 to 5 lines with each line consisting of 7 to 40 characters. Furthermore, the address must close with a zip code of 1 or more digits or a single quotation mark after a non-numeric zip code. If there is more than one address in the Note, Info Select will use the first address.

Supplied Forms

Info Select comes with pre-designed Forms which can be tailored to fit your needs. The more commonly used Forms are found in the Template Topic, and can be accessed from the Template menu. Additional forms can be found in the Supplied Topics.wd2 file.

Tips & Hints

tip.png (168 bytes) To add fixed text to a Form, such as instructions about how to fill out a form, create a new field, enter the fixed text, and change the background color of the field so it matches the background color of the Form.

tip.png (168 bytes) You can have the caption in the Selector reflect the information in one of the fields - see Managing Fields.


Databases

You can design a Database to hold the same kind of structured information as a Form. A Database is represented by a square tri-colored icon [image] in the Selector.

There are two ways to create the Database item: you can use the Database Wizard or design the Database manually.

[:] To design a Database using the Database Wizard:

  1. Choose Insert | Database / Grid | Database Wizard...
  2. Follow the on-screen instructions to create a new Database item.

or...

[:] To design a Database manually:

  1. Choose Insert | Database / Grid | Database. You will see a Database icon [image] in the Selector.
  2. Type a Database name and press ENTER.
  3. In the Workspace, design the Database to your specifications per section Fields.
  4. To set the Database background color, in the Workspace, outside of any field, right-click on the Database and choose Background Color.

Each entry in a Database is a Record. Records are shown as small, tri-colored icons [image]. You add a record whenever you need to enter additional data.

[:] To add a new Record to a Database:

  1. In the Selector, choose the Database.
  2. Choose Insert | Database / Grid | Record (or press R).
  3. Enter data into the first field.
  4. Press TAB to skip to the next field or SHIFT + TAB to go back to a previous field. You can also click inside any field.
  5. When finished entering data press ESC.

Alternatively, you can right-click on the Database item in the Selector and choose Add Record.

Field and Record Views

You can expand or collapse a Database. When expanded you can view a list of the fields of the Database or a list of the Records of the Database. You can select which of these two views you need.

[:] To choose between Field and Record view:

  1. In the Selector, click on the [image] icon near the Database caption, or choose View | Database | Field View (Record View).

The Field view is used to design or modify the Database. In Field view, below the Database icon you will see field type icons: 2_Type19.png (200 bytes) - text field, 2_Type17.png (216 bytes) - number field, 2_Type16.png (200 bytes) - date field, 2_Type15.png (232 bytes) - currency field, 2_Type14.png (168 bytes) - combo field or [image] - check field. Click here for more information about the various field types. Next to these icons will be the field name, such as Address or City. You can step thru data Records even while the Fields are listed.

[:] To browse through Records while in Field view:

  1. Press the PLUS or MINUS keys on your keyboard (or choose View | Database | Next Record).

The Record view is generally used while entering and viewing data. In Record view, each icon below the main [image] Database icon represents one record of data (e.g., John Doe, Mary Smith, Etc.). The information shown in the caption of each Record is the information inside the field that is currently selected. You can choose which field is displayed for Record captions.

[:] To choose which field will be listed in the Selector while in Record view:

  1. In the Selector choose a Record from an expanded Database.
  2. Press the SHIFT+PLUS or SHIFT+MINUS keys on your keyboard to step through the fields (or choose View | Database | Next Field).

Searching

You can search for Records in a Database. For example, if your Database contained inventory information, you could search for all Records containing the word "Bolt".

[:] To search a Database:

  1. From the Selector, choose the Database.
  2. Choose Tools | Search. A dialog box will appear.
  3. Click the More button and uncheck All Topics. A list of fields for the Database appears.
  4. Select the field(s) you wish to search by clicking on them. Use CTRL + Click and SHIFT + Click to search in multiple fields.
  5. In the Search for box enter what you want to search for. Precede dates with < for less than, or > (for greater than to search for a range of dates. To find exact dates, simply enter the value.
  6. Click OK to view the search results.

Sorting

You can sort Database Records alphabetically or numerically.

[:] To Sort a Database:

  1. From the Selector, choose the Database.
  2. Choose Tools | Sort.... The Sort dialog box appears.
  3. Select the Field you want to sort.
  4. Select whether to sort in Ascending or Descending order.
  5. Click OK.

Joining Two Databases

You can join (merge together) two Databases. For example, you may have a Database with personal telephone numbers and another with business telephone numbers. You can join them into one Database that contains all your telephone numbers.

[:] To join two Databases:

  1. In the Selector, position the two Databases so one is directly below the other.
  2. Highlight the top Database.
  3. Choose Tools | Join. The layout of the Database on top will take precedence. If there is any difference in the field names or types between the two Databases, you will be given the option to add the extra fields of the second Database to the first Database. If the first Database doesn't contain the same fields as the second database, extra fields in the second Database will be deleted. Alternatively, you may simply drag one Database into another. The layout of the Database into which you are dragging takes precedence.

Calculations

You can find the maximum value, minimum value, average and sum of any numeric fields in a Database.

[:] To view numeric field totals:

  1. In the Selector, right-click the Database and choose Totals. A new Note will be created below the Database showing numeric field totals.

Cloning a Database

You can create a new empty Database based on the format of an existing one.

[:] To create a new empty Database based on the format of an existing one:

  1. Select and collapse the Database.
  2. Choose Edit | Copy and Edit | Paste to duplicate the Database.
  3. Expand the Database.
  4. Press DELETE and confirm. This will remove all the records contained in the Database copy but will keep the field structure.
  5. Enter a caption for the new Database.

Tips & Hints

tip.png (168 bytes) You can import data from external Databases using the Database Wizard. Choose Insert | Database / Grid | Database Wizard..., select Import an existing database and follow the on-screen instructions. After you import a Database, resize and reposition the fields if necessary. If you regularly import the same external Database, you can avoid having to lay out the fields each time as follows:

  1. Create an empty Database master with the desired field layout.
  2. Duplicate the empty Master.
  3. Import the Database.
  4. Join the imported Database to the empty master. If the master Database does not contain all the fields of the imported Database, the extra fields will be deleted.

tip.png (168 bytes) You can change some other types of Info Select data into a Database and vice versa. For example, you can change an Info Select Form into a Database.

tip.png (168 bytes) You can drag a field from one Database into another if the two Databases have the same number of Records or if the destination database contains one or no Records. If the destination Database has one Record, that Record will be duplicated to create the same number of Records as the source Database.


Fields

Fields are the building blocks of Forms, Databases, and Grids. The following field types are available:

Icon | Field Name | Field Data Type
2_Type19.png (200 bytes) | Text field | Can hold words, phrases, or numbers
2_Type17.png (216 bytes) | Numeric field | Can hold only numbers
2_Type16.png (200 bytes) | Date field | Can hold only dates. Press ENTER while editing the Date field to select the date from the pop-up Calendar
2_Type15.png (232 bytes) | Currency field | Can hold only currency amounts
2_Type14.png (168 bytes) | Combo field | Can hold pre-defined values accessible from a drop-down list. To select a value type the first letter of the value name.
 | Check field | Can be checked or unchecked

note.png (184 bytes) Note: The format of Date and Currency data is controlled via the Regional Settings in Windows | Settings | Control Panel.)

note.png (184 bytes) Note: The Calendar for the Date fields is not displayed when you are editing a Grid.

[:] To define values of a Combo field:

  1. Right-click on the Combo field in the Selector or Workspace and choose Edit Values... . A dialog box appears:

    Click Add to create a new value. Click Delete to delete a value. Click Move Up or Move Down to move the selected combo values up or down in the list. Check Sort to have combo values sorted alphabetically.
    Click Insert to insert the new value into the list. Click Default to set the selected item as Default Combo value.
  2. Click OK.

You can also have the Combo field automatically filled with values from any field of another Database item located elsewhere in the Selector. For example, you can create a Combo field automatically filled with Last Names of your Palm Address Book by connecting it to the "Last Name" field of your Palm Address Book database.

[:] To use the Combo field as a "Lookup Field":

  1. In the Selector, right-click on the Combo Field and choose Edit Values......
  2. In the dialog that appears, click Lookup data. A dialog box appears:
  3. Select the necessary Database from the Database List, then select the Field from the Field List. You should see the contents of this field in the Field Data list.
  4. Click OK. The Combo field will be filled with the values from the selected field.

Note: The Lookup Combo field values will not be affected if you modify the information in the Database field from which these values were taken.

Adding Fields

You can add fields to Forms or Databases. For example, you might want to add a Home E-mail Address field to an address Database.

[:] To add a field to a Form or Database:

  1. In the Selector, expand the Form or Database. If you see [image] icon(s) indicating Record view, switch to Field view by double-clicking a Record.
  2. Choose Insert | Field and choose a field type. Alternatively, right-click on the Form or Database and choose Insert Field... from the pop-up menu.
  3. In the Selector, type the name of the field (e.g. Last Name) and press ENTER. You will see a box appear in the Workspace with a caption to the left.
  4. Select the desired field background color by right clicking inside the field box in the workspace.
  5. Set the desired field size. Move the mouse cursor over the edge of the field until it turns into a double-headed arrow. Hold down the left mouse button and drag to the desired size.
  6. Move the field to the desired position on the screen. Place your cursor in the colored area on the right edge of the field, hold down the left mouse button, and drag the field to the desired location.
  7. To change the location of the field name, choose Selector | Properties | Caption Type. The field name can be above the field or to the left of the field.

tip.png (168 bytes) Tip: To set the font for a specific field of a Form Template, right-click on the field in the Selector and choose Set font & color for selected column.... In the dialog that appears enter the desired font and color settings.

tip.png (168 bytes) Advanced Tip: In step 2, you can add as fields of a Form items such as Calendars, Topics, or other Forms. For example, you could include in an address Form a Grid showing meetings that list the date and purpose of the meetings. To insert special fields, select the appropriate data type from the Insert menu and uncheck Selector | Properties | Maximized Frame.

You can set the order that data is entered into fields.

[:] To set the order information is entered into a Form, Database, or Grid:

  1. In the Selector, double-click a Record to select field view if needed.
  2. Adjust the order of the fields in the Selector by dragging them with your mouse. The first field listed in the Selector will correlate to the first field where data should be entered. The second field in the Selector will correlate to the second field where data should be entered, and so on. This allows you to fill out a Form in a chosen order. (The order of fields in the Workspace does not determine the order of data entry.)

You can delete a field.

[:] To delete a Field:

  1. In the Selector, double-click a Record to choose field view if needed.
  2. In the Selector, choose the field and press DELETE.

Once a form has been filled with data, you can set any combination of fields to show their contents in the Selector.

[:] To specify which Form field(s) show their contents in the Selector:

In Selector, in the caption of the Form Template, specific form, Database, or e-mail, enter the caption name followed by two colons: then the field name(s) inside <>'s. For example, "E-Mail::<From>, <Subject>" (without the quotes) will show the contents of the "From" and "Subject" fields in the Selector. The caption "E-Mail" will appear when the item is expanded.

You can specify that a specific field should fill all available space in the Workspace. For example, the Message field of an e-mail form fills all unused space on the e-mail form.

[:] To configure a field to automatically expand to the available empty space on the Form:

  1. In the Selector, highlight the field
  2. Choose Selector | Properties | Fit to Parent.

Avoiding shifting of fields

If a Form or Database is wider than the Workspace, a scrollbar will be displayed. In some situations, using the scrollbar will effect a permanent shift in the fields. To avoid this, select the Database and choose Selector | Properties | Disable Fields Moving/Deleting.


Grids

You can enter structured data in rows and columns using the Grid data type. Grids can contain the same type of information that Databases contain but the data is shown in a table instead of a form.

11_grid.png (2320 bytes)

[:] To create a Grid:

  1. Choose Insert | Database / Grid | Grid in Workspace. An item with the [image] icon appears in the Selector.

[:] To view a pre-existing Database as a Grid:

  1. In the Selector, choose the Database.
  2. Choose Selector | Change Into | Grid.

Field and Record Views

You can expand or collapse a Workspace Grid. When expanded you can view a list of the fields of the Grid or a list of the Records. You can select which of these two views you need.

[:] To choose between Field and Record view:

  1. In the Selector, click on the [image] icon near the Grid caption, or choose View | Database | Field View (Record View).

[:] To edit data in a cell:

  1. Double-click the cell.
  2. Make your changes. Press CTRL + ENTER to create additional lines in the Cell.
  3. Press ENTER.

Note: When editing a Grid, the Row and Column number of the current Cell will be shown in the Status Bar.

[:] To clear data from a cell:

  1. Right-click on a Cell and choose Clear.

You can set the format of any cell (or a group of cells).

[:] To set the cell format:

  1. Select a Cell (or several Cells).
  2. Right-click in the selected Cell and choose Cell Properties.... A dialog box appears:
  3. Select desired Cell Format by choosing the appropriate values in the drop-down boxes and click OK.

Note: When you change the Cell properties, the type of the Field to which this Cell belongs will be changed into Universal type and the Field icon in the Selector will change into [image] .

tip.png (168 bytes) Tip: You can use Grid Formulas to calculate values.

tip.png (168 bytes) Tip: You can copy data from MS Excel into Info Select grids.

An edit field appears across the top that is the full width of the grid. This allows you to see all the text in a particular cell displayed at one time and to edit cells containing lengthy text.

To resize a column or row, drag the dividing line at the top or left edge of the grid. Making a row multi-line height allows words to wrap in cells.

You can format the contents of a grid cell (font style, size, etc.) using the same methods used to format text in Notes.

To sort data in a grid, double-click a column header. Double-click again to reverse the order. You can also perform multi-key sorting. For example, in a Grid having Gender and Height fields you can double-click on Height to have the first sort performed according to height, then double-click on Gender to have a second sort done by Gender. As a result all females will be grouped together and within that group will be records ordered by Height.

You can add rows (records) to a Grid. For example, if you have a Grid for your client information and you want to add a new client you would need to add a new Record.

[:] To add a new row (record) to a Grid:

  1. In the Selector, choose the Grid.
  2. In the Workspace right-click on any cell and choose Insert Record from the pop-up menu. A blank row will be added below the selected row. To add a new row below the last row in the Grid, click any cell in the last row and press the DOWN ARROW key.

[:] To add a column (field) to a Grid:

  1. In the Selector, choose the Grid.
  2. In the Workspace right-click on any cell, choose Insert Field... and select the field type. A new column will be added to the right of the selected cell.
  3. In the Selector, type the field name and press ENTER.

[:] To change the column (field) name:

  1. In the Selector, expand the Grid. The column names should be displayed, in the Selector, as the caption names. If the Selector shows Records, rather than fields, double-click on a Record to change to Field view.
  2. In the Selector, choose the field to rename.
  3. Press the F2 key.
  4. Type in the new name and then press ESC.

You can drag the whole rows or columns to change their location. To drag a column, click on the column caption and drag. A vertical red line will show the future position of the column as you drag it around the Grid. To drag a row, click on the row number and drag. A horizontal red line will show the future position of the row as you drag it around the Grid. You can also perform this operation on multiple columns or rows (see below the instructions on selecting multiple columns or rows).

You can perform various operations on multiple cells, rows or columns at once. For example, you may want to clear cells in first 3 columns of a grid, or copy data from the first row to the last row.

[:] To select multiple cells:

  1. Click on the first cell and use SHIFT + ARROW KEYS to select adjacent cells

    or...

    Hold the CTRL key and click on each cell.

    or...

    Click on the first cell and drag the mouse to select adjacent cells.

tip.png (168 bytes) Tip: Click the gray cell on the top left to select ALL cells.

[:] To select multiple rows: To select multiple rows:

  1. Click on the header of the first row.
  2. Hold the SHIFT key and press the UP or DOWN ARROW keys to select rows above or below the selected row.

    or...

    Click on the header of the first row and drag your mouse up or down to select rows above or below the selected row.

[:] To select multiple columns:

  1. Click on the header of the first column.
  2. Hold the SHIFT key and press the LEFT or RIGHT ARROW keys to select columns to the left or to the right of the selected column.

    or...

    Click on the header of the first column and drag your mouse left or right to select columns to the left or to the right of the selected column.

note.png (184 bytes) Note: It is not possible to copy and paste data between cells of different types. For example, you can't paste text from the Text cell to a Currency cell.

tip.png (168 bytes) Tip: You can adjust the width or height of several columns and rows by selecting all columns (rows) and resizing them.

[:] To delete a row or column from a Grid:

  1. In the Selector, choose the Grid.
  2. Click on a cell in the row or column to be deleted and press DELETE.
  3. In the dialog that appears choose the desired option and click OK.

note.png (184 bytes) Note: You can select multiple cells to delete several rows or columns at once.

You can adjust the appearance cells, grid lines and the grid title.

[:] To adjust the appearance of the Grid:

  1. Right-click on the Grid in the Workspace and choose Properties... from the pop-up menu. A dialog box appears.

    11_grid_props.png (8544 bytes)

    The Display Settings dialog has 4 sections:

    Titles and Grid Lines - allows to change the appearance of Grid Lines and Titles;
    Color - allows to change color for Grid Lines and Grid Background.
    User Properties - allows to change the appearance of the currently selected cell.
    All changes are reflected in the Preview window.
  2. Check Save settings to profile to save the changes permanently (otherwise changes will be lost after you deselect the Grid).
  3. Click OK.

tip.png (168 bytes) Tip: You can convert a Workspace Grid into a Selector Grid by choosing Selector | Change Into | Database / Grid | Grid in Selector. Note, that Formulas will be lost during this conversion.


Grid Spreadsheet

The grid feature includes a simple spreadsheet capability. You can insert formulas and functions into Grid cells to make automatic calculations. For example, you could have totals automatically calculated from prices and quantities. To create a new Grid Spreadsheet item choose Insert | Spreadsheet.

note.png (184 bytes) Note: Make sure to disable the Search Filter (by choosing View | View All) before creating auto calculated cells or inserting formulas.

[:] To create an auto calculated cell:

  1. In the Selector, choose the Grid.
  2. Double-click the cell which you want to use for auto calculated values.
  3. Enter the expression beginning with the "=" symbol (see examples below).

The images below show how to create a cell with auto calculated totals. In this example, one column contains the item's quantity and another the price. To calculate totals we multiply quantity by price.

  1. Select the first cell in the Subtotals field and press the "=" key.
  2. Click on the first cell in the Quantity to include in the calculation. The border of the cell will change it's color and the name of the cell will appear after the "=" symbol in the resulting cell.

    11_gf1.png (2532 bytes)

  3. Enter the * symbol (multiplication sign) and click on the first cell in the Price column.

    11_gf2.png (2676 bytes)

  4. Press ENTER to finish entering the formula. The results will be shown in the auto calculated cell, and the edit field will contain the expression.

    11_gf3.png (2368 bytes)

Notes

note.png (184 bytes) You can create expressions by typing them directly into the cell. There are different formats of describing cells in expressions:

  • A1 ... "column A and row 1"
  • R1C1 ... "row 1 column 1"
  • Field1 ... whatever value is in Field1 for the current row

For example, the following expressions are identical:

  • =B1*C1+B2*C2+B3*C3+B4*C4+B5*C5
  • =R1C2*R1C3+R2C2*R2C3+R3C2*R3C3+R4C2*R4C3+R5C2*R5C3
  • =Field2[1]*Field3[1]+Field2[2]*Field3[2]+Field2[3]*Field3[3]+Field2[4]*Field3[4]+Field2[5]*Field3[5]

note.png (184 bytes) You can use numeric values in expressions. For example: =(B1+C1)*C3+0.15*(B2+C3). Use brackets in complex expressions.

You can insert various formulas into your expressions to add more functionality.

[:] To insert a formula:

  1. In the Selector, choose the Grid.
  2. Right-click on the cell where you want to insert a function and choose Insert Formula. A dialog box appears.

  3. Select the function type in the Function Sections list and function name in the Functions list. The short description of the selected function will be displayed in the Function Specific box.
  4. Click OK. A dialog box appears.

    The Function box shows a short description of the function and a few examples. Use the Scrollbar to scroll the text.
    The Parameters box at the bottom of the dialog shows the description of function parameters.
  5. Enter the function parameter into the Parameters box, or click the 11_gridf2.png (232 bytes) button to select the cell (or range of cells) with the necessary parameters.
  6. Click OK. The function value will be shown in the selected cell.

    spreadsheet.png (4651 bytes)

You can edit functions by double-clicking the cell with the function and entering the new function parameter.

note.png (184 bytes) Note: When inserting a function into a grid cell, data in the cell will be erased. If the function returns an invalid value the cell will contain the word "ERROR!". If the function is invalid the cell will contain the word "INVALID".

You can have Info Select automatically draw a Bar Chart basing on the Spreadsheet Cells values. For example, you may want to visually compare the difference between the Income on different weekdays.

[:] To create a Bar Chart:

  1. In the Spreadsheet, select a vertical range of Cells containing numeric values.
  2. Choose Insert | Database / Grid | Chart. A Chart window appears displaying the Bar Chart built on the selected values. The window caption displays the range of the selected Cells.

note.png (184 bytes) Note: You can select several columns to build a Chart. In this case Charts based on different fields will be displayed in different colors.


Selector Grids

Selector Grids allow you to create tables in the Selector for organizing structured information. Each row in a Selector Grid is a Topic. You can use Selector Grids for schedules, business plans, employees information, purchases, etc.

The image below shows an example of using a Selector Grid for storing employee information. Each row in such grid contains the employee's name, position, number of hours he works per day, starting date and the pay rate. Each row can be expanded to store additional free-form information about the corresponding employee.

4_sel_grid1.png (3760 bytes)

[:] To create a new Selector Grid:

  1. Choose Insert | Database / Grid | Grid in Selector.

A new Selector Grid with 3 rows and 3 columns will be created.

[:] To edit a cell in a Selector Grid:

  1. Click on the cell.
  2. Press F2 to start editing.
  3. Make the necessary changes.
  4. Press ENTER to finish editing.

To navigate between Selector Grid cells use the ARROW keys.

[:] To add a new column to a Selector Grid:

  1. Click on a cell in the Grid.
  2. Choose Insert | Database / Grid | Add Selector Column. A new column will be added to the right of the last column.

[:] To insert a new column into a Selector Grid:

  1. Click on a cell in the Grid.
  2. Choose Insert | Database / Grid | Insert Selector Column. A new column will be added to the left of the selected cell.

[:] To add a new row to a Selector Grid:

  1. Click on a row in the Selector Grid.
  2. Choose Insert | Topic (F11). A new row will be created below the selected row.

tip.png (168 bytes) Tip: To create a header for a Selector Grid, enter column names into the first row and set it's font style to bold underlined .

[:] To delete data from a Selector Grid:

  1. Click on a cell.
  2. Press the DELETE key. A dialog box appears.
  3. Select the appropriate option and click OK.

[:] To copy data from a Selector Grid:

  1. Click on a cell.
  2. Choose Edit | Copy. A dialog box appears.
  3. Select the appropriate option and click OK.

[:] To clear data from a Selector Grid column:

  1. Right-click in a column you wish to clear.
  2. Choose Clear Column.

[:] To sort a Selector Grid column:

  1. Right-click in a column you wish to sort.
  2. Choose Sort Column.

[:] To join two Selector Grid columns:

  1. Right-click in a column you wish to join with the adjacent column.
  2. Choose Join Two Columns. The selected column will be joined with the column to the right.

[:] To move the Selector Grid column left or right:

  1. Right-click in a column you wish to you wish to move.
  2. Choose Move Column Left (Right).

tip.png (168 bytes) Tip: Use the Format | Stamp | Sum to sum data in the columns of a Selector Grids.

tip.png (168 bytes) Tip: You can convert a Selector Grid into a Workspace Grid by choosing Selector | Change Into | Database / Grid | Grid in Workspace.

Removing Grid lines

Selector Grids are created by the Tab character. If you create a Selector Grid unintentionally you may need to remove the Tab characters to deactivate the grid.

[:] To remove an unintended grid:

  1. Right-click in the unwanted column and choose Delete Column from the pop-up menu. Repeat this step until all unnecessary columns are deleted.


External databases

External Databases via ODBC

ODBC stands for “Open Database Connectivity”. ODBC is a standard developed by Microsoft for accessing data from external databases.

You can access any external database that is compatible with ODBC. For example, from Info Select you can view an Access, Paradox, Oracle, or Informix database.

Before attempting to access an external database, check that ODBC is installed. ODBC should be installed in Windows NT, 98, 20000, and on computers that use Microsoft programs such as Word or Excel.

[:] To test that ODBC is installed:

  1. In Windows | Start | Settings | Control Panel, double-click on ODBC. “ODBC Data Source Administrator” should appear.
  2. Click the Add button.
  3. Select Microsoft Visual FoxPro Drivers (.dbf) and click Finish.
  4. In the Data Source Name field, type “is_test” and in the Descriptions field “db sample”.
  5. Uncheck Use Current Directory (if this option is shown).
  6. Enter the directory where Info Select was installed (e.g. C:\Program Files\Info Select). The directory should contain the sample database table "is_test.dbf".
  7. Click OK.
  8. Close “ODBC Data Source Administrator”.

Once you are sure you have the required ODBC drivers on your computer, you can use this feature in Info Select.

You can access an external database and display the results in Info Select.

[:] To access an external database:

  1. Choose Insert | Database / Grid | Data Source.
  2. In SQL Statement type an SQL statement - to simply display all fields use "select * from tablename" where tablename is a table in the selected ODBC data source.
  3. Click the Execute (right blue arrow) button. The DataSource Login dialog appears.
  4. Type the DSN you have added to ODBC, and enter your login name and password, if necessary.
  5. Click OK. If DSN is setup correctly, you will be connected to the database and the next time you execute SQL from this database you won’t have to log in. However, when you restart Info Select, you will be asked to login again. If your SQL statement is correct, you should get a data table.


Printing Forms

Printing

You can print a Form, Database, or Grid simply by choosing File | Print. Item's will appear much as shown on screen. You can also generate Reports where you can control which fields are included and how data is organized on the page.

When printing a Grid, you can disable printing it's first column (which contains Row numbers):

  1. In the Selector, right-click on a Grid.
  2. Choose Print Grid without First Column in the pop-up menu.


Introduction to Files

A disk file is some data stored on your hard disk under a file name. An Info Select FILE is a portion of your Info Select data stored in a disk file on your hard disk. Info Select files have a .wd2 extension and appear in the Selector with a disk [image] icon. In most applications, each time you create a new document you assign a new file name, but in Info Select you don't assign a new file name when you create a new document because many items share the same disk file. If you don't create additional Files in Info Select all data is stored in a special file called Overview.wd2. If you do create additional Files you can segment your data as desired. For example you might have 100 items relating to financial matters and you could create a file financial.wd2 in which to place such items.


Topics and Files

About Files

Files, indicated by a disk icon [image], are used to indicate which disk files you want to store your Info Select data in. You can create, delete and modify Files at any time. For example you might want to create a File into which you move all your Topics, Notes, and other data relating to hardware matters.

[:] To create a File:

  1. Choose File | New... or Insert | File | Data....
  2. In the File Name box enter a file name. If you want to use a different directory, type in the entire path (e.g., C:\Program Files\Info Select\hardware.wd2). Click Remote if you want to create a file on a remote site.
  3. Click Save.
  4. If desired, enter a caption and press ESC.

You can now move all your hardware information into this new File. To do so, drag items onto the File line in the Selector. When finished, issue the File | Save command.

You can save Files to another name or path. For example, you might want to save to a network drive the hardware.wd2 file created above.

[:] To save a File to a different name or path:

  1. In the Selector, choose the File.
  2. Choose File | Save As... and enter a different file name or path.
  3. Click Save.

You can delete a File that you no longer need.

[:] To delete a File:

  1. In the Selector, choose the File to delete and collapse it.
  2. Press DELETE and select whether to delete the associated file on the disk. Choosing Selector will leave the File on your disk with all the information, allowing you to load the file later. Choosing Disk + Selector will place the file into the Windows Recycling Bin.

Which file your data is stored in

Every item in the Selector is stored in a File.

[:] To determine which file an item is stored in:

  1. Choose an item in the Selector.
  2. Press the LEFT ARROW key until you locate a File showing a floppy disk icon IS00000004.gif (863 bytes) . The highlighted file indicates where the item is stored.


Recommended File sizes

Recommended File Size

Files will grow as you add data into Info Select. If you create no additional Files beyond the default Overview file, all your data will be stored in overview.wd2, and that file will grow quickly.

It is recommended to avoid very small and very large Files. When a File is small (perhaps under 100,000 characters), you may benefit by converting it to a Topic to reduce the number of Files on your hard disk. When a File is large (perhaps over 5,000,000 characters), you may benefit by breaking the File into two or more Files. Files that are unusually large have several disadvantages:

  • They take up unnecessary space on your backup media because a single change to data results in the archiving of a large file.
  • They take more time to save.
  • They can be too large to save onto a diskette.
  • A defect could jeopardize a large amount of data.
  • They are more prone to corruption.

note.png (184 bytes) Note: The above sizes are only rough guidelines - you can have Files as small or large as you wish.

You can view the data size of an Info Select File by selecting an open File in the Selector and choosing Selector | Properties | Item Info.... The size shown is the number of characters on disk for the File. The information displayed on the Status Bar is the number of characters the data takes in memory, which may differ somewhat from the size on disk.

note.png (184 bytes) Note: Uncheck the Tools | Options | View | When showing a size of a File show size of any child Files option in order to show the proper size of the File.

Pay particular attention to the size of the Overview File at the top of the Selector since it is the File most likely to grow too large.

Once you view the size of your Files, you can decide if any of them need to be combined or split and act as follows.

[:] When a File is too small:

  1. From the Selector, choose the File and collapse it.
  2. Choose Selector | Change Into | Topic and confirm.

note.png (184 bytes) Note: When you convert a File into a Topic the data in the Topic is thereafter stored in another File. To determine which File the data is stored in, select the Topic and then press the LEFT ARROW key until you locate a File showing a floppy disk icon IS00000004.gif (863 bytes) . That file is where the Topic will be stored.

[:] When a File is too large:

  1. In the Selector, choose the File and expand it.
  2. Select a large sub-Topic, as indicated on the Status Bar, and collapse it.
  3. Choose Selector | Change Into | File. The file dialog appears.
  4. Enter a name for the new File. The .wd2 extension will automatically be added. Press ENTER. The Topic will be saved in its own File, reducing the size of the parent File.
  5. Repeat steps 2 to 4 as needed.

Repeat these procedures until all your Files are an acceptable size.

tip.png (168 bytes) Tip: The size of a File is the sum of all of its sub items, excluding any sub-Files. You need only be concerned about the size of Files, not Topics.


Opening and closing a File

Opening and Closing Files

Although most of your data will normally be accessible from the Selector, there are situations where Info Select data might be located in a disk file that is not loaded into the Selector. For example, you might have copied a .wd2 file from another computer onto your hard disk. To view data from a file you must first Open the File.

You can open Info Select data files to load their data into the Selector.

[:] To Open a File:

  1. Choose File | Open. A dialog box appears.
  2. Select the drive and directory path of the File you want to open. Click Remote Site to open the file from a remote location.
  3. From the Files of type box select Info bases (*.wd2)
  4. Select the file name or enter the full file path and name.
  5. Click OK. The File with a disk icon IS00000004.gif (863 bytes) will appear in the Selector.

Note: When opening an Encrypted file you will be prompted for the encryption password. The Release After... property will be automatically set for the Encrypted file so the file will be automatically closed in 5 minutes. This will protect your encrypted data from accidental exposure to unauthorized persons (for example, if you open the encrypted file and leave your computer). To disable the Release After... property right-click on the File, choose Release After... from the pop-up menu and uncheck the Automatically release file after ... option.

Note: You can also open other files in Info Select. Click here for more information.

If a File contains a large amount of data that you don't plan to access or search in the near future, you can Close the File. Closing unneeded Files allows Info Select to operate faster.

[:] To close a File:

  1. In the Selector, choose the File.
  2. Choose File | Close. The File will be grayed out, indicating it is closed.

To reopen a closed file double-click it or choose File | Reopen.

You can set selected Files to close automatically each time you restart Info Select. This way you will not need to remember to close Files to gain optimal speed.

[:] To close a File automatically on Startup:

  1. Right-click the File and check Close On Startup.

To locate all Files choose View | By Type | Files | Files.

To locate all Open Files choose View | By Type | Files | Open Files.

note.png (184 bytes) Note: You cannot close the Overview File. Closing a File does not remove it from the Selector. To remove a File from the Selector press DELETE and choose Selector.


Opening External Files

Editing External Files

You can use Info Select as an editor for files stored on your hard disk. For example, you can edit image files or RTF documents. Once the files are opened in Info Select they are treated like the corresponding Info Select items. Below is the list of the correspondence between the File Type and Info Select items:

File Type | Info Select item
General Text (TXT) | Note
Rich Text Format (RTF) | Note
Database (DBF) | Database
Comma Delimited Text (CSV, TXT) | Database
Tabulation Delimited Text (CSV, TXT) | Database
Delimited Text (CSV, TXT) | Database
Image (JPEG, GIF, PNG, BMP, WMF) | Image

[:] To open an External File:

  1. Choose File | Open. A dialog box appears.
  2. Select the drive and directory path of the File you want to open. Click Remote Site to open the file from a remote location.
  3. From the Files of type box select the appropriate file type.
  4. Select the file name or enter the full file path and name.
  5. Click OK. The appropriate item together with the [image] icon will appear in the Selector.

Note: When you open an External File in Info Select it will not be possible to access this file with any other application. To make the file available to other applications you will need to close it.

[:] To close an External File:

  1. In the Selector, highlight an External File.
  2. Choose File | Close.

To save changes made to the external file, highlight the file in the Selector and choose File | Save.

To delete an External File, highlight it in the Selector, press DELETE and confirm.

Note: Changes made in an External File will be automatically saved when you exit from Info Select.


Sending an item to a File

Normally you will use the mouse to drag items into Topics or Files. However in some situations it is faster to use another method which allows you to place an item in a file without locating the file in the Selector.

[:] To prepare a file to allow sending items to the file:

  1. Select the file.
  2. Check Selector | Properties | Allow Sending to File.

[:] To send an item to a file:

  1. Select the item to send.
  2. Choose E-mail | Send To File... A dialog box appears.
  3. Select the file(s) to move the item to and click OK. Uncheck the Leave copy in selector option if you wish to move the item to the destination file.

note.png (184 bytes) Notes: If you send an expanded Topic, only its sub items will be transferred. If you send a Topic when in the Search Filter, only items in the Filter will be transferred. If you send an open File, the File will become a Topic in the destination File.


Reverting data to the last save

You can Undo changes made to a File. The Revert command undoes all changes made to a File since the last Save or since you last exited the application.

[:] To undo changes to a File since your last Save:

  1. In the Selector, choose the File to revert (this File can be Overview).
  2. Choose File | Revert. A dialog box appears.

    5_revert.png (5376 bytes)

  3. Select the file to revert to and click OK.

tip.png (168 bytes) Tip: To increase the number of backup files to revert from, set the appropriate Saving options.

[:] To undo changes to a File since your last auto-save:

This must be done before the next auto-save.

  1. In Explorer in C:\Program Files\Info Select rename the file to any other name.
  2. In Info Select, choose the File.
  3. Choose File | Close.
  4. Press DELETE and choose Selector only.
  5. Choose File | Open and select the renamed file.
  6. If you want this File to replace the original, choose File | Save As, select the original file, and confirm to overwrite.

note.png (184 bytes) Note: The Auto-Save feature is configured under Tools | Options | Saving.


Alternate subdirectories

Using Alternate Subdirectories

When several people are sharing one computer, you may want to setup a different directory for each user so each can have their own Files. Simply install Info Select for each user, specifying different directories (e.g., C:\Program Files\Info Select\Mary). Run only one copy of Info Select at a time.


Source code editing

Info Select can be a powerful productivity tool for managing, organizing, and editing source code in programming projects. Micro Logic programmers have been writing the code for Info Select using Info Select as the source code editor for years. Managing code in Info Select works well because of Info Select's fast searches, ability to organize information in modules and outlines and its quick browsing capability. Source code editing will work for any programming language.

How to setup your code

You store all the files of a project in one Info Select outline - even if that means several megabytes of source code. To prepare for a compilation, a special command allows you to export the entire programming project from the Info Select outline to the individual files, usually in less than a second.

To use Info Select for source code, place each section of code (such as subroutines, functions, or classes) in individual Notes. Place all Notes that you want exported to a certain file (in preparation for compilation) in a Topic captioned with the path (e.g. \main.c or mycode\main.c).

Place all of the data for a project in a Topic captioned EXPORT:path (e.g. EXPORT:c:\data\code\myproject) The keyword EXPORT must be upper case and you can include a space after the colon.

To edit your source code, use all the normal features of Info Select including, browsing, editing, searching, etc. You can use the color palette to color sections of code (e.g. comments in blue). Colors are not exported to the file that gets compiled.

To export your code from Info Select to prepare to compile the first time, do File | Import / Export | Export All.

Any changes you make to your source code will cause the appropriate captions to turn bold until they are exported (this provides a way of knowing what you changed). To export changes to your code do File | Import / Export | Export Partial. Before issuing either of these commands select an item inside the EXPORT topic. Any errors while exporting will be reported.

Advanced features

The following example is used to illustrate some of the advanced features.

Topic captions are not exported so you can use them to group related files or code sections as shown above.

Captions beginning with a # hash symbol ARE exported to the target file (including the hash symbol) to allow you to pass C compiler directives. For example a Topic caption could be #ifdef FullVersion.

Topic captions beginning with // will NOT export the data inside the topic - allowing you to easily deactivate sections of code.

Topics beginning with a backslash can be used to extend the default path. For example:

This will export string.cpp as c:\data\code\myproject\util\string.cpp.

File names and paths that contain spaces must be enclosed in double quotes. For example: EXPORT: c:\"data files"\mycode

tip.png (168 bytes) Tips

You can have multiple projects, each under its own EXPORT:. You can put one EXPORT: command inside another to switch to a new path. Attachments are not exported. E-mail addresses and http:// cmds are exported as seen on screen.

Synchronizing

Multiple programmers can merge changes to a common set of source code by using the Synchronization feature.


Mapping Space Usage

You can view a graphic map of the space your data consumes. This is helpful in deleting information you no longer need - to reduce clutter in your Selector, free up disk space, and speed up searches.

[:] To view the space map:

  1. Select the item you want to map - usually the Overview.
  2. Choose Tools | Ma p....
  3. Resize the map window as large as you like.
  4. Each colored window shows the amount of space the corresponding data consumes.
  5. Scan the map for large rectangles that correspond to data you no longer need.
  6. Right-click on a file to go to that file in the Selector.
  7. Delete unneeded data from the Selector using the DELETE key.
  8. To Zoom in or out, double-click the rectangle corresponding to a Topic.

The Space Mapping feature uses the same patent-pending technology as Micro Logic's DiskMapper 2 product which helps clear space on your hard drive - see www.miclog.com.


File manager data type

File Manager

In Info Select you can place views of disk drives or directories. For example, in a Topic containing notes about a Vendor you could place a view of a disk directory containing files associated with that vendor. Or in a Topic of notes relating to a co-worker you could show a view of a disk directory of files for that co-worker. Such File Manager views make it easy to drag file attachments from and to e-mails and to launch files.

[:] To create a File Manager view:

  1. Choose Insert | File | Manager....
  2. Choose a directory and click OK. The directory will appear in the Workspace.

You can create a new folder on disk:

[:] To create a new folder:

  1. Choose Insert | File | Manager.
  2. Click New Folder. A dialog box appears.
  3. Type the folder name (for example, C:\Project Data) and click OK.

You can launch files by double-clicking on them. You can drag files or directories to or from the File Manager. You can delete files by highlighting them in the Workspace and pressing DELETE.


Remote Files

You can share Info Select data between a group of people in different parts of the country or world by storing a shared data file on the web. Such files are called Remote Files remote_file.png (248 bytes) . You can create a new remote file, open an existing one, save, import or export files from/to a remote web site. For example, you can write an article while on a business trip and save it directly to your company's web site, or attach an image from the remote site to your e-mail message.

Working with Remote Files requires that your computer be connected to the Internet.

Working with Remote Files

You can create a new Info Select data file on the remote site.

[:] To create a Remote File:
  1. Choose Insert | File | Data on Web.... A dialog box appears.

  2. Fill in the dialog by referring to the instructions at the bottom of the dialog window.
  3. Click OK. Info Select will attempt to connect to the remote FTP server and create a data file with the specified name in the selected directory. The file with the remote_file.png (248 bytes) icon will appear in the Selector.

[:] To open a file from a remote site:

  1. Choose File | Open | Remote Site. A dialog box appears.
  2. Fill in the dialog by referring to the instructions at the bottom of the dialog window.
  3. Click OK. The file with a remote_file.png (248 bytes) icon will appear in the Selector.

[:] To save a file to a remote site:

  1. Choose a File in the Selector
  2. Choose File | Save As... | Remote Site. A dialog box appears.
  3. Fill in the dialog by referring to the instructions at the bottom of the dialog window and click OK. Wait until the information is uploaded.

You can import or export files of the supported formats from/to a remote site.

[:] To import/export a file from/to the remote site:
  1. Choose File | Import / Export | Import From File... | Remote Site (File | Import / Export | Export to File | Remote Site). A dialog box appears.
  2. Fill in the dialog by referring to the instructions at the bottom of the dialog window and click OK. Wait until the information is uploaded (downloaded).

You can insert any file located on the remote web server as an attachment in the Selector, in a Note or in an E-mail message.

[:] To attach a file from a remote site:
  1. Choose Insert | File | Attachment | Remote Site. A dialog box appears.
  2. Fill in the dialog by referring to the instructions at the bottom of the dialog window and click OK. Wait until the information is downloaded.

Notes:

note.png (184 bytes) The speed of exchanging data with Remote Files depends on your Internet connection speed.

note.png (184 bytes) During operations with Remote Files a dialog box appears showing the progress of the operation. This dialog also displays all errors which may occur during Remote File processing. You can click Cancel to cancel the operation.

note.png (184 bytes) Automatic saving is not supported for Remote Files. Perform the File | Save command manually.

note.png (184 bytes) The Close on Start-Up option is automatically enabled for all Remote Files to speed up application start-up.

note.png (184 bytes) A folder named "Temporary Internet Files" is created in the Info Select directory for storing Remote Files before uploading them to or downloading them from the remote site.

note.png (184 bytes) The HTTP site option is disabled when you want to create new Remote File, save or export the file to a remote site.

note.png (184 bytes) Instructions on using the Remote Files dialog also appear at the bottom of the dialog window as you navigate the dialog.

Tips:

tip.png (168 bytes) Instead of using the Remote Files dialog you can type the direct path to the remote file you wish to access in the following format:

username:password@servername/directory/filename (for FTP servers)
http://www.servername.com/directory/filename (for HTTP servers).

Examples: username:password@ftp.mycompany.com/documents/remote_data.wd2
http://www.mycompany.com/documents/remote_data.wd2

tip.png (168 bytes) It is recommended to Encrypt your data files to prevent unauthorized access.


Compressed Files

You can compress Info Select data files to reduce disk space usage. For example, you can compress files which contain archived or rarely used data or data you want to transport on a diskette. You can work with the compressed files in the same way as with regular files, however loading and saving compressed files will be slightly slower.

[:] To compress or decompress a File:

  1. In the Selector, choose the File.
  2. Check or uncheck File | Compress.


Introduction to Importing and Exporting

You can transfer data between Info Select and other software applications.

To move text it is often only necessary to use the Cut and Paste commands. To move entire files use the Import and Export - Info Select imports and exports to several general-purpose formats.

To determine if Info Select can receive or provide data from or to a specific application you check the documentation for that application and determine if the application supports one of the general formats that Info Select supports. For example, if program ABC can export to DBase format, you can transfer data from ABC to Info Select by using the other application to export to DBase format and then using Info Select to import the DBase file.

tip.png (168 bytes) Tip: If you can't see the File | Import / Export menu item, change the Info Select Skill Level to "Advanced".


Clipboard

Transferring Data Between Applications

The simplest way to move information between Info Select and another application is by using the Cut, Copy and Paste commands. For example, you can transfer text from a Note to your word processor.

[:] To transfer information from Info Select to another application:

  1. In Info Select, highlight the information to be transferred.
  2. Choose Edit | Cut or Copy. The text is now stored in the Clipboard.
  3. Switch to the application where the data will be placed.
  4. Position the mouse cursor at the point where the information should be inserted.
  5. Choose Edit | Paste. If Edit | Paste does not Paste text as you intend, try Edit | Paste Special and select the desired format.

To transfer information from a Topic, or any item other than a Note, you can use the Selector | Change Into | Note command to first convert the item into a Note. Then follow the above steps.

To transfer text into Info Select from another application, follow the above procedure but begin in the other application.

note.png (184 bytes) Note: When copying a single line or paragraph to Info Select, the text will paste as a Topic.

tip.png (168 bytes) Tip: You can press CTRL+SHIFT+C to append data to Clipboard.


Exporting

Exporting - Transferring Data To a File

You can transfer information from Info Select to files of various formats.

[:] To export data to a file:

  1. In the Selector, choose the item to be exported.
  2. Choose File | Import / Export | Export to File.... A dialog box appears.
  3. Enter the destination directory, file name and select the proper choice from the Files of Type drop-down list. Click Remote Site to export the file to a remote location.
  4. Click OK.

Notes:

note.png (184 bytes) The type of data must be compatible with the type of file you export to. For example, you can export free-form text to a txt file but not to a DBF database file.

note.png (184 bytes) When a Topic is exported in the Note Delimited mode, all items within that Topic will be exported and separated by a special character called the Note Delimiter (Tools | Options | Editor | Note Delimiter).

note.png (184 bytes) Programmers can compose program source in Info Select and export to files prior to compilation.


Importing

Importing - Transferring Data From a File

You can receive information from various file formats into Info Select.

[:] To import data from a file:

  1. Choose File | Import / Export | Import from File.... A dialog box appears.
  2. Select the desired type from the Files of Type drop-down list. Click Remote Site to import the file from a remote location.
  3. Select the file directory and name. You can select several files at once by holding down the CTRL key while you select files.
  4. Click OK.

note.png (184 bytes) Note: When too much data is imported into a single item, Info Select will automatically create multiple items. All .csv and .dbf Files will be imported into a Database, other types will be imported into a Note. When importing a database, you will need to configure the database for proper viewing.

If you are importing ASCII text Files, you can create a Note for each imported record.

[:] To create a new Note for each imported record:

  1. Set Tools | Options | Editor | Note Delimiter to a unique character. This character will be used to indicate where one record ends and the next record begins.
  2. In the text to be imported, indicate the point where each record ends by inserting the character you have set as the Note Delimiter (e.g., "~"). When there is only one line per record, set the Note Delimiter to "\r" (hard return).
  3. Choose File | Import / Export | Import from File.... A dialog box appears.
  4. From the Files of Type drop list select Note Delimited
  5. Select the text File.
  6. Click OK. A Note for each record will be placed in the Selector inside a parent Topic.

[:] To import Notes from Microsoft Outlook:

  1. Choose File | Import / Export | Import Outlook Notes. Follow the on-screen instructions to import Notes. A topic named Personal Folder will be created in the Selector, containing the selected Notes.

[:] To import Calendar from Microsoft Outlook:

  1. Choose File | Import / Export | Import Outlook Calendar. Follow the on-screen instructions to import the Calendar.

[:] To import data from unsupported databases:

  1. Use your Database program to export to dbf format or use your Database program's reporting feature to create a text File. Setup the report so a unique delimiter character is inserted between each record.
  2. Follow the above steps to bring the data into Info Select.


File Formats

Info Select can import and export to Files of the following formats.

ASCII (txt)

This format is the most basic format. Information is treated as general text with no font codes or formatting commands.

Rich Text Format (rtf)

This format retains text font and formatting information (size, style, etc.) and can be used with a variety of Windows programs. Info Select version 8 allows to import the RTF documents which contain images and bulleted or numbered lists.

HTML

Use this format to export Info Select data for viewing in an Internet browser or for publishing to a web site. See "13 Im-Exporting | Export to HTML".

XBase Format (dbf)

This format is for importing or exporting databases and retains field name and type information. This is a common database format.

Comma Delimited Format (csv)

This format is also for databases; however, commas separate fields. The first record can be used to specify field names.

Tab Delimited

This format is almost the same as the Comma Delimited Format, however tab characters separate fields. The first record can be used to specify field names.

Note Delimited

This format is for exporting and importing multiple text notes and separates each Note by a special character. The character is specified in Tools | Options | Misc | Note Delimiter. In order to export in this format, place all the notes under an expanded Topic, choose the Topic in the Selector, then choose File | Export.

JPEG Image (jpg)

This format is for exporting and importing JPEG images - one of the most common image formats used on the web.

PNG Image (png)

This format is for exporting and importing PNG images - universal image format which provides excellent lossless image compression. You can use this format for storing simple graphics, large scanned documents, etc.

Earlier Version Info Select (wd)

This format is for exporting your information into an older version of Info Select for Windows or Info Select for DOS. Choose a Topic, then export to wd. Everything inside that topic will be converted into separate notes. Due to differences in formats between earlier and current versions, data that is exported to an earlier version and then re-imported will show several differences. For example, the outline structure will not be retained.


Automatic Import/Export

If you frequently import or export a particular item, you can automate the process.

[:] To automatically import or export an item from or to a pre-defined file:

  1. In the first line of a Note or in the caption of an item, enter AUTOFILE: followed with the File name (e.g., "AUTOFILE:C:\DOC\TEMP.TXT").
  2. To import or export to the above specified file choose File | Import / Export | Import from File... or File | Import / Export | Export to File.... You will not have to specify the File.


Exporting to HTML

You can export Info Select data to HTML format. For example, you may want to publish an article created in Info Select to your website, or send a part of your outlined Info Select data to a person who doesn't have Info Select (so he can view it in his Internet browser).

You can export either a single item, or a complete outline. The exported data will retain Info Select's structure and functionality: you can expand and collapse topics, browse through Calendar events, view database fields, resize the Selector, etc.

[:] To export data in HTML format:
  1. In the Selector, choose an item (or a Topic containing multiple items).
  2. Choose File | Import / Export | Export to File.... A dialog box appears.
  3. Enter the destination directory, file name and select HTML (*.htm) from the Files of Type drop-down box.
  4. Click OK.

The following items will be created in the destination directory:

  1. <filename>.htm file (where <filename> is the name of the file entered in step 3. For example, outline.htm).
  2. <filename>_htm_file directory, which contains additional data files, required for the proper representation of the exported data (for example, outline_htm_file).

To view the exported data in your browser, double-click the exported <filename>.htm file in Windows Explorer.

To transfer the exported data to another computer, copy both the HTM file and the directory containing additional files to the destination directory.

Notes:

note.png (184 bytes) To view the exported data properly, enable Javascript in your Browser.

note.png (184 bytes) It is not possible to export OLE objects and File Manager items to HTML format.

tip.png (168 bytes) Tip: To publish your data directly to a Web server use the Remote Files feature.


Transporter

Using the Transporter

You can move data into Info Select from other applications quickly and easily. For example, while at a web site, you can instantly transmit information into Info Select while staying in your browser.

[:] To activate the Transporter option:

  1. Check Tools | Options | Misc | Show Transporter Icon in the system tray.
  2. Click OK.

You can set the Transporter to include the name of the source document (or URL if you are transporting data from the web page) into the Transported text. The document name or the URL will precede the Transported text.

[:] To include source document name into Transported text:

  1. Check Tools | Options | Misc | Include source document name into Transported text.
  2. Click OK.

[:] To transfer information from another application to Info Select:

  1. In the Selector choose a location to place the transported data.
  2. In the other application, highlight the information.
  3. In the system tray (usually located at the bottom right corner of your screen - if not, see Windows help) click the lightning bolt icon 13_trans.png (520 bytes).
    The lightning bolt will turn green momentarily if the transfer was successful, red otherwise. Alternatively you can press CTRL + SHIFT + T.

You can do the above steps multiple times without returning to Info Select. Later you can switch back to Info Select and see the data at the current location in the Selector.

Transported text will include basic formatting and font information only if the application from which the text is taken supports Rich Text Format (.rtf) on its clipboard and gives .rtf priority over plain text.

The Transporter will work in all situations where the application would place text on the clipboard in response to the standard CTRL + C (Copy) command.

To disable the Transporter uncheck Tools | Options | Misc | Show Transporter Icon in the System Tray.

You can change the hot key used for the Transporter, if it interferes with other applications (for example, Corel Draw).

[:] To change the Transporter Hot Key:

  1. Choose Tools | Options | Misc
  2. Click in the Transporter Hot Key box
  3. Press the necessary key (for example, if you press Q, the combination will change to CTRL + SHIFT + Q).
  4. Click OK

note.png (184 bytes) Upgrading Note: by default, version 8 transfers text in Rich Text Format, while version 5 used plain text. To obtain the same results as in Info Select 5, check the Tools | Options | Editor | Paste RTF/HTML data as plain text option. If this option is unchecked, Info Select will automatically select the best format for transferring data. You can also enable this option if you have problems using the transporter with some applications.

note.png (184 bytes) Note: When transporting a single line or paragraph to Info Select, the text will appear as a Topic. Enable the Tools | Options | Editor | Always paste as Note option to have the Transported data always pasted as a Note.

Troubleshooting

Transporter doesn't work with Internet Explorer under Windows 2000.
Download the latest Internet Explorer version from http://www.microsoft.com/windows/ie/default.asp.

Text is not transferred from some web pages.
This can happen because some of the web pages have complex HTML-coding which is not supported by the Transporter function. Use CTRL+C to copy text from such web pages, and then choose Edit | Paste or Edit | Paste Special | Plain Text to paste such data into Info Select.


Introduction to Sorting

You can sort data alphabetically, numerically, chronologically, by item size or type. You can sort lines in a Note, items in a Topic, or records in a Database. For example, you can:

  • prioritize items
  • alphabetize names
  • organize inventory information based on location or status
  • sort equipment records based on repair status, cost, or department

note.png (184 bytes) Note: When sorting by dates, the date must be in the range 1970 to 2035.


Line sorting in a Note

Sorting Lines in a Note

You can sort lines in a Note. For example, if you have a Note containing a list of names, you can use sort the names alphabetically.

[:] To prepare for line sorting:

  1. Designate which column to sort by putting a "+" for ascending or a "-" for descending "column marker" above the leftmost character of the column.
  2. Remove any blank lines above the column marker.
  3. If you are using column headings, place a blank line between the headings and the data below so the heading is not included in the sort.
  4. To avoid confusion, do not use hyphens in column headings.

For example, to setup a Note for sorting, in ascending order, by Description:

+
Description Price Bin

#10 gear 29.95 33
#11 axle 75.00 72

[:] To sort lines within a Note:

  1. In the Selector, choose the Note.
  2. Choose Tools | Sort. A dialog box appears.
  3. Confirm the correct number of items to sort by clicking OK.

If the column indicator is omitted, the Note will be sorted in ascending order according to the data in the first column.

A line includes all text up to the first hard return, which can be an entire paragraph. Therefore, each paragraph would stay together.

If you sort from a column other than the first, use a mono-spaced font (e.g., Courier New).

Tab characters should not be used to align field values or to place the column indicator.

Some font information may be removed in the process of sorting.

If the lines in a Note do not sort properly, use a mono spaced font and line up your data. Remove any blank lines above the column indicator. If you are using column headings, include a blank line between the headings and the data.

To sort dates make sure the format of the dates (e.g. 2/11/2002, 2-11-2002, etc.) corresponds to Windows | Control Panel | Regional Settings.

You cannot sort a section of a Note. Instead, divide your data into multiple Notes using the Split command or using Cut & Paste.

When sorting numbers or dates, any information after the number or date is ignored and will not be used to resolve equal data values.

For more control over sorting consider using the Grid or Database type.


Caption sorting in the Selector

Sorting items in a Topic

You can sort items in a Topic by Caption, Size, Date, Type or by specified text within each item.

[:] To sort items in a Topic by Captions:

  1. In the Selector, choose the Topic.
  2. Choose Tools | Sort. A dialog box appears.
  3. Select Caption.
  4. Select Ascending if you want the lowest value items (earliest in the alphabet) to be placed at the top of the Topic, Descending otherwise. Choose Excluding First Item if you wish to start sorting from the second item in the Topic (for example, when you use the first item to describe the Topic contents).
  5. Click OK.

If the captions do not sort properly, remove spaces at the beginning of each caption. The type of sort (alphanumeric, date, or numeric) is determined by the data found in the first item. For example, you may be intending to do a numeric sort but Info Select sees alphabetic data in the first item and hence the sort result does not appear as expected. If the first caption begins with a number, numeric sorting will be performed and data after the number will be ignored. Note that the format of dates created with the date stamping feature is controlled by your Windows Regional Settings, available through the Control Panel.

You can sort items in a topic by their Size, for example, to place the shortest notes at the beginning of the topic.

[:] To sort items in a Topic by Size:

  1. In the Selector, choose the Topic.
  2. Choose Tools | Sort. A dialog box appears.
  3. Select Size.
  4. Select Ascending if you want the smallest items (by their size in bytes) to be placed at the top of the Topic, Descending otherwise. Choose Excluding First Item if you wish to start sorting from the second item in the Topic (for example, when you use the first item to describe the Topic contents).
  5. Click OK.

You can sort items in a topic by updating Date, for example, to view the most recently edited items in a topic.

[:] To sort items in a Topic by Date:

  1. In the Selector, choose the Topic.
  2. Choose Tools | Sort. A dialog box appears.
  3. Select Date.
  4. Select Descending if you want the newest items to be placed at the top of the Topic, Ascending otherwise. Choose Excluding First Item if you wish to start sorting from the second item in the Topic (for example, when you use the first item to describe the Topic contents).
  5. Click OK.

You can sort items in a topic by the item's Type.

[:] To sort items in a Topic by Type:

  1. In the Selector, choose the Topic.
  2. Choose Tools | Sort. A dialog box appears.
  3. Select Type. Choose Excluding First Item if you wish to start sorting from the second item in the Topic (for example, when you use the first item to describe the Topic contents).
  4. Click OK.

To sort by text within each item (for example, in a Note or E-mail message), each item must contain a Data Marker. A Data Marker identifies the "key" which determines the sort order. A Data Marker is comprised of a unique string of characters. The Data Marker must directly precede the "key" data to be sorted. For example, to sort Invoices by date, you would place a Data Marker such as "Date:" directly before the date in every Note. For example, "Invoice #2002042 Date: 11-29-99".

[:] To sort Notes in a Topic by a specific marker:

  1. In each Note enter a Data Marker before the text to be sorted.
  2. In the Selector, click the Topic.
  3. Choose Tools | Sort. A dialog box appears.
  4. Click Data Marker and, in the box, enter the Data Marker character string or leave the Data Marker empty to sort by the first line of each Note.
  5. Select Ascending if you want the lowest value items (earliest in the alphabet) to be placed at the top of the Topic, Descending otherwise. Choose Excluding First Item if you wish to start sorting from the second item in the Topic (for example, when you use the first item to describe the Topic contents).
  6. Click OK.

You can sort Selector Ticklers within a topic by their Due Date.

[:] To sort Ticklers in a Topic by Due Date:

  1. In the Selector, choose the Topic.
  2. Choose Tools | Sort. A dialog box appears.
  3. Select Tickler Due Date. Select Descending if you want the Ticklers with the most recent Due Date to be placed at the top of the Topic, Ascending otherwise. Choose Excluding First Item if you wish to start sorting from the second item in the Topic (for example, when you use the first item to describe the Topic contents).
  4. Click OK.


Database sorting

Sorting a Database

You can sort records in a Database on any field.

[:] To sort records in a Database:

  1. From the Selector, choose the Database.
  2. Choose Tools | Sort. A dialog box appears.
  3. Choose the field to sort. Select Ascending if you want the lowest value items (earliest in the alphabet) to be placed at the top of the Database, Descending otherwise.
  4. Click OK.

To sort a Grid, double click a column header.


Automatic Sorting

You can automatically sort data in a specific Topic, File or Delivery by Caption, Size, Date or item Type. For example, you can use this feature for client lists, catalogs, inventories, etc. With automatic sorting you don't have to resort items each time you add a new item.

[:] To enable automatic sorting for an item:

  1. In the Selector highlight a Topic or a Delivery.
  2. Choose Selector | Properties | Auto Sort... A dialog box appears.
  3. Check Auto Sort this Topic.
  4. Select the necessary sorting option and click OK. An 2_Type23.png (232 bytes) icon will appear before the caption of the selected Topic (or Delivery).

note.png (184 bytes) Note: If Automatic Sorting is enabled for a Topic, all new items placed into this topic will be automatically sorted.


Introduction to Dialing

Info Select can dial telephone numbers automatically. This is particularly beneficial if you work in phone-intensive environments such as sales, management, telemarketing, customer service, and so on.

Info Select needs to be configured before dialing. Info Select passes the number which you want to dial to Telephony (TAPI) interface built into Windows and the number is dialed using default Windows dialier application. Therefore, most of the Dialer's setup is done inside Telephony's user interface.


Modem preparation for dialing

Preparing the Modem

Before you can begin using the Dialer, you must prepare your modem.

[:] To prepare a modem for dialing:

  1. If you have an external modem, connect the cable that comes with your modem between the modem and a COM port of your computer. Make note of which COM port your modem is connected to.
  2. Connect a telephone line between the jack and the modem and connect your telephone to your modem. Alternatively, use a Y connector at the wall jack and plug your modem and telephone into it. Some hybrid (digital/analog) PBX telephones use all four wires of standard telephone cable. In this case, connect the telephone and the modem to the wall through a "Y" connector instead of routing the telephone through the modem.
  3. If your modem has DIP switches, disable the "auto answer" feature.

    important.png (152 bytes) IMPORTANT:     Make sure that other applications which monitor incoming calls are not running when you want to use the Info Select Dialer. Also, make sure you are not running any terminal programs that take control of your communication port.

  4. From the Start menu choose Settings | Control Panel | Modems. You will see a list of installed modems.
  5. If no modems appear, click Add..., and follow the instructions given.
  6. Click Close.


Info Select preparation for dialing

Preparing Info Select

Prior to dialing you need to configure Info Select.

[:] To configure Info Select for dialing:

  1. Choose Tools | Options | Dialer.

  2. Check the Enable dialer checkbox.
  3. Click OK.

Phone Number Formats

Info Select can locate telephone numbers in the text you enter. Info Select identifies series of digits as a telephone number when they match one of the formats listed in the Phone Number Formats list box. This list already contains several default formats. You can change the default formats or add the new ones if the numbers you use do not match any of the listed formats.

The Type column of the list box identifies the type of telephone number by a name describing the format. You can change the name.

The Format column specifies the format of the telephone number:

The format consists of a series of symbols. Any of the following characters will be replaced by a digit:

0 1 2 3 4 5 6 7 8 9 A C ! #

Any punctuation (except ! and #) will accept any other punctuation or space. For example, if the Format string contains a hyphen, phone numbers containing hyphens or periods or spaces in the position corresponding to the Format string's hyphen will be treated as phone numbers. In the Format string don't use letters other than those above.

Use A and C to denote the area code you are dialing and the country code, respectively. For example, to recognize the number (201) 342-5555, where 201 is the area code, specify a format of (AAA) ###-####. For some international phone numbers specify a format of CC (AAA) ###-####.

You can specify not to dial certain digits by using an exclamation mark. For example, specify a format of !-AAA-###-#### to accept numbers such as 1-800-999-4321, but not to dial the 1. Info Select automatically knows how to dial long-distance numbers, depending on your current location. It will supply the 1 automatically.

The first default format "p##+" is a catch-all designed for special telephone numbers, such as international, or any type of telephone number. Simply precede each non-standard telephone number you type in Info Select with a lower case letter "p". Info Select will then identify these as telephone numbers. The "#" in the format formula stands for any digit 0 through 9. The "+" sign in the format formula means that extra digits will appear and are to be treated as part of the phone number. The "+" sign allows for matching any number of digits.

important.png (152 bytes) IMPORTANT: In the new Windows versions XP, the Phone Dialer application can automatically apply the proper dialing sequence once the number is passed in the Canonical Format (i.e. +1 (201) 555-5555). For example, for international calls it will dial +1 (201) 555-5555 and for local calls it will simply dial 555-5555). It is recommended to store your phone numbers in Notes in the Canonical Format.
However, you can enable the Automatically extend phone numbers to match the canonical format using current location settings option to have your phone numbers appended to canonical format according to the Location Settings. For example, numbers like 555-5555 will be appended to +1 (201) 555-5555 when dialing.

The preset formats can be modified or deleted as needed. You can also add as many new format types as you need.

[:] To modify an existing format:

  1. Double-click the item you want to modify in the list of phone number formats. The information contained in the highlighted entry is placed in the Spec Table Entry dialog box.
  2. Edit the information as needed and click OK.

[:] To add a new Phone Number Format type:

  1. Click the Add button.
  2. Enter the type of telephone call in the Type box (e.g., Long Distance).
  3. In the Format box, enter the exact format you use when you enter telephone numbers in Info Select. Info Select will recognize any series of digits written in that format as a telephone number. All non-alphanumeric characters are treated the same, so it does not matter how you punctuate your numbers. The grouping of the numbers is what matters. For example, 800-555-5555 is treated the same as 800 555 5555 but is not the same as 800-5555555
  4. Click OK. Your new format will appear in the phone number formats list box.

[:] To delete a Phone Number Format:

  1. In the phone number formats list box, click the item you want to delete. It will be highlighted.
  2. Click Delete. The item disappears from the list box.


Dialing

Dialer

Once you have all your settings in place and your modem is working, you are ready to start using the Dialer.

[:] To dial a phone number:

  1. Make sure the modem is turned on.
  2. Search for or select the item containing the telephone number you want to dial.
  3. If you do not want the first number in the Note to be dialed, click the telephone number so the blinking caret is placed in the telephone number.
  4. Choose Tools | Dial... (or press F9). The Dialer dialog box appears, showing the telephone number you selected, and the default Windows Dialer application begins dialing.
  5. Click the telephone icon on the status bar to release the telephone line from the modem. If you do not do this, other applications will not be able to access the modem.

If your system locks up on issuing the dialer command, see Troubleshooting.

A description of the various text boxes and buttons in the Dialer dialog box follows:

The Phone Number displays the telephone number to be dialed and its call type (local or long distance - taken from the "Type" column of the Tools | Options | Dialer dialog).

Click Dial to dial the telephone number. This may be unnecessary because the dialer will automatically try to dial the number. You may get another dialog having Talk and Hang-up buttons. Note that this dialog may fall behind the Info Select application so you may not be aware it is active.

Click Talk to indicate you want to pick up the call and talk to the person. This will automatically close the Dialer's dialog box and start Info Select's timer, which is viewable on the status bar.

Click Hang Up to hang up the call whether you have picked up the line or not.

Click Cancel to exit the Dialer dialog.

Once the call is established (once you click "Talk"), the Dialer dialog box will disappear. The duration of the call will be shown in the status bar at the bottom right, along with a flashing icon of a telephone. To disconnect, click the flashing red telephone icon to indicate the call is finished and release the line (or you will be unable to dial again).

Note: In Info Select 8 the Stamp Call Duration feature is no longer supported.

Dialer Function

Info Select allows you to track and log your telephone behavior, and keep track of telephone numbers and phone calls you make. All activity on the phone line is stored in a log, which you can view at any time. This allows you to use the log to see how much time you spend on the phone, which numbers are called and how often.

[:] To view a log of telephone calls or modem activity:

Windows 95, 98, NT and 2000:

  1. Select Tools | Options | Dialer | Line Properties... | Connection | Advanced | View Log.
  2. Read the View Log to see the activity of voice and modem connections.
  3. The Log is displayed in a .txt file. You can Copy and Paste the text into the Selector.

Windows XP:

If your computer is connected to a network, network policy settings may prevent you from completing this procedure.

  1. Log on as an administrator or a member of the Administrators group.
  2. Choose Start | Control Panel | Network and Internet Connections.
  3. Under See Also click Phone and Modem options.
  4. On the Modems tab, click the modem whose commands you want to log.
  5. Click Properties, and then click the Diagnostics tab.
  6. In Logging, select Append to Log if you are working on a computer running WindowsXP Professional, or Record a Log if you are working on a computer running Windows2000 Server.
  7. To view the log, choose Start | Control Panel | Network and Internet Connections | See Also | Phone and Modem options | View Log.


Troubleshooting the dialer

Troubleshooting

There are several things to consider if you have trouble using the dialer feature:

  • You must prepare the Modem prior to dialing.
  • You must prepare Info Select prior to dialing.
  • Click on the phone icon on the status bar to release the phone line from the modem. If you don't do this, other applications will not be able to access the modem.
  • If Info Select does not recognize telephone numbers in text, choose Tools | Options | Dialer. Numbers in your text must match one of the listed formats. Note that # indicates any digit. You can add new formats as needed. The last format item is normally "Local ###-####" - if you do not see this, consider pressing the Default button to restore the default settings.
  • If numbers are still not recoginzed, try to perform a System Restore (available in Windows 2000, ME and XP).
  • If the Dialer recognizes the number but does not dial, make sure your modem is properly hooked up and is getting a dial tone. Also, make sure your modem is initializing properly:
    1. Choose Start | Settings | Control Panel | Modems.
    2. Highlight your modem in the list and click the Properties button.
    3. Select the Connections tab and click the Advanced button.
    4. In the Initialization String box enter "ATZ" (without the quotes).
  • Make sure the number shown the the dial confirmation dialog matches the number you typed in as data.
  • It may be helpful to try a different modem to isolate whether a problem is software or hardware related.
  • Try the Dialer built into Windows. If it does not work, you have a TAPI problem unrelated to Info Select - see your computer dealer or the person who installed your system.
  • If you do not see the Talk or Hangup dialog box after a number is dialed, it may be because it is hidden behind Info Select. Click the corresponding button on the task bar.
  • Sometimes, in areas with 10-digit dialing Info Select dials extra digits. To solve this problem, change the country you are dialing from to one that doesn't have a 10-digit dialing system (for example, Austria).
  • Refer to Windows Telephony help for the detailed information about the advanced dialing options, for example: using a credit card for dialing; customizing the dialing string, etc.

[:] To report a dialer problem to Micro Logic technical support:

  1. Restart Info Select.
  2. Press SHIFT + F8.
  3. Enter dt1 and click OK.
  4. Reproduce the Dialer problem.
  5. Press SHIFT + F8.
  6. Enter get log and click OK.
  7. E-mail the last few pages of the imported log to technical support along with a description of the problem.


Introduction to Reports

Reports allow you to extract or print information in a specific format that you can design. You can specify the source of the information, such as a Database or series of Notes.

Using Reports you can automatically:

  • Personalize form letters
  • Address mailing labels
  • Address envelopes
  • Create e-mails
  • Summarize data in a Database
  • Merge any repetitive data with a master document.


Data preparation for reports

Preparing the Data

Before creating a Report, the data must be prepared. The Report feature can work with data placed in Notes, Forms, a Database or a Grid.

Notes, Forms, a Database or a Grid.

[:] To prepare your data using Notes:

  1. Enter your data into one or more Notes as in the following example:
>>New Customer
John Smith
123 Main St.
Anytown, NJ 07606
Vaki Vacuum 		>>New Customer
Mary Jones
100 South St.
Newport, NY 12345
Roto Mower

The text “>>New Customer” can be any unique text. The use of ">>" is not required. This text is known as a Data Marker as it marks the location of the data to be used in the Report. If you enter data into multiple Notes, the Notes must all be in the same Topic. Each Note in the Topic should contain the Data Marker.

Remove blank lines between the Data Marker and the data and use a consistent format. For example, if one record has a one-line address and another record has a two-line address, pad the record with the one line address with a blank line.

When you create the Report Template in the next section, "John Smith" will be placed wherever the special symbol @1 appears on the report, since "John Smith" is the first line of text after the data marker. "Vaki Vacuum" will be placed wherever @4 appears on the report, since it is the fourth line of text after the data marker. If you do not enter a data marker, the first line of the Note will replace @1 on the report and so on. To use first and last names separately in the Report, place them on separate lines in the Note.

Data in Forms, Databases, or Grids

To prepare data using Forms, Databases, or Grids simply enter your data into one of these data types. To learn more about these data types click here.


Designing Reports

Before you can run a Report, you need to design it.

Designing Reports

[:] To design a Report:

  1. Choose Insert | Database / Grid | Report.
  2. Enter a name for the Report and press ENTER.
  3. In Destination choose where you want the Report to go to: Selector or Printer or Clipboard or E-mail. Use Selector to direct the Report output to the Selector, Printer - to print the Report text, or Clipboard - to direct the Report output to the Clipboard so you can paste it to another application. Use E-mail to generate a topic of e-mail messages containing the Report text.
  4. If your data is in Notes enter the Data Marker text.
  5. Choose File | Print (you will not actually print at this time).
  6. Make any desired settings in the Print dialog and the dialogs reached via the buttons. For example, if printing addresses on envelopes select Envelope in the Environment drop list and uncheck Print Captions. If printing to labels review the settings under the Layout button.
  7. Choose Close to save the settings without printing.
  8. In the Workspace, compose your Report using one of the following methods.

When the data is in a Database, Topic of Forms, or Grid

At the points where data is to be inserted in the Report, place curly braces around the name of the Database or Form field as in this example:

Dear {Name},

Thank you for ordering the {Product}. I welcome you as a new customer.

In the example, "Name" and "Product" are field names. Use double curly braces, such as {{Addr2}}, to suppress blank lines on reports.

When the data comes from a Note

At the points where data is to be inserted, place the "@" symbol, followed by a number (up to 9), as follows:

Dear @1,

Thank you for ordering the @4. I welcome you as a new customer.

When you want to create mailing labels:

Create a report like one of the following:

@1
@2
@3
@4 		{Firm}
Attn: {Name}
{Address}
{City}, {State} {Zip}
  1. Choose File | Print....
  2. Setup any desired settings under Printer and Layout. When printing from Database records check Break After Each Record.
  3. In the Print dialog click Close. The next section describes how to run the Report.

When you want a tabular reports where data is lined up in columns

Enter the field names enclosed in curly brackets { }, all in one line with one or more spaces to the right of the field name:

{Name }{Street }{City }{State }{Zip }

Use enough spaces to allow for the largest data for each field. In the Report use a mono-spaces font such as Courier New.

Creating e-mail messages

When the Destination of the Report is E-mail, several additional fields appear in the workspace when the Report is selected: To, CC, BCC and Subject. Enter the necessary field names into these boxes. For example, if the e-mail address of the person is stored in the database field named "E-mail", enter {E-mail} in the To field of the Report (or enter "@" symbol followed by a number (up to 9) if your data comes from a Note). Into the Subject field enter the subject of the e-mail message. Fill in the Report text as described above.


Running Reports

After the Report is designed and data is prepared, you can run the Report. For example, you might run a Report that prints the inventory stored in a Database, or generates "Thank You" e-mails to each of 100 customers listed in a Grid.

[:] To run a Report:

  1. From the Selector, choose the Note, Form, Topic, Database (Grid), or Database Record containing the data.
  2. Choose File | Print....
  3. In the Print dialog, check Report and select the desired Report name.
  4. Click OK. To stop processing click Cancel.

note.png (184 bytes) Note: When the Destination of the Report is Selector, a topic labeled "Report..." is created in the Selector. This topic contains notes with the Report text. When the Destination of the Report is E-mail, a topic labeled "Report..." containing e-mail messages is created. To send the generated e-mails, expand the topic, press Ctrl+A and choose E-mail | Send.


Report tips and hints

tip.png (168 bytes) Tips & Hints

To report on a sub-group of records in a Database use the Search Filter to get those records into the filter, then run the Report.

You can print a spreadsheet like report that contains only certain records and fields of a database.

[:] To print a spreadsheet like report from a Database:

  1. Create a copy of the Database.
  2. Select the copy.
  3. Choose Selector | Change Into | Grid.
  4. Expand the Grid and delete unnecessary records.
  5. Double click a record to switch to Fields view.
  6. Delete unnecessary fields.
  7. Resize columns as desired.
  8. Choose File | Print.

You can delete an unused report.

[:] To delete a Report:

  1. In the Selector, choose the Report.
  2. Press the DELETE key and confirm.


Summary reports

Introduction to Summaries

You can automatically extract specific information from all items in a Topic. For example, you could extract all text relating to George Washington from all your Notes. All the text mentioning George Washington would be placed in a new Note. The original text is not affected.

The collected information is called a Summary. You can base your summaries on data at certain line numbers in Notes or on lines containing a certain phrase. You can also use Summaries to show only the captions of your information in outline form.

Summaries can be manually edited into final reports and printed if desired.

16_repw7.png (3424 bytes)

Summarizing by Line Number

You can create a summary of a Topic by extracting captions or specific lines from Notes. For example, if you had several Notes which began with a client's name and telephone number, you could quickly compile a list of client names and numbers by issuing the Summary command.

[:] To create a summary of a Topic by line number:

  1. In the Selector, choose the Topic.
  2. Choose Tools | Summary.... A dialog box appears.
  3. Under Range, select the lines you want to include in your summary. Note that a line consists of all characters up to a hard return.
  4. Uncheck Starting At Phrase.
  5. Check Do Captions and check Do Body Text.
  6. Set Maximum Indentation Level to 10.
  7. Click OK. The Summary will appear as a new Note.

Summarizing by Phrase

You can create a summary of all information relating to a specific subject. For example, you could summarize all text referring to "Senator Smith" from a Topic of political articles. The Summary command would scan all Notes in the Topic and create a single Note. The "summary" Note would consist of a series of lines or paragraphs each chosen because they contain the text "Senator Smith". You could then edit this Note into a polished document. In this example, "Senator Smith" is the "Marker".

[:] To create a summary of a Topic by a phrase:

  1. In the Selector, choose the Topic.
  2. Choose Tools | Summary.... A dialog box appears.
  3. Under Range, select lines 1 through 1. In special situations, you can request a wider range. For example, if you want to collect three line addresses preceded by "FAN CLUB", specify lines 2 through 4 since the Marker is counted as line 1.
  4. Check Starting at Phrase and enter the phrase.
  5. Check Include Phrase in Summary if you want the phrase itself included in the Summary.
  6. Check Do Captions and check Do Body Text.
  7. Set Maximum Indentation Level to 10.
  8. Click OK. The Summary will appear as a new Note.

Summarizing Marked Text

You can summarize data that is not marked by a common word or phrase by inserting a common marker. You create a unique word or phrase Marker and place it before the text you wish to summarize. For example, to summarize the addresses of prospective customers place a unique phrase such as "CUST:" before each address.

[:] To summarize data that does not have a common word or phrase:

  1. In each Note, create a unique Marker word or phrase before the line or lines to be summarized.
  2. In the Selector, choose the Topic.
  3. Choose Tools | Summary.... A dialog box appears.
  4. Under Range, select lines 2 through N+1 where N is the number of lines at each Marker to be included in your summary.
  5. Check Starting at Phrase.
  6. Enter the desired Marker word or phrase.
  7. Uncheck Include Phrase in Summary.
  8. Check Do Captions and check Do Body Text.
  9. Set Maximum Indentation Level to 10.
  10. Click OK. The Summary will appear as a new Note.

Creating an Outline

You can create a Note showing in outline form only the captions of your information.

[:] To show only captions of your information:

  1. In the Selector, choose a Topic.
  2. Choose Tools | Summary.... A dialog box appears.
  3. Check Do Captions and uncheck Do Body Text.
  4. Set the Maximum Indentation Level to 10.
  5. Click OK. The Summary will appear as a new Note.

Tips & Hints

tip.png (168 bytes) Uncheck Do Captions to exclude captions from your Summary.

tip.png (168 bytes) Uncheck Do Body Text to exclude the text of Notes from your Summary.

tip.png (168 bytes) The Maximum Indentation Level sets a limit on how many levels an item can be indented to be included in the Summary. Set Maximum Indentation Level to 1 to include items indented only one level from the main Topic, 2 includes items indented two levels, etc.

tip.png (168 bytes) In addition to making a Summary of a Topic, you can also make a Summary of one Note when using a phrase-based Summary. Each line in the chosen Note containing your marker will be copied into the Summary Note.

tip.png (168 bytes) If you issue the Summary command while in the Filter, only the Notes in the Filter will be summarized.

tip.png (168 bytes) A "line", as used in this section, includes all text up to the first hard return - which can be an entire paragraph.

tip.png (168 bytes) You can use the Sort command to sort your summary alphabetically or numerically.

tip.png (168 bytes) The Summary command will include data found in prior summaries.


Introduction to sharing data

Introduction to Network Use

You can share and transfer data between co-workers. For example a group of users can share:

  • Reference information
  • Project notes
  • Addresses and phone numbers
  • C lient info
  • Customer orders
  • Document drafts
  • Form letters
  • To-Do lists
  • Current pricing data
  • Meeting schedules
  • A database of policies and procedures
  • Conference room or vacation schedules
  • Sales leads
  • Bulletin board postings
  • Etc.

Data is shared by placing data on a server disk drive accessible to all users. There are three methods of sharing data in Info Select.

File Locking

With File Locking, multiple network users can load shared files for viewing, but only one user can edit the file at a time. Because Info Select automatically releases files after a short delay, and because data can be divided into several small files, the limitation of one person editing at one time is often negligible. This method is easier to use than File Synchronizing.

File Synchronizing

With File Synchronizing, all users can view and edit simultaneously. However this method is slightly more involved since edit conflicts may need to be resolved.

Local Mail

With Local Mail you transfer Info Select data directly to other Info Select users. It works something like internet e-mail but it is faster and easier for transferring Info Select data.

Remote File Sharing

With Remote File Sharing, users can load shared data files from any location in the world. Data can be loaded for viewing, but only one user can edit the file at a time. The concept of this method is similar to the File Locking, however it has some small differences.

Remote File Synchronizing

With Remote File Synchronizing, multiple users located anywhere in the world can view and edit data simultaneously. The concept of this method is similar to the File Synchronizing, however it has some small differences.


Preparing the server to share data

Preparing the Server for File Locking

To share data using the file locking method, first prepare the server by creating a subdirectory for shared files.

[:] To create a server data subdirectory:

  1. From any workstation, run Windows Explorer.
  2. Select the shared drive root directory or any appropriate subdirectory (such as a general data directory) where you want to place the shared data files. You must select a directory to which users have read, write, delete and rename privileges. (See your LAN administrator for help setting access privileges. In simple peer-to-peer Windows networks, you can set access privileges as follows: run Explorer on the server; right-click the drive or subdirectory; and select Sharing.)
  3. Choose File | New | Folder.
  4. Enter the subdirectory name for shared Info Select data (e.g., InfoSelect) and press ENTER.

Next, create shared files on the shared drive using one or more of the following methods:

[:] To create new shared files:

  1. Go to any workstation and start Info Select.
  2. Choose Insert | File | Shared File.
  3. Enter the path of the shared directory and file name. For example: e:\Info Select\ClientNames.wd2. Note that different paths can point to the same file. For example, \\SERVER\SHAREDDIR\SUBDIR\123.wd2 and S:\SUBDIR\123.wd2 might point to the same file. When sharing files use the same path specification on each workstation.
  4. Click OK. A file with the 2_Type1.gif (251 bytes) icon will appear in the Selector.

[:] To share an existing file:

  1. In Explorer, move the .wd2 file (but not overview.wd2) to the shared directory.
  2. In Info Select choose File | Open and select the file.
  3. Collapse the File.
  4. Choose Selector | Change Into | File / Attachment | Shared File.

You can set the time it takes to release a file after one user finishes editing.

[:] To set the file-release time:

  1. In the Selector, choose the File.
  2. Choose Selector | Properties | Release After.... A dialog box appears.
  3. Enter the number of minutes the file should remain open without activity before it is automatically locked. If you expect many people to edit shared files frequently, enter a low value, perhaps 2 minutes. If you expect only a few people to Edit shared files occasionally, enter a higher value, perhaps 5 minutes.
  4. Choose Close if you wish the file to be automatically closed, or Make read only to make the file read-only.
  5. Click OK.


Preparing the workstations to share data

Preparing the Workstations for File Sharing

P repare each workstation (personal computer) for sharing and transferring data as follows.

[:] To prepare a workstation for sharing data:

  1. Install Info Select to the workstation.
  2. Choose File | Open, browse to the shared directory, select the shared file(s), and click Open.

Advanced notes:

note.png (184 bytes) To keep all data including non-shared data on a server, right-click the Info Select application launch icon, choose Properties | Shortcuts | Start In, enter the network path and move all data files to that path.

note.png (184 bytes) You can start Info Select with a File other than OVERVIEW.wd2. Right-click the Info Select application launch icon, choose Properties | Shortcuts | Target, add "/O:" followed by the full file path (e.g., IS.EXE /O:"E:\InfoSelect\START.wd2"). However, each workstation must use a different startup file.

note.png (184 bytes) You cannot share Overview.wd2, but you can share all your data by placing shared files under Overview.

note.png (184 bytes) In network environments, if an Info Select data file has "right to modify" it must also have "right to create new ones" - otherwise data cannot be saved properly because a new file is created during the saving process.


Loading a shared File

Loading Shared Files with File Locking

You can load shared files for reading or editing. For example, you may wish to open a File containing shared addresses to look up a client or add a new client.

[:] To load a shared file:

  1. If the File is already listed in the Selector, double-click the File. Otherwise: choose File | Open, select the file from the shared directory, and click Open.

note.png (184 bytes) Note: Launch shared files as shown above, not by double-clicking on the file in Explorer. Shared files should be closed when not in use to allow co-workers to edit the file.

[:] To close a shared file:

  1. In the Selector, choose the File.
  2. Choose File | Close. A closed File still shows in the Selector, however the caption is grayed out.

Files must be open to be included in a search. When no edits have been made to an open shared File for a few minutes, the File will be switched to view-only mode automatically - a [image] icon appears in the Selector. You can request the the file be reopened again for editing.

[:] To reopen a shared file that has changed to view-only status:

  1. Click on the Read-Only [image] icon or choose File | Reopen. The [image] icon will indicate that the file is available for editing.

To remove a shared File from being listed in the Selector, choose the File, choose File | Close and press the DELETE key.

If you can't reopen a shared file to turn off the read-only symbol, try the following:

  • In Windows Explorer right click on the file, choose Properties, and uncheck Read-Only.
  • Close Info Select and try to open the file in notepad to check for access problems.
  • Try moving shared files to a temporary subdirectory so Info Select will not find them and then open the files one at a time from the temp directory via File | Open.
  • Close Info Select and start again holding the SHIFT key down to invoke the Safe Mode.


Local Mail

Info Select provides two types of mail - LAN mail (also referred to as Local Mail or File Mail) and Internet e-mail. Local Mail allows you to instantly send any type of Info Select information to another user through your local network. For example, you can send Notes, Calendars, or entire Topic outlines.

To prepare for local mail, first prepare each workstation (personal computer).

[:] To prepare a workstation for receiving Local Mail:

  1. Choose Tools | Options | Local Mail.
  2. Enable Check Email Every option and enter how many minutes Info Select will wait before checking for new Local Mail.
  3. Enter the path to your Local Mail file in the box below (e.g. \\E:\SharedData\Info Select\eJohn.wd2). Info Select will automatically create the file if it doesn't exist. Click Browse to locate an existing file.
  4. Check When you get mail deliver it automatically if you want your Local Mail to be delivered automatically.

[:] To prepare a workstation for sending Local Mail:

  1. Choose Insert | Topic.
  2. Type "Staff" and press Enter.
  3. Click the triangle to expand the Topic.
  4. Choose Insert | File | Local Mail... and browse to the shared directory.
  5. While holding down the CTRL key select each of the Local Mail files (e.g. eJohnSmith.wd2, eMaryJones.wd2) except for the file corresponding to the workstation owner and click Open. For example, if the name of the workstation owner is "John Smith", do not select the "eJohnSmith.wd2" file.
  6. On each person's file right click and enable the HotSpot option. The "Staff" topic should look like on the image below:

    local_mail2.png (3600 bytes)

  7. Collapse the "Staff" Topic.

Repeat the above steps on each workstation.

[:] To e-mail an item to another user via Local Mail:

  1. In the Selector, choose the item to send.
  2. Drag the item to one of the co-worker's HotSpots near the "Staff" topic. If you want to keep a copy, hold the CTRL key while dragging.

or...

  1. Choose the item which to send
  2. Choose E-mail | Send To File.... A dialog box appears.
  3. From the list select the recipient(s). Check Leave copy in selector if you wish to leave a copy of the item you are sending in the Selector.
  4. Click OK.

Local Mail guidelines

To insure that Info Select data is displayed properly on the recipients computer it may be helpful to: use the maximum frame type; use the default background color; and for documents containing multiple fonts to press CTRL + ALT + F to include hidden font codes that override the recipient's default font.

Retrieving Local Mail

When you receive Local Mail, a tone is heard (Tools | Options | Local Mail | Play Sound) and a red envelope icon [image] appears on the status and task bars. If you click the icon, your mail will be displayed.

To retrieve Local Mail automatically, enable Tools | Options | Local Mail | Check Local Mail Every. To receive Local Mail manually, choose E-mail | Deliver Now | Local Mail.

If you need to impose security measures on your shared files (including shared e-mail Files), use the tools in your network operating system to establish access privileges (see your network administrator) or use encryption.

note.png (184 bytes) Note: Use a separate shared Local Mail file for each machine (otherwise you will receive duplicate mail notifications).


Synchronization for data sharing

File Synchronizing

File Synchronizing is a more sophisticated method of sharing data. With this method, users can read and edit the same data simultaneously. This is accomplished by keeping a copy of the shared data on each workstation and automatically merging these files with a central master file on a server on a periodic basis. Info Select includes advanced technology to merge simple or complex changes from multiple sources.

With File Synchronizing, the file that is edited is normally kept on the user's workstation and the central master file is kept on a shared server (or a shared directory on a workstation). You can use the LAN Sync Wizard by choosing Insert | Syncbase | LAN Sync Wizard to have Info Select guide you through setting up the file synchronization, or follow the instructions below to setup the server and each workstation manually.

[:] To setup the server:

  1. On any workstation (PC), in Info Select, choose Insert | File | Data.... A dialog box appears.
  2. Enter a path of a new file on a file server (e.g. e:\Info Select\Clientnotes.wd2) and click Save.
    To setup the server on a remote Internet site, click here.
  3. Enter a caption such as "Client notes" and press ENTER.
  4. Expand the File created above.
  5. Choose Insert | Syncbase | Syncbase. A topic with the 6_Sync1.gif (126 bytes) icon appears.
  6. Enter a caption such as "Client notes" and press ENTER. The created Syncbase is called Master Syncbase.
  7. Choose File | Close.
  8. Press the DELETE key and indicate that you want to delete the File from the Selector only.

Next, setup each workstation.

[:] To setup a workstation:

  1. In the Selector, choose a location where the Workgroup Syncbase should be created. Make sure that the selected location is outside of any Syncbase.
  2. Choose Insert | Syncbase | Workgroup Syncbase.... A dialog box appears.
  3. In Syncbase Caption Name enter the caption of the Master Syncbase created above (e.g. "Client notes"). Make sure that the Syncbase Caption Name is exactly the same as the caption of the Master Syncbase.
  4. In Master Syncbase Location enter the path to the server data file (e.g. e:\Info Select\Clientnotes.wd2), or click "..." to browse to the server data file location. Make sure you entered the correct path.
  5. Choose the desired synchronization schedule (either setting is ok initially - you can change it at any time by selecting the syncbase and choosing Tools | Sync | Syncbase Properties...). For example, you can setup automatic synchronization every 5 minutes. Check Sync on Close option to automatically synchronize when closing the program.
  6. Click OK. A Syncbase Topic with a 2_Type30.png (440 bytes) icon will appear. A path to the server data file will be shown in the Selector.

You can synchronize local data with the data on the Server at any time. For example you may want to synchronize after entering significant new data or to get the latest available data from the Server.

[:] To synchronize data with the Server:

  1. In the Selector, choose the Workgroup Syncbase 2_Type30.png (440 bytes) .
  2. Place the data you want to sync into this Syncbase. Begin with a portion of your data and add more as you become comfortable with synchronizing. You can move data into the Syncbase by dragging items with your mouse or using cut and paste. The data must not contain Files. If you have similar copies of the same data on each workstation, place the data into a Syncbase on only one of the workstations.
  3. Choose Tools | Sync | Synchronize or click the 6_Sync1.gif (126 bytes) icon. The information from your Syncbase will be transferred to Server and you will see data from server in your Syncbase.

Note: Initially, the Master Syncbase (located on Server) is empty, so after the first synchronization you will not see any new data in your local Workgroup Syncbase. The new data will appear in the Master Syncbase only after you (or your co-workers) synchronize your data with the Server.

You can now read or edit the data in the shared syncbase at any workstation. You can add data, change data, delete data, move or reorganize data, etc.

Depending on the size of your network and how much you use and synchronize data, collisions may occur when two users try to synchronize simultaneously. You can view collision statistics by choosing Tools | Sync | Syncbase Properties | Collisions. Some data types are not currently supported for synchronizing - you will receive an error message if you try to sync an unsupported data type.

Modes

There are two methods of synchronizing - Normal and Approval. These options control how changes to data on one computer are shown on the other computer. In Normal mode, only changes requiring special attention will be marked (using special icons). In Approval mode, all changes are marked. You can select which mode you prefer. For example if you want to see all the changes or deletions made by a co-worker you can select Approval mode.

[:] To select the synchronization mode:

  1. Check or uncheck Tools | Options | Synchronization | I want to approve. If unchecked the Normal mode will be active.

Ambiguous changes

Sometimes changes are made to the same data item on two computers. For example, a note about a specific client might be changed by two people simultaneously. Such changes are called Ambiguous changes. Ambiguous changes are marked with one of two icons:

6_Sync3.gif (155 bytes) - item was moved to a new location or if its contents were modified on both computers, a copy of the item is placed at both locations on both computers.

6_Sync2.gif (111 bytes) - item contents were modified on both computers, a copy of the item is placed at both locations on both computers.

To locate all ambiguous changes after a synchronization choose View | By Type | Sync | Ambiguous. This command activates the search filter. To remove the filter choose View | View All Items.

After you review the changes made on an ambiguous item you can remove the special icon by clicking on the icon. Or you can remove all icons by choosing Tools | Sync | Clear Approval Icons.

Approval changes

Some changes are not ambiguous but are flagged for approval (in Approval mode).

6_Sync4.gif (94 bytes) - item was deleted on the other computer

6_Sync5.gif (195 bytes) - item was created or changed on the other computer

Notes:

note.png (184 bytes) You cannot make the Overview a Syncbase.

note.png (184 bytes) You cannot create a syncbase inside another Syncbase.

note.png (184 bytes) You cannot place the following items in a Syncbase: Files or File Managers.

note.png (184 bytes) You can disable the synchronization confirmation by unchecking the Tools | Options | Synchronization | Display confirmation dialog when Workgroup synchronization started.

Tips:

tip.png (168 bytes) You can create as many Syncbases as you wish for different projects.

 tip.png (168 bytes) To make an existing Topic a syncbase choose Selector | Change Into | Syncbase.

tip.png (168 bytes) The speed of synchronization is about 25,000 characters per second on a Pentium 500 and a 100 mhz LAN. To increase synchronization speed reduce the amount of data in the Syncbase.

tip.png (168 bytes) You should not normally need to directly view a Syncbase on a server, but you can open such a file if you wish, for example, to do some cleaning. While the file is open, the syncbase will be locked to other users.

Troubleshooting

If you get an error "Syncbase contains unsupported data types. Move such data to a separate Topic?" it means that certain data in the Syncbase is not compatible with the synchronization process. You can elect to move such items out of the Syncbase.

If you have trouble with synchronization you can clear all internal sync info and try again as follows:

  1. If practical, delete all data from all but one syncbase of a matching set of syncbases. This assumes you have sufficient data in one of the other matching syncbases.
  2. For each of the matching syncbases, including the one with the data, choose Selector | Change Into | Topic to remove the syncbase icon. Choose Selector | Change Into | Syncbase to restore the icon.
  3. Sync again.


Remote File Sharing

Besides sharing Info Select data files over a Local Area Network you can share files over the Internet. The mechanism of sharing data via Internet has similarities and differences to sharing via LAN.

Preparing the Server for Remote File Sharing

[:] To create a new Remote Shared file:

  1. Go to any workstation and start Info Select.
  2. Choose Tools | Options | Misc and enter your name into the Identification Name for access to Remote Shared Files box. For example: JohnSmith.
  3. Choose Insert | File | Shared File on Web.... A dialog box appears.
  4. Fill in the dialog by referring to the instructions at the bottom of the dialog window (or see help section "12 Files | Remote Files" for detailed instructions).
  5. Click OK. A file with the [image] icon will appear in the Selector.

[:] To share an existing standard file:

  1. Choose the file in the Selector.
  2. Choose File | Save As | Remote Site... . A dialog appears.
  3. Fill in the dialog by referring to the instructions at the bottom of the dialog window (or see help section "12 Files | Remote Files" for detailed instructions).
  4. Click OK.
  5. Choose Selector | Change Into | File / Attachment | Shared File.

note.png (184 bytes) Note: You can't share the Overview.wd2 file.

You can set the time it takes to release a file after one user finishes editing.

[:] To set the file-release time:

  1. In the Selector, choose the File.
  2. Choose Selector | Properties | Release After.... A dialog box appears.
  3. Enter the number of minutes the file should remain open without activity before it is automatically locked. If you expect many people to edit shared files frequently, enter a low value, perhaps 2 minutes. If you expect only a few people to Edit shared files occasionally, enter a higher value, perhaps 5 minutes.
  4. Choose Close if you wish the file to be automatically closed after editing, or Make read only to make the file read-only.
  5. Click OK.

Preparing the Workstations for Remote File Sharing

P repare each workstation (personal computer) for sharing and transferring data over the Internet as follows.

[:] To prepare a workstation for Remote File Sharing:

  1. Install Info Select to the workstation.
  2. Choose Tools | Options | Misc and enter your name into the Identification Name for access to Remote Shared Files box. For example: JohnSmith. This name must be unique for each workstation, as it allows Info Select to control which user is currently using the shared file.
  3. Choose File | Open | Remote Site.... A dialog window appears.
  4. Fill in the dialog by referring to the instructions at the bottom of the dialog window (or see help section "12 Files | Remote Files" for detailed instructions).
  5. Click Connect to connect to the remote site. After the connection is established select the necessary file in the list on the right.
  6. Click OK.

note.png (184 bytes) Note: A dialog window will show the progress each time you open or close a Remote Shared file, or when Info Select is releasing the file.

Loading Remote Shared Files

You can load shared files for reading or editing. For example, you may wish to open a File containing shared addresses to look up a client or add a new client.

[:] To load a Remote Shared File:

  1. If the File is already listed in the Selector, double-click the File. Otherwise: choose File | Open | Remote Site... and fill in the dialog by referring to the instructions at the bottom of the dialog window (or see help section "12 Files | Remote Files" for detailed instructions).

note.png (184 bytes) Note: Launch Remote Shared files as shown above, not by double-clicking on the file in Explorer. Shared files should be closed when not in use to allow co-workers to edit the file.

[:] To close a Remote Shared File:

  1. In the Selector, choose the File.
  2. Choose File | Close. You will be prompted to save the file to the remote site. A closed File still shows in the Selector, however the caption is grayed out.

Files must be open to be included in a search. When no edits have been made to an open Remote Shared File for a few minutes, the File will be switched to view-only mode automatically - a [image] icon appears in the Selector. You can request the the file be reopened again for editing.

[:] To reopen a Remote Shared File that has changed to view-only status:

  1. Click on the Read-Only [image] icon or choose File | Reopen.

important.png (152 bytes) IMPORTANT: When you are sharing the file remotely and the file is not modified for 30 minutes, the remote connection is considered as "timed out". Reopen the file to continue working.

To remove a Remote Shared File from being listed in the Selector, choose the File, choose File | Close and press the DELETE key.


Remote File Synchronization

Remote File Synchronizing

You can synchronize data with the co-workers located anywhere in the world via the Internet. The procedure of Remote File Synchronizing is similar to Synchronization for Data Sharing.

With Remote File Synchronizing, the file that is edited is normally kept on the user's workstation and the central master file is kept on a shared remote web server. To setup Remote File Synchronization setup the server and each workstation.

[:] To setup the server:

  1. On any workstation (PC), in Info Select, choose Insert | File | Data.... A dialog box appears.
  2. Click Remote Site and specify the name and location of the remote file by following the instructions at the bottom of the Remote File dialog.
  3. In the This will create a file for a single user... dialog choose No. A new file will be created in the Selector.
  4. Enter a caption such as "Client notes" and press ENTER.
  5. Expand the File created above.
  6. Choose Insert | Syncbase | Syncbase. A topic with an 6_Sync1.gif (126 bytes) icon appears.
  7. Enter a caption such as "Client notes" and press ENTER. The created syncbase is called the "Master Syncbase".
  8. Collapse the "Client Notes" file and choose File | Close.
  9. Press the DELETE key. A dialog box asking whether you want to delete the file from FTP+Selector or Selector only appears. Choose Selector button to delete the file from Selector but leave it on the remote FTP site.

Next, setup each workstation.

[:] To setup a workstation:

  1. Choose Insert | Syncbase | Workgroup Syncbase.... A dialog box appears.
  2. In Syncbase Caption Name enter the caption of the Master Syncbase created above (e.g. "Client notes"). Make sure that the Syncbase Caption Name is exactly the same as the caption of the Master Syncbase.
  3. In Master Syncbase Location enter the path to the server data file (e.g. ftp://mycompany.com/Clientnotes.wd2), or click "..." to browse to the server data file location. Make sure you entered the correct path.
  4. Choose the desired synchronization schedule (either setting is ok initially - you can change it at any time by selecting the syncbase and choosing Tools | Sync | Syncbase Properties...). For example, you can setup automatic synchronization every 5 minutes. Check Sync on Close option to automatically synchronize when closing the program.
  5. Click OK. A Syncbase Topic with an 2_Type30.png (440 bytes) icon will appear. A path to the server data file will be shown in the Selector.
  6. Choose Tools | Sync | Synchronize or click the 6_Sync1.gif (126 bytes) icon. You should now see the data from the server in the local copy of the syncbase.
  7. Place the data you want to sync into the Syncbase. Begin with a portion of your data and add more as you become comfortable with synchronizing. You can move data into the Syncbase by dragging items with your mouse or using cut and paste. The data must not contain Files. If you have similar copies of the same data on each workstation, place the data into a Syncbase on only one of the workstations.

You can now read or edit the data in the shared syncbase at any workstation. You can add data, change data, delete data, move or reorganize data, etc. Click here for instructions on synchronizing data.

note.png (184 bytes) Note: If you choose Automatic Synchronization in step 4, then before each synchronization you will be prompted to start synchronization, or delay it to the specified amount of time. This dialog automatically disappears in 30 seconds at which time the automatic synchronization takes place.


Introduction to e-mail

Introduction to Internet E-mail

Your Internet e-mail is often related to notes or other information stored in Info Select. You can compose, send, receive, search through and store your e-mail with related data in Info Select with dramatic benefits over using a separate e-mail application. For example, a search by a company name would turn up all your notes about that company and all your prior e-mails. And keeping all your data about a subject in one place is a smart way to organize.

If you already have your e-mail setup in another program, you can easily switch to Info Select. For example, you might have Outlook as your e-mail program, but want to use the powerful Info Select e-mail. Info Select supports import of settings from Microsoft Outlook, Microsoft Outlook Express, Windows Messaging and Netscape Messenger. You can also import the Address Book and e-mail messages from other e-mail applications.

Info Select supports POP3 and IMAP e-mail.

Note to upgraders: Info Select relied on Windows Messaging as an e-mail engine in prior versions. This version supports e-mail directly. This makes installation much easier, improves reliability, and adds enhanced features. The powerful new e-mail feature will increase your productivity and enjoyment of Info Select. It is recommended to use Info Select for all your e-mail activities.

tip.png (168 bytes) Tip: Click here to learn more about general e-mail concepts.


Setting up for e-mail

E-mail Setup

This section explains how to setup Info Select for email.

[:] To prepare to setup e-mail:

  1. Write down any settings in your prior e-mail program.
  2. Deactivate your old e-mail program. For example, if you used Window Messaging (used by earlier Info Select e-mail), right click on your desktop's Inbox icon and choose Properties | Select Internet Mail | Remove.
  3. Check Tools | Options | E-Mail | Sending | Set as default mail program.

You can setup Info Select e-mail by importing settings from certain other e-mail applications.

[:] To import settings from another e-mail application:

  1. Choose Tools | Options | E- Mail | E-mail Accounts | Import Settings.
  2. Check the program from which you want to import settings.
  3. Click OK twice.

If you cannot import settings from another e-mail application, make settings manually.

[:] To manually setup Info Select e-mail:

  1. Choose Tools | Options | E- Mail | E-mail Accounts | Add.

  2. Fill in the dialog by referring to the instructions at the bottom of the dialog. These instructions change as you place your mouse over the control. Click the Advanced... button if you need to setup additional options such as Secure Password Authentication (SPA). If you have trouble with any of these settings, consult your system administrator or Internet Service Provider. If you use Exchange server click here.
  3. Click OK twice.

note.png (184 bytes) Note: You can choose between POP3 and IMAP e-mail by selecting the necessary item in the drop-down box below the Password field.

note.png (184 bytes) Note: The Secure Socket Layer (SSL) connection to e-mail servers is not supported in the current version.

You can review and change e-mail account settings at any time by choosing Tools | Options | E- Mail | E-mail Accounts; selecting an account; and clicking Properties.

If you only have one e-mail account make it your Default account. If you have more than one account, set as Default the account you want to use to send e-mail.

[:] To set your Default e-mail account:

  1. Choose Tools | Options | E- Mail | E-mail Accounts.
  2. Select the account you want use as the default.
  3. Click Set as Default.
  4. Click OK.

If you use a dial-up connection and want to avoid dialing each time you finish writing an e-mail message, check Tools | Options | E- Mail | E-mail Accounts | Properties | Wait for dialup connection when sending.

After setting up the E-mail Accounts, you can adjust the format in which the new e-mail messages will appear in Info Select.

[:] To set the format of the e-mail messages:

  1. Choose Tools | Options | E-mail | E-mail Format.
  2. Select which fields should appear in the New, Received and Sent e-mail messages (i.e. To, From, Subject, CC, BCC, Reply-To, Time, Sent). Uncheck Allow to edit Sent and Received E-mails if you want to protect the e-mail messages from changes.
  3. Click OK.


Importing E-mail Messages

You can import e-mail messages from your prior e-mail application. For example, you may want to switch from Outlook e-mail to Info Select e-mail.

Info Select supports automatic importing of e-mail messages from the following programs:

  • Microsoft Outlook Express
  • Microsoft Outlook
  • Netscape Messenger
  • Eudora (e-mail attachments will not be imported)

[:] To import e-mail messages:

  1. Choose File | Import / Export | E-mail Messages.... A dialog box appears.
  2. Select the program from which you want to import messages and click OK. A dialog box appears.
  3. Select the e-mail folders you wish to import and click OK. Imported messages will be placed into a Topic named after the program from which the messages were imported (i.e. "Outlook Express").

tip.png (168 bytes) Tip: You can use the Im-Exporting feature to import messages from the applications which are not listed in the File | Import / Export | E-mail Messages... dialog.


E-mail usage

Using E-mail

After you setup e-mail you can begin to send and receive messages.

[:] To receive e-mail:

  1. If you are setup for manual delivery, choose E-mail | Deliver Now and select the account to deliver e-mail from. Choose E-mail | Deliver Now | Receive All to get e-mail from all accounts included into the Receive All command. If you are setup for automatic delivery, when the e-mail icon [image] (envelope) on the Info Select status bar or Windows task bar turns red (indicating mail), click the icon.

    Tip: To include an account into the Receive All command choose Tools | Options | E-mail | E-mail Accounts, double-click on the account in the list and check the Include this account into Receive All command option.
  2. New e-mail will appear in the Selector in bold. You can find new messages by looking for the Todo [image] icon or choosing E-mail | Filter Unread. Press CTRL+U or choose E-mail | Find Next Unread to cycle through the new messages.
    You will find messages in a Topic labeled     2_Type27.png (280 bytes) InBox or in [image] Deliveries. Deliveries normally store all messages for one person.

    Tip: If you see the Todo icon on a Topic, expand the Topic to find the message.
  3. After reading your e-mail you can delete it, move it to another Topic, reply to the message, forward it to another recipient, or just leave it in it's current position for future reference. Large file attachments inside e-mails should be deleted or promptly moved to disk (see the File Manager data type) as they quickly consume space in memory and in Info Select files. Consider the option Store Attachment on Disk if you receive many attachments.

Tips:

You can mark an e-mail message as unread by right-clicking on the e-mail message and choosing Mark as New in the pop-up menu.

Choose Tools | Options | E-mail | Receiving and refer to the instructions at the bottom of the dialog to set the advanced Receiving options.

You can drag WD2 e-mail attachments into the Selector to have them automatically converted to File-Topics.

When an e-mail message contains 10 or more attachments, right-click in the e-mail message body and choose Save All Attachments... to save all e-mail attachments to disk at once.

Info Select 8 allows to send e-mail messages in both Plain Text and HTML format. You can choose the default format for new messages in the Tools | Options | E-mail | Sending | Compose new message as drop down box. For the information about HTML e-mail messages click here.

[:] To compose and send Plain Text e-mail:

  1. Choose E-mail | New (or press F12). If you are located outside a Delivery, the Address Book dialog box appears (otherwise the To field of the new e-mail will already contain the address stored in the Delivery and you can continue to step 3).
  2. If the recipient's address is listed, double-click it and click OK. Or enter the address into the box under the recipients list and click the To-> button.
  3. In the Subject field, enter a brief summary of your message. In the CC or BCC fields, enter the e-mail addresses of any additional recipients, separated by semicolons. CC recipients will be able to see the addresses of other recipients. B CC (blind carbon copy) recipients will not be seen by the other recipients (if your service provider supports BCC).

    Tip: You can click on the underlined To, CC and BCC labels to display the Address Book and choose additional recipients if necessary.
  4. Type the text of the e-mail in the Message field. Use the Context Toolbar buttons to format the text of the e-mail, if necessary. To insert an Attachment, click the Insert Attachment [image] button on the Context Toolbar and select the necessary file.
  5. If you have more than one E-mail Accounts, in the From drop down box select the account from which the message should be sent. By default outgoing messages will be sent via the outgoing mail server (SMTP) specified in your default e-mail account.
  6. Choose E-mail | Send. If you use a dial-up connection you may need to also choose E-mail | Deliver Now | Send All. The e-mail icon will change to indicate the mail is being sent.

Tips:

To disable showing the Address Book for new messages uncheck Tools | Options | E-mail | Sending | Show Address Book for new messages created outside a Delivery.

Choose Tools | Options | E-mail | Sending and refer to the instructions at the bottom of the dialog to set the advanced Sending options.

note.png (184 bytes) Note: When a collapsed topic contains an e-mail message that is being sent, a [image] icon appears near the topic caption.

You can reply to messages received into Info Select.

[:] To reply to an e-mail message:

  1. In the Selector, choose the messageo.

  2. Choose E-mail | Reply (or E-mail | Reply All to create a reply to all recipients of the initial message). A new e-mail message containing text of the original message marked with > character will be created. The To field of the new message will contain the address of the original message sender, and the Subject field will contain the subject of the original message with the "Re:" prefix.

  3. Type the message text and choose E-mail | Send to send the reply. If you use a dial-up connection you may need to also choose E-mail | Deliver Now | Send All. The e-mail icon will change to indicate the mail is being sent.

Tip: Choose Tools | Options | E-mail | Replying and refer to the instructions at the bottom of the dialog to set the Replying options.

You can forward e-mail messages to other recipients.

[:] To forward an e-mail message:

  1. In the Selector, choose a message to forward.

  2. Choose E-mail | Forward. The Address Book dialog box appears.

  3. If the recipient's address is listed, double-click it and click OK. Or enter the address into the box under the recipients list and click To-> button.

  4. A new message containing the text of the original message preceded with the header of the original message (From, To and Subject). The Subject field will contain the subject of the initial message with the "Fwd:" prefix.

  5. Type the message text and choose E-mail | Send to send the message. If you use a dial-up connection you may need to also choose E-mail | Deliver Now | Send All. The e-mail icon will change to indicate the mail is being sent.

note.png (184 bytes) Note: You can have the forwarded message automatically moved to the Delivery corresponding to the recipient of the forwarded message. For this purpose enable the Tools | Options | Sending | Move e-mail to corresponding delivery when Forwarding.

While sending or receiving e-mail, you can view the progress of the e-mail delivery by choosing E-mail | Show Progress.... A dialog appears showing the number of messages being delivered, their size, subject and sender (recipient) information. You can abort delivery by clicking Abort, or hide the E-mail Progress dialog by clicking Hide.

Tip: To have the e-mail progress dialog displayed automatically enable the Tools | Options | E-mail | Receiving | Automatically show progress or check the Automatically Show Progress option in the E-mail Progress dialog.

You can review e-mail titles before accepting each new email.

[:] To review e-mail titles before accepting each new email:

  1. Choose Tools | Options | E-mail | Receiving.
  2. Check Show title of an e-mail message before downloading option and choose whether the e-mail title should be displayed for all messages, or for the messages exceeding a specified size. For example, you may set Info Select to display titles of only large messages before downloading them.
  3. Click OK.

When this option is enabled, upon receiving the e-mail message a dialog box will appear indicating the message's title and the e-mail address of the sender. Choose OK to download the current message, OK to All E-mail to download all messages, Skip to skip downloading the current message or Skip and Remove to skip downloading the message and remove it from the server.

Choose E-mail | Abort to abort e-mail delivery. You can stop delivering one or several e-mails being sent by selecting them in the Selector and choosing E-mail | Remove from sending list.

In case of problems connecting to an incoming or outgoing e-mail server, an error dialog is displayed giving you the detailed description of the problem and several choices:

Select either of the options and click OK. For example, if you think the server name is incorrect, you can choose Specify other server name and enter the correct server name. Choose Skip mail checking this time to bypass checking mail. The value shown in the Wait box depends on the Timeout setting in Tools | Options | E-mail | E-mail Accounts | Properties | Advanced.

With Info Select 8 you can view incoming messages as a Selector Grid. The columns of such grid display the e-mail sender, recipient, subject, delivery date and time. This option can be enabled for the InBox, OutBox and "Sent Items" topics, Deliveries and Filters.

[:] To have e-mail messages displayed as a Selector Grid in the Inbox, Outbox or Sent Items topics:

  1. In the Selector, choose the appropriate Topic.
  2. Choose View | Show e-mails as selector grid.... A dialog box appears:
  3. Check the Show in E-mail selector grid format option, and choose the e-mail fields to be visible in the Selector. Use Up and Down buttons to change field order. Enter the maximum length of Selector Grid column into Max length of column box. Click Default to use the default settings.
  4. Click OK. The e-mail messages will appear as follows:

note.png (184 bytes) Note: The e-mail messages in the InBox, OutBox and Sent Items Topics will be displayed as a Selector Grid only when they are not stored in Deliveries. To have e-mail messages placed directly to the InBox uncheck the Tools | Options | E-mail | Receiving | Sort into Deliveries option. Generally, it is not recommended to disable this option. It is recommended to have your e-mail messages stored in Deliveries.

Tip: You can sort the Selector Grid by any column by right-clicking in the column and choosing Sort Column.

Notes:

 note.png (184 bytes) After issuing the E-mail | Send or E-mail | Deliver Now | Send All command, any changes you make to your e-mail message will not be sent to the recipient.

note.png (184 bytes) When using the E-mail | Send command, a sent message will be moved into a Sent Items 2_Type28.png (264 bytes) Topic. If you don't want sent messages to be placed into the Sent Items topic, use the E-mail | Send & Stay command instead of E-mail | Send. Send & Stay is more convenient if you like to manually move your sent messages into Topics you created.

tip.png (168 bytes) Tip: You can confirm delivery of an unsent e-mail message by right-clicking on the e-mail message and choosing Confirm Delivery in the pop-up menu.


Address Book

An Address Book is provided to store common e-mail addresses. Each address is stored in the Selector as a [image] Delivery item.

You can import addresses from other applications:

  1. Choose File | Import / Export | Import Address Book.... A dialog box appears.
  2. Select the application to import from.

You can also import addresses from comma-separated files. For example, you can export addresses from Eudora to the comma-separated format, and then import them into Info Select. Choose File | Import / Export | Import Address Book| Import from comma-separated text and click OK. Select the file to import and click Import.

You can add to the Address Book manually.

[:] To add to the Address Book manually:

  1. Choose E-mail | Address Book | New or Insert | E-mail / News | Delivery. A new Delivery item will be created.
    Alternatively, you can right-click on the e-mail address in a Note and choose     Add to Address Book.... If this option is grayed out, then this e-mail address is already stored in the Address Book.
  2. Fill in the Default e-mail address and the person's name and title. Click Additional... if you wish to add more addresses for this recipient.
  3. Click Change... under the Encryption Options to set the encryption options for this recipient.
  4. Select the parameters for the new messages received from this person. Info Select can either:
    Show Todo icon immediately,     Wait N hours before showing Todo icon, Do Nothing - do not show the Todo icon at all, or Delete all new messages.
  5. Increase the Priority setting only if you need to override an e-mail Filter.
  6. In the Confirm inbound confirmation requests drop down box select the reaction to the e-mail message which require Delivery confirmation. Choose Ask Me if you want to be prompted before sending the confirmation, or Always to automatically send confirmations. Choose Never if you don't want to send delivery confirmations to this recipient.
  7. Check Include i n Address Book.
  8. If you want to send e-mail messages that confirm that the recipient receives your messages, check Confirm Delivery of outbound messages.
  9. If you want to remove close and opening lines in replies, check Remove opening and closing lines in reply.
  10. You can set this Delivery to automatically Join e-mails with the same information in To, CC, BCC fields into a single message. This prevents from storing duplicate messages in the Delivery.
  11. Check Show e-mails as selector grid if you want messages from this person to be displayed as Selector Grid. Click Selector Grid... to adjust Selector Grid properties.
  12. You can use the Notes field for phone numbers or any other information.
  13. Click Greetings... to setup personal greetings for this recipient.
  14. You can drag the Delivery to another Topic, such as My E-mail Contacts, if desired.

You can modify an Address Book entry. Choose E-mail | Address Book..., select the necessary entry in the list and click Properties. The Delivery item corresponding to the selected entry will be highlighted in the Selector and you can modify it's properties. To delete an Address Book entry, highlight it in the list and click Delete.

You can sort the Address Book by First and Last Name or by e-mail address.

[:] To Sort Address Book entries:

  1. Choose E-mail | Address Book.
  2. Click on the Name or E-mail Address column header. A gray arrow will show the sort order. A gray letter "L" or "F" indicates sorting by Last or First name respectively.
  3. Click on the header repeatedly to change the sorting options.

    18_1.png (2720 bytes)

You can search for specific Delivery or E-mail address.

[:] To search for a Delivery or E-mail address:

  1. Choose E-mail | Find Delivery... or E-mail | Address Book | Search for.... A dialog box appears.

    18_2.png (5600 bytes)

  2. Choose Contains or Doesn't Contain from the dropdown list.
  3. Enter the Name of the person to find.
  4. Choose And or Or and fill the E-mail box to search for an e-mail address.
  5. Choose All Deliveries to look in all deliveries in your Info Select database. Otherwise, choose Address Book.
  6. Click Search. The found items will be displayed in a list.

For example, if you type "Smith" into Name and "smith" into E-mail, choose Or and All deliveries, Info Select will search for all deliveries which contain "Smith" in the First or Last name fields, or which contain the word "smith" in the E-mail field.

To access the properties of the found Delivery, select the Delivery in the list on your right and click Properties.

Click Clear all to clear all the search options.

You can export all addresses from the e-mail Address Book into a special Grid. This will allow you to print, export or e-mail the Address Book.

[:] To export the Address Book into a Grid:

  1. Choose E-mail | Create Database from Deliveries. A Grid with a special icon will appear in the Selector.

Notes: Only one Address Book Grid can be created. The Address Book Grid will be automatically updated when you modify the Address Book.


Sending data by email

Sending data

You can send a file with your e-mail. For example, you might need to send to an investor a spreadsheet file showing a sales projection. Such files are called attachments. Info Select is able to send and receive Rich Text Format (.rtf), UUENCODE and BINHEX e-mail attachments.

[:] To add a file attachment to a message:

  1. Place the cursor in the e-mail message field
  2. Choose Insert | File | Attachment. A dialog box appears.
  3. Select the file you want to attach and click Insert. An icon for the attached file will appear in the E-mail message field. Click Remote Site to attach a file from a remote location.

You can include up to 99 attachments in a message.

important.png (152 bytes) IMPORTANT: Attachments (those sent or received) can consume memory quickly. For example, if you attach a file of size 1mb you are adding 1mb to your Info Select data. This in turn increases the size of your Info Select WD2 file. For sizeable attachments try to delete them shortly after using them or move them to disk (use Store Attachment on Disk feature for such purpose).

You can save e-mail attachments to disk or a remote site.

[:] To save an e-mail attachment:

  1. Right-click on the attachment icon and choose Save As.... A dialog box appears.
  2. Select the necessary directory and click OK. Click Remote Site to save the attachment to a remote location.

Tip: When an e-mail message contains 10 or more attachments, right-click in the e-mail message body and choose Save All Attachments... to save all e-mail attachments to disk at once.

You can send any Info Select data (calendars, databases, etc.) via e-mail to another Info Select user.

[:] To send Info Select data via e-mail:

  1. Create a new e-mail message.
  2. Drag any Info Select data into this message.
  3. Send the e-mail message.

or...

  1. Drag the item onto the Delivery of the other Info Select user. You must enable Tools | Options | E-mail | Sending | Send items dropped into Delivery.

Note: You can select the file format in which the Info Select data should be sent. For example, you may want to send some data to Info Select 7 user. For this purpose choose the necessary version in the Tools | Options | Sending | Send data in Info Select version N format drop down box.

[:] To send a single item:
  1. Highlight the item to send.
  2. Choose E-mail | New (or press F12). The Address Book dialog box appears.
  3. If the recipient's address is listed, double-click it and click OK. Or enter the address into the box under the recipients list and click To-> button.
  4. Choose E-mail | Send.

You can paste images into your e-mail. For example, you might want to show a new logo to a client.

[:] To place graphics in an e-mail:

  1. Copy the image to the clipboard.
  2. Place the mouse cursor in the e-mail Message field.
  3. Choose Edit | Paste and choose Yes when Info Select prompts you to insert file as a File Attachment. The recipient will receive the e-mail message with the image attached.


Sending and receiving and replying options for email

Advanced Options

Several options are offered for sending, receiving and replying to e-mail.

[:] To configure Sending, Receiving and Replying options:
  1. Choose Tools | Options | E-Mail | Sending.
  2. Fill in the dialog by referring to the instructions at the bottom of the dialog.
  3. Click OK.

Do the same for the Receiving and Replying options.

E-mail attachments can contain viruses. You can protect yourself from accidental opening of e-mail attachments by enabling the Virus Warning option.

[:] To enable the Virus Warning:
  1. Choose Tools | Options | E-mail | Virus Warning.
  2. Follow the instructions at the bottom of the dialog to set the desired Virus Warning options.

Info Select can collect addresses of undeliverable e-mail messages into a special topic. This helps to track outdated addresses in your Address Book, Mailing List, etc.

[:] To enable collecting undeliverable addresses:

  1. Choose Tools | Options | E-mail | Undeliverable E-mail.

  2. Check Collect undeliverable addresses into topic.

  3. Enter a set of keywords into the box below (it already contains several default keywords). Info Select will automatically look for each of the keywords in the From and Subject fields of the incoming e-mail messages. If any of the keywords is found the e-mail message containing the keywords will be marked as undeliverable and the address will be placed into the "Undeliverable E-mail" topic.

  4. Click OK.

You can set the default appearance of the E-mail Selector Grids.

[:] To set the default appearance of E-mail Selector Grids:

  1. Choose Tools | Options | E-mail | E-mail Selector Grid.

  2. Check the fields which you would like to appear in the E-mail Selector Grid. Use Up and Down buttons to change the fields order. Enter the maximum length of the E-mail Selector Grid column under the Max length of column box.

  3. Click OK.

You can set the reaction to messages which require Delivery Confirmation. For example, you can enable a warning before sending delivery confirmations to choose whether to send the confirmation or not.

[:] To set the delivery confirmation reaction:

  1. Choose Tools | Options | E-mail | Receiving.

  2. Under Send delivery confirmation section choose the desired option. Choose Ask Me if you want to be prompted before sending the confirmation, or Always to automatically send confirmations to all e-mail messages which require confirmations. Choose Never if you don't want to send delivery confirmations.

  3. Click OK.

You can enable or disable the CTRL+ENTER shortcut used for sending e-mail.

[:] To enable (disable) the CTRL+ENTER shortcut:

  1. Check (uncheck) Tools | Options | E-mail | Sending | Enable sending the e-mail message by Ctrl-Enter

If your mail server communicates on a different port from the default, or if you lose connection with your mail server often, you can customize which port to connect to for sending/receiving e-mail, and how long to wait for a response if a connection is lost.

[:] To change the default port or delay timeout for your mail server:

  1. Choose Tools | Options | E-Mail | E-mail Accounts.
  2. Select the account you want to configure.
  3. Click Properties | Advanced.
  4. In the appropriate fields, enter port numbers for your Incoming and Outgoing mail servers, or click Set default to restore the default values (default port numbers should work for most servers - don't change them unless you are certain).
  5. To increase or decrease the amount of time Info Select will wait for a connection to resume after it is lost, drag the Timeout slider.
  6. Click OK three times.

When using a dial-up connection to send or receive e-mail messages, the connection might break. You can set Info Select to automatically re-try sending or receiving e-mail in case when the connection is broken.

[:] To enable re-trying receiving e-mail messages:

  1. Check Tools | Options | E-mail | Receiving | Automatically re-try receiving e-mail when the connection is broken.

[:] To enable re-trying sending e-mail messages:

  1. Check Tools | Options | E-mail | Sending | Automatically re-try sending e-mail when the connection is broken.

You can set Info Select to join all the messages with the same information in To, CC and BCC into one message. This will simplify replying to multiple messages from one person.

[:] To enable automatic joining of duplicate e-mail messages:

  1. Check Tools | Options | Receiving | Join e-mails with the same information in To, CC, BCC option.

[:] To change the e-mail notification sound:

  1. Choose Start | Settings | Control Panel | Sounds.
  2. Find and select the New Mail Notification item.
  3. Change the sound by selecting from the drop-down list
  4. Click OK.

[:] To change the default font for an e-mail field:

  1. Choose E-mail | New.
  2. Place a ^ character in the field to be modified.
  3. Select the ^ character and set the font style, size and type.
  4. Choose Tools | Options | Defaults | Set Default Template. The new e-mail will be used as a model for newly created e-mails.


Encryption of email

Encryption and Decryption

You can automatically encrypt and decrypt e-mail to a selected recipient. Encrypting will protect your information from access by others as it traverses the internet. Info Select 8 allows two encryption methods: PGP or Info Select encryption. You can obtain PGP at http://www.pgpi.com.

[:] To encrypt messages to a recipient automatically:

  1. In the Selector, choose the Delivery for the recipient.
  2. Under the Encryption Options click Change.... A dialog box appears:

  3. Choose which encryption method to use: Info Select or PGP by checking the appropriate option.

    For automatic     Info Select encryption method, enter a password in both Password and Confirm boxes and click Save password.

    For automatic PGP encryption, use the Edit Keys... box to add the public keys of the recipient(s). Enter your decryption passphrase into the     Passphrase for decryption box. Check Sign e-mail automatically and click Edit Key... to add the necessary key if you wish to sign your e-mail messages using PGP.

    Choose Don't encrypt e-mail if you wish to disable the automatic encryption.
  4. Click OK.

Note: If PGP is not installed on your system the Use PGP for automatic encryption option will be grayed out.

When you send messages to the recipient the message will show a lock 2_Type11.gif (130 bytes) icon confirming encryption ( [image] for PGP-encrypted messages). In Info Select, the recipient will issue the File | Decrypt command or, to decrypt automatically, place the same password in the Delivery allocated for your messages.

Encrypting and Decrypting Attachments

You can encrypt an attachment using Info Select encryption or PGP.

[:] To encrypt an attachment:
  1. Make sure that PGP is installed on your system.
  2. Right-click on the attachment and choose PGP encrypt... . A PGP dialog appears.
  3. Select the necessary recipients (see PGP documentation) and click OK.

You can decrypt PGP-encrypted attachments directly from Info Select: Such attachments have a .PGP extension (for example, "document.doc.pgp").

[:] To decrypt an attachment:

  1. Right-click on the PGP-encrypted attachment and choose PGP decrypt... . A PGP dialog appears.
  2. Enter your PGP passphrase and click OK.


Auto reply to e-mail

Form Replies

You can setup form replies for common e-mail messages. For example, suppose you have a link on your web site that allows visitors to request information on your product. Upon receiving a request you could invoke a form reply indicating their request has been received and is being processed.

[:] To create a form reply to e-mail messages:

  1. Create a new Note and give it a caption.
  2. In the body of the Note, create your letter. If desired, use @First and @Last for the recipient’s first and last name in your letter (works for messages that have properly formatted names in the From field). You can use @Message to show where you want the original message to appear.
  3. Choose Insert | E-mail / News | Form Reply Note. A Form Reply 2_Type29.png (184 bytes) icon will appear near the Note's caption.

Tip: You can change any existing Note into a Form Reply by choosing Selector | Change Into | Form Reply.

Once you have created your master reply you can use it when you receive a new message for which the reply is appropriate.

[:] To use a standard reply for an e-mail message:

  1. Select the incoming e-mail message.
  2. Choose E-mail | Form Reply and select the appropriate form reply.
  3. Choose E-mail | Send.


Advanced E-mail features

You can include your signature into outgoing messages:

[:] To create an e-mail signature:

  1. Choose Tools | Options | E- Mail | Replying.
  2. Follow the instructions provided in the Replying dialog box to create your signature.

  3. Check the Apply greeting and ending text for new messages option to have your signature added also to new e-mail messages.

You can send e-mail to multiple recipients. For example, you might send e-mails to all project engineers when scheduling a meeting.

[:] To send an e-mail to several recipients:

  1. Place multiple e-mail recipients in the To field. You can use E-mail | Address Book... if it contains the recipients, or you can type the e-mail addresses separated by semicolons.

You can send an e-mail reply to everyone that received an original e-mail message - all the addresses in the To field. For example, if you receive an e-mail requesting your presence at a meeting and the message was also sent to several co-workers, you could reply to all parties with a message that the Director will be out of town.

tip.png (168 bytes) Tip: Use Group Deliveries for sending e-mail to groups of recipients.

[:] To send a reply to all recipients of an e-mail message:

  1. Choose E-mail | Reply All.
  2. Type in your response to the e-mail message.
  3. Send the message.

You can read your e-mail at home and get the same messages at work by enabling the "Leave copy of incoming messages on server" option.

[:] To leave incoming messages on the server:

  1. Check Tools | Options | E-mail | E-mail Accounts | Properties | Advanced | Leave copy of incoming messages on server. If necessary, you can set Info Select to remove the messages from server after the specified number of days by checking the Remove from server after N days option and specifying the number of days.

You can set Info Select to automatically move the e-mail messages into Delivery item, corresponding to the person to whom you are forwarding the message.

[:] To automatically move forwarded e-mail messages to corresponding delivery:

  1. Check Tools | Options | E-mail | Sending | Move e-mail to corresponding delivery when forwarding option. Note, that the Delivery for this person should exist.

Since all data, including e-mail, is loaded into memory, you may want to archive old e-mail to a disk file.

[:] To archive old e-mail:

  1. Choose File | New.
  2. Enter a File name such as c:\data\e-mail-thru-12/31/99.wd2 and click Save.
  3. Drag old messages into the new File or collapse the InBox and drag the entire InBox into the File.
  4. Select the File and choose File | Close.
  5. Choose File | Compress to compress the file.


HTML e-mail messages

HTML e-mail

You can send and receive e-mail messages in HTML format. Such messages retain text formatting and font settings (such as font style and color, bullets, CSS styles), can contain images, tables, etc. Info Select 8 also allows searching and editing HTML messages.

HTML e-mail messages have a different Selector icon - [image] . Any attachments will be converted into File Attachments, and can be accessed by expanding the e-mail message.

note.png (184 bytes) Note: When reviewing an HTML formatted message, a short delay may occur before the message text is displayed.

[:] To edit the incoming HTML message:

  1. Select the HTML message and choose E-mail | HTML e-mail | Edit HTML source.
  2. Make the necessary changes in the message text.

Tip: To change the encoding of HTML messages, right-click in the message body, choose Encoding, and select the necessary encoding from the pop-up menu.

You can compose and send outgoing e-mail messages in HTML format. Such messages will retain text formatting, font style and color, and images.

[:] To compose and send an e-mail message in HTML format:

  1. Choose E-mail | New (or press F12). If you are located outside a Delivery, the Address Book dialog box appears (otherwise the To field of the new e-mail will already contain the address stored in the Delivery and you can continue to step 3).
  2. If the recipient's address is listed, double-click it and click OK. Or enter the address into the box under the recipients list and click the To-> button.
  3. In the Subject field, enter a brief summary of your message. In the CC or BCC fields, enter the e-mail addresses of any additional recipients, separated by semicolons. CC recipients will be able to see the addresses of other recipients. B CC (blind carbon copy) recipients will not be seen by the other recipients (if your service provider supports BCC).

    Tip: You can click on the underlined To, CC and BCC labels to display the Address Book and choose additional recipients if necessary.
  4. Choose E-mail | HTML to convert the message into HTML format. The Selector icon for the e-mail message will change to [image].
  5. Type the text of e-mail in the Message field. Use the Context Toolbar buttons to format the text of the e-mail, if necessary. Choose Format | Bullets & Numbering... to insert a Bulleted or Numbered list. To insert an Attachment, click the Insert Attachment [image] button on the Context Toolbar and select the necessary file.
  6. Choose E-mail | Send. If you use a dial-up connection you may need to also choose E-mail | Deliver Now | Send All. The e-mail icon will change to [image] to indicate the mail is being sent.

note.png (184 bytes) Note: You can set Info Select to always create new messages in the HTML format by choosing Tools | Options | E-mail | Sending | Compose new message as | Plain Text.

 note.png (184 bytes) Note: When forwarding an HTML e-mail message, the forwarded message will be also created in the HTML format regardless of the Compose new message as setting. Replies to HTML messages will be created as Plain Text messages unless the Tools | Options | E-mail | Replying | Convert HTML e-mail into Plain Text format when replying option is unchecked.

You can insert images into HTML e-mail messages, for example to create messages with a company logo.

[:] To insert an image into an HTML e-mail message:

  1. Select the HTML e-mail message and click in the e-mail text to edit it.

  2. Place the cursor to the position where you would like to insert an image and click the [image] button. A dialog box appears:

  3. In the Picture Source box enter the location of the image or click Browse... to select an image on disk. In the Alternate Text box enter the text which you would like to appear if the image can't be displayed on the recipient's computer (optional). Select the vertical Alignment of the image, set it's Border Thickness (enter 0 for no border); under Spacing specify the Horizontal and Vertical distance between the image and e-mail text.

  4. Click OK.

You can use external HTML files created in any HTML editor (like MS Frontpage) as a source for your HTML e-mail messages. This will allow you to send messages with Tables, complex CSS styles, etc.

[:] To use external HTML source for the HTML e-mail message:

  1. In the Selector, choose the HTML e-mail message.

  2. Choose E-mail | HTML e-mail | Select HTML source.... A dialog box appears.

  3. Select the HTML file on disk and click OK. The body of the HTML message will be replaced with the contents of the selected file. You can send the message "as-is" or make any desired changes.

note.png (184 bytes) Note: Your recipient's e-mail client must be capable of receiving HTML messages.

note.png (184 bytes) Note: You can convert an HTML e-mail message into Plain Text message by selecting the message and choosing E-mail | Plain Text.


Deliveries

This section explains more about the Delivery data type. Deliveries are like Topics that hold the e-mails you get from a person. Deliveries are created automatically when you get e-mail from a new person. You can also create deliveries yourself by choosing Insert | E-mail | Delivery.

Deliveries show several fields in the Workspace:

Title - enter the salutation for the person.

First and Last Name - enter the person's name.

Email Address

Default - enter the default e-mail address for the person. Click Additional... if you wish to add more addresses for this recipient or associate several people with the Delivery.

Encryption Options

Click Change... to set the encryption options for this recipient.

For new messages

Show Todo icon - check if you want to be informed when you get new e-mail for this person.
Wait N hours before showing Todo icon - check this option if you want the new mail icon 2_Type2.gif (141 bytes) to be displayed after the specified number of hours.
Do Nothing - do not show the new mail icon for new messages. For example, you might want to ignore e-mail from a company that put you on an e-mail list that does not interest you. New messages will be accumulated in the Delivery but you will not be alerted to or distracted by such messages.
Delete the message - check to delete the new messages upon receipt. For example, you might want to automatically delete new messages from a spammer.

Priority - Use the priority setting to give preference to one Delivery over another when it is ambiguous which Delivery should receive a certain kind of message. 10 is the highest priority.

In the Confirm inbound confirmation requests drop down box select the reaction to e-mail messages which require Delivery confirmation. Choose Ask Me if you want to be prompted before sending the confirmation, or Always to automatically send confirmations. Choose Never if you don't want to send delivery confirmations to this recipient.

Include in Address Book - check this if you want the person to show in the e-mail address book.

Confirm delivery of outbound messages - check this is you want to be sure that the person gets your messages. For each message you send you will receive a confirmation of delivery by e-mail.

Remove opening and closing lines in reply - check this option to set Info Select to automatically remove opening and closing lines in the Reply to e-mail message stored in this Delivery. The first lines of an e-mail message before the first empty line are considered as Opening Lines. All lines after the last empty line in the message are considered as Closing Lines. For example, if the message looks like

Hello John!

Regarding your last inquiry...

Regards, Chuck.

Info Select will remove the lines "Hello John!" and "Regards, Chuck".

Join e-mails with the same information in To, CC, BCC - check this option to have all messages with the same information in the To, CC and BCC fields joined into a single message.

Process HTML messages as attachments - check this option to have the contents of incoming HTML e-mail messages presented as an *.HTML file attachment.

Show e-mails as selector grid - check if you want messages in this Delivery to be displayed as Selector Grid. Click Selector Grid... to adjust Selector Grid properties, if necessary. to adjust Selector Grid properties, if necessary. to adjust Selector Grid properties, if necessary.

Notes - you can store any text here such as a persons phone number.

Click Greetings... to setup personal greetings for this delivery. The greeting text will be added to all new messages created inside this delivery.

Click Map of Activity... to display a graphical summary of e-mail activity in the Delivery. You can review the amount of Received and Sent messages.

You can add more e-mail addresses to a Delivery. For example, you can enter the person's home and work e-mail addresses.

[:] To add an e-mail address to a Delivery:

  1. Choose a Delivery in the Selector and click Additional. A dialog box appears.

     18_4.png (4080 bytes)

  2. Type in the new e-mail address and click Add. To edit an existing address, highlight it in the list and click Edit. Click Remove to remove the address from the list.
  3. Choose the address which you want to be a default e-mail address for the selected Delivery and click Set as Default.

note.png (184 bytes) Note: If the Delivery contains several messages received on the same date, the Subject of the first message will be shown before the Delivery's caption. This helps to delete spam e-mail without expanding Deliveries. For example, you can delete messages with subject "Get Rich Quick".

note.png (184 bytes) Note: It is recommended to have your e-mail sorted into Deliveries as it makes handling of e-mail messages more convenient and saves time.


Filters

This section explains the Filter data type. Filters are like Topics that sort e-mails for you. You can create Filters by choosing Insert | E-mail / News | Filter. Filters show several fields in the Workspace. These fields allow you to specify which e-mail messages will get placed into the Filter and provide an option to automatically reply or forward such messages.

You can setup automatic replies to certain messages. For example you might want to send a "Thank You" note to customers requesting a brochure.

[:] To automatically reply to e-mail messages:

  1. Choose Insert | E-mail / News | Filter. An item with the [image] icon will appear in the Selector.
  2. Select the fields you want to use as conditions that messages be delivered into the Filter by checking the boxes at the top of the dialog box.
  3. Choose Contains or Doesn’t Contain under Filter Options.
  4. Enter the filter criteria into the box. You can use the Boolean expressions to add multiple filter criterions:

    Example: Toner AND "Get Rich" AND Medication. This will filter all the messages that contain words Toner, Get Rich and Medication.

    Also, e-mail Filters can filter e-mail messages where a specific word or phrase repeats more than specified number of times.

    Example: "Toner Cartridges"=3. This will filter all the messages where the phrase "Toner Cartridges" repeats more than three times.
  5. Choose Case Sensitive if you want to specify that a particular case.
  6. Under Action choose Reply and set the reply text in the text area. Your message will be automatically sent to e-mail that goes into the Filter per the conditions you selected.

    Choose Forward and select a list of the recipients from the Address Book to automatically forward e-mail messages which are sorted into the Filter. Click Edit recipients... to modify the recipients list.
  7. Under the For new messages section set the options which will be applied to new messages placed in the Filter. Choose Show Todo icon if you want to be informed when new e-mail messages are placed into the Filter.
    Choose Wait N hours before showing Todo icon if you want the new mail icon     2_Type2.gif (141 bytes) to be displayed after the specified number of hours. For example, you may want to avoid constant interruption by SPAM or a particular person who sends too many messages.
    Choose Do Nothing if you don't want the Filter to show the new mail icon for new messages. For example, you might want to ignore e-mail from a company that put you on an e-mail list that does not interest you. New messages will be accumulated in the Filter but you will not be alerted to or distracted by such messages.
    Choose Delete the message if you wish to delete the new messages upon placing them into Filter. For example, you might want to ignore messages containing "Get rich quick”.

[:] To create a SPAM filter:

  1. Choose Insert | E-mail / News | Filter.
  2. Make the desired settings in the top portion of the Filter.
  3. Uncheck Reply, Forward options and choose Delete the message. Any new messages that match the Filter criteria will be deleted. You will not be alerted to or distracted by such messages.

Priority

Use the priority setting of a Filter to give preference to one Filter over another when it is ambiguous which Filter should receive a certain kind of message. 10 is the highest priority.

In the Confirm inbound confirmation requests drop down box select the reaction to the e-mail messages requiring Delivery confirmation. Choose Ask Me if you want to be prompted before sending the confirmation, or Always to automatically send confirmations. Choose Never if you don't want to send delivery confirmations to this recipient.

Check the Show e-mails as selector grid option if you want messages in this Filter to be displayed as a Selector Grid. Click the Selector Grid... button to adjust the Selector Grid properties, if necessary.


Group Deliveries

A Group Delivery is an item which stores a list of recipients for a multiple e-mailing. You can use Group Deliveries to send e-mails to groups of people. For example you might want to announce a new product to your customers or update a committee of co-workers.

[:] To create a Group Delivery:
  1. Choose Insert | E-mail / News | Group Delivery. A new item with the [image] icon appears in the Selector.
  2. Type in the caption and press ENTER. The caption will be used as a Name of the Group Delivery (for example: "Employees", "Friends", "Customers", etc.).

Uncheck Include in Address Book if you don't want this Group Delivery to appear in the Info Select address book.

Uncheck Show new mail icon for new messages if you don't want a new mail icon to be shown for the messages created inside this Group Delivery.

note.png (184 bytes) Note: You can create as many Group Deliveries as necessary. The same recipients can be included into multiple groups.

After creating a Group Delivery add recipients.

[:] To add recipients to a Group Delivery:

  1. Choose a Group Delivery in the Selector.
  2. Click Add. An Address Book window appears. Select the recipient's name in the list and click To button to add the recipient, or enter the address into the box under the recipients list and click To-> button.
  3. Click OK to finish adding recipients. A list of the added recipients appears in the Recipient list in the Group Delivery.

note.png (184 bytes) Note: If a Delivery for a specific recipient is not listed in the Address Book, drag the Delivery into the Group Delivery item.

[:] To manually add additional recipients to a Group Delivery:

  1. Choose a Group Delivery in the Selector.
  2. Click New. A dialog box appears.
  3. Type in the recipient's Name and Address and click OK.

[:] To remove a recipient from a Group Delivery:
  1. Choose a Group Delivery.
  2. Select a recipient in the list and click Remove.

You can modify a recipient in a Group Delivery (for example, to change the e-mail address).

[:] To modify a recipient in a Group Delivery:
  1. Choose a Group Delivery.
  2. Select a recipient in the list and click Properties.... Info Select will automatically take you to the Delivery of the selected recipient, or display properties of the recipient.

After creating a Group Delivery you can compose and send messages to the group.

[:] To send a group mailing:

  1. Choose E-mail | New. The Address Book window appears.
  2. Double-click the desired Group Delivery in the list and choose OK. Or expand the Group Delivery item in the Selector and press F12.
    A new e-mail message will be created. Instead of the To field, the e-mail message will contain a Topic labeled "To", which holds the e-mail addresses listed in the Group Delivery.
  3. Fill in the Subject and Message fields.
  4. Choose E-mail | Send. You will see the progress as the email is sent. You can stop in the middle by right-clicking on the e-mail message and selecting Abort. Restart by choosing Email | Send. You can examine the progress by expanding the e-mail message and viewing the To and Done Topics. A special Topic called Error will display any problem addresses.

Notes

note.png (184 bytes) Check current laws before sending unsolicited mail.

note.png (184 bytes) The Tools | Options | E-mail | Sending | Sending items dropped into Delivery is disabled for Group Deliveries.

tip.png (168 bytes) Tip: You can create Templates for your large e-mailings to save time.


Troubleshooting E-mail

If e-mail is not working properly, consider the following remedies:

  • Make sure you have followed the setup steps.
  • Close Info Select and restart it.
  • Close Windows and restart it.
  • If an e-mail address is underlined, try erasing it and typing the address directly into the “To” field.
  • If you encounter difficulties after installing another application, it may be because Info Select uses a newer version of a DLL with an older version. Reinstalling Info Select may correct this. Be sure to backup you data before reinstalling any program.
  • The Reply command will be grayed out when there is no From field. You can add a From field by expanding the e-mail and choosing Insert | Field | Text. Name the field "From".
  • If new e-mail does not appear in the desired layout or is expanded, choose an e-mail message; choose Tools | Options | Defaults and click the button twice.
  • Don't try to connect two mail programs (e.g. Info Select and Eudora) to the mail server simultaneously - POP3 permits only one session at one time.
  • Remove your old e-mail program before using Info Select for e-mail.
  • If you keep getting a dialog to enter user name and password it may be because MSN uses Microsoft's Secure Password Authentication (SPA) version of POP3. Check Tools | Options | E-Mail | E-mail Accounts | Properties | Advanced | Use Secure Password Authentication (SPA).
  • If you keep getting a dialog "Can't connect to incoming server", make sure to choose the correct e-mail server type in the Tools | Options | E-Mail | E-mail Accounts | Properties dialog - POP3 or IMAP.
  • If you keep getting a dialog "Can't connect to outgoing server", it may be because your ISP requires a "POP3 before SMTP" authentication. Enable the Tools | Options | E-Mail | E-mail Accounts | Properties | Advanced | Use "POP3 before SMTP" authenticaton option.
  • AOL uses a proprietary e-mail method that is not compatible with most e-mail software, including Info Select. To use Info Select e-mail we recommend that you get a real e-mail account (one that supports the standard POP3 method) and continue to use AOL for its many non-e-mail functions. Free e-mail accounts are available from http://directory.google.com/Top/Computers/Internet/E-mail/Free/POP3. You can enable automatic forwarding from your AOL account to your real e-mail account.

note.png (184 bytes) Note: Each time you receive e-mail, a file called "_Overview_emails.bak" is created in the Info Select directory. This file accumulates all incoming e-mail messages to avoid loss in the event of a power failure. After a power failure, upon restarting Info Select you may find messages in a Topic named "Mail recovered from failure".


Exchange Server

If your organization uses Exchange Server, version 5.0 and later supports POP3 which is needed to use Info Select 8 e-mail. If you use an earlier version of Exchange Server you will need to upgrade if you want to use Info Select e-mail with Exchange Server.

[:] To configure Exchange Server for use with Info Select e-mail:

  1. At the server run the Exchange Server Administrator program.
  2. Go to the Protocols container for your site.
  3. Double-click on the POP3 protocol object.
  4. Check Enable protocol.
  5. On the Authentication tab check all checkboxes.
  6. Close the POP3 properties window.

You may need to add an entry in the Internet Mail service.

[:] To add the Internet Mail entry:

  1. Open the Internet Mail Service window.
  2. Select the Routing tab. You should see Reroute Incoming SMTP Mail selected and you should have an entry in the routing window showing your own e-mail domain as <inbound>. If you do, you do not need to do anything. If you do not have this entry, click Add, type in your domain name, and select Should be accepted as Inbound.
  3. Click OK to close the various windows including the information screen about DNS.


Introduction to NNTP News

NNTP News is an endless source of information which allow users from all over the world to exchange public messages on many different topics. These messages are intended for public discussions rather than personal communication. If you have ever used a computer bulletin board service (BBS) or the public discussion areas of commercial online services (e.g. Yahoo "groups"), you will find that NNTP news strongly resembles both of these. Internet News are stored on special NNTP servers. A message posted to a NNTP server is called an article. Articles are grouped by topic into newsgroups. Learn more about NNTP News at http://www.learnthenet.com/english/section/newsgroup.html.

Info Select 8 allows you to work with NNTP newsgroups. Now you can retrieve news articles directly into Info Select, or create new articles and post them to newsgroups. You can use Info Select's powerful features to rapidly organize, sort, prioritize, edit, and search through retrieved articles.

If you already have your NNTP news setup in another program, you can easily switch to Info Select. For example, you might have Outlook as your news program, but want to use the powerful Info Select news reader. Info Select supports importing settings from Microsoft Outlook and Microsoft Outlook Express.

A list of public NNTP news servers can be found at http://directory.google.com/Top/Computers/Usenet/Public_News_Servers/.


Setting up News

Before setting up the Info Select Newsgroup feature, write down the settings from your prior news program if you were using one. Otherwise, to get the required settings contact your Internet Service Provider or look on the setup section of your ISP's web site. You can also automatically import news settings from MS Outlook.

[:] To import news settings:
  1. Choose Tools | Options | Newsgroups | Accounts | Import Settings....
  2. Select a program to import settings from.
  3. Click OK twice.

If you cannot import settings from another news application, make settings manually.

[:] To manually setup Info Select news:

  1. Choose News | Setup | Add....
  2. Fill in the news settings by referring to the instructions at the bottom of the dialog. These instructions change as you navigate the dialog box. If you have trouble with any of these settings, consult your system administrator or Internet Service Provider. The Advanced... button allows to change the port of the NNTP server. Do not change this setting unless your NNTP news server administrator tells you to do so.
  3. Click OK twice.

You can review and change news account settings at any time. Choose Tools | Options | Newsgroups | Accounts and double-click on the necessary account (or select an account and click Properties...).

If you only have one newsgroup account, it will be automatically made your Default account. If you have more than one account, set as Default the account you want to use to post news.

[:] To set your Default news account:

  1. Choose Tools | Options | Newsgroups | Accounts.
  2. Select the account you want use as the default.
  3. Click Set as Default.
  4. Click OK.

If you use a dial-up connection and want to avoid dialing each time you finish writing a news article, check Tools | Options | Newsgroups | Accounts | Properties | Wait for dialup connection while sending.

You can set Info Select as your default application for reading and posting News articles (if you haven't done so at the first time you ran the application). For this purpose, check the Tools | Options | News | Accounts | Set as default news program option.


Subscribing to Newsgroups

After you setup news you can subscribe to newsgroups.

[:] To retrieve a list of available newsgroups:
  1. Choose News | New | Newsgroup.... Info Select will prompt you to download the list of the available newsgroups.
  2. Click OK. Info Select will download available newsgroup list. This may take a few minutes.

After the list of the available newsgroups is downloaded, a dialog appears:

The Description box in the dialog shows a short description of any newsgroup highlighted in the Newsgroups list.

Click Reset List... if you want to re-download the list of newsgroups.

note.png (184 bytes) Note: If Info Select is not able to download the list of available newsgroups, it will attempt to use an old newsgroups list. Such lists are stored in separate files with the .gps extension.

After downloading the list of available newsgroups subscribe to the groups that interest you.

[:] To subscribe to newsgroups:

  1. In the Newsgroups list on the left highlight those of interest.
  2. Click the Subscribe button. The selected groups will move to the righthand list.
  3. Click OK. Newsgroup items 2_Type18.png (232 bytes) corresponding to the subscribed groups will be created in the Selector.

You can subscribe to additional groups at any time by choosing News | New | Newsgroup... (or Insert | E-mail / News | Newsgroup...) and repeating the steps above.

If you have several news accounts, you can change the current account in the Account box. A list of the newsgroups available for the selected account will be displayed.

Because the list of newsgroups can be large, you may need to search the list.

[:] To search for newsgroups:

  1. In the Find What box type the search criteria. For example, typing ibm will find all the groups which contain "ibm" in their name. Check the Find in Descriptions option to search in newsgroup's descriptions.

If you no longer wish to be subscribed to a newsgroup, you can unsubscribe from it.

[:] To unsubscribe from a newsgroup:

  1. Choose the necessary Newsgroup in the Selector.
  2. Press DELETE and confirm deleting the newsgroup item.


Retrieving News Articles

After setting up your News account(s), you can read news articles.

[:] To get headers of the news articles from all subscribed Newsgroups:

  1. Choose News | Get and select the account name to deliver the News. News articles will be downloaded from server and appear in the Selector under the appropriate Newsgroup items (in chronological order). Unread news articles will appear in bold font, and the Newsgroup item which has unread articles will have a 2_Type2.gif (141 bytes) icon near it's caption.

You can get news articles from all News accounts. Choose News | Get | Get All. To include a News account in the Get All command, enable Tools | Options | Newsgroups | Accounts | Properties | Include this account into Get All command.

To abort retrieving data from server at any time choose News | Abort.

note.png (184 bytes) Note: Only headers of the news articles will be downloaded above. To get the bodies of the news articles, expand the necessary Newsgroup in the Selector and perform the steps described below.

[:] To get bodies of the selected news articles:

  1. Select one or several news articles in the Newsgroup.
  2. Choose News | Get Body. Respond to any to confirmation messages.

You can retrieve bodies of all articles in a certain Newsgroup:

  1. Choose a Newsgroup in the Selector.
  2. Choose News | Get Bodies. Respond to any to confirmation messages.

You can retrieve news articles from the selected Newsgroup:

[:] To get news articles from the selected Newsgroup:

  1. Choose a Newsgroup in the Selector.
  2. Choose News | Get Articles. Respond to any to confirmation messages.

If you want to download only headers of news articles, choose News | Get Headers.

note.png (184 bytes) Note: You can set a Newsgroup item to always download bodies of the news articles by right-clicking on the Newsgroup item in the Selector and choosing Always retrieve bodies from the pop-up menu.


Posting News Articles

Besides reading news, you can create news articles yourself and post them to Newsgroups. For example, you might want to post a question to a group or answer a question posed in an existing article.

[:] To create a news article:

  1. In the Selector, choose a Newsgroup to which you would like to post an article and expand it.
  2. Choose News | New | News Article or Insert | E-mail / News | News Article.
  3. Type in the text of the article.

note.png (184 bytes) Note: A news article can be created only inside the Newsgroup item.

[:] To post a news article to several Newsgroups, or change the Newsgroup to post the article to:

  1. Choose a news article in the Selector.
  2. Choose News | Edit Newsgroups To Post To....
  3. Select the necessary Newsgroups in the dialog box.

After the news article has been created, you can post it.

[:] To post a news article:

  1. Choose a news article in the Selector.
  2. Choose News | Post (or press ALT+SHIFT+F12). Your news article will be posted to the NNTP server, and then moved to a "Posted Items" topic (created automatically). Choose News | Post & Stay to leave the news article at it's current position after sending.

If you don't want news articles to be placed into the "Sent Items" topic, enable the Tools | Options | Newsgroups | Posting | Leave sent message where it is - don't move to Sent Items option.

You can reply to a news articles received.

[:] To reply to a news article:

  1. Highlight a news article, received from news server.
  2. Choose News | Reply.


Advanced News Options

You can limit the amount of news articles Info Select will download from a newsgroup. For example, if you set this limit to 100, Info Select will download no more than 100 latest articles from a newsgroup.

[:] To set an article download limit:
  1. Choose Tools | Options | Newsgroups | Receiving.
  2. Set Receive xx headers at a time.

You can retrieve news articles automatically:

[:] To automatically download news articles:
  1. Choose Tools | Options | Newsgroups | Accounts | Properties.
  2. Set Check for new messages every xx minute(s).

[:] To set the delivery notification sound:
  1. Choose Tools | Options | Newsgroups | Receiving.
  2. Check Play sound to enable the delivery notification sound.

Click Browse to change the sound file used for the delivery notification. Click Test to test the chosen sound.

In the news articles the TAB key is used to advance to the next field. Consequently, you need a special key command to insert Tab characters in your e-mail messages.

[:] To insert a Tab character in a news article:

  1. Press CTRL + TAB.

You can set the replying options to reply to news articles:

[:] To set the replying options:
  1. Choose Tools | Options | Newsgroups | Replying. A dialog box appears.
  2. Follow the instructions at the bottom of the dialog. These instructions change as you navigate the dialog box.


Introduction to Word processing

You can use Info Select for basic word processing. This allows you to organize your documents with data that relates to those documents. You can also locate documents using Info Select's powerful search feature. This section extends the material in Editing to cover higher level functions.


Finding Text

You can find any word or phrase in a Note with the Find command. This is different than the Tools | Search command, because only the highlighted item, and not the entire Selector, is searched and only the first occurrence of the word is displayed.

[:] To find a word or phrase inside a single Note:

  1. In the Selector, choose the Note.
  2. Click inside the Note at the upper left corner (to begin the search at the top).
  3. Choose Edit | Find... (or press CTRL+F). A dialog box appears.

  4. Enter the word or phrase you want to find. Check Case Sensitive if you want the search to be case sensitive. When unchecked, both "Apple" and "apple" will be found, regardless of how the item was originally entered. To search for whole words check Whole Words Only.
    You can search for text in a specific font or style such as bold. Choose the necessary font name and/or style in the Find Styles box. You can leave the search box blank to search for any text in the specific font or style.
    If you color code your text, you may want to search by color. For example, when editing text you can make insertions red and deletions gray. Info Select allows you to search for these or any other colors. Click Default to set default find options, then check Color and choose the color to find.
  5. Press ENTER. The text cursor will move to the first occurrence of the word or phrase after the current cursor position. If no match is found, the cursor will remain in its original position.
  6. Choose Edit | Find Next (or press F3) to find the next occurrence of the word or phrase. If no match is found, the cursor will remain in its original position.

On subsequent use of the Find Next command, Info Select will skip to the next item in the Selector containing the phrase. You can use this command repeatedly to find all occurrences.

note.png (184 bytes) Note: You can enter "\r" in the dialog box to search for a hard return and "\t" to search for tabs.

You do not have to be editing to use the Find Next command - you can issue the command after a search to find the first and subsequent occurrences of a word or phrase.


Replacing text

Replacing and Editing Text

You can automatically replace every occurrence of a word or phrase with a new word or phrase.

[:] To search and replace:

  1. In the Selector, choose the item to be changed.
  2. Choose Edit | Replac e.... A dialog box appears.
  3. In the Find box, enter the text you want to change. Select the text Font, style options (Bold, Italic, Underline or Strikeout) and Color, if necessary.
  4. In the Replace By box, enter the replacement text.
  5. Choose the desired options. Smart capitalize will use upper case for the first letter of words at the beginning of sentences and will retain upper case when the word being replaced was all upper case. Case Sensitive will allow you to search only for text matching the word or phrase exactly, including upper/lower case. Whole Words Only will skip occurrences of text inside other words (e.g. replacing "some" will not effect occurrences of "something"). Uncheck Text or Caption to search in Captions or Text only.

    Check Replace Styles to modify the style of the text. Select the necessary font, style options (Bold, Italic, Underline or Strikeout) and Color under the Replace By box, and choose one of the style replacement options:

    Set New Styles     - the modified text will have only the new style attributes (for example, you can change all occurrences of the word "style" into "style").

    Add To Existing Styles     - new style attributes will be added to existing style of the text (for example, you can italicize an underlined text).

    Clear Selected Styles     - the style attributes will be cleared from the modified text (for example, you can remove underlining from all occurrences of the specified word).

    Tip: Click the Copy-> button to quickly copy the Font, Style and Color options from the Find to Replace By box (for example, if you want to clear the selected styles from the found text.
  6. Press Start. Then choose Replace if you want to review each replacement before it occurs or Replace All if you want to complete the task in one step. If you use Replace, you can also skip an occurrence of the word or phrase by clicking the Skip button. To reset the Replace dialog settings click Default button.
  7. When you are finished replacing items click Close. You will see a message telling you how many occurrences of the word or phrase were replaced.

note.png (184 bytes) Note: You can use "\r" to indicate a hard return and "\t" to indicate a tab. For example, to insert a blank line between every paragraph in a Note, replace "\r" with "\r\r". You can use "?" as a wildcard character that will match any character.


Word-Wrap

Word-Wrap refers to the point at which a line ends before continuing onto the next line. You can choose to wrap words to the screen by choosing Selector | Properties and, if unchecked, Wrap to Screen. Text will wrap at the right edge of the window. If you uncheck this option, text will wrap at the right margin of the printed page.


Spell-Checking

You can check the spelling of documents to correct misspelled words. You can bypass words you know are spelled correctly by either ignoring them or adding them to the dictionary. For example, if your text refers to a product named "NiteMajic", simply add this name to the dictionary so it is not selected as a misspelled word in the future.

[:] To find and correct misspelled words:

  1. From the Selector, choose a Note or Topic or highlight a portion of text in a Note.
  2. Choose Tools | Spelling (CTRL+G). When a misspelled word is found, a dialog box appears. The misspelled word will appear on the first line of the dialog under Misspelled Word.
  3. In Replace With, enter the correct spelling of the word or select the correct spelling from the list of possible spellings. Note that the most closely related word will appear in the Replace With field.
  4. Click the Replace button to correct the misspelled word or click the Replace All button to correct all occurrences of the misspelled word.
  5. If you don't want to change a word's spelling, click the Ignore button to skip over the word or click the Ignore All button to skip all occurrences of the word.
  6. If the Spell Checker flags a word you know is correct, click the Add button to add the word to the dictionary. You can select the necessary dictionary in the drop list.
  7. Repeat steps 3 to 6 as necessary.

There are two buttons next to the Replace With field. These are Syn for synonyms and Spl for possible word replacements that are spelled differently. For example, the word quirkey returns no synonyms because the program does not understand the word. However, if you click the Spl button, you get a list of words that includes quirky, quirkily, query, quickly, etc.

Automatic Spell Checking

You can check spelling as you type. To activate this feature, enable Tools | Options | Spelling | Always highlight misspelled words. Misspelled words will appear this way:

20_spel2.png (472 bytes)

note.png (184 bytes) Note: Misspelled words are highlighted only in the document which is currently being edited.

Tip: If the Spell Checker flags a word you know is correct, right-click on the word and choose Add to dictionary... to add the word to the dictionary. A dialog box will let you choose the dictionary where the word will be added.

Setting options and adding words

You can add words to the dictionary and set various options in the spelling options dialog.

To Edit the dictionary of words, choose Tools | Options | Spelling. You will see your Personal dictionary appear in the field in the middle - C:\Program File . . .\personal.pfw. If no dictionary is shown, add one by pressing Add.

To add a word, enter it in the Word field and click Add. If the word was already in the dictionary, it will be highlighted in the list. Once added, this word will appear in the list.

If a word is already in the dictionary, Add may be disabled and Change enabled instead. To remove a word from your dictionary, find it in the list and click Remove. This is especially helpful if you have accidentally added misspelled words.

Click OK when finished and your Personal Dictionary will be updated.

note.png (184 bytes) Note: Info Select uses a specific dictionary format, which cannot be loaded from other applications.


Thesaurus

Info Select includes a Thesaurus feature that provides synonyms of words.

[:] To get a list of synonyms for a word in a Note:

  1. Left-click and then right-click the word. A list of synonyms will appear in the top section of the menu if any exist. Spelling alternatives appear if the word is misspelled.
  2. To replace a word with a synonym or the correct spelling, select it from the same menu.

Note: The Thesaurus is only available in American English.


Group editing

You can edit documents as a team, tracking individual changes and recommendations by color. The originator of the document then has the option of accepting or rejecting markup suggestions. For example, you might want to send an advertisement to your co-workers for their edits and suggestions. You would ask each of them to mark their changes with the tracking feature enabled and to send the text back to you.

[:] To edit and track changes in a Note:

  1. In Selector, choose the Note you want to edit.
  2. Choose Format | Track Changes.
  3. Make your edit changes.

You can accept or reject the changes made to a document by choosing Format | Track Changes | Accept or Reject.

To e-mail documents that have been edited with the tracking feature place the documents in a Data Topic inside the E-mail to avoid losing the tracking information.

Note: In Info Select 8 the Track Changes option is enabled individually for each Note.


Statistics on text

Text statistics

You can view text statistics, including the size, date modified, number of characters, words and paragraphs in a Note.

[:] To view text statistics:

  1. In the Selector, highlight the Note.
  2. Choose Selector | Properties | Item Info....


Context Toolbar

When editing an item (for example, a Note or an E-mail message), a Context Toolbar appears in the Workspace. The Context Toolbar contains the buttons relevant to the type of item. Use the Context Toolbar for fast access to various word processing features.

Point to each Context Toolbar button with your mouse to see a tip describing the button name. The Font name drop down box allows you to quickly choose a Font for your text. Each Font in the drop down box is displayed using the Font itself allowing you to review the Font appearance before selecting it. The Font size drop down box allows to quickly select the size for your text.

Note: When you are not editing an item, the Context Toolbar displays only the available buttons. For example, for a Note it will display only a Spell Check button, and for an E-mail Message the Context Toolbar will show Send, Reply, Forward, Address Book, Insert an Attachment and Filter Unread E-mail buttons. For such items as Topics, Files, Databases, Grids the Context Toolbar will not be displayed.


Bullets and Numbering

Info Select 8 allows you to create Bulleted or Numbered lists in your Notes or HTML E-mail messages. For example, you may want to create a Note containing the numbered contents of an article, or a bulleted list of the features of the product that you are reviewing.

[:] To create a new Bulleted or Numbered List in a Note:

  1. In the Selector, choose a Note and click in the Workspace to start editing the text.
  2. Choose Format | Bullets & Numbering.... A dialog box appears.
  3. Select the desired Bullets or Numbering style. In the Indentation Width box enter the distance between the Number (Bullet) and text.
  4. Click OK. The first line of the Note will contain the appropriate Number or Bullet.
  5. Type in some text. Press ENTER to create a new List entry. For Multi-Level Numbering you can also press CTRL + \ or CTRL + SHIFT + \ to increase or decrease the Numbering level.

To remove an item from the List, place the cursor at the beginning of the List entry and press BACKSPACE twice. To remove Bulleting or Numbering, select the Numbered (Bulleted) text, choose Format | Bullets & Numbering and click None.

You can also add Bullets or Numbering to existing text.

[:] To add Bullets or Numbering to existing text:

  1. Select the text and choose Format | Bullets & Numbering.... A dialog box appears.
  2. Select the desired Bullets or Numbering style. In the Indentation Width box enter the distance between the Number (Bullet) and text. If the text you are editing already contain Bullets or Numbering, you can choose whether to Begin New Numbering or Continue Numbering.
  3. Click OK. Each line of the selected text will contain the appropriate Number or Bullet.


Tips

tip.png (168 bytes) Tips & Hints

Insert images into notes

You can insert illustrations in Info Select notes using File Attachments or by simply pasting the image from Clipboard.

Use special characters

To use special characters (for example, a Euro symbol), install a font which supports such characters.


Introduction to Options

The Tools | Options dialog provides a variety of ways to customize Info Select. This section explains how to use these options. The Tools | Options dialog is organized in outline format. Items in the outline can be expanded by clicking the + icon. Place your mouse over each dialog control to have the function of the control explained in the special area marked with a [image] icon.

The following options are covered outside of this section: Info Select Skill Level, Outline, Stamping, Attachments, E-mail, Newsgroups, Local Mail, Spelling, Calendar, Dialer, Synchronization.


Default settings

The following options are available when choosing Tools | Options | Defaults.

Restore Program Settings

Click this button to restore the program settings from backup copy of the IS.INI file. The backup is created automatically when you make changes in the Tools | Options dialogs.

Restore default dialogs state
Some dialogs include the "Don't show me again" checkbox. Click this button to reset these dialogs so they appear when appropriate. Resetting is useful when a person using Info Select changes, when you disable such dialog by mistake, or if you want to be sure that you are receiving all warnings.

Set Default Template
Click this button to set a Default Template for the highlighted item. Click here for more information about the default appearance of new items.


Miscellaneous options

Miscellaneous

The following options are available by choosing Tools | Options | Misc

Tickler Marker

In the Tickler Marker box, set the character used to identify text ticklers.

Identification Name for access to Shared Remote Files

Enter the name which will identify you uniquely when accessing Shared Remote Files (for example, JohnSmith).

Transporter Hot Key

Specify a optional custom hot key used for the Transporter feature.

Info Select activation key (when minimized)

Allows to set a custom hot key to activate Info Select when the Info Select window is minimized, hidden behind other windows, or when the program is minimized in the system tray).

Show Startup Guide

This will display the Startup Guide when you start Info Select. The Startup Guide shows you basic functions of Info Select.

Allow Java Scripts in browser

Uncheck this option to disable Java Scripts in Web Viewer and HTML e-mail messages. For example, this will avoid the annoying pop-up ads windows.

Show Transporter Icon in the system tray

Check to enable the Transporter which will transport information into Info Select from other applications, such as a word processor or web browser. A Transporter icon shows in the system tray.

Allow me to edit captions using a single click

Check this option if you want to edit captions by single-clicking on them.

Include source document name into transported text

Check this option to have the Name of the document (or web page URL) to appear in Transported text.

Create a Web Page item when dropping a URL or HTML document into Selector

If this option is enabled, a Web Page item will be created when you drag and drop a URL or HTML document into the Selector pointing to that URL or document. Otherwise, the URL will be pasted as a Line Note and HTML document - as File Attachment.

Archive old items when the number of items in a topic grows larger than...

Set the maximum number of items in a topic protected from overstuffing.

Keyboard letter commands

This allows you to use the keyboard to invoke commands. For example, you can make the single letter P issue the Print command instead of having to press CTRL + P. This feature also allows support of commands from earlier versions of Info Select and for any personal preferences you may have.

note.png (184 bytes) Note: Letter commands do not apply while editing text; and changes to the shortcuts are not reflected on the menus. To setup keyboard letter commands: Enter your customized key combinations followed by an "=" sign and then the command's ALT sequence. For example, "DL=FO" means that you can depress "D" and then "L" (short for Disk Load) to activate ALT + F,O (File | Open). Separate multiple entries with a semicolon ";". You can disable all keyboard letter commands by deleting the codes in the Keyboard letter commands text box. Click Default button to reset the keyboard letter commands to default values.

The codes that are already included with Info Select are:

DL=FO;DS=FS;P=FP;CY=FX;G=TS;N=IN;F=M;OJ=TJ;OS=TI;E=EE\EE;DC=FC;L=IT;R=IDR;DW=AO;DM=AO


Editor options

The following options are available when choosing Tools | Options | Editor.

Note Delimiter

Enter the text that separates items from each other during a File import or export of Note delimited text. This value is also used for the Join and Split commands. Use "\r" if there is one record per line.

Locate fields in text forms using this char

Enter the character that marks the beginning of a field in an "old style" form.

Tab Width – Inches (Centimeters) or Spaces

Set the distance or number of spaces a cursor moves each time you press the TAB key. Generally, the distance mode is used. Use the space mode mainly when using mono-spaced fonts.

Allow me to click hyperlinks to launch my browser

This feature allows you to click any hyperlink (underlined text) to automatically take you to the corresponding web page. Hyperlinks will not be underlined if this option is unchecked.

Lock encrypted text from changes

Check this option to prevent encrypted Notes from being accidentally edited.

Paste RTF/HTML data as plain text (if unchecked auto select best format)

Check this option to force Info Select to paste data as plain text. If this option is unchecked, the Transporter will automatically select the best format of pasting data (Plain Text or Rich Text Format). Enable this option if you experience problems pasting data into Info Select.

Always paste as a Note

Check this option to set Info Select to always create a Note when you paste text into Selector. If unchecked, a Topic will be created when pasting a single line or a paragraph of text. This option also applies to Transporter feature.


View options

View

The following options are available by choosing Tools | Options | View.

Literal captions

If you want Info Select to automatically display captions in the Selector based on the first line of a Note, check the first checkbox. If you want to create your own captions, uncheck this option. Literal captions appear in the Selector beginning with a quotation mark.

If you want to suppress numbers, dates, and other non-alphabetic text from showing in literal captions, check the second checkbox.

Place application icon in system tray when running

Check if you want the icon for Info Select to be shown in the system tray at the bottom of the screen when the application is active.

Change Selector width automatically for optimum viewing

Check to have the Selector automatically resize itself for optimal viewing. After enabling this option, select a Topic and set the desired Selector width. Then select a Note and select another desired width. The Selector will automatically resize depending on the type of the highlighted item. For example, when a Line Note is selected, Selector width will be maximized. When the highlighted item is a Delivery, Selector will be minimized to the size of the Delivery.

Show Selector Icon Tips

Uncheck to disable showing tips when pointing to icons in the Selector.

Show File paths in Selector

Check to display the entire path for Files in the Selector. This provides more complete information about the exact location of files you use.

Show new mail icon for new e-mail messages

Check if you want new e-mail messages to show a ToDo 2_Type2.gif (141 bytes) icon.

 Show screen labels
Check this option if you want the labels indicating location of the screen elements (Selector and Workspace) to be displayed.

Allow me to nest windows in the Workspace

This feature allows you to nest windows inside one another in the Workspace. For most purposes this feature can remain unchecked.

Size Bar - Show item-size bar-graph in Selector

Check if you want Selector Size Bars to be shown for expanded topics.

Size Bar - When showing size of a File add size of any child Files

Check if you want Selector Size Bars to include the size of the child files when calculating File size.

Status bar - Display date

Shows the date on the right side of the status bar.

Status bar - Display time

Shows the time on the right side of the status bar.

21_4a.png (600 bytes)


Compatibility options for prior versions

Compatibility

The following options are available by choosing Tools | Options | Compatibility.

These options increase the compatibility with versions 1 and 2 of Info Select.

Checkboxes

Check the desired options. Click the ? buttons for help on each option.


Color options

Color

The following options are available by choosing Tools | Options | Color.

You can customize the colors of Info Select to suit your personal preferences.

[:] To customize colors:

  1. If you intend to include the Calendar in the colors you will customize, click the Calendar toolbar button (so you can see the colors change as you set them).
  2. Choose Tools | Options | Color. A dialog box appears.
  3. If you want to reset all color settings to colors set in Windows Control Panel, click Use Defaults.
  4. Click an item in the Screen Elements list box. The current color for the selected item in shown in the color palette.
  5. Click a color in the color palette. The D box of the color palette obtains the Windows System color values for the selected item. If the screen element you are setting is visible, it will change immediately.
  6. Repeat steps 4 and 5 as desired.
  7. If there are any warning messages about improper color combinations in the lower portion of the dialog, change the color of the indicated item by repeating steps 4 and 5 until there are no warnings.
  8. Click OK.

You can change the colors available on the palette.

[:] To customize the color palette:

  1. Click Customize Palette... button. A dialog box appears.

  2. Click Use Defaults to restore default color settings.
  3. Double-click the color you wish to change and select the new color from the standard color dialog.
  4. Enter the name for the selected color. It will appear as a tooltip for the color in the toolbar color palette. For example, you could designate Red color as "Urgent".

If you modify the color palette and send Info Select data to another user over a network, their color may be different. For example, if you change your yellow to blue and use that palette entry to color text in a Note, the text will be yellow when received by the co-worker.

Many colors are set from the Windows Control Panel. For example, the color of a Note's caption is just the Window caption color.


Font options

Font

The following options are available by choosing Tools | Options | Font.

Setting the appropriate font and point size for your Selector, Notes, and Field names is important. The smallest comfortable point size will enable you to view the most data at one time. A point size between 6 and 12 is generally recommended. Non-bold fonts allow you to display more data than bold fonts. (If you need a bold font, it is recommended to choose a font that is inherently bold). To ensure that your printouts are consistent with your screen display, select only True-Type fonts. The default fonts are:

  • Notes and Topics - Arial, size 10
  • Selector and Folders - Arial, size 9
  • Field Names and Contents - Arial, size 8
  • Window Captions - Arial, size 8
  • Mapper - Arial, size 7

[:] To set default fonts:

  1. Choose Tools | Options | Font.
  2. Click one of the buttons and fill in the standard font dialog.

 note.png (184 bytes) Note: Setting the default font for Notes will generally change the font of pre-existing Notes. If a Note's font does not change, the font used in that Note was set manually. To change a Note so that it uses the default font: select the Note; choose Format | Remove Formatting...; check Font and Font Size; and click OK.


Image processing options

Images

The following options are available by choosing Tools | Options | Images.

Check Disable Scanning to disable loading the scanner modules on Info Select start up.

In support of the scanning feature, you can set the default image compression amount and choose to see the image size and quality dialog box after each scan. You can choose a compression setting from 10 to 100 by entering a value in Default Image Compression. (Here "compression" means the quality of the JPEG or PNG file where the scanned image will be stored).

Check Show image size/quality dialog after each scan to display the compression dialog for each scanned image.

Click Restore Defaults to restore the default settings.


Tool Bar

Tool Bars

The following options are available by choosing Tools | Options | Bars.

Toolbar

Check to display the command toolbar that provides single-click access to common commands.

Folders

Check to display the Folder tab feature.

Palette

Check to display a Tickler Bar for quick setting of Ticklers.

Show Tickler Bar

Check to display the single-click Tickler feature.

  • Number of horizontal cells - sets the number of horizontal divisions of the Tickler Bar

  • Number of vertical cells - sets the number of vertical divisions of the Tickler Bar

  • Number of days per cell specifies the number of days per cell. For example, if this value is set to 2 then each represents 2 days.

You can customize the toolbar to add or remove buttons.

[:] To customize the toolbar

  1. Click the Restore Defaults button if you want to start with the default set of toolbar buttons.
  2. To add new buttons to the toolbar, first select the position in the Active Buttons list box where you want your new button to be inserted. Then double-click the button you want from the Available Buttons list.
  3. To remove a button from the toolbar double-click the button in the Active Buttons list box.
  4. You can add separators by clicking first on the button description in the Active Buttons list box above where you want the separator to be inserted and then clicking on the Separator button.
  5. To change the position of buttons on the toolbar, click the button description in the Active Buttons list box and press the Up or Down buttons.
  6. Click OK.

Troubleshooting

Missing toolbar
See http://www.miclog.com/downcom.htm.

Missing toolbar buttons
Try changing the Info Select Skill Level in Tools | Options | Info Select Skill Level.


Menu

The following options are available by choosing Tools | Options | Menu.

You can customize the Info Select menus to add or remove menu items.

[:] To customize the menus:

  1. Click the Restore Defaults button if you want to start with the default set of menus.
  2. To add or remove menu items, expand the menu type by clicking the + to the left of the menu name. Then click the checkbox next to the menu item to toggle it on or off. Notice that some boxes have dashes in the descriptive area for menu item. These have been reserved for additional items.
  3. When finished click OK twice.

Click Enable All to enable all menu items.


Internet

You can modify your System's Internet Options. For example, you may want to change the default connection used to connect to the Internet.

[:] To access the Internet options:
  1. Choose Tools | Options | Internet
  2. Click Internet Options button.

 note.png (184 bytes) Note: These settings are documented by Microsoft.


Saving options

Saving

The following options are available by choosing Tools | Options | Saving.

Warn me if files grow larger than - you will be warned when your files grow too large. Enter the desired maximum file size in units of 1,000 bytes.

Auto Save Every (Minutes) - check this box to activate the Auto-Save feature. Enter the number of minutes between each Auto-Save. If this box is not checked and this feature is not active, a Save will only be performed when you issue a File | Save command or when you exit the program.

Allow me to continue working while saving - the Auto-Save feature is important for protecting your data. However, it can cause a delay while you work. The Background Saving option allows Info Select to save your data simultaneously while you work.

Allow automatic data file recovery after power-failure & system crash - check this option to let Info Select automatically save changed items and try to recover them in the event of an error, power-failure or system crash.

Create backup (.bak) files for data safety - when checked, data files will be automatically created with a .bak extension in addition to the .wd2 extension. The .bak files take additional hard disk space, but add an important measure of safety for your data. You can create backup files manually by highlighting a file in the Selector and choosing File | Backup.

Also create secondary backup in this directory - this option allows you to create backup files in a secondary location. The ellipsis button displays Windows Explorer, allowing you to choose the path for storing the extra Backup Files. You will be prompted for the secondary backup path on the first time you start Info Select.

Number of backups to make for each WD2 file... - enter the number of backups to be created in the secondary location. For example, if you enter "5", five backup files will be created for each data file. These additional backup files will have the following extensions:

filename.ba1
filename.ba2
...
filename.ba5

First, the filename.ba1 file will be created. After the certain amount of time (depending on the number of backups), it will be renamed to filename.ba2 and the new filename.ba1 will be created.

Age of oldest backup in days - enter the age of the oldest backup file in the series of backups created in the secondary location. For example, if you want to store backups on your disk for 3 months enter "90". Info Select will automatically check for the age of the oldest backup file and delete the outdated file creating the new backup instead. For example, for a series of 5 backup files, the oldest backup will have the .ba5 extension. After this file reaches the maximum age it is deleted and new backup file is created. The most recent backup has the extension with the smallest number (i.e. .ba1).


Update

The following options are available when choosing Tools | Options | Update.

Check Micro Logic site for updated help file

 Enable this option to let Info Select automatically check the miclog.com site for updates to the Help file. Info Select will automatically download the updated Help file to ensure that you have the most recent version of program documentation. This option is highly recommended.

Show miclog.com updates quarterly

Check this option to let Info Select automatically show you the the web site updates page every three months.

Enable Micro Logic News

Check to automatically connect you to the Micro Logic home page to keep you updated on news and products.

Click on the hyperlink to view the Micro Logic web site at http://www.miclog.com.


Introduction to Troubleshooting

In case of difficulty with Info Select first refer to the Troubleshooting sections at the end of the relevant chapter. For example, for problems dialing, first see the Dialing chapter. Then review the next sections.


Common troubleshooting solutions

Common solutions

Many problems that are not related to specific features of Info Select can be solved through one of the following methods. Do not perform any steps with which you are uncomfortable. First try these solutions:

Summary | Details
Close IS | Close and reopen Info Select.
Shut down | Restart your computer.
Close apps | Close all other applications, tray tasks and background utilities temporarily.
Close the processes running in background (Windows XP) | Press CTRL+ALT+DELETE. The Task Manager will start. Select the "Processes" tab. You will see the list of the processes running on your machine. For the processes which are not marked "System" click on the process and then click "End Process". Confirm ending the process.
Shift key | To determine if a problem relates to corrupted data or problems in the IS.INI settings file, hold down the SHIFT key while you start Info Select and confirm switching into the Safe Mode. This will offer to bypass loading settings from the IS.INI, and bypass the opening of any data files except Overview. If bypassing the IS.INI file solves the problem, choose Tools | Options | Defaults | Restore Program Settings and confirm to restore the program settings.
Rename INI | Close Info Select and rename C:\Program Files\Info Select\is.ini to is.sav to reset all options. If this solves the problem, you may want to restore the IS.INI file from a backup by choosing Tools | Options | Defaults | Restore Program Settings, or cut and paste sections of IS.SAV back to IS.INI to restore settings.
Meter | Choose Start | Programs | Accessories | System Tools | Resource Meter and make sure resources are not running low (below around 15% free). If they are running low, close some applications or reboot your system.
Colors | Choose Tools | Options | Color | Use Defaults to resolve problems relating to color contrast. For example, you might have white letters on a white background.
Regional | In Windows Control Panel, set Regional Settings to English United States.
Alternate application | If you have another application that has a function similar to the one you are having difficulty with, try that function in the other application to determine whether the problem is system-wide or isolated to Info Select.
System time | Make sure your system time and date are correct.
IE5 Norton | If you are using Microsoft Internet Explorer 5 beta or Norton Crashguard, there may be incompatibilities with Info Select. Make sure you have the latest release of these programs.
Rename Overview | If you cannot open Info Select, use Windows Explorer to rename Overview.wd2 to Overview2.wd2 and re-run Info Select. If this allows you to run Info Select (although no data will show), the overview files was corrupt and should be restored from your backup.
Drivers | Problems relating to peripheral devices (printer, video, etc) can sometimes be resolved by going to the manufacturer's or vendor’s web site and looking for updated drivers.

When Info Select locks on start up consider trying the following options:

Summary | Details
Dialer off | Go to Tools | Option s | Dialer and disable the Dialer if not being used.
Disable Scanning | Go to Tools | Options | Images and check Disable Scanning or: Open the C:\Program Files\Info Select\is.ini file in the Notepad and find: [Scaner] Enable=1 Change to: [Scaner] Enable=0 If you can't find this text, add the text to the bottom of is.ini. Save the is.ini file and try again to start Info Select.
Disable showing Ticklers on start up | Uncheck the Tools | Options | Calendar | Alarm | Show Text Ticklers on Startup option
Change or disable your default printer | You can temporary disable your default printer by choosing Start | Settings | Printers and deleting the default Printer icon. Or, if you are using several printers set another printer as default.
Disable the Network printer | If you are using the Network printer you can temporary disable it by choosing Start | Settings | Printers and deleting the Network Printer icon.

If the above solutions are unsuccessful, try the following:

Summary | Details
Reinstall IS | Reinstall Info Select (your data will be preserved). For a true reinstall, delete your non-data files before reinstalling. If you encounter difficulties after installing another application, it may be because Info Select uses a newer version of MFC42.DLL. Some setup programs incorrectly replace a newer version of this DLL with an older version. Reinstalling Info Select will correct this.
Clear Registry | Run regedit (choose Start | Run... and type "regedit"). Search for the key named HKEY_CURRENT_USER\Software\Micro Logic. Delete this key and then try to start Info Select.
Redownload | If you downloaded Info Select, try downloading again or with a different web connection (such as from an co-worker's computer).
Upgrade | Upgrade to the most current version. Minor upgrades can be downloaded at no charge at www.miclog.com.
MSconfig | Use msconfig.exe (supplied with Windows) to start your system with no other apps running to isolate software conflicts - see msconfig help for details.
RegClean | Clean the operating environment using such tools as RegClean (available at www.microsoft.com), running a virus scanning utility, etc.
Alternate CPU | Install Info Select on a different computer to see if the problem is related to Info Select or the computer system.
Copy DLL files from an alternate CPU | If Info Select runs on one machine and not another, consider copying the DLL files needed by Info Select from the working computer to the other computer. First backup the DLL files on the computer which does not run Info Select in case you want to restore the DLL files for sake of another application.
Assert | For General Protection Faults and other crashes it may help to provide an Assertion Log (internal information) to tech support.
More memory | Some problems can be resolved by installing more memory in your computer. More memory can also increase the speed of your computer.
Windows | Reinstall Windows.


Recovery of data

Data Recovery

In the unlikely event of lost data or data corruption resulting from hardware failure, media failure, power glitches, etc., consider the following remedies.

Upon loading a corrupt file, Info Select will display a warning message that the file is corrupt and a salvage will be attempted. A topic labeled Recovered Data will be created in the problem file, and a special Comment Note will contain the important information on restoring your data. Before following the steps below, follow the instructions in the Comment Note.

Prior to working with files, in Windows Explorer, uncheck View | Folder Options | View | Hide file extensions for known file types.

important.png (152 bytes) IMPORTANT: First make a duplicate copy of your Info Select directory or the relevant data files (mainly those with extensions wd2, bak, plf, cor.). This will protect you from further problems that could result from the process of trying to restore your data.

Summary | Details
Search | If you can run Info Select, search for the data you think is missing and be sure to read and understand any status text shown in the search dialog.
Recycle Bin | Check the Recycle Bin which might contain deleted files.
Closed files | Open any closed (grayed out) Files listed in the Selector to see if they contain the lost data.
Disk files | Use File | Open... to open any wd2 Files on disk.
BAK | Close Info Select. Rename the corresponding .wd2 File to .sav and Rename .bak to wd2.
Backup | Restore your data from a backup. Data not placed in a specific file would be stored in Overview.wd2, so be sure to restore this file.
Norton Antivirus | If you are running Norton Antivirus, consider disabling the Script Blocking feature to prevent Norton Antivirus from corrupting Info Select data files.
ScanDisk | Run Windows ScanDisk to verify the integrity of your hard disk. If it finds lost clusters, you may be able to edit those files to find some of your lost text.
Find files | Choose Start | Find | Files or Folders to search your entire drive for a relevant phrase that would be found in the missing data. Also search your local or network drive for *.wd2 files.
Notepad | You may be able to retrieve some information from a corrupted file by opening the file in a text editor like Notepad or Wordpad.
Rename Overview | If you cannot open the Overview, use Windows Explorer to Rename Overview.wd2 to Overbad.wd2, rerun Info Select and try to File | Open... some files.
Reboot | Try rebooting your system and opening files again.
Try another CPU | Try to load your data files on another computer. This may eliminate problems connected with the OLE system. Move the items containing OLE objects or images into a separate file. Save your data files and try to open them on the alternate CPU.
Undelete & scan | As a last resort, considering using one of the utilities that can undelete certain files. Such utilities can also usually scan your hard disk at a low level given a text phrase from a missing file. If the utility finds a file or file fragment, you may be able to recover some or all of your data.
Single item corruption | If a single item in the Selector is causing trouble try deleting it. If you can't select it, move all sibling items to another Topic and then collapse and delete the parent Topic.
Try newer version if IS | Newer version of Info Select handle unusual data better than earlier versions. If you are using an older version of Info Select consider trying to load your data with the current version of Info Select.
Send data for repair | Micro Logic programmers can often recover most of the data in a corrupt file. The methods used are time consuming and should be your last resort. This service should be used only if your data is not confidential. There is a fee of $250 for this service which is billed only if more than 75% of the data that exists in the corrupt file is revived. To proceed with this option call 201-477-6921 with your credit card information. Instructions on where to e-mail your file will be provided.

Defensive measures

  • For recurring problems, try to determine if the problem coincides with the use of any features of Info Select or other software applications or system freezes caused by other applications or screen savers.
  • If you are running Norton Antivirus, consider disabling the Script Blocking feature to prevent Norton Antivirus from corrupting Info Select data files.
  • If power failures are frequent, consider installing an Uninterruptible Power Supply (UPS).
  • Increase the frequency with which you make backups.
  • Enable Tools | Options | Saving | Auto Save, Create Backup and Allow automatic data file recovery options.
  • When you close Info Select and Windows, make sure the closing process completes.
  • See Protect your data.

[:] To undo deletions or changes:

There are several possible methods you can try, in the following order:

  • Immediately after the deletion, select Edit | Undo.
  • In the Selector, choose a File and then choose File | Revert to load the last saved copy of the file.
  • Exit Info Select, go into Explorer and see if you have a file with a .bak extension that is newer than the same file with a .wd2 extension. If so, rename the .wd2 file to a .sav extension (in case you want to reverse this process). Then rename the .bak file to a .wd2 extension. Go back into Info Select and see if your data is restored.
  • Restore data from your backup.

.COR and .PLF extension files

COR files are temporary files you can delete. When Info Select comes across a problem, a PLF file may be created. These files can usually be safely removed, but first exit Info Select, if it is running, and move any .PLF files to a temporary directory. Run Info Select. If there are no error messages, you can delete those files. If there is an error message, copy the file it is looking for back into the Info Select directory and rerun Info Select. Sometimes data can be retrieved by copying a file having one of these extensions (if the date is recent) to a .wd2 extension and attempting to load the .wd2 file.


Specific problems for troubleshooting

Specific Problems

This section reviews some particular situations that can resolve specific difficulties.

Also see feature sections

In case of difficulty with Info Select first refer to the Troubleshooting sections at the end of the relevant chapter. For example, for problems dialing, first see the Dialing chapter.

Can't install

Try installing on another computer to determine whether your install disk or download file is good.

Can't start Info Select

Hold down the SHIFT key while you start Info Select and do not release it until it finishes starting. This will bypass the opening of any data files except Overview. If Info Select still will not start, rename Overview.wd2 to Oversave.wd2 and try again. You will see no data when the program starts, but you can try File | Open on various files to isolate the problem.

Info Select keeps asking for activation password

Make sure that you have the appropriate rights to access the registry on Windows NT, 2000 and XP. Start Info Select under the Administrator account and re-enter your activation password.

Workspace views are constrained to a window instead of using the full Workspace

In the Selector, choose one of the items having a constrained view. Press LEFT ARROW twice and check Selector | Properties | Maximized. Repeat until you reach the Overview.

Toshiba laptop

For problems closing, see http://www.miclog.com/is4faq.htm.

Problems with the display

Outdated video drivers cause many screen display problems. Make sure you have the latest drivers for your video card. Check the web site of the card manufacturer for driver updates. To see if the display problem is caused by an outdated driver, try changing your video driver to either VGA or SuperVGA. To make this change, choose Start | Settings | Control Panel | Display | Settings | Advanced Properties | Adapter | Change | Show All Devices | Standard Display Types | VGA or SuperVGA | OK.

Fixing the launch icon shortcut

The launch icon shortcut is the icon or Start menu item you select to launch Info Select. If Info Select launches but you cannot see your data or you see the wrong data, you may need to repair the shortcut:

  1. Right-click the Start button and select Open.
  2. Double-click Programs.
  3. Right-click the Info Select icon.
  4. Select Properties | Shortcut.
  5. Set the Start In box to the directory containing the desired Overview.wd2 File. Start In should be something like (include the quotation marks): "C:\Program Files\Info Select" or "C:\Data\Info Select".
  6. The target should be something like (include the quotation marks): "C:\Program Files\Info Select\is.exe"

System and Info Select time differ

In Windows | Control Panel | Regional Settings, change the time settings to the wrong time; click Apply, change to the correct time; and click OK.

CleanSweep

If Info Select triggers CleanSweep, which thinks a product is being installed, you may need to switch to the "manual" monitoring mode.

Temporary freeze

Possible reasons Info Select might pause with no response include:

  1. Network is down
  2. Checking for Internet e-mail
  3. Checking for LAN e-mail
  4. Synchronizing a syncbase
  5. Performing a function on a large amount of data

Settings are not saved
Some settings and options are saved in a special file is.ini and some are saved in the Windows registry. Make sure is.ini is not read/only and that the workstation has read/write access to the registry.

New text appears in red
Uncheck Format | Track Changes | Highlight.

New items contain unwanted information
Create a new item and delete the unwanted information. Then choose Tools | Options | Defaults and click Set Default Template twice.

Files are locked in Read-Only mode
Click on the Read-Only symbol. Choose File | Reopen and then reboot all machines sharing Info Select data.

Data files are "Read-Only" read_only_file.png (285 bytes) after copying from a CD.
Find the copied file in Windows Explorer. Right click on the file and choose Properties. Uncheck "Read-Only" and click OK to confirm. Click here for additional "Read-Only" troubleshooting options.

Problems with text in a Note
It can be helpful to display internal formatting codes by pressing CTRL + SHIFT + 8.


Error messages

This section reviews errors messages that are not self-explanatory.

The ordinal 6453 could not be located in the dynamic link library mfc42.dll

See http://www.miclog.com/is4faq.htm.

The IS.EXE file is linked to missing export COMCTL32.DLL:InitCommonControlsEx

See http://www.miclog.com/download/commondialog.htm .

Can't open file - opened by someone else - no network
A file set by the o/s to read-only can create problems - go into Explorer; right click on the file; select Properties; uncheck Read-Only. Also, look for extra copies of file in Selector, delete them or their parent file from the Selector, and reopen the file.

HHCTRL.OCX error
If you can't access help or get an HHCTRL.OCX error you are missing the newer Microsoft help engine called HTML-help (supported in Windows 98 and up). Please download at http://download.microsoft.com/download/msdnlib/Install/1.32/W9X2KMeXP/EN-US/hhupd.exe

Missing export comctl32.dll
Click here to allow for the new toolbar style; then in Info Select choose Tools | Options | Bars and enable all the checkboxes.

Error on opening application after closing
Uncheck Tools | Options | View | Place application icon in system tray while running. When this option is checked closing the app only minimizes the app to the tray.

Consider deleting this item from the Selector. If file has moved use File | Open to open the file.
There is a File entry in the Selector that points to a file which can't be found. Normally it is recommended to delete the incorrect entry from the Selector and use File | Open to open the file from the correct location.

Error: "Power-loss file (.PLF). Unable to save to this file." occurs repeatedly
Check that no one else is using the file and that you have write privileges to it. Or, in the Info Select directory, rename the corresponding .bak file to .bk2 and rename .plf if it exists to .pl2.


Missing items, troubleshooting

Problems with missing parts or functions

If part of the application screen or some function is missing, first look here.

Missing all screen information
Set your Windows system colors to Windows Default. And in Info Select choose Tools | Options | Color | Use Defaults.

Missing toolbar
See http://www.miclog.com/downcom.htm

Missing menu
Try copying Hhctrl.ocx from the Windows 98 CD to c:\windows.

Missing menu commands
 Try changing the Info Select Skill Level in Tools | Options | Info Select Skill Level, or click More >> or [image] to expand the Menu.

Missing toolbar buttons
Try changing the Info Select Skill Level in Tools | Options | Info Select Skill Level.

Missing help screens
If you can't access help or get an HHCTRL.OCX error you are missing the newer Microsoft help engine called HTML-help (supported in Windows 98 and up). Please download at http://download.microsoft.com/download/msdnlib/Install/1.32/W9X2KMeXP/EN-US/hhupd.exe


Data needed by support

Data needed by Tech Support

Micro Logic technical support staff may ask you to supply some of the following additional information.

Assertion Log

Info Select keeps a special file (assert.txt) that logs any special situations that may occur internally. This should be supplied to Technical Support in the event you receive a General Protection Fault (GPF) error.

  1. Press SHIFT + F8.
  2. Type "Get Log" and press ENTER.
  3. Cut and Paste the last 50 or so lines into your correspondence to Micro Logic.

If you can't get into Info Select to do the above, send the ASSERT.TXT file (located in the Info Select directory) itself.

This information is encoded for Technical Support.

Screen captures can be helpful in many situations.

[:] To provide a screen capture:

  1. In Info Select press ALT + PRINT SCREEN.
  2. Click in the e-mail message field.
  3. Choose Edit | Paste.
  4. Send the message.

Selector Items

If tech support needs you to send a specific Note, Topic, Database, Calendar, etc., you can e-mail the data.


Keyboard Shortcuts

This table shows special keyboard shortcuts that can increase your productivity and special commands not shown on the menu. Commands that have no counterpart in the menu or toolbar are marked by "*".

Category | Function | Keyboard shortcut
Basics | Edit Selector | ENTER or F2 or E
 | End Selector Edit | ENTER
 | New Record | SHIFT + CTRL + R or R
 | Delete Item | DELETE
 | Duplicate | CTRL + C then CTRL + V
Editing | Enter/Exit Edit Mode | F2 or E
 | Exit Edit Mode | ESC
 | Upper Case * | SHIFT + CTRL + A
 | Lower Case * | CTRL + W
 | Join Lines | CTRL + J
 | Bold | CTRL + B
 | Underline | CTRL + U
 | Italic | CTRL + I
 | Strikeout | CTRL + SHIFT + K
 | Stamp Date | CTRL + D
 | Stamp Time | CTRL + M
 | Stamp Count | CTRL + K
 | Stamp Call Duration | CTRL + R
 | Undo | CTRL + Z
 | Redo | CTRL + SHIFT + Z
 | Copy | CTRL + C
 | Paste | CTRL + V
 | Paste as Plain Text | CTRL + SHIFT + V
 | Cut | CTRL + X
 | Find | CTRL + F
 | Find Next | F3
 | Check Spelling | CTRL + G
 | Thesaurus | CTRL + SHIFT + G
 | Decrease Font Size * | CTRL + <
 | Increase Font Size * | CTRL + >
 | Indent Paragraph | CTRL + \
 | Unindent Paragraph | CTRL + SHIFT + \
 | Choose Font Size | CTRL + SHIFT + S
 | Choose Font Face Name | CTRL + SHIFT + F
 | Center Text | CTRL + E
 | Left Justify | CTRL + L
 | Append to clipboard * | CTRL + SHIFT + C
 | Delete Word * | CTRL + T or CTRL + DEL
 | Delete Previous Word * | CTRL + BACKSPACE
 | Delete Line | CTRL + Y
 | Select Text | SHIFT + ARROW
 | Select All Text | CTRL + A
 | Select One Word | CTRL + SHIFT + ARROW or double-click word
 | Select Text to the Beginning of the Line * | SHIFT + HOME
 | Select Text to the End of the Line * | SHIFT + END
 | Select Text to the Top of Document * | CTRL + SHIFT + HOME
 | Select Text to the End of Document * | CTRL + SHIFT + END
 | Reveal Formatting * | CTRL + SHIFT + 8
 | Fixed End-lines * | CTRL + SHIFT + E (puts hard returns at word wrap)
 | Fixed Fonts * | CTRL + ALT + F (use before LAN e-mailing a Note)
 | Insert Tab in Form * | CTRL + TAB
 | Top of Document | CTRL + HOME
 | End of Document | CTRL + END
Go to | Top of Topic | HOME
 | Bottom of Topic | END
 | Overview | CTRL + HOME
 | Selector Bottom | CTRL + END
 | Prev Page - Selector | PGUP
 | Next Page - Selector | PGDN
Browse | Browse Backward Edits | ALT + BACKSPACE
 | Browse Forward Edits | SHIFT + ALT + BACKSPACE
 | Scroll Page Down Note | PLUS KEY (works out of Edit Mode)
 | Scroll Page Up Note | MINUS KEY (works out of Edit Mode)
Selector | Minimize | ALT + 1
 | Normal | ALT + 2
 | Maximize | ALT + 3
 | Switch between Selector and Workspace | CTRL + F3
Files | Open | CTRL + O
 | Save | CTRL + S
Print | Print | CTRL + P
Move | Move Left | ALT + LEFT
 | Move Right | ALT + RIGHT
 | Move Up | ALT + UP
 | Move Down | ALT + DOWN
 | Move Into Up | ALT + PGUP
 | Move Into Down | ALT + PGDN
 | Move to Top | ALT + HOME
 | Move to Bottom | ALT + END
Multiselect | Select item above * | SHIFT + UP
 | Select item below * | SHIFT + DOWN
 | Select all items in a topic * | CTRL + A
 | Select all items below * | SHIFT + END
 | Select all items above* | SHIFT + HOME
Filter | Add to Filter * | CTRL + ]
 | Remove From Filter * | CTRL + [
Calendar | Multi-line description * | CTRL + ENTER
 | Change Begin of Task | SHIFT + UP/DOWN ARROW
 | Change End of Task | CTRL + UP/DOWN ARROW
 | Change Time of Task | CTRL + SHIFT + ARROW
 | Show/Hide Calendar | F6
 | Prev/Next month | CTRL + LEFT/RIGHT (from month view)
 | Prev/Next year | CTRL + UP/DOWN (from month view)
 | Today | HOME (from month view)
 | Day/Month view | TAB
 | Set recurrence | R
 | Set alarm | A
 | Set warning | W
 | Set done | D
 | Set in monthly view | M
Database | Next Record | PLUS KEY
 | Previous Record | MINUS KEY
 | First Record * | CTRL + PLUS KEY
 | Last Record * | CTRL + MINUS KEY
 | Next Field * | SHIFT + PLUS KEY
 | Previous Field * | SHIFT + MINUS KEY
 | First Field * | SHIFT + CTRL + PLUS KEY
 | Last Field * | SHIFT + CTRL + MINUS KEY
E-mail | Send e-mail | CTRL + ENTER
 | Receive All messages | CTRL + SHIFT + F12
 | New e-mail | F12
 | Reply to e-mail | CTRL + F2
 | Address Book | CTRL + SHIFT + B
 | Find Next Unread message | CTRL + U
News | Post a News Article | ALT + SHIFT + F12
 | New News Article | ALT + F12
 | Reply to a News Article | ALT + CTRL + F2
 | Get Body of the News Article | ALT + B
Menu | Show right-click menu | SHIFT + F10
Expand & Collapse | Expand/Collapse All * | CTRL + ALT + SPACE
 | Collapse | LEFT ARROW
 | Expand | RIGHT ARROW
 | Expand/Collapse Topic | SPACEBAR or double-click
Assorted | Reserved Options * | SHIFT + F8 (for technical support)
 | Technical Info | SHIFT + F9
 | Set item as ToDo | CTRL + H
 | Dial | F9
 | Search for Duplicates * | CTRL + F5
 | Sum numbers in Note | CTRL + SHIFT + M
 | Reset various modes * | CTRL + F1 (resets Selector width, exits Edit Mode & filter, selects and expands Overview etc.)
 | Distribute Frames * | CTRL + SHIFT + D (copies frame of highlighted item to siblings)
 | View Sorting Bin * | CTRL + F6

Additional shortcuts can be found along the right edge of the drop-down menus.


Technical Specifications

The following is technical information for interested users.

Maximum data | Limited only by hard disk space and RAM
Maximum data per note | Unlimited - fastest below 100 kb
Operating system | Microsoft Windows 95 or higher
Data structure | Tree (outline) of heterogeneous objects
Minimum disk space | Approximately 12 mb + data
Network compatibility | Most networks
Default directory | C:\Program Files\Info Select
Items added during installation | Info Select subdirectory, files listed below, icon and group in program manager.

[:] To view technical configuration:

  1. Choose Help | About | Technical... .

Files required to run Info Select:

  • IS.EXE - Main program
  • MFC42.DLL - Support library in your Windows system directory
  • ISEMH.DLL - Info Select E-mail Handler Library
  • PALMCMN.DLL - Palm Shared Library (needed for Info Select for Palm)
  • TABLE21.DLL - Palm Desktop Shared Library (needed for Info Select for Palm)
  • TIDY.DLL - Info Select Internal Library
  • SS32D25.DLL - Info Select Internal Library
  • OVERVIEW.WD2 - Main data file
  • IS.INI - Setup parameters (file is created on first run)

Non essential files:

  • IS.CHM - Help documentation

Needed for Spell Checker:

  • 171.LEX - American English dictionary
  • 151.LEX - American English Thesaurus
  • 100.SUP - Speller support file
  • WRS32.DLL - Spell Checker DLL
  • PERSONAL.PFW - User dictionary

Files affected during operation:

  • *.WD2 - data files
  • IS.INI - settings
  • *.PFW - dictionary additions
  • *.GPS - list of the newsgroups


Speed reference

Optimizing Speed

The speed of Info Select can change depending on the configuration of your system.

If your hard drive light goes on each time you do a search of Overview, you may have a configuration problem or insufficient memory for efficient operation. As a point of reference, on a properly configured minimal CPU (Pentium® I 133 64 megabyte), Info Select can search a one megabyte topic having 1000 notes in about one second and load or save in about 5 seconds.

Try to give Windows as much access to resources as possible. For additional information on optimizing your system, see your Windows Users Guide.

It is also best to obtain the latest video and printer drivers for your specific display adapter and printer (available from the manufacturers or vendors and some online services).


Two computer procedures

Working with two computers

One person can use Info Select on two computers (e.g. a desktop and laptop or at work and at home).

[:] To prepare to work on a secondary computer:

  1. Install Info Select on the second computer.
  2. Copy all Info Select data files to the second computer via removable media such as diskettes or CD-RW disks, etc.

[:] To synchronize data between the two computers automatically:

  1. See File synchronization.

[:] To move a specific data item (note, topic, database, calendar, etc.) to another computer:

  1. In Info Select, choose File | New... and specify something like Briefcase.wd2 as the File name (if you have not done this before).
  2. Drag the Selector items you wish to move into the Briefcase File.
  3. Select the Briefcase File and choose File | Close.
  4. Place a diskette in the A: drive, and in Explorer copy C:\Program Files\Info Select\Briefcase.wd2 to A:\Briefcase.wd2.
  5. Go to the other computer.
  6. Choose File | New... and specify Briefcase.wd2 (if you have not already done this).
  7. Expand the Briefcase File and make sure it is empty.
  8. Select the Briefcase File and choose File | Close.
  9. Using Explorer, copy A:\Briefcase.wd2. to C:\Program Files\Info Select\Briefcase.wd2 and confirm Yes to overwrite the existing File.
  10. Expand the Briefcase File and drag the transferred data outside the File.

Using USB Drives for transferring data between computers

One of the easiest and most reliable ways to have your data on two computers is to use a USB Drive (also known as Thumb Drive). A USB drive acts like a portable hard drive and is about the size of your thumb. By storing your data files on the USB Drive you can easily move your data between machines without having to copy or synchronize data (click here for instructions on storing data in separate locations). These drives are low cost and widely available. Storage sizes usually range from 16 mb to 512 mb. As with all important data be sure to make frequent backups.


Technical Support

This section explains how to solve problems you might encounter while using Info Select.

If you encounter any difficulties while using Info Select:

  • See the Troubleshooting section.
  • See the relevant section of this documentation.
  • Use the technical support section of www.miclog.com.

Technical support is available for questions that are not answered in the supplied documentation and online help. To contact Technical Support:

  • Go to Support page at http://www.miclog.com/support/index.htm.
  • Or mail questions to Micro Logic, 666 Godwin Ave., Midland Park, NJ 07432.
  • For Priority Fee-Based Support offering access to support engineers 9 am to 5 p.m. Eastern time, Mon-Fri. call 201-447-8954 (select options 4, 1) with your VISA, MasterCard, American Express, or Discover credit card. For rates please visit the Priority Support section at http://www.miclog.com/support/priority.htm.

Support changes

Support options and pricing are subject to change without notice. Unless this product was purchased under a written program that specifies otherwise, the availability of customer support, upgrade information and product information are subject to change at any time.


Multiple instances

Running multiple instances

Although it is recommended to run only one instance of Info Select, advanced users may find it useful to run multiple instances of the entire Info Select application.

[:] To prepare an icon for running a second instance of the Info Select application:

  1. Right-click the Start button of Windows and select Open.
  2. Double-click Programs.
  3. Hold CTRL and drag the Info Select icon to create a duplicate.
  4. Right-click the duplicate and select Properties.
  5. Select the Shortcut tab.
  6. Change the Working directory to a directory different from other instances.
  7. Press OK.
  8. Press F2 to Edit the icon caption and set it to "Info Select B" and press ENTER.
  9. Close the icon group box.

[:] To run the second instance of the Info Select application:

  1. From the Start menu of Windows select Programs | Info Select | Info Select B.

note.png (184 bytes) Note: You can start Info Select by simply double-clicking on a WD2 data File in the explorer. This will open Info Select with that WD2 File as its Overview. Likewise, you may create a shortcut to a WD2 File (say, on your desktop), which would automatically start Info Select using that File.


Synchronizing files

File synchronization

If you use the same Info Select data at work and at home or on a desktop and a laptop, you may want to synchronize the data on the two computers. Even if you make several changes to your data on both computers, Info Select can synchronize the data so that both computers will have the same data.

When the two computers are on a network you can synchronize using the method described here. To synchronize data using any removable media (such as Floppy, CD-RW and ZIP disks, or Thumb and Removable drives) follow the method below:

[:] To prepare to sync, first prepare the removable media:

  1. In Info Select click on Overview or any desired location to add a new item.
  2. Choose Insert | File | Data....
  3. Select the path of the removable media and choose a name such as removable (e.g. E:\briefcase.wd2) and click SAVE.
  4. Enter a caption such as "Briefcase" and press ENTER.
  5. Expand the file created above.
  6. Choose Insert | Syncbase | Syncbase and create a caption such as "Work Home". A topic with the 6_Sync1.gif (126 bytes) icon will appear.

[:] Next, prepare the data to be synchronized:

  1. In Info Select click on Overview or any desired location to add a new item.
  2. Choose Insert | Syncbase | Syncbase and enter exactly the same caption as above such as "Work Home". Another topic with the 6_Sync1.gif (126 bytes) icon will appear at the selected location.
  3. Move or copy data that you want to share between work and home into the Syncbase created in step 2. Start with a small amount of data and increase as you become comfortable with synchronizing.

For better synchronization speed, the size of data in the "Work Home" syncbase should not be too large.

Repeat steps 1-4 above to create the syncbase with the "Work Home" caption on another computer.

You can synchronize to the removable media at any time. For example, you might want to synchronize when you leave for home or work.

[:] To synchronize data to the removable media:

  1. Insert the removable media if it is not already inserted.
  2. If the File in the Selector corresponding to the removable media is closed (grayed out) double click to open it. If it is not listed in the Selector use File | Open to open it.
  3. Select either of the two Syncbases.
  4. Choose Tools | Sync | Synchronize.
  5. If you are leaving for work or home, select the File in the Selector corresponding to the removable media and choose File | Close. Then you can remove the removable media and travel to your other location.
  6. Upon arriving at the other location repeat steps 1-5 above.

For information about the various synchronization modes and the special icons that inform you of synchronization results click here.


Copying files between computers

Copying files from or to another computer

You can move Info Select to another computer, for example when you buy a new computer.

[:] To move Info Select to another computer:

  1. On the old computer, in Windows Explorer, copy all files of extension *.WD2, *.GPS and *.PFW plus IS.INI from the old directory to removable media such as diskette,
    CD-R/W or ZIP disk. The old directory is:
    • Version 4,5,6 and 7: C:\Program Files\Info Select
    • Version 3: C:\ISW3
    • Version 1: C:\ISW

    If you have *.WD2 data files in other directories copy those too. Use Windows Search to find the files. In most cases all the *.WD2 data files are located in C:\Program Files\Info Select folder, and you don't need to search for them, however if you are not sure, it is recommended to perform a search. If you don't see the IS.INI file, try looking in C:\Windows folder.

  2. On the new computer, if you haven't entered any data into Info Select, delete the C:\Program Files\Info Select folder. Otherwise, leave as is, but rename the Overview.wd2 file into Overview_new.wd2.
  3. Download the appropriate version of Info Select to your new computer from http://www.miclog.com/download/index.htm and install per web site instructions.
  4. Start Windows Explorer.
  5. Copy all files from the removable media to the Info Select folder (C:\Program Files\Info Select). Confirm overwriting files, if prompted.
  6. After copying data from the CD, right click on each *.WD2 file and choose Properties from the pop-up menu. If checked, uncheck the Read-Only
  7. Run Info Select on the new computer.
  8. Single click on Overview item an the top of the left side of the screen.
  9. Choose File | Open. A file selection dialog appears.
  10. Select C:\Program Files\Info Select.
  11. Select the first *.WD2 file other than overview and click Open. If Info Select indicates that the file is already open click OK.
  12. Repeat from step 9) above for other *.WD2 files except Overview.wd2 (since it is already open).
  13. For any files in the Selector (which have a floppy disk icon) showing a path other than C:\Program Files\Info Select, on the keyboard click DELETE and choose to delete the file from Selector Only. Now all your data should be available in the Info Select selector and all file are organized in one location - C:\Program Files\Info Select folder.
  14. Remove at least IS.EXE from the old computer so that you are in conformity with copyright.

If you have data files either copied or backed up to a diskette, you can copy those files to your hard disk and view the data from Info Select.

[:] To restore files from diskette:

  1. Close Info Select.
  2. Insert the diskette into your disk drive.
  3. Open Windows Explorer and highlight all *.WD2 extension files on the diskette drive.
  4. Choose Edit | Copy.
  5. Go to the directory where Info Select is installed (e.g. C:\Program Files\Info Select).
  6. Choose Edit | Paste. If you are prompted to overwrite some files, confirm the overwrite if you are certain you want to replace the hard disk data with the diskette data.
  7. In Explorer get the file properties and make sure the Read-Only property is unchecked.
  8. Start Info Select.
  9. Open any files that are not already listed in the Selector by choosing File | Open.

The Selector should now show the information restored from diskette.


Applications

Applications Introduction

Info Select has many applications. Those illustrated in this section are just samples. Many are quite specific and are only intended to suggest different possibilities for using Info Select:

  • Write and organize business letters
  • Track sales leads
  • Enter customer orders
  • Create, send, store, and organize e-mail
  • Retrieve and post NNTP news articles
  • Make notes on clients
  • Track client time
  • Make notes in courtrooms
  • Write books
  • Do group editing
  • Setup an information desk
  • Make notes on major decisions
  • Keep To-Do lists
  • Writing advertisements
  • Store location of documents or photographs
  • Match buyers and sellers
  • Create overhead presentations
  • Organize inventory
  • Store business card data
  • Track articles in periodicals
  • Track equipment in repair centers
  • Keep instructions on software packages
  • Manage a trade show
  • Organize storage boxes
  • Help do detective work
  • Evaluate resume’s
  • Find telephone numbers
  • Store names and addresses
  • List account numbers
  • Record bank transactions
  • Take telephone messages
  • Keep notes on custom orders
  • Record customer comments
  • Remember meanings of codes
  • List errands to be done
  • Store medical histories and techniques
  • Enter patient information
  • Store litigation reports
  • Make airline travel arrangements
  • Schedule outside appointments
  • Organize data for publishing on the Web

General Applications

Maintain a To-Do list

Use Info Select to keep track of things to do. You can store each reminder in separate Topics or maintain an entire list in one Note.

Assist at reception desks

Use Info Select at reception desks as a company reference tool for names, telephone numbers, locations, and other organizational information.

Write business & personal letters

Info Select simplifies the task of writing and editing letters. You can quickly find specific letters by their content. Moreover, there is no need to assign a File name to each letter.

Store business card data

Searching through stacks of business cards can be time consuming. If you store this data in Info Select you will find the information you need instantly. Simply create a separate Note or Form for each card.

Insert text into a word processor

You may find that you use some phrases, paragraphs, or addresses repeatedly in your word processor. To save time, you can store these recurring bits of information in Info Select. When you need a particular phrase or paragraph, switch to Info Select, access the desired item, and then use the Copy and Paste commands to transfer the information into your word processor.

Manage a trade show

Info Select is ideal for managing the fast-paced environment of trade shows and other events. The rapid search capability gets you the information you need instantly.

Before a trade show begins, use Info Select to enter customer names, phone numbers, requirements, sign specifications, booth sizes, carpeting, colors, accessories, utilities, and so on.

During the show, use Info Select to handle such things as technical problems, exhibitor requests, and resource allocation.

Write advertisements

Info Select is useful in writing advertisements and other documents that require frequent revisions. Use the Copy command to create several versions of ads. This way you can compare and contrast old drafts with new ones. You can also jot down new ideas as they come to you, in separate Notes.

Train employees

You can jot down notes in Info Select when learning complex software applications. You can also store special command sequences, procedures, function summaries, and other pertinent material.

Work with clients

Use Info Select to store notes on clients. When a client calls, their questions can be intelligently fielded and potentially embarrassing lapses can be avoided. You will not have to waste time shuffling through papers and your client will have been serviced in an efficient and professional manner.

Expedite orders

You can use Info Select to create a Database for orders or to import data from a pre-existing Database. Use the Search command to retrieve information quickly. This expedites customer service inquiries.

Match buyers with sellers

Info Select can help connect buyers with sellers. For example, if you are in the export business, use Info Select to keep a record of who is selling and at what price. When a buyer requests an item, you will immediately be able to identify a matching seller.

Maintain sale leads

Use Info Select to store, recall, and organize sales leads. Create a Form or Database in Info Select containing information such as:

  • prospective client's name
  • contact person
  • address
  • phone number(s)
  • summarized status of the lead
  • dated notes on a series of conversations/meetings
  • other general information about the prospect

Create a "HOT" Topic for hot prospects.

Create LCD overhead presentations

Use Info Select to create persuasive presentations and constructive training sessions. Since Info Select allows information to be entered and retrieved quickly, you will have an effective system for conveying information to your audience. In addition, any changes to a presentation can be made easily without delay.

Pair resume’s with job requirements

Use Info Select to search through resumes to match applicant qualifications with job requirements.

Store and Edit on-line data

Clippings from the Internet can accumulate quickly. Use Info Select to store and organize them.

Track computer equipment

Keep track of computer equipment. Store descriptions, serial numbers, locations, maintenance histories, user names, and special instructions.

Organize storage boxes

Organize storage boxes by labeling each box with a number and then assigning a Note in Info Select for each box number, with a description of its contents. You will be able to locate stored items immediately by content.

Establish an info base

Instead of sending employees through expensive and time consuming training programs, equip the office with Info Select info bases. Employees can use these info bases to obtain detailed information on any number of topics ranging from technical procedures to company policies. For example, a corporation may want to setup an Info Select info base center where employees can access information about their medical coverage. An employee, who recently has had a physical examination, can simply use the Info Select Search command to determine the appropriate form to fill out.

Find magazine articles

Use Info Select to catalog magazine articles. Simply create an item containing the title of the article and description as well as the name, date, and page number of the publication where the article appears. Any article can then be easily found.

Locate documents and/or photographs

Use Info Select to organize documents and/or photographs. On the back of each document or photograph, assign a sequence number. Store the documents or photographs in sequential order. In Info Select, record the sequence number with a brief description of each document or photograph. This enables you to find all related documents and/or photographs or just one particular document or photograph for a given subject.

Assist repair shops

If you manage a repair shop, use Info Select to answer customer questions when they call or stop by. Create a Note or Form in Info Select for each customer, including the product description, customer's name, parts used, cost, problems reported, claim check number, date, and progress.

Assist pharmacists

As a pharmacist, you could retrieve procedures, catalog formulas, record patient histories and process telephone orders from both doctors and patients.

Assist detective work

Info Select can be a powerful tool for detective work. The flexible search facility and the ability to view several items of information on the screen at the same time enables you to recognize new relationships between data.


Application example

Example Application

The following scenario illustrates many of the ways you can use Info Select while familiarizing you with Info Select terms.

Joe the Carpenter

Joe the Carpenter has just installed Info Select on his computer when the telephone rings . . .

Mary Higgins needs a small room added to the southeast corner of her Lake Street home. Joe creates a Note and enters Mary's name in the caption. Inside the Note, he enters Mary's address, telephone number and specifications for the room. She thanks Joe and hangs up.

The telephone rings again. It's Tom State from the Governor's office. The Governor, while sitting down, broke his office chair. Immediately, Joe creates a new Note and records Tom's address, telephone number and specifications about the chair. Now Joe has two clients in his Selector, Mary Higgins and Tom State.

The telephone rings again. It's Mary Higgins again. She decided she needs the room added to the southwest corner of her home and not the southeast corner. From the Selector, Joe selects Mary's name. Her Note appears. Joe edits her specifications accordingly.

By the end of the morning, Joe has accumulated twenty-three Notes from various clients in his Selector. He now wants to arrange these clients by their addresses in order to minimize the distance and time spent on travel. He creates a Topic for each of the five neighboring towns and places the address Notes into these Topics .

Before leaving for the first job, Joe needs to make sure he has all the necessary tools and material. He issues a Summary command for a quick listing of the twenty-three jobs and then prints the summary to take with him.

On his way out, the telephone rings. It's Tom State from the Governor's Office. He says the Governor has decided to purchase new furniture and will not need Joe after all. When they hang up, Joe cannot remember in which Topic he put Tom State's Note. Joe then performs a Search for "Tom State". The search finds the Note and places it in the Search Filter. Joe selects the Note and then Deletes it. Joe creates and prints a new summary to reflect the changes and heads out the door.

Joe returns from his day having been paid by only half his clients. Joe decides to setup two Folders: "Paid" and "Not Paid". After assigning each Note to the appropriate Folder, Joe can finally stop for the day.

Joe's Business Blooms

Organized and in control of his records, Joe's business grows. He realizes he now needs to keep careful records of his business transactions. He creates a Form Database to store these records.

It turns out that Mac, an old carpenter friend of Joe’s, is retiring. He informs Joe he has built up a large client list over the years, but it is stored on an old Database program. Joe says that is not a problem and Imports the names and addresses from the Database into his Info Select Database.

Joe decides to create flyers for his potential new clients. In the flyer, he explains that Mac is retiring and he, Joe, is available for carpentry jobs. He uses the Spell-Check to check for spelling mistakes. When he is finished, he prints copies of the flyer. Joe then uses the Mail Merge feature to print the new names and addresses from the Database onto envelopes. Joe then stuffs, seals and sends out each envelope with a flyer.

Because of Joe's mailing, his client base increases. He decides to change the name of his company from "Joe's Carpentry" to "Joe Incorporated". He issues a Replace command to find every occurrence of the old name and replace it with the new name.

Furthermore, Joe rents an office and hires new employees. He sets up a Network where he can E-mail information to each employee.

Sally in Sales

Sally in the Sales Department uses the Dialer to telephone potential customers. She takes each order on a Form. While she is logging one such order, her boss (Joe) rushes into her office. He needs a printout of an order they took last week for a job on the theater entrance. Sally puts her customer on hold and places a Bookmark on the current order form. She cannot remember the theater or theater manager's name, so she performs a Neural Search on the words “theater”, “Manhattan”, and “Manager”. The Order Form comes up and she prints it for Joe. He thanks her and leaves. Sally uses the Bookmark to retrieve the original Order Form and closes the sale with the customer.

Alice in Accounts

Alice in the Accounts Department oversees the purchasing of materials. She uses a Database to input each material's name, quantity needed, and unit price. One afternoon, she has been entering Material Request slips from her boss when she realizes that she is using the previous week's Request slips. She issues a Revert command to restore all her data from the previous Save.

When Alice is not processing request slips, she uses the Calendar to organize her workday. She schedules events in her Day View and reviews her schedule for the upcoming month in the Monthly View. She sets a Recurring Task to remind her to send her time sheets to Personnel every other week. She also sets a Tickler to remind her she needs to start working on the Annual Report.

Last week, Joe had scheduled a meeting for Monday at 10am. Alice's Alarm rang first at 9:30, and then again at 10:00 to remind her of the meeting. She had linked the scheduled meeting to a Note in the Selector. The Note provided her a review of the material that would be discussed in the meeting.

In preparation for the staff meeting, Joe uses the Change Into command to change his "For Meeting" Topic into a Note, adds some additional information, and prints a copy for each person.

Joe with Profit

When Joe receives the Annual Report from Alice through the Network, he performs a search in his Selector to find the Net Profit notes for that year


Command line options

Startup Parameters

You can start Info Select with a data file other than Overview.wd2.

[:] To start with a specific data file:

  1. Locate the icon you use to start Info Select.
  2. Right-click on the icon and choose Properties | Shortcut.
  3. In the Target box, add a space and /O: followed by the full file specifications of the .wd2 file (include the quotation marks): e.g., "C:\Program Files\Info Select\Is.exe" /O:"E:\Program Files\Info Select\MyFile.wd2".

You can omit the Info Select splash screen that shows on startup.

[:] To omit the splash screen:

  1. Locate the icon you use to start Info Select.
  2. Right-click on the icon and choose Properties | Shortcut.
  3. In the Target box, add a space and /NOSPLASH.
  4. Click OK.

By default, Info Select stores all data files in the same directory where the program resides. You can change the default location of the data. For example, if you have an automatic daily backup of a certain directory on a network drive, you may want to store your Info Select data files at that location.

[:] To change the default location of Info Select data files:

  1. Locate the icon you use to start Info Select.
  2. Right-click the icon and choose Properties | Shortcut.
  3. In the Start In box, enter a full path to your directory, e.g., E:\Data\InfoSelect.
  4. Click OK.
  5. If desired, copy the data files from their original directory to the new directory.


Miscellaneous

Info Select comes with sample data and templates in a Topic captioned "Supplied Topics". If you delete this Topic from the Overview, you might want to restore it.

[:] To reinstall Supplied Topics:

  1. Exit Info Select.
  2. In Windows Explorer, go to Info Select directory (by default it is C:\Program Files\Info Select) and rename the files Overview.wd2 and Overview.bak to OldOverview.wd2 and OldOverview.bak.
  3. Reinstall Info Select.
  4. Start Info Select.
  5. In the Selector, highlight Overview.
  6. Choose File | Open and select OldOverview.wd2.
  7. Expand OldOverview.wd2.
  8. Press ALT + LEFT ARROW, and click OK.
  9. With OldOverview selected, press the DELETE key and choose Disk + Selector.

On rare occasions, corrupt data may need to be deleted. If displaying an item locks your system, there is an indirect way to delete the item.

[:] To delete an item without viewing it:

  1. Highlight the item just above the item you need to delete.
  2. Choose Insert | Topic and press ESC.
  3. Press the SPACEBAR and then ALT + LEFT and click OK.
  4. Drag everything but the item to delete out of the new Topic.
  5. Select the new Topic, press the SPACEBAR to collapse it.
  6. Press DELETE and confirm deletion of a Topic of 1 item.


Upgrading from versions 1 or 2

Introduction to Upgrading from Versions 1 or 2

This section is only for users upgrading from the following early versions:

  • Info Select for Windows Version 2
  • Info Select for Windows Version 1
  • Info Select for DOS
  • Tornado

Although this version of Info Select has many new features, it retains the key features of earlier versions. This section explains how to install the upgrade, introduces important new concepts, and discusses the differences between new and old versions.

Stacks, Topics, and Files

In earlier versions, your information was classified into Stacks. Now information is classified into Topics. (The term "Stack" was changed to Topic to better reflect its new purpose and the fact that Topics are quite different from Stacks.) Topics can be placed inside each other. For example, a Topic called "Letters to Joe" could be placed inside a Topic called "Letters

In earlier versions, when you loaded a Stack from disk, the current stack closed automatically. The new version does not close files automatically, so you can have several open at once. The ability to have several Files open simultaneously allows you to search and view Files instantly. However, you should close Files (with the File Close command) when you do not intend to use them for an extended period of time. Closing unused Files will help Info Select operate at its optimal speed - especially on systems with 8 megabytes of memory or less.

Loading old data

Loading earlier data into the new version

Data from versions 1 or 2 will not be affected when loaded into this new version.

If you are upgrading from version 1 or 2, the new version will install into a new subdirectory. It is recommended that you leave your data from earlier versions in the original subdirectory (e.g., IS or ISW). When earlier version Stacks are loaded, they will be automatically converted to the new format (the original .wd File will remain untouched) and saved in the new subdirectory with the extension .wd2. (Do not rename a .wd File to a .wd2 File.)

[:] To load stacks from earlier versions:

  1. From the Selector, click Overview. The stack you load will be inserted below Overview.
  2. Choose File | Open. A dialog box appears.
  3. From the Files of type list box, select the proper file extension type.
  4. Choose the drive and directory where your old files are located (usually C:\IS for the DOS version and C:\ISW for Windows version 1).
  5. Choose the Stack you wish to load. You can select multiple stacks by holding down the SHIFT key and clicking on the stacks you wish to load.
  6. Click Open. The data will now be loaded and shown in the Selector after a short delay.
  7. In the Selector, expand the Stack name. Press the DOWN ARROW key to view your Notes.

Your Notes may appear narrower because proportional fonts are narrower than monospaced fonts. If you wish, you can widen any window with your mouse. A proportional font is a font in which different character have different pitches (widths). Proportional fonts are also called proportional-pitch fonts. An example of a proportional typeface is Times New Roman and Arial; an example of a fixed typeface is Courier.

New Notes you create now will initially take up the full Workspace area and not have a sizable frame. (See here.)

If you used Note forms, load your USER or USERW stack. This will automatically install your old forms into the Template menu. From the USER or USERW topic, delete any unused items and those labeled Stacknames, Formmenu, Linknames, and Pointers. See 2-7 "Improved Forms" for more information on converting prior version forms. RELATED TOPIC

Note that you can export Files of the new .wd2 format back to a .wd File, provided the new file contains only Notes. To export to .wd format, choose the Topic that contains the Notes you wish to export, choose File | Import / Export | Export to File..., and choose the .wd extension in the listbox.

Consolidate small Stacks (Files)

When an earlier-version Stack is loaded, it is converted into a File. If you have many small Files, you can consolidate them into a few larger ones. Doing so will reduce the number of Files you need to manage on your hard drive. See Recommended File Sizes.

The Speed of the new version

Info Select will search as fast or faster than earlier versions -- but only if your Windows environment is configured properly. If you have a substantial amount of data and an improperly configured system (or one with insufficient memory), you may experience a slow down in processing time. You can speed up saving and searching by closing files that are not in use. See Speed Reference.

Outlining

Perhaps the most significant change to Info Select starting with version 3 was the addition of the Selector at the left side of the screen. This allowed users to do outlining and enter information in a new way. It is important to begin entering your data directly in the Selector on the left side of the screen instead of in Notes on the right side.

An outline can be helpful when you are organizing thoughts, ideas, and any kind of information. When you use an outline, you organize your information into main topics, subtopics, sub-subtopics, and so on.

The new Info Select can display information in "outline" form. These outlines are shown at the left side of the Info Select application in an area of the screen called the Selector. The data contained in the Selector may include various types of information: Topics, Notes, Calendars, Databases, and Forms. Outlining allows you to:

* Develop a hierarchy for your information

* Rearrange your information easily

* Determine the level of detail shown for each item

* See an overview of your information

Note that you do not have to use the Outline approach. You can still use the earlier free-form approach or mix both methods.

If you choose to use the outlining feature, you may find it quicker to outline gradually as you enter new information, instead of trying to outline all your earlier data at once. See Introduction to Organizing and Viewing Data.

You can Cut and Paste items in the Selector. This allows you to move an item from one end of the Selector to the other without having to resort to "long-distance" dragging. See Moving Items.

Important Differences

The Selector is shown at the left side of the screen

The Selector added important new capabilities for managing information. The Selector takes the place of the Stacknames window, makes it extremely easy to add new Files, allows you to search across multiple Topics, and allows you to categorize information into outlines. It is important to begin entering your data directly in the Selector on the left side of the screen instead of in Notes on the right side.

New items are not automatically placed at the top

In the new version, Notes you create can be placed at the highlighted location in a Topic instead of automatically going to the top. To place an item at the top, first press the HOME key.

New Tickler feature

Ticklers are now entered into the Calendar instead of placing **mm/dd/yy in Notes. Ticklers from earlier versions will be placed in a Calendar automatically. You can delete any ticklers that are outdated. See Calendar and Scheduling.

New Menus

Though the new menus are different, many commands and keyboard shortcuts remain the same. The new menu layout was designed to make commands easier to find and to be consistent with other Windows applications. The Form menu in earlier versions is now called the Template menu. If you can't find some menu commands, click More >> or [image] to expand the Menu.

Bringing Note Frames into View

The edge of a Note frame (which may include a scrollbar), may fall off the edge of the Workspace. When this happens: widen the Workspace by dragging its left edge, drag the Note window into position, or Select Selector | Properties | Maximized.

No more "Stack Names" window

There is no longer a Stack Names window. Your Files(Stacks) are loaded with a standard File Open command and thereafter remain listed in the Selector. The Selector takes the place of your Stack Names window and serves other functions as well.

No more "USER" stack

The USER or USERW Stack no longer serves a purpose in Info Select. However, you should load the User stack to retrieve any needed forms.

Group commands

Commands applied to an expanded Topic are automatically applied to all sub items in the Topic without the need for a Group prefix command. See Group Operations.

Esc commands

Some earlier version Esc commands can be enabled via Tools | Options | Compatibility.

Window frames

You can configure the window frames for new Notes you create. See Changing Item Frames.

[:] Set a frame size and style for new Notes:

  1. In the Selector, expand the Templates Topic.
  2. Click the starred white Note icon [image].
  3. The default setting for new Notes is to fill the Workspace, since you can see an overview of your data in the Selector. If you wish to retain this default, skip this step. If you want new Notes to be in smaller, sizable frames, select Selector | Properties | Maximized and resize the blank window to the size you want for new Notes.
  4. If you want the date and/or time to be typed automatically in new Notes, insert @D for date and/or @T for time inside the default Note (with a space between them if you use both) and place the symbol ^ after the @D/@T. This will signify where the edit should start when creating a new Note.
  5. In the Selector, collapse the Templates Topic.

If you choose the Maximized Frame style, you may want to convert your old data.

[:] To convert your old data to maximum size window frames:

  1. In the Selector, choose the Topic containing your earlier data and expand it.
  2. Choose Selector | Properties | Maximized and confirm OK.
  3. Repeat these steps as needed for each Topic (Stack).

Form Captions

Form captions are now displayed differently. See Managing Fields.

Phased out features

The Horizontal Selector and ability to list Folders in the Selector are no longer supported.

Differences in Searching

Two ways to leave Search Filter

There are now two ways to leave the Search Filter - F4 and SHIFT + F4. Use F4 to view all items. Use SHIFT + F4 to leave the Filter and stay positioned at the highlighted item.

View Filter toolbar button

A View Filter toolbar button has been added for toggling in and out of the Filter mode. It also indicates when you are in Filter mode by changing color [image].

Search Scope

By clicking the More >> button in the search dialog you will see options to specify whether to search the "text" in items and/or the item's "captions".

Cross Topic searching

Unlike earlier versions, you can now search across multiple open Files.

Improved Forms

Two new types of forms are available - Forms and Databases. Both types use dialog box style fields. Databases allow you to control the fields of all records at once by changing a master form.

[:] To convert earlier forms to the new style:

  1. From the Selector, choose the earlier form.
  2. Choose Selector | Properties and check Support Text Forms if it is unchecked.
  3. Choose Selector | Change Into | Form.
  4. Set the field layout manually

See Adding and Modifying Fields.

Note-based forms from earlier versions of Info Select let you tab between fields marked by bracket symbols.

[:] To use earlier text style forms with [ ] brackets as fields:

  1. Create a new Note and set up your form as in earlier versions.
  2. Place the ^ symbol in the Note where you want the cursor positioned when you bring up the form.
  3. Press ESC.
  4. Choose Selector | Properties. If unchecked, select Support Text Forms.
  5. Choose Template | Add. In the Selector next to the Note you will see a new [image] icon appear, indicating the item is now a Template.
  6. Place the Template in the Templates Topic.
  7. Verify that the Field Delimiter character in Tools | Options | Editor | Locate fields in text forms using this char is set to an open bracket ([).

[:] To support tabbing between field symbols in a Note:

  1. In the Selector, choose the Note.
  2. Choose Selector | Properties. If unchecked, select Support Text Forms.
  3. Use TAB and SHIFT + TAB to move between fields.

Additional New Features

Network Ready

Info Select now includes Network and E-mail features. There are also new Network capabilities. See Network Features.

Multiple data types

In addition to Notes, the following items can also be created: Topics, Forms, Databases, Calendars, Fields, and E-mail.

Spell checker and thesaurus

Spell-Check and Thesaurus features have been added.

Window Management

Info Select now offers greater flexibility for managing windows. Windows can be moved with the mouse. Windows can be "Pinned-Up" anywhere on the screen, remaining visible for easy reference or editing. Windows can be nested inside one another and have a variety of frame types.

User definable keyboard shortcuts

To save time, you can configure your own keyboard shortcuts (e.g., DS for Disk Save, G for Get, etc.). See the Keyboard Shortcuts box under Tools | Options | Misc.

Full font and character set support

Info Select now supports proportional fonts and basic formatting. See Font Style, Color, and Size.
Various Character Sets allow you to type text in different languages (provided the necessary Character Set support is installed).

Improved mail merge

Info Select now offers two ways to use mail merge. You can use the old method, where the data to be merged is stored in the text of your Notes, or you can use the new method, which extracts the data to be merged from an Info Select Database. See Introduction to Reports.

New dialer

The Dialer has been redesigned to include more features and you can dial from Edit Mode.

More features

Numerous additional improvements can be found throughout this documentation.

Why Your Text May Be Misaligned

Your text may be misaligned when you load your earlier version stacks. This is because the text in earlier versions uses monospaced fonts, while the text now uses proportional fonts. It is recommended that you use proportional fonts since they use less screen space and offer a larger selection of font types.

[:] To realign your text in a specific note:

  1. In Edit Mode, press CTRL + A.
  2. From the font combo box below the toolbar, select a monospaced font (e.g., Courier New, Fixedsys, Terminal).
  3. Click OK.

If you need to retain the alignment of text in all your earlier version documents, use a monospaced font as your default.

[:] To set a monospaced font as your default:

  1. Choose Tools | Options | Font | Notes, Documents, Grids. A dialog box appears.
  2. From the Font box, select a monospaced font (e.g., Courier, Courier New, Fixedsys, Terminal).
  3. Click OK.

[:] To re-center text lines from earlier versions:

  1. Place the cursor at the beginning of the line.
  2. Press CTRL + T to remove the spaces.
  3. Press CTRL + E to center the line.

Displaying Line Draw Characters

Early Info Select versions supported Line Draw characters. The characters that originated from DOS do not appear in most Windows fonts. If you have a Note where you need to retain the Line Draw characters, apply a font such as MS Line Draw or Terminal that includes these characters. You can create Forms that include data entry fields appearing as rectangular lined boxes. See Forms and Databases.

[:] To change a Note's font to support DOS Line Draw characters:

  1. Click inside the Note in the Workspace.
  2. Highlight all the text by pressing CTRL + A.
  3. Select a font supporting line draw characters (e.g., MS Line Draw or Terminal).
  4. Click OK.

[:] To replace outdated line draw characters with dashes and vertical bars:

  1. From the Selector choose the Note.
  2. Press CTRL + ALT + D

Tips for Optimal Use

If you have become accustomed to an earlier version of Info Select, you may find it helpful to refer to this section before and after you have become familiar with the basics.

General Tips

The following tips will help you optimize your use of the new version.

Convert small Files into Topics to eliminate the need to manage a large number of files on your hard drive. See Recommended File Sizes.

You can keep several files loaded in the Selector at once. Close large files you are not using to conserve memory and speed up full searches.

Organize your information into outlines with several levels of indentation. See Organizing and Viewing Data and Outlining.

Use the Pin-Up feature to keep a window in view. See Pinning Items.

You can use Topics for one-line Notes. See Creating a New Note.

Use proportional fonts instead of mono-spaced fonts (as in earlier versions). You will need to reformat some Notes, but will be able to fit more text in a window and be able to choose from a much wider selection of fonts.

Make use of the new items - Topics, Calendars, Forms, Databases.

To reformat indented paragraphs from earlier versions, highlight the paragraph, press CTRL + J, select Paragraph from the Edit menu, enter the indent values, and click OK.

Dividing Topics Into Sub-Topics

If you choose to reorganize your old data into outlines, doing so manually can be time-consuming. To get started, consider dividing data into Sub-Topics automatically. For example, suppose you have a Topic containing many random Notes and you want to bring all items containing the name "Einstein" into their own Topic. You can do this quickly by combining the Search and Split commands. See Dividing and Merging Topics.

Folders instead of codes

In earlier versions, it was suggested that you place codes inside Notes to help classify your information. For example, the characters "*H" may have been used to indicate high priority items. Now, Topics and Folders are available as a means of classifying your data. For example, High priority items can be stored in a Topic or Folder named "Do H".

Topics as One-Line Notes

A common type of information you might enter into Info Select is a short Note, often as short as one line. You may find it helpful to use the Selector captions as one-line "Notes". This way, you can arrange data more easily, add sub-topics, and view all information from the Selector.

[:] To create a one-line note in the Selector:

  1. Choose Insert | Topic (F11).
  2. Type the text.
  3. Press ENTER.

Converting Notes Into Topics

When a stack is loaded from an earlier version, it becomes a File consisting of several Notes. You may want to change some of your Notes into Topics. For example, if you had a Note containing a list of items, you can change the Note so it displays as a list of Topics in the Selector. This way, you can arrange your data more easily as well as add information in sub-topics. You can also convert a Note whose text is divided by sub-headings into outline form.

[:] To change a Note into a Topic:

  1. From the Selector, choose the Note.
  2. If you want to divide your Note into Topics at every line, make no changes to the Note. If you want to divide your Note into a Topic of several Notes, enter a Split Marker (two dashes alone on a line - or the setting in Tools | Options | Misc | Note Delimiter) at each point where you want to divide the Note. Anything following a Split Marker, up to the next line, will be taken as the caption of the new Note.
  3. From the Selector menu, select Change Into | Topic.

The original Note remains in the Selector. It can be deleted when desired.

Tutorial

Before using this tutorial, review the General Tutorial. See

When you open Stacks created by versions 1 or 2, your old files will not be affected. The data will be converted and copied into the new subdirectory.

[:] Load your old Base Stack - a copy will be made and your old file will NOT be affected:

  1. From the Selector, choose Overview. The Stack you load will be inserted below this item.
  2. Choose File | Open. A dialog box appears.
  3. Under Files of Type list select *.wd.

Under Drives select C.

Under Directories double-click C:\ and the old subdirectory (e.g., "ISW").

Choose the Base file and click Open. This will copy the File into the new Info Select directory and convert the file into the newer .WD2 File type. (You can load multiple Stacks at once by holding down the CTRL key while selecting several Stack names in the dialog box.)

Your Base Stack appears in the Selector with a triangle icon [image] followed by the File name. Such Stacks are now called Files. You can open and search several Files at once.

Indented below your Base File you will see a listing of your Notes, each with a white page icon [image]. (If the Notes are not listed, double-click Base.) Next to each Note (white page) icon, you will see the Note's caption text. Initially, the caption for each Note is taken from the text inside the Note. These captions are called "literal" captions since they literally copy the text of your Note. You can change this caption text by pressing F2 and Editing it.

[:] Browse through your Notes:

  1. Browse with the DOWN ARROW key.
  2. Click a specific Note in the Selector to view the text of that Note.

Versions 1 and 2 supported only mono-spaced (typewriter style) fonts. This version supports proportional fonts as well. If you select a proportional font as your default, some of the text in your old notes may be misaligned. You can correct this by editing those notes.

[:] Choose your default font:

  1. Choose Tools | Options | Font | Notes, Documents, Grids. The Font dialog box appears.
  2. Select your desired font and point-size. (Smaller sizes allow you to see more data at once.) If you absolutely need maximum compatibility with your old data, use mono-spaced fonts like Courier New or Terminal. To ensure that your printouts are consistent with your screen display, use only True-Type (TT) fonts.
  3. Click OK.

[:] Collapse the Notes in your Base File:

  1. Double-click the Base File. The triangle icon turns to the right [image] and your Notes are hidden.

[:] Set a frame size and style for new Notes:

  1. In the Selector expand the Templates Topic.
  2. Click the starred white Note icon [image].
  3. The default setting for new Notes is to fill the Workspace since you can see an overview of your data in the Selector. If you wish to retain this default, skip this step. If you want new Notes to be in smaller, sizable frames, select Selector | Properties | Maximized, then resize the blank window to the size you want for new Notes.
  4. If you want the date and/or time to be typed automatically into new Notes, insert @D for date and/or @T for time inside the default Note (with a space between them if you use both) and place the symbol ^ after the @D/@T. This will signify where the Edit should begin when creating a new Note.
  5. From the Selector, double-click the Templates Topic to collapse it.

Now, change the order of items listed in the Selector.

[:] Move your Base File:

  1. Drag the Base File to the bottom of the Selector using your mouse. Make sure the black drag bar in the Selector is below the last item in the Selector. (If you position the drag bar on another Topic, your Base File will drop into that Topic. If this happens, double-click the Topic, drag Base above the Topic, and double-click the Topic again.)

Now, drag Base back to the top of the Selector - just under Overview. (Items cannot be placed above Overview.)

You can create new Topics to classify the data in Base. (Adding Topics was described in the first tutorial.) If you do not have the time to classify your old data initially, classify gradually or simply leave your data unclassified as in earlier versions.

You can use the Search and Split features as an easy way to classify your old data.

[:] Divide data into Topics using the Search and Split commands:

  1. Select the Base File.
  2. Press F5. Into the Search for box enter a Search Key that will extract items you want to group together in a Topic (e.g., a person's name or a specific subject). Press ENTER.
  3. In the Selector, click the Base Topic.
  4. From the Tools menu, select Split and click OK.

You will see the original Base File and a new Topic containing just the searched items. You can change the caption of the newly created Topic (as described previously). You may want to drag the newly created Topic inside the original Topic.

You can close a File (Stack) and still have it listed in the Selector. This will conserve memory and speed searching of other data.

[:] Close your Base File:

  1. In the Selector, highlight the Base File and choose File | Close.

The caption will be grayed out to show the File is closed.

[:] Re-open the Base File:

  1. Double-click the File to re-open it (or choose File | Reopen).

Load your USERW (USER in some earlier versions) stack in the same way as Base was loaded above. This will automatically install your old forms in the Template menu. You may delete the special items labeled Stacknames, Formmenu, Linknames, and Pointers.

Load your other Stacks as needed.

Notice that earlier versions had only one type of data (Notes) and had no summary listing of your data. This version has several data types (Notes, Topics, Calendars, Databases, and Forms.) and has a summary listing of your data (in the Selector). The icon in the Selector indicates the type of item. You can add, delete, and rearrange items of all types.

Browse the supplied Topics and Sub-Topics for examples of what this new version can do.

Converting .wd files for sharing

If you want to setup Info Select to share data files on a network, you need to first convert the .wd files to .wd2 format.

[:] To convert earlier version .wd files you wish to share:

  1. Using Explorer, copy the files you wish to share to the shared directory created above.
  2. In Info Select, choose File | Open.
  3. In the Files of Type box, select *.wd.
  4. Choose a File you wish to convert.
  5. Click OK.
  6. Repeat the above steps for each *.wd File.
  7. You may archive the .wd Files to removable media if you wish.

Also see Network Features.

Making the new version work like an old version

You can make this version of Info Select work like prior versions.

[:] To show multiple notes on the screen at one time:

  1. See Setting Appearance of New Items.

[:] To minimize the space taken up by the Selector:

  1. Drag the line that separates the Selector from the Workspace to the left.

[:] To set other features to operate as in earlier versions:

  1. Choose Tools | Options | Compatibility.
  2. Select the desired options. You can see what each option will do by clicking on the ? button.
  3. Click OK.


Glossary

Caption - a line of text in the Selector which summarizes the purpose of a data item.

Workspace - the main area located on the right side of the Info Select screen.

Search filter - a mode where only the information searched for is displayed.

Selector - the main area located on the left side of the Info Select screen.

Status Bar - a horizontal bar located at the bottom of the Info Select screen.

Context Toolbar - a Toolbar that appears when editing an item. Such Toolbar contains only the buttons which are applicable to selected item.

For definitions of data types such as Notes, Topics, Forms, Grids, etc click here.


Image Item

You can use Info Select to store and edit images. For example, you may want to keep photos related to office space you have examined for a company expansion project or keep images of program screens such as error messages. Images are stored in special Image items 2_Type9.gif (159 bytes) in the standard JPEG or PNG formats. The format is selected automatically to reduce disk space.

You can insert images into Info Select in several ways.

[:] To insert an Image:

  1. Choose Insert | Image | From File.... A dialog box appears.
  2. Select the necessary image file. The following image formats are supported: GIF, JPEG, PNG, WMF, and BMP.
  3. Click Insert.
  4. Enter the image caption and press ENTER.

or

  1. Copy the image from another application (e.g. for Internet Explorer images right-click on the image and choose Copy).
  2. Click on the desired location in the Selector and choose Edit | Paste.

or for JPEG, PNG, BMP, WMF and GIF images:

  1. Choose File | Import / Export | Import from File....
  2. Select the appropriate type from the Files of type drop-down list.
  3. Select the file directory and name. You can select several files at once by holding down the CTRL key while you select files.
  4. Click OK.

or insert a blank image:

  1. Choose Insert | Image | New (Empty)

or to store an image of a program screen or dialog or error message:

  1. At the desired application or dialog press Alt + Print Scr
  2. Go to Info Select and choose Edit | Paste.

You can also acquire images from a Scanner.

Editing Images

You can edit images by modifying their Size, Quality, Orientation, Colors, Brightness/Contrast, adding Text, drawing the Freeform Lines, adding Borders, changing Canvas size, etc.

When an Image item is highlighted in the Selector, the Image toolbar appears at the top of the Info Select window, and the image itself is shown in the Workspace.

Determine the meaning of any button by pointing to the button with the mouse. Below the Image toolbar buttons are described starting from left to right.

Scrolling Mode

Enable this mode to scroll images if they don't fit to Workspace.

[:] To scroll an image:

  1. Enable the Scrolling Mode by clicking on the hand icon on the Image toolbar (or choose Tools | Image | Scrolling Mode).
  2. Click on the image in the Workspace, and drag the image to scroll it.

note.png (184 bytes) Note: Images that fit the Workspace cannot be scrolled.

Selection Mode

Enable Selection mode to select a rectangular portion of an image.

[:] To make a selection in an image:

  1. Click on the arrow icon on the Image toolbar (or choose Tools | Image | Selecting Mode).
  2. Click on the image in the Workspace, and drag the mouse to define a rectangular selection area.
  3. Release the mouse button. The selected rectangle will be highlighted with a dashed line.

Painting Mode

Enable this mode to draw freeform lines using the brush of the specified color and size.

[:] To draw a freeform line:

  1. Enable the Painting Mode by clicking on the brush icon on the Image toolbar (or choose Tools | Image | Painting Mode).
  2. Select the desired brush color in the Palette toolbar.
  3. Select the desired brush size in the Tools | Image | Select Brush... menu. There are six brush sizes available (from 1x1 to 6x6).
  4. Click on the image in the Workspace, and drag the mouse to draw the line.

Zoom In

Click this button to magnify the image (or choose Tools | Image | Zoom In). Zoom ratio will be displayed in the right part of the Image toolbar.

Zoom to Actual

Click this button to return to actual image size. Zoom ratio will be displayed in the right part of the Image toolbar (100%).

Zoom Out

Click this button to zoom out (or choose Tools | Image | Zoom Out). Choose Tools | Image | Zoom to Actual to return to the actual size of the image. Zoom ratio will be displayed in the right part of the Image toolbar.

Crop

Click this button to crop the image to the selection rectangle (or choose Tools | Image | Crop).

Rotate

Click this button to rotate the image (or choose Tools | Image | Rotate). Each time you click the image it is rotated by 90o. For example, to rotate the image by 180o click the Rotate button twice.

Mirror

Click this button to mirror the image horizontally (or choose Tools | Image | Mirror). (To mirror vertically rotate 180 degrees.)

Resize

Click this button to display the resize options dialog (or choose Tools | Image | Resize...).

You can modify the image's size by setting it's Width and Height values either in Pixels or Percents (or drag the corresponding sliders). Changes will be displayed immediately allowing to preview the results.
Gray numbers show the initial image size in pixels. Check Keep proportion if you want the image to be resized proportionally. Click OK to accept changes. The size of the image will be shown in the right part of the Image toolbar.

Add Text

Click this button to enable the text entering mode.

[:] To add text to image:

  1. Make a selection using the Select tool.
  2. Click Add Text. The caret will appear in the lower left corner of the selection. The Image toolbar will be replaced with the Word Processing toolbar where you can choose text parameters like Font Size and Type, Justification, etc.

    You can choose text color by clicking on the desired color on the Palette toolbar. To select a background color, right-click in the selection and choose Background Color from the pop-up menu. Choose Image in the Background Color menu if you want to use a transparent background.
  3. After finishing typing text, click anywhere outside the selection to exit from the text entering mode.

note.png (184 bytes) Note: You can use Spell Checker and Thesaurus with the text that you are adding to image (these features are available only when you are typing text).

Adjust Brightness/Contrast

Click this button to display the Brightness/Contrast options dialog (or choose Tools | Image | Adjust...).

Drag the sliders to modify Brightness or Contrast of the image. Changes will be displayed immediately. Click OK to accept changes.

Black-and-White

Click this button to turn a color image into a grayscale image (or choose Tools | Image | Black and White). Black and White images consume less disk space.

Size and Quality

Click this button (or choose Tools | Image | Adjust Storage Size & Quality...) to display the Quality adjustment dialog. This feature allows you to select the desired balance between disk size and quality.

5_quality_dial.png (2626 bytes)

Drag the slider to modify the quality and size of the image. Changes are displayed immediately. The size of the image is displayed in the dialog window and changes as you drag the slider . Click OK to accept changes.

Canvas Size

You can change the size of the image canvas without changing the actual dimensions of the image. For example, you may want to add a white space below the image to add some descriptive text.

[:] To change the Canvas Size:

  1. Choose Tools | Image | Canvas Size.... A dialog box appears:

  2. In the New Width and New Height boxes enter the new width and height parameters of the image. The Current Width and Current Height boxes display the original Canvas dimensions. Changes will be displayed immediately.
  3. Check Center Image Horizontally or Center Image Vertically to have the image centered Horizontally or Vertically on the new Canvas. Check both options to have the image appear in the center of the new Canvas. Uncheck both options if you wish to set the image placement manually using the Image Placement boxes. Numbers in the Image Placement boxes indicate distance of the image from the Canvas border. Changes will be displayed immediately.
  4. Click OK to confirm changes.

Adding Borders

You can add borders of any size and color to the existing image. For example, you may want to add a frame to the photo stored in Info Select, or make a border around the image to paste it into another image.

[:] To add borders to the image:

  1. Choose Tools | Image | Add Borders.... A dialog box appears:

  2. Set the Borders with in the Top, Right, Bottom and Left boxes. Check Symmetric to have the symmetric borders (i.e. when adjusting one of the borders, other borders will also have the same width).
  3. Choose Grow in Size to have the borders created outside of the image canvas thus enlarging the image size. Choose Reduce in Size to have the borders drawn inside the image canvas. The image size will be decreased to fit within the borders. Choose Crop to have the borders drawn on the image.
    The images below show the various borders types: original image, outer borders, inner borders, cropped image.

  4. Click OK to confirm changes.

Combining several images

You can combine several images into one by using the Copy and Paste operations. For example, you may want to create a combination of different variants of the same image (like shown on the image above).

[:] To combine two images:

  1. In the Selector, choose an image which you wish to insert into another image.
  2. Choose Edit | Copy to copy the whole image or select a part of the image (using the Selection Tool), right-click in the selection and choose Copy from the pop-up menu.
  3. In the Selector, choose an image where you want the copied image to be inserted. If necessary, resize the image canvas.
  4. Right-click on the image in the Workspace and choose Paste as New Selection from the pop-up menu.
  5. Move the pasted image to the desired position by dragging it with your mouse.

Saving edited images to disk

After you edit an image in Info Select you may want to save it to disk (for example, to use in an external application).

[:] To save an image to disk:

  1. Choose the image in the Selector
  2. Choose File | Import / Export | Export to File.... A dialog box appears.
  3. Enter the destination directory, file name and select the desired image type from the Files of Type drop-down list.


Advanced dialing tips

Advanced

This section describes in more detail Info Select's ability to dial certain numbers and explains how to customize what actually gets sent to your modem. It is intended for those users who have unusual dialing requirements.

Info Select uses Telephony to supply the actual dial string to the modem. Info Select supplies Telephony with the country code, area code, and number to be dialed. Telephony controls what is sent to the modem and includes any credit card information or additional modem-dependent commands. Telephony allows great control in the customizing of the dial string. To customize Telephony's settings, from Info Select, choose Tools | Options | Dialer | Dialing Properties.... For example, for special area code rules use Tools | Options | Dialer | Dialing Properties... | Area Codes Rules.

The most basic customization of the dial string is Telephony's settings for how to dial from the current location, including how to access an outside line. This is convenient for office PBX systems. For example, many systems require the user to press 9 before getting a second dial tone and only then to proceed with the rest of the number. To do this enter 9W under local or long-distance, or both.

You may need to have extra digits dialed after or in the middle of the telephone number. Telephony allows you to do this.

[:] To customize the dialing string:

  1. Choose Tools | Options | Dialer | Dialer Properties and check Dial using Calling Card.
  2. Press the Change... button. You will see a list of pre-set credit cards, which Telephony is already familiar with.
  3. Choose the credit card you want to use and click OK. You are now ready to dial.

- or -

  1. If no credit card fits your needs, or to customize your own, press New....
  2. Give the new settings a name and click OK.
  3. Confirm.

A dialog appears where you may tell Telephony what to dial for local, long-distance, and international calls. Press F1 while in any field to get help on the available keys you may enter.

A common scenario is that of a credit-card, for which you have to dial the credit-card company's number, wait for a dial tone, enter the number to dial, the # key, and then a secret pin number. To do this under "Long distance calls" enter "18001234567W1FG#1234" without quotes or underlines. The first underlined part is the credit-card company's number. The W tells Telephony to wait for a dial tone; 1 for the prefix to long-distance calls (as in 1-800-...); F for the area code; G for the rest of the number; # for the pound sign. The second underline part is your pin code.